//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include <lfcbase/Exception.h>
#include <lfcbase/StackT.h>

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AFTER);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(5 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s1.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s1.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s1.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s1.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s1.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s1.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s1);

   Scanner s2(ALIAS);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(5 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s2.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s2.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s2.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s2.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s2.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s2.addTransition(ScannerTransEntry(4 ,'s' ,5));
   _scannerList.Insert(s2);

   Scanner s3(AND);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s3.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s3.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s3);

   Scanner s4(ALL);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s4.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s4.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s4);

   Scanner s5(ALTER);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(5 ,FINAL));
   s5.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s5.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s5.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s5.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s5.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s5.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s5.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s5.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s5.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s5);

   Scanner s6(APPEND);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(6 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s6.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s6.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s6.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s6.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s6.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s6.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s6.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s6.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s6);

   Scanner s7(AS);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,FINAL));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s7.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s7.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s7);

   Scanner s8(ASC);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s8.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s8.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s8);

   Scanner s9(ASC2INT);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(7 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s9.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s9.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s9.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s9.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s9.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s9.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s9.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s9.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s9.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s9);

   Scanner s10(AUTHORIZE);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(9 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s10.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s10.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s10.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s10.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s10.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s10.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s10.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s10.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s10.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s10.addTransition(ScannerTransEntry(7 ,'Z' ,8));
   s10.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s10.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s10.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s10);

   Scanner s11(AUTOCOMMIT);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(10 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s11.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s11.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s11.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s11.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s11.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s11.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s11.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s11.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s11.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s11.addTransition(ScannerTransEntry(7 ,'M' ,8));
   s11.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s11.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s11.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s11.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s11.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s11);

   Scanner s12(AVG);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s12.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s12.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s12.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s12);

   Scanner s13(AVLTREE);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(7 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s13.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s13.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s13.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s13.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s13.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s13.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s13.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s13.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s13);

   Scanner s14(BEFORE);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(6 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s14.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s14.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s14.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s14.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s14.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s14.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s14);

   Scanner s15(BEGIN);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s15.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s15.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s15.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s15.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s15);

   Scanner s16(BETWEEN);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(7 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s16.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s16.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s16.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s16.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s16.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s16.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s16.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s16.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s16.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s16);

   Scanner s17(BIGINT);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(6 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s17.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s17.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s17.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s17.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s17.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s17.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s17.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s17);

   Scanner s18(BITAND);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(6 ,FINAL));
   s18.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s18.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s18.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s18.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s18.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s18.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s18.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s18.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s18.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s18.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s18.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s18);

   Scanner s19(BITOR);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(5 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s19.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s19.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s19.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s19.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s19.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s19.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s19);

   Scanner s20(BITXOR);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(6 ,FINAL));
   s20.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s20.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s20.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s20.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s20.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s20.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s20.addTransition(ScannerTransEntry(3 ,'X' ,4));
   s20.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s20.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s20.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s20.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s20.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s20);

   Scanner s21(BLOB);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(4 ,FINAL));
   s21.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s21.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s21.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s21.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s21.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s21.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s21.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s21.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s21);

   Scanner s22(BLOBSIZE);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(8 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s22.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s22.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s22.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s22.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s22.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s22.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s22.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s22.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s22.addTransition(ScannerTransEntry(6 ,'Z' ,7));
   s22.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s22.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s22.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s22);

   Scanner s23(BLOBREF);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(7 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s23.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s23.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s23.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s23.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s23.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s23.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s23.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s23.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s23.addTransition(ScannerTransEntry(6 ,'F' ,7));
   s23.addTransition(ScannerTransEntry(6 ,'f' ,7));
   _scannerList.Insert(s23);

   Scanner s24(BOOL);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s24.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s24.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s24.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s24.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s24);

   Scanner s25(BTREE);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(5 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s25.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s25.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s25.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s25.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s25.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s25.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s25);

   Scanner s26(BY);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,FINAL));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s26.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s26.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s26.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s26);

   Scanner s27(CACHED);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(6 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s27.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s27.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s27.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s27.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s27.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s27.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s27.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s27);

   Scanner s28(CALL);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s28.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s28.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s28.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s28);

   Scanner s29(CASE);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s29.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s29.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s29.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s29);

   Scanner s30(CHECK);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(5 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s30.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s30.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s30.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s30.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s30.addTransition(ScannerTransEntry(4 ,'K' ,5));
   s30.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s30);

   Scanner s31(CLOB);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s31.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s31.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s31.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s31.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s31);

   Scanner s32(CLOBSIZE);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(8 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s32.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s32.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s32.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s32.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s32.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s32.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s32.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s32.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s32.addTransition(ScannerTransEntry(6 ,'Z' ,7));
   s32.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s32.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s32.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s32);

   Scanner s33(CLOBREF);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(7 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s33.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s33.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s33.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s33.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s33.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s33.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s33.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s33.addTransition(ScannerTransEntry(6 ,'F' ,7));
   s33.addTransition(ScannerTransEntry(6 ,'f' ,7));
   _scannerList.Insert(s33);

   Scanner s34(CLOB2STR);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(8 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s34.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s34.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s34.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s34.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s34.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s34.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s34.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s34.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s34.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s34.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s34);

   Scanner s35(CLOSE);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s35.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s35.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s35.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s35.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s35.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s35);

   Scanner s36(COMMIT);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s36.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s36.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s36.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s36.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s36.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s36.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s36);

   Scanner s37(COLUMN);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(6 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s37.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s37.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s37.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s37.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s37.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s37.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s37.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s37.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s37);

   Scanner s38(CONDITION);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(9 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s38.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s38.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s38.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s38.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s38.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s38.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s38.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s38.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s38.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s38.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s38.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s38.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s38.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s38.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s38);

   Scanner s39(CONSTRAINT);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(10 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s39.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s39.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s39.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s39.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s39.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s39.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s39.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s39.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s39.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s39.addTransition(ScannerTransEntry(6 ,'A' ,7));
   s39.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s39.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s39.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s39.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s39.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s39.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s39.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s39);

   Scanner s40(COUNT);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s40.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s40.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s40.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s40.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s40.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s40);

   Scanner s41(COUNTER);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(7 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s41.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s41.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s41.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s41.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s41.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s41.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s41.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s41.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s41.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s41.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s41.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s41);

   Scanner s42(CREATE);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(6 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s42.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s42.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s42.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s42.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s42.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s42.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s42.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s42.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s42);

   Scanner s43(CURSOR);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(6 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s43.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s43.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s43.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s43.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s43.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s43.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s43.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s43.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s43);

   Scanner s44(DATE2STR);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(8 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s44.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s44.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s44.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s44.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s44.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s44.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s44.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s44.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s44.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s44.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s44.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s44.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s44);

   Scanner s45(DATE2LONG);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(9 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s45.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s45.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s45.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s45.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s45.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s45.addTransition(ScannerTransEntry(5 ,'L' ,6));
   s45.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s45.addTransition(ScannerTransEntry(6 ,'O' ,7));
   s45.addTransition(ScannerTransEntry(6 ,'o' ,7));
   s45.addTransition(ScannerTransEntry(7 ,'N' ,8));
   s45.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s45.addTransition(ScannerTransEntry(8 ,'G' ,9));
   s45.addTransition(ScannerTransEntry(8 ,'g' ,9));
   _scannerList.Insert(s45);

   Scanner s46(DATETIME);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(8 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s46.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s46.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s46.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s46.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s46.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s46.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s46.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s46.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s46.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s46.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s46.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s46.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s46.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s46);

   Scanner s47(DECIMAL);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(7 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s47.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s47.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s47.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s47.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s47.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s47.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s47.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s47.addTransition(ScannerTransEntry(6 ,'L' ,7));
   s47.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s47);

   Scanner s48(DEFAULT);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(7 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s48.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s48.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s48.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s48.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s48.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s48.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s48.addTransition(ScannerTransEntry(5 ,'L' ,6));
   s48.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s48.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s48.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s48);

   Scanner s49(DELETETOK);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(6 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s49.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s49.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s49.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s49.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s49.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s49.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s49.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s49.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s49);

   Scanner s50(DESC);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s50.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s50.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s50.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s50.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s50);

   Scanner s51(DISTINCT);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(8 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s51.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s51.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s51.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s51.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s51.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s51.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s51.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s51.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s51.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s51.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s51.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s51.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s51.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s51);

   Scanner s52(DIV);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s52.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s52.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s52.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s52);

   Scanner s53(DOUBLE);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(6 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s53.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s53.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s53.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s53.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s53.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s53.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s53.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s53.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s53.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s53);

   Scanner s54(DROP);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s54.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s54.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s54.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s54.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s54);

   Scanner s55(ELSE);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s55.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s55.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s55.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s55.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s55);

   Scanner s56(ELSIF);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s56.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s56.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s56.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s56.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s56.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s56);

   Scanner s57(END_TOKEN);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s57.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s57.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s57.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s57);

   Scanner s58(EXCEPTION);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(9 ,FINAL));
   s58.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s58.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s58.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s58.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s58.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s58.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s58.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s58.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s58.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s58.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s58.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s58.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s58.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s58.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s58.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s58.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s58.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s58.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s58);

   Scanner s59(EXISTS);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(6 ,FINAL));
   s59.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s59.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s59.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s59.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s59.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s59.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s59.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s59.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s59.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s59.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s59.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s59.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s59);

   Scanner s60(FALSEVAL);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(5 ,FINAL));
   s60.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s60.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s60.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s60.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s60.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s60.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s60.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s60.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s60.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s60.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s60);

   Scanner s61(FETCH);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(5 ,FINAL));
   s61.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s61.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s61.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s61.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s61.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s61.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s61.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s61.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s61.addTransition(ScannerTransEntry(4 ,'H' ,5));
   s61.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s61);

   Scanner s62(FIRST);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(5 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s62.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s62.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s62.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s62.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s62.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s62.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s62.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s62);

   Scanner s63(FLOAT);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(5 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s63.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s63.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s63.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s63.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s63.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s63.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s63.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s63);

   Scanner s64(FOR);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s64.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s64.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s64.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s64);

   Scanner s65(FOREIGN);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(7 ,FINAL));
   s65.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s65.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s65.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s65.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s65.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s65.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s65.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s65.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s65.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s65.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s65.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s65.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s65.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s65.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s65);

   Scanner s66(FROM);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(4 ,FINAL));
   s66.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s66.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s66.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s66.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s66.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s66.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s66.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s66.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s66);

   Scanner s67(GETCOUNT);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(8 ,FINAL));
   s67.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s67.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s67.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s67.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s67.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s67.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s67.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s67.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s67.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s67.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s67.addTransition(ScannerTransEntry(5 ,'U' ,6));
   s67.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s67.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s67.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s67.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s67.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s67);

   Scanner s68(GETPOS);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(6 ,FINAL));
   s68.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s68.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s68.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s68.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s68.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s68.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s68.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s68.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s68.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s68.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s68.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s68.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s68);

   Scanner s69(GRACE);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(5 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s69.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s69.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s69.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s69.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s69.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s69.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s69.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s69);

   Scanner s70(GROUP);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(5 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s70.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s70.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s70.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s70.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s70.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s70.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s70.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s70);

   Scanner s71(HAVING);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(6 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s71.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s71.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'H' ,0));
   s71.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s71.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s71.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s71.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s71.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s71.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s71);

   Scanner s72(IDENTIFIED);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(10 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s72.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s72.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s72.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s72.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s72.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s72.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s72.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s72.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s72.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s72.addTransition(ScannerTransEntry(6 ,'F' ,7));
   s72.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s72.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s72.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s72.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s72.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s72.addTransition(ScannerTransEntry(9 ,'D' ,10));
   s72.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s72);

   Scanner s73(IF);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,FINAL));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s73.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s73.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s73.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s73);

   Scanner s74(INDEX);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(5 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s74.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s74.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s74.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s74.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s74.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s74.addTransition(ScannerTransEntry(4 ,'X' ,5));
   s74.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s74);

   Scanner s75(INTOK);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,FINAL));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s75.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s75.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s75.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s75);

   Scanner s76(INNER);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(5 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s76.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s76.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s76.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s76.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s76.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s76.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s76);

   Scanner s77(INT);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s77.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s77.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s77.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s77);

   Scanner s78(INTO);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s78.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s78.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s78.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s78.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s78);

   Scanner s79(LONG2DATE);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(9 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s79.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s79.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s79.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s79.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s79.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s79.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s79.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s79.addTransition(ScannerTransEntry(6 ,'A' ,7));
   s79.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s79.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s79.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s79.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s79.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s79);

   Scanner s80(NEWDATE);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(7 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s80.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s80.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s80.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s80.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s80.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s80.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s80.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s80.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s80.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s80.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s80.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s80);

   Scanner s81(INSERT);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(6 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s81.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s81.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s81.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s81.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s81.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s81.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s81.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s81.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s81.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s81);

   Scanner s82(INT2ASC);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(7 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s82.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s82.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s82.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s82.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s82.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s82.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s82.addTransition(ScannerTransEntry(5 ,'C' ,6));
   s82.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s82.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s82.addTransition(ScannerTransEntry(6 ,'c' ,7));
   _scannerList.Insert(s82);

   Scanner s83(IS);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,FINAL));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s83.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s83.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s83.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s83);

   Scanner s84(ISOLATION);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(9 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s84.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s84.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s84.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s84.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s84.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s84.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s84.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s84.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s84.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s84.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s84.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s84.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s84.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s84.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s84.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s84);

   Scanner s85(JDBC);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s85.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s85.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s85.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s85.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s85);

   Scanner s86(JOIN);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(4 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s86.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s86.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s86.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s86.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s86.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s86);

   Scanner s87(KEY);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s87.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'Y' ,3));
   s87.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'K' ,0));
   s87.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s87);

   Scanner s88(LEFT);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(4 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s88.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s88.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s88.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s88.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s88.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s88);

   Scanner s89(LENGTH);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(6 ,FINAL));
   s89.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s89.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s89.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s89.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s89.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s89.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s89.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s89.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s89.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s89.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s89.addTransition(ScannerTransEntry(5 ,'H' ,6));
   s89.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s89);

   Scanner s90(LIKE);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(4 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s90.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'K' ,3));
   s90.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s90.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s90.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s90.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s90);

   Scanner s91(LIST);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(4 ,FINAL));
   s91.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s91.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s91.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s91.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s91.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s91.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s91.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s91.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s91);

   Scanner s92(LDIV);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(4 ,FINAL));
   s92.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s92.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s92.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s92.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s92.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s92.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s92.addTransition(ScannerTransEntry(3 ,'V' ,4));
   s92.addTransition(ScannerTransEntry(3 ,'v' ,4));
   _scannerList.Insert(s92);

   Scanner s93(LMOD);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(4 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s93.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s93.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s93.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s93.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s93.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s93);

   Scanner s94(LOAD);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(4 ,FINAL));
   s94.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s94.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s94.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s94.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s94.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s94.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s94.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s94.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s94);

   Scanner s95(LOCK);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s95.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s95.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s95.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'K' ,4));
   s95.addTransition(ScannerTransEntry(3 ,'k' ,4));
   _scannerList.Insert(s95);

   Scanner s96(UNLOCK);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(6 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s96.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s96.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s96.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s96.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s96.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s96.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s96.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s96.addTransition(ScannerTransEntry(5 ,'K' ,6));
   s96.addTransition(ScannerTransEntry(5 ,'k' ,6));
   _scannerList.Insert(s96);

   Scanner s97(LONG);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(4 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s97.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s97.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s97.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s97.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s97.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s97);

   Scanner s98(LOWER);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(5 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s98.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s98.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s98.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s98.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s98.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s98.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s98.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s98);

   Scanner s99(LTRIM);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(5 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s99.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s99.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s99.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s99.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s99.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s99.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s99.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s99);

   Scanner s100(MIN);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s100.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s100.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s100.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s100);

   Scanner s101(MAX);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s101.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s101.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s101.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s101);

   Scanner s102(MOD);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s102.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s102.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s102.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s102);

   Scanner s103(MODIFY);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(6 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s103.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s103.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s103.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s103.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s103.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s103.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s103.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s103.addTransition(ScannerTransEntry(5 ,'Y' ,6));
   s103.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s103);

   Scanner s104(NEXTCOUNT);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(9 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s104.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s104.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s104.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s104.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s104.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s104.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s104.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s104.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s104.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s104.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s104.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s104.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s104.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s104.addTransition(ScannerTransEntry(7 ,'N' ,8));
   s104.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s104.addTransition(ScannerTransEntry(8 ,'T' ,9));
   s104.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s104);

   Scanner s105(NOOP);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(4 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s105.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s105.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s105.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s105.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s105);

   Scanner s106(NOT);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addState(ScannerStateEntry(3 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s106.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s106.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s106.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s106);

   Scanner s107(NULLTOKEN);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(4 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s107.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s107.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s107.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s107.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s107.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s107);

   Scanner s108(OFF);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s108.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s108.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s108.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s108);

   Scanner s109(ON);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,FINAL));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s109.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s109.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s109.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s109);

   Scanner s110(OUTTOK);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s110.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s110.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s110.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s110);

   Scanner s111(OUTER);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(5 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s111.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s111.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s111.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s111.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s111.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s111.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s111);

   Scanner s112(OR);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,FINAL));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s112.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s112.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s112.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s112);

   Scanner s113(ORDER);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s113.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s113.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s113.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s113.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s113.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s113);

   Scanner s114(PLAN);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s114.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s114.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s114.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s114.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s114);

   Scanner s115(POOL);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s115.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s115.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s115.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s115.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s115);

   Scanner s116(POWER);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(5 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s116.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s116.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s116.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s116.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s116.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s116.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s116.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s116);

   Scanner s117(PRIMARY);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(7 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s117.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s117.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s117.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s117.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s117.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s117.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s117.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s117.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s117.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s117.addTransition(ScannerTransEntry(6 ,'Y' ,7));
   s117.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s117);

   Scanner s118(PRINT);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(5 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s118.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s118.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s118.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s118.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s118.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s118.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s118.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s118);

   Scanner s119(PROCEDURE);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(9 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s119.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s119.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s119.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s119.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s119.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s119.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s119.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s119.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s119.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s119.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s119.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s119.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s119.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s119.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s119.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s119);

   Scanner s120(QUIT);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s120.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s120.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'Q' ,0));
   s120.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s120.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s120);

   Scanner s121(RANDSTR);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(7 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s121.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s121.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s121.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s121.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s121.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s121.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s121.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s121.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s121.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s121.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s121);

   Scanner s122(RANDINT);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(7 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s122.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s122.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s122.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s122.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s122.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s122.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s122.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s122.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s122.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s122.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s122.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s122);

   Scanner s123(RBSEG);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(5 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s123.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s123.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s123.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s123.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s123.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s123.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s123.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s123);

   Scanner s124(REFERENCES);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(10 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s124.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s124.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s124.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s124.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s124.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s124.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s124.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s124.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s124.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s124.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s124.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s124.addTransition(ScannerTransEntry(7 ,'C' ,8));
   s124.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s124.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s124.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s124.addTransition(ScannerTransEntry(9 ,'S' ,10));
   s124.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s124);

   Scanner s125(RENAME);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(6 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s125.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s125.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s125.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s125.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s125.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s125.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s125.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s125.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s125.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s125);

   Scanner s126(REORGANIZE);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(10 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s126.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s126.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s126.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s126.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s126.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s126.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s126.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s126.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s126.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s126.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s126.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s126.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s126.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s126.addTransition(ScannerTransEntry(8 ,'Z' ,9));
   s126.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s126.addTransition(ScannerTransEntry(9 ,'E' ,10));
   s126.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s126);

   Scanner s127(RETURNTOKEN);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(6 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s127.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s127.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s127.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s127.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s127.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s127.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s127.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s127.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s127);

   Scanner s128(REMOVE);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(6 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s128.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s128.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s128.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s128.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s128.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s128.addTransition(ScannerTransEntry(4 ,'V' ,5));
   s128.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s128.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s128.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s128);

   Scanner s129(REPLACE);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(7 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s129.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s129.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s129.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s129.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s129.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s129.addTransition(ScannerTransEntry(5 ,'C' ,6));
   s129.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s129.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s129.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s129);

   Scanner s130(RIGHT);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(5 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s130.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s130.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s130.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s130.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s130.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s130.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s130.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s130);

   Scanner s131(ROLLBACK);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(8 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s131.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s131.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s131.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s131.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s131.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s131.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s131.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s131.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s131.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s131.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s131.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s131.addTransition(ScannerTransEntry(7 ,'K' ,8));
   s131.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s131);

   Scanner s132(ROUND);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(5 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s132.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s132.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s132.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s132.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s132.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s132.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s132);

   Scanner s133(ROWLIMIT);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(8 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s133.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s133.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s133.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s133.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s133.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s133.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s133.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s133.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s133.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s133.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s133.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s133.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s133.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s133);

   Scanner s134(RTRIM);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(5 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s134.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s134.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s134.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s134.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s134.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s134.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s134);

   Scanner s135(SCANDATE);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(8 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s135.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s135.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s135.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s135.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s135.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s135.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s135.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s135.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s135.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s135.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s135.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s135.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s135.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s135);

   Scanner s136(SELECT);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(6 ,FINAL));
   s136.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s136.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s136.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s136.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s136.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s136.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s136.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s136.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s136.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s136.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s136.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s136.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s136);

   Scanner s137(SET);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addState(ScannerStateEntry(3 ,FINAL));
   s137.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s137.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s137.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s137.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s137.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s137.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s137);

   Scanner s138(SETCOUNT);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(8 ,FINAL));
   s138.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s138.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s138.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s138.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s138.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s138.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s138.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s138.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s138.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s138.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s138.addTransition(ScannerTransEntry(5 ,'U' ,6));
   s138.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s138.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s138.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s138.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s138.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s138);

   Scanner s139(SHOW);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(4 ,FINAL));
   s139.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s139.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s139.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s139.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s139.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s139.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s139.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s139.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s139);

   Scanner s140(SMALLINT);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(8 ,FINAL));
   s140.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s140.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s140.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s140.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s140.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s140.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s140.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s140.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s140.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s140.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s140.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s140.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s140.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s140.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s140.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s140.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s140);

   Scanner s141(START_TOKEN);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(5 ,FINAL));
   s141.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s141.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s141.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s141.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s141.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s141.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s141.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s141.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s141.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s141.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s141);

   Scanner s142(STRING);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(6 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s142.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s142.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s142.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s142.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s142.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s142.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s142.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s142.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s142);

   Scanner s143(SUBSTR);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(6 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s143.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s143.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s143.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s143.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s143.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s143.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s143.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s143.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s143.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s143);

   Scanner s144(SUM);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s144.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s144.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s144.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s144);

   Scanner s145(SYNC);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(4 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s145.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s145.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s145.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s145.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s145.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s145);

   Scanner s146(SYSDATE);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(7 ,FINAL));
   s146.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s146.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s146.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s146.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s146.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s146.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s146.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s146.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s146.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s146.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s146.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s146.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s146.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s146.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s146);

   Scanner s147(SYSTEMSPACE);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(11 ,FINAL));
   s147.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s147.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s147.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s147.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s147.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s147.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s147.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s147.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s147.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s147.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s147.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s147.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s147.addTransition(ScannerTransEntry(6 ,'S' ,7));
   s147.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s147.addTransition(ScannerTransEntry(7 ,'P' ,8));
   s147.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s147.addTransition(ScannerTransEntry(8 ,'A' ,9));
   s147.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s147.addTransition(ScannerTransEntry(9 ,'C' ,10));
   s147.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s147.addTransition(ScannerTransEntry(10 ,'E' ,11));
   s147.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s147);

   Scanner s148(SYSOBJ);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(6 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s148.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s148.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s148.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s148.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s148.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s148.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s148.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s148.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s148);

   Scanner s149(TABLEINFO);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(9 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s149.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s149.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s149.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s149.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s149.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s149.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s149.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s149.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s149.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s149.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s149.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s149.addTransition(ScannerTransEntry(7 ,'F' ,8));
   s149.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s149.addTransition(ScannerTransEntry(8 ,'O' ,9));
   s149.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s149);

   Scanner s150(TABLESIZE);
   s150.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(2 ,START));
   s150.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(9 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s150.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s150.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s150.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s150.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s150.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s150.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s150.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s150.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s150.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s150.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s150.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s150.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s150.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s150.addTransition(ScannerTransEntry(7 ,'Z' ,8));
   s150.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s150.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s150.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s150);

   Scanner s151(TABLE);
   s151.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(2 ,START));
   s151.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(5 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s151.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s151.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s151.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s151.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s151.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s151.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s151.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s151.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s151.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s151);

   Scanner s152(TABLESET);
   s152.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(2 ,START));
   s152.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(8 ,FINAL));
   s152.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s152.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s152.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s152.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s152.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s152.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s152.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s152.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s152.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s152.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s152.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s152.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s152.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s152.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s152.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s152.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s152);

   Scanner s153(THEN);
   s153.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(2 ,START));
   s153.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(4 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s153.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s153.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s153.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s153.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s153.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s153.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s153.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s153);

   Scanner s154(THROW);
   s154.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(2 ,START));
   s154.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(5 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s154.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s154.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s154.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s154.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s154.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s154.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s154.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s154.addTransition(ScannerTransEntry(4 ,'W' ,5));
   s154.addTransition(ScannerTransEntry(4 ,'w' ,5));
   _scannerList.Insert(s154);

   Scanner s155(TINYINT);
   s155.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(2 ,START));
   s155.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(7 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s155.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s155.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s155.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s155.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s155.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s155.addTransition(ScannerTransEntry(3 ,'Y' ,4));
   s155.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s155.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s155.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s155.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s155.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s155.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s155.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s155);

   Scanner s156(TMPOBJ);
   s156.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(2 ,START));
   s156.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(6 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s156.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s156.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s156.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s156.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s156.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s156.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s156.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s156.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s156.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s156.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s156.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s156);

   Scanner s157(TRANSACTION);
   s157.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(2 ,START));
   s157.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(11 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s157.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s157.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s157.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s157.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s157.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s157.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s157.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s157.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s157.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s157.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s157.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s157.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s157.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s157.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s157.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s157.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s157.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s157.addTransition(ScannerTransEntry(9 ,'O' ,10));
   s157.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s157.addTransition(ScannerTransEntry(10 ,'N' ,11));
   s157.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s157);

   Scanner s158(TRIGGER);
   s158.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(2 ,START));
   s158.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(7 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s158.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s158.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s158.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s158.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s158.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s158.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s158.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s158.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s158.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s158.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s158.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s158.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s158.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s158);

   Scanner s159(TUPLEINFO);
   s159.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(2 ,START));
   s159.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(9 ,FINAL));
   s159.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s159.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s159.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s159.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s159.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s159.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s159.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s159.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s159.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s159.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s159.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s159.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s159.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s159.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s159.addTransition(ScannerTransEntry(7 ,'F' ,8));
   s159.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s159.addTransition(ScannerTransEntry(8 ,'O' ,9));
   s159.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s159);

   Scanner s160(STR2INT);
   s160.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(2 ,START));
   s160.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(7 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s160.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s160.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s160.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s160.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s160.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s160.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s160.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s160.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s160.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s160.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s160.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s160.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s160);

   Scanner s161(STR2LONG);
   s161.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(2 ,START));
   s161.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(8 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s161.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s161.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s161.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s161.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s161.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s161.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s161.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s161.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s161.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s161.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s161.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s161.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s161.addTransition(ScannerTransEntry(7 ,'G' ,8));
   s161.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s161);

   Scanner s162(TO);
   s162.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s162.addState(ScannerStateEntry(1 ,FINAL));
   s162.addState(ScannerStateEntry(2 ,START));
   s162.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s162.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s162.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s162.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s162);

   Scanner s163(TRIM);
   s163.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(2 ,START));
   s163.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(4 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s163.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s163.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s163.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s163.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s163.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s163.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s163.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s163);

   Scanner s164(TRUEVAL);
   s164.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s164.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s164.addState(ScannerStateEntry(2 ,START));
   s164.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s164.addState(ScannerStateEntry(4 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s164.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s164.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s164.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s164.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s164.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s164.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s164.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s164);

   Scanner s165(TRUNC);
   s165.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(2 ,START));
   s165.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(5 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s165.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s165.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s165.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s165.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s165.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s165.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s165.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s165);

   Scanner s166(TRUNCATE);
   s166.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(2 ,START));
   s166.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(8 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s166.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s166.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s166.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s166.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s166.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s166.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s166.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s166.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s166.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s166.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s166.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s166.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s166.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s166);

   Scanner s167(UNION);
   s167.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(2 ,START));
   s167.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(5 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s167.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s167.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s167.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s167.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s167.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s167.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s167.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s167);

   Scanner s168(UNIQUE);
   s168.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(2 ,START));
   s168.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(6 ,FINAL));
   s168.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s168.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s168.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s168.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s168.addTransition(ScannerTransEntry(3 ,'Q' ,4));
   s168.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s168.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s168.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s168.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s168.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s168);

   Scanner s169(UPDATE);
   s169.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(2 ,START));
   s169.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(6 ,FINAL));
   s169.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s169.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s169.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s169.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s169.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s169.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s169.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s169.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s169.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s169);

   Scanner s170(UPTIME);
   s170.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(2 ,START));
   s170.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(6 ,FINAL));
   s170.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s170.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s170.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s170.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s170.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s170.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s170.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s170.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s170.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s170);

   Scanner s171(UPPER);
   s171.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(2 ,START));
   s171.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(5 ,FINAL));
   s171.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s171.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s171.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s171.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s171.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s171.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s171.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s171);

   Scanner s172(VAR);
   s172.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(2 ,START));
   s172.addState(ScannerStateEntry(3 ,FINAL));
   s172.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s172.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s172.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s172);

   Scanner s173(VALUES);
   s173.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(2 ,START));
   s173.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(6 ,FINAL));
   s173.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s173.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s173.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s173.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s173.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s173.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s173.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s173.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s173.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s173);

   Scanner s174(VIEW);
   s174.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(2 ,START));
   s174.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(4 ,FINAL));
   s174.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s174.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s174.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s174.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s174.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s174);

   Scanner s175(WHEN);
   s175.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s175.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s175.addState(ScannerStateEntry(2 ,START));
   s175.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s175.addState(ScannerStateEntry(4 ,FINAL));
   s175.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s175.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s175.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s175.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s175.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s175);

   Scanner s176(WHERE);
   s176.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s176.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s176.addState(ScannerStateEntry(2 ,START));
   s176.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s176.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s176.addState(ScannerStateEntry(5 ,FINAL));
   s176.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s176.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s176.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s176.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s176.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s176.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s176.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s176);

   Scanner s177(WHILE);
   s177.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s177.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s177.addState(ScannerStateEntry(2 ,START));
   s177.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s177.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s177.addState(ScannerStateEntry(5 ,FINAL));
   s177.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s177.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s177.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s177.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s177.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s177.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s177.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s177);

   Scanner s178(CONCAT);
   s178.addState(ScannerStateEntry(0 ,START));
   s178.addState(ScannerStateEntry(1 ,FINAL));
   s178.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s178);

   Scanner s179(EQU);
   s179.addState(ScannerStateEntry(0 ,START));
   s179.addState(ScannerStateEntry(1 ,FINAL));
   s179.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s179);

   Scanner s180(KSEP);
   s180.addState(ScannerStateEntry(0 ,START));
   s180.addState(ScannerStateEntry(1 ,FINAL));
   s180.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s180);

   Scanner s181(LB);
   s181.addState(ScannerStateEntry(0 ,START));
   s181.addState(ScannerStateEntry(1 ,FINAL));
   s181.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s181);

   Scanner s182(LT);
   s182.addState(ScannerStateEntry(0 ,START));
   s182.addState(ScannerStateEntry(1 ,FINAL));
   s182.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s182);

   Scanner s183(MT);
   s183.addState(ScannerStateEntry(0 ,START));
   s183.addState(ScannerStateEntry(1 ,FINAL));
   s183.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s183);

   Scanner s184(NEGATION);
   s184.addState(ScannerStateEntry(0 ,START));
   s184.addState(ScannerStateEntry(1 ,FINAL));
   s184.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s184);

   Scanner s185(RB);
   s185.addState(ScannerStateEntry(0 ,START));
   s185.addState(ScannerStateEntry(1 ,FINAL));
   s185.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s185);

   Scanner s186(LAB);
   s186.addState(ScannerStateEntry(0 ,START));
   s186.addState(ScannerStateEntry(1 ,FINAL));
   s186.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s186);

   Scanner s187(RAB);
   s187.addState(ScannerStateEntry(0 ,START));
   s187.addState(ScannerStateEntry(1 ,FINAL));
   s187.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s187);

   Scanner s188(SEMICOLON);
   s188.addState(ScannerStateEntry(0 ,START));
   s188.addState(ScannerStateEntry(1 ,FINAL));
   s188.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s188);

   Scanner s189(STAR);
   s189.addState(ScannerStateEntry(0 ,START));
   s189.addState(ScannerStateEntry(1 ,FINAL));
   s189.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s189);

   Scanner s190(DIVISION);
   s190.addState(ScannerStateEntry(0 ,START));
   s190.addState(ScannerStateEntry(1 ,FINAL));
   s190.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s190);

   Scanner s191(MINUS);
   s191.addState(ScannerStateEntry(0 ,START));
   s191.addState(ScannerStateEntry(1 ,FINAL));
   s191.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s191);

   Scanner s192(PLUS);
   s192.addState(ScannerStateEntry(0 ,START));
   s192.addState(ScannerStateEntry(1 ,FINAL));
   s192.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s192);

   Scanner s193(INTVAL);
   s193.addState(ScannerStateEntry(0 ,START));
   s193.addState(ScannerStateEntry(1 ,FINAL));
   s193.addState(ScannerStateEntry(2 ,FINAL));
   s193.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s193.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s193);

   Scanner s194(FLOATVAL);
   s194.addState(ScannerStateEntry(0 ,START));
   s194.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s194.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s194.addState(ScannerStateEntry(3 ,FINAL));
   s194.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s194.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s194);

   Scanner s195(IDENTIFIER);
   s195.addState(ScannerStateEntry(0 ,START));
   s195.addState(ScannerStateEntry(1 ,FINAL));
   s195.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s195);

   Scanner s196(VARREF);
   s196.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s196.addState(ScannerStateEntry(1 ,FINAL));
   s196.addState(ScannerStateEntry(2 ,START));
   s196.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s196.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s196);

   Scanner s197(QUALIFIEDOBJ);
   s197.addState(ScannerStateEntry(0 ,START));
   s197.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s197.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s197.addState(ScannerStateEntry(3 ,FINAL));
   s197.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s197.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s197);

   Scanner s198(QUALIFIEDPRE);
   s198.addState(ScannerStateEntry(0 ,START));
   s198.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s198.addState(ScannerStateEntry(2 ,FINAL));
   s198.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s198);

   Scanner s199(QUALIFIEDTS);
   s199.addState(ScannerStateEntry(0 ,START));
   s199.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s199.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s199.addState(ScannerStateEntry(3 ,FINAL));
   s199.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s199.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s199);

}
void Cego::loadParser0()
{
   _actionMap[969][SEMICOLON] = ActionEntry(REDUCE, 88);
   _actionMap[968][RB] = ActionEntry(SHIFT, 969);
   _actionMap[967][IDENTIFIER] = ActionEntry(SHIFT, 831);
   _jumpMap[967][SimpleAttr] = 830;
   _jumpMap[967][SimpleAttrList] = 968;
   _actionMap[961][LB] = ActionEntry(SHIFT, 967);
   _actionMap[962][ROWLIMIT] = ActionEntry(REDUCE, 284);
   _actionMap[962][UNION] = ActionEntry(REDUCE, 284);
   _actionMap[962][ENDTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[962][RB] = ActionEntry(REDUCE, 284);
   _actionMap[962][SEMICOLON] = ActionEntry(REDUCE, 284);
   _actionMap[962][KSEP] = ActionEntry(REDUCE, 284);
   _actionMap[963][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[963][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[963][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[963][ORDER] = ActionEntry(REDUCE, 280);
   _actionMap[963][ROWLIMIT] = ActionEntry(REDUCE, 280);
   _actionMap[963][UNION] = ActionEntry(REDUCE, 280);
   _actionMap[963][ENDTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[963][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[963][OR] = ActionEntry(REDUCE, 280);
   _actionMap[963][AND] = ActionEntry(REDUCE, 280);
   _actionMap[963][RB] = ActionEntry(REDUCE, 280);
   _actionMap[964][ORDER] = ActionEntry(REDUCE, 277);
   _actionMap[964][ROWLIMIT] = ActionEntry(REDUCE, 277);
   _actionMap[964][UNION] = ActionEntry(REDUCE, 277);
   _actionMap[964][ENDTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[964][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[964][AND] = ActionEntry(REDUCE, 277);
   _actionMap[964][OR] = ActionEntry(REDUCE, 277);
   _actionMap[964][RB] = ActionEntry(REDUCE, 277);
   _actionMap[965][ORDER] = ActionEntry(REDUCE, 276);
   _actionMap[965][ROWLIMIT] = ActionEntry(REDUCE, 276);
   _actionMap[965][UNION] = ActionEntry(REDUCE, 276);
   _actionMap[965][ENDTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[965][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[965][AND] = ActionEntry(REDUCE, 276);
   _actionMap[965][OR] = ActionEntry(REDUCE, 276);
   _actionMap[965][RB] = ActionEntry(REDUCE, 276);
   _actionMap[966][ORDER] = ActionEntry(REDUCE, 279);
   _actionMap[966][ROWLIMIT] = ActionEntry(REDUCE, 279);
   _actionMap[966][UNION] = ActionEntry(REDUCE, 279);
   _actionMap[966][ENDTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[966][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[966][AND] = ActionEntry(REDUCE, 279);
   _actionMap[966][OR] = ActionEntry(REDUCE, 279);
   _actionMap[966][RB] = ActionEntry(REDUCE, 279);
   _actionMap[953][IDENTIFIER] = ActionEntry(SHIFT, 961);
   _actionMap[954][SEMICOLON] = ActionEntry(REDUCE, 100);
   _actionMap[954][RB] = ActionEntry(REDUCE, 100);
}
void Cego::loadParser1()
{
   _actionMap[955][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[955][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[955][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[955][ASC] = ActionEntry(SHIFT, 943);
   _actionMap[955][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[955][DESC] = ActionEntry(SHIFT, 944);
   _actionMap[955][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[955][ENDTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[955][RB] = ActionEntry(REDUCE, 289);
   _actionMap[955][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[955][KSEP] = ActionEntry(REDUCE, 289);
   _jumpMap[955][DefaultOrderOpt] = 942;
   _jumpMap[955][OrderingOpt] = 962;
   _actionMap[956][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[956][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[956][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[956][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[956][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[956][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[956][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[956][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[956][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[956][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[956][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[956][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[956][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[956][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[956][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[956][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[956][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[956][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[956][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[956][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[956][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[956][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[956][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[956][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[956][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[956][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[956][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[956][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[956][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[956][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[956][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[956][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[956][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[956][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[956][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[956][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[956][BLOBREF] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser2()
{
   _actionMap[956][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[956][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[956][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[956][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[956][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[956][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[956][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[956][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[956][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[956][LB] = ActionEntry(SHIFT, 177);
   _actionMap[956][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[956][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[956][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[956][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[956][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[956][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[956][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[956][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[956][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[956][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[956][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[956][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[956][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[956][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[956][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[956][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[956][ObjSpec] = 122;
   _jumpMap[956][Constant] = 121;
   _jumpMap[956][SignedFloat] = 120;
   _jumpMap[956][SignedInt] = 119;
   _jumpMap[956][Attribute] = 118;
   _jumpMap[956][Function] = 117;
   _jumpMap[956][CasePrepare] = 116;
   _jumpMap[956][CaseClause] = 115;
   _jumpMap[956][Factor] = 114;
   _jumpMap[956][Term] = 113;
   _jumpMap[956][Expr] = 963;
   _actionMap[957][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[957][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[957][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[957][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[957][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[957][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[957][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[957][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[957][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[957][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[957][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[957][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[957][LONG2DATE] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser3()
{
   _actionMap[957][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[957][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[957][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[957][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[957][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[957][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[957][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[957][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[957][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[957][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[957][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[957][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[957][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[957][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[957][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[957][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[957][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[957][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[957][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[957][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[957][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[957][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[957][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[957][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[957][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[957][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[957][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[957][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[957][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[957][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[957][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[957][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[957][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[957][LB] = ActionEntry(SHIFT, 949);
   _actionMap[957][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[957][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[957][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[957][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[957][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[957][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[957][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[957][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[957][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[957][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[957][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[957][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[957][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[957][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[957][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[957][MAX] = ActionEntry(SHIFT, 155);
}
void Cego::loadParser4()
{
   _jumpMap[957][ObjSpec] = 122;
   _jumpMap[957][Constant] = 121;
   _jumpMap[957][SignedFloat] = 120;
   _jumpMap[957][SignedInt] = 119;
   _jumpMap[957][Attribute] = 118;
   _jumpMap[957][Function] = 117;
   _jumpMap[957][HavingDesc] = 964;
   _jumpMap[957][CasePrepare] = 116;
   _jumpMap[957][CaseClause] = 115;
   _jumpMap[957][Factor] = 114;
   _jumpMap[957][Term] = 113;
   _jumpMap[957][Expr] = 946;
   _actionMap[958][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[958][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[958][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[958][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[958][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[958][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[958][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[958][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[958][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[958][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[958][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[958][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[958][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[958][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[958][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[958][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[958][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[958][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[958][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[958][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[958][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[958][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[958][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[958][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[958][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[958][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[958][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[958][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[958][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[958][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[958][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[958][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[958][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[958][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[958][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[958][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[958][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[958][CLOBSIZE] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser5()
{
   _actionMap[958][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[958][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[958][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[958][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[958][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[958][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[958][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[958][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[958][LB] = ActionEntry(SHIFT, 949);
   _actionMap[958][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[958][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[958][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[958][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[958][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[958][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[958][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[958][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[958][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[958][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[958][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[958][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[958][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[958][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[958][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[958][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[958][ObjSpec] = 122;
   _jumpMap[958][Constant] = 121;
   _jumpMap[958][SignedFloat] = 120;
   _jumpMap[958][SignedInt] = 119;
   _jumpMap[958][Attribute] = 118;
   _jumpMap[958][Function] = 117;
   _jumpMap[958][HavingDesc] = 965;
   _jumpMap[958][CasePrepare] = 116;
   _jumpMap[958][CaseClause] = 115;
   _jumpMap[958][Factor] = 114;
   _jumpMap[958][Term] = 113;
   _jumpMap[958][Expr] = 946;
   _actionMap[959][RB] = ActionEntry(SHIFT, 518);
   _actionMap[959][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[959][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[959][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[959][EQU] = ActionEntry(SHIFT, 447);
   _actionMap[959][NEGATION] = ActionEntry(SHIFT, 450);
   _actionMap[959][LT] = ActionEntry(SHIFT, 448);
   _actionMap[959][MT] = ActionEntry(SHIFT, 449);
   _jumpMap[959][Comparison] = 956;
   _actionMap[960][RB] = ActionEntry(SHIFT, 966);
   _actionMap[960][OR] = ActionEntry(SHIFT, 958);
   _actionMap[960][AND] = ActionEntry(SHIFT, 957);
   _actionMap[936][REFERENCES] = ActionEntry(SHIFT, 953);
}
void Cego::loadParser6()
{
   _actionMap[937][ELSE] = ActionEntry(REDUCE, 148);
   _actionMap[937][ELSIF] = ActionEntry(REDUCE, 148);
   _actionMap[937][EXCEPTION] = ActionEntry(REDUCE, 148);
   _actionMap[937][END_TOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[937][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[937][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[937][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[937][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[937][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[937][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[937][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[937][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[937][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[937][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[937][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[937][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[937][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[937][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[937][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[937][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[937][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[937][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[937][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[937][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[937][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[937][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[937][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[937][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[937][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[937][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[937][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[937][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[937][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[937][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[937][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[937][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[937][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[937][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[937][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[937][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[937][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[937][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[937][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[937][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[937][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[937][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[937][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[937][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[937][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[937][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
}
void Cego::loadParser7()
{
   _actionMap[937][LB] = ActionEntry(SHIFT, 177);
   _actionMap[937][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[937][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[937][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[937][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[937][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[937][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[937][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[937][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[937][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[937][VARREF] = ActionEntry(SHIFT, 419);
   _actionMap[937][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[937][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[937][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[937][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[937][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[937][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[937][IF] = ActionEntry(SHIFT, 413);
   _actionMap[937][BEGIN] = ActionEntry(SHIFT, 410);
   _actionMap[937][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[937][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[937][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[937][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[937][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[937][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[937][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[937][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[937][VAR] = ActionEntry(SHIFT, 417);
   _actionMap[937][CURSOR] = ActionEntry(SHIFT, 412);
   _actionMap[937][CLOSE] = ActionEntry(SHIFT, 411);
   _actionMap[937][NOOP] = ActionEntry(SHIFT, 414);
   _actionMap[937][THROW] = ActionEntry(SHIFT, 416);
   _actionMap[937][RETURNTOKEN] = ActionEntry(SHIFT, 415);
   _actionMap[937][WHILE] = ActionEntry(SHIFT, 418);
   _jumpMap[937][ObjSpec] = 122;
   _jumpMap[937][Constant] = 121;
   _jumpMap[937][SignedFloat] = 120;
   _jumpMap[937][SignedInt] = 119;
   _jumpMap[937][Attribute] = 118;
   _jumpMap[937][Function] = 117;
   _jumpMap[937][DeleteStatement] = 409;
   _jumpMap[937][UpdateStatement] = 408;
   _jumpMap[937][InsertStatement] = 407;
   _jumpMap[937][UnlockStatement] = 406;
   _jumpMap[937][LockStatement] = 405;
   _jumpMap[937][RollbackStatement] = 404;
   _jumpMap[937][CommitStatement] = 403;
   _jumpMap[937][StartStatement] = 402;
   _jumpMap[937][CasePrepare] = 116;
   _jumpMap[937][CaseClause] = 115;
}
void Cego::loadParser8()
{
   _jumpMap[937][Factor] = 114;
   _jumpMap[937][Term] = 113;
   _jumpMap[937][Expr] = 401;
   _jumpMap[937][ProcStatement] = 560;
   _jumpMap[937][ProcIfPart] = 399;
   _jumpMap[937][ProcBlockStart] = 398;
   _actionMap[938][RB] = ActionEntry(REDUCE, 403);
   _actionMap[939][SEMICOLON] = ActionEntry(REDUCE, 66);
   _actionMap[940][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[940][SelectStatement] = 954;
   _actionMap[941][ROWLIMIT] = ActionEntry(REDUCE, 285);
   _actionMap[941][UNION] = ActionEntry(REDUCE, 285);
   _actionMap[941][ENDTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[941][RB] = ActionEntry(REDUCE, 285);
   _actionMap[941][SEMICOLON] = ActionEntry(REDUCE, 285);
   _actionMap[941][KSEP] = ActionEntry(REDUCE, 285);
   _actionMap[942][ROWLIMIT] = ActionEntry(REDUCE, 286);
   _actionMap[942][UNION] = ActionEntry(REDUCE, 286);
   _actionMap[942][ENDTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[942][RB] = ActionEntry(REDUCE, 286);
   _actionMap[942][SEMICOLON] = ActionEntry(REDUCE, 286);
   _actionMap[942][KSEP] = ActionEntry(REDUCE, 286);
   _actionMap[943][ROWLIMIT] = ActionEntry(REDUCE, 288);
   _actionMap[943][UNION] = ActionEntry(REDUCE, 288);
   _actionMap[943][ENDTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[943][RB] = ActionEntry(REDUCE, 288);
   _actionMap[943][SEMICOLON] = ActionEntry(REDUCE, 288);
   _actionMap[943][KSEP] = ActionEntry(REDUCE, 288);
   _actionMap[944][ROWLIMIT] = ActionEntry(REDUCE, 287);
   _actionMap[944][UNION] = ActionEntry(REDUCE, 287);
   _actionMap[944][ENDTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[944][RB] = ActionEntry(REDUCE, 287);
   _actionMap[944][SEMICOLON] = ActionEntry(REDUCE, 287);
   _actionMap[944][KSEP] = ActionEntry(REDUCE, 287);
   _actionMap[945][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[945][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[945][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[945][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[945][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[945][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[945][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[945][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[945][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[945][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[945][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[945][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[945][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[945][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[945][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[945][UPPER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser9()
{
   _actionMap[945][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[945][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[945][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[945][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[945][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[945][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[945][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[945][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[945][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[945][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[945][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[945][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[945][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[945][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[945][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[945][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[945][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[945][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[945][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[945][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[945][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[945][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[945][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[945][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[945][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[945][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[945][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[945][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[945][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[945][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[945][LB] = ActionEntry(SHIFT, 177);
   _actionMap[945][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[945][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[945][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[945][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[945][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[945][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[945][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[945][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[945][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[945][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[945][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[945][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[945][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[945][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[945][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[945][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[945][ObjSpec] = 122;
   _jumpMap[945][Constant] = 121;
   _jumpMap[945][SignedFloat] = 120;
}
void Cego::loadParser10()
{
   _jumpMap[945][SignedInt] = 119;
   _jumpMap[945][Attribute] = 118;
   _jumpMap[945][Function] = 117;
   _jumpMap[945][CasePrepare] = 116;
   _jumpMap[945][CaseClause] = 115;
   _jumpMap[945][Factor] = 114;
   _jumpMap[945][Term] = 113;
   _jumpMap[945][Expr] = 955;
   _actionMap[946][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[946][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[946][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[946][EQU] = ActionEntry(SHIFT, 447);
   _actionMap[946][NEGATION] = ActionEntry(SHIFT, 450);
   _actionMap[946][LT] = ActionEntry(SHIFT, 448);
   _actionMap[946][MT] = ActionEntry(SHIFT, 449);
   _jumpMap[946][Comparison] = 956;
   _actionMap[947][OR] = ActionEntry(SHIFT, 958);
   _actionMap[947][AND] = ActionEntry(SHIFT, 957);
   _actionMap[947][ORDER] = ActionEntry(REDUCE, 273);
   _actionMap[947][ROWLIMIT] = ActionEntry(REDUCE, 273);
   _actionMap[947][UNION] = ActionEntry(REDUCE, 273);
   _actionMap[947][ENDTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[947][RB] = ActionEntry(REDUCE, 273);
   _actionMap[947][SEMICOLON] = ActionEntry(REDUCE, 273);
   _actionMap[948][ORDER] = ActionEntry(REDUCE, 278);
   _actionMap[948][ROWLIMIT] = ActionEntry(REDUCE, 278);
   _actionMap[948][UNION] = ActionEntry(REDUCE, 278);
   _actionMap[948][ENDTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[948][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[948][AND] = ActionEntry(REDUCE, 278);
   _actionMap[948][OR] = ActionEntry(REDUCE, 278);
   _actionMap[948][RB] = ActionEntry(REDUCE, 278);
   _actionMap[949][LONG] = ActionEntry(SHIFT, 343);
   _actionMap[949][BIGINT] = ActionEntry(SHIFT, 340);
   _actionMap[949][SMALLINT] = ActionEntry(SHIFT, 344);
   _actionMap[949][TINYINT] = ActionEntry(SHIFT, 345);
   _actionMap[949][DOUBLE] = ActionEntry(SHIFT, 342);
   _actionMap[949][DECIMAL] = ActionEntry(SHIFT, 341);
   _actionMap[949][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[949][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[949][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[949][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[949][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[949][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[949][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[949][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[949][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[949][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[949][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[949][DATE2LONG] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser11()
{
   _actionMap[949][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[949][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[949][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[949][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[949][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[949][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[949][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[949][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[949][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[949][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[949][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[949][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[949][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[949][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[949][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[949][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[949][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[949][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[949][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[949][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[949][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[949][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[949][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[949][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[949][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[949][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[949][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[949][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[949][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[949][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[949][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[949][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[949][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[949][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[949][LB] = ActionEntry(SHIFT, 949);
   _actionMap[949][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[949][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[949][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[949][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[949][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[949][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[949][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[949][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[949][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[949][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[949][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[949][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[949][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[949][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[949][MIN] = ActionEntry(SHIFT, 154);
}
void Cego::loadParser12()
{
   _actionMap[949][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[949][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[949][ObjSpec] = 122;
   _jumpMap[949][Constant] = 121;
   _jumpMap[949][SignedFloat] = 120;
   _jumpMap[949][SignedInt] = 119;
   _jumpMap[949][Attribute] = 118;
   _jumpMap[949][Function] = 117;
   _jumpMap[949][HavingDesc] = 948;
   _jumpMap[949][HavingCondition] = 960;
   _jumpMap[949][SelectStatement] = 339;
   _jumpMap[949][CasePrepare] = 116;
   _jumpMap[949][CaseClause] = 115;
   _jumpMap[949][Factor] = 114;
   _jumpMap[949][Term] = 113;
   _jumpMap[949][Expr] = 959;
   _actionMap[950][KSEP] = ActionEntry(REDUCE, 271);
   _actionMap[950][HAVING] = ActionEntry(REDUCE, 271);
   _actionMap[950][ORDER] = ActionEntry(REDUCE, 271);
   _actionMap[950][ROWLIMIT] = ActionEntry(REDUCE, 271);
   _actionMap[950][UNION] = ActionEntry(REDUCE, 271);
   _actionMap[950][ENDTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[950][RB] = ActionEntry(REDUCE, 271);
   _actionMap[950][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[951][AND] = ActionEntry(SHIFT, 451);
   _actionMap[951][OR] = ActionEntry(SHIFT, 452);
   _actionMap[951][LEFT] = ActionEntry(REDUCE, 255);
   _actionMap[951][RIGHT] = ActionEntry(REDUCE, 255);
   _actionMap[951][INNER] = ActionEntry(REDUCE, 255);
   _actionMap[951][JOIN] = ActionEntry(REDUCE, 255);
   _actionMap[951][RETURNTOKEN] = ActionEntry(REDUCE, 255);
   _actionMap[951][SEMICOLON] = ActionEntry(REDUCE, 255);
   _actionMap[951][RB] = ActionEntry(REDUCE, 255);
   _actionMap[951][ENDTOKEN] = ActionEntry(REDUCE, 255);
   _actionMap[951][UNION] = ActionEntry(REDUCE, 255);
   _actionMap[951][ROWLIMIT] = ActionEntry(REDUCE, 255);
   _actionMap[951][ORDER] = ActionEntry(REDUCE, 255);
   _actionMap[951][GROUP] = ActionEntry(REDUCE, 255);
   _actionMap[951][WHERE] = ActionEntry(REDUCE, 255);
   _actionMap[952][AND] = ActionEntry(SHIFT, 451);
   _actionMap[952][OR] = ActionEntry(SHIFT, 452);
   _actionMap[952][LEFT] = ActionEntry(REDUCE, 257);
   _actionMap[952][RIGHT] = ActionEntry(REDUCE, 257);
   _actionMap[952][INNER] = ActionEntry(REDUCE, 257);
   _actionMap[952][JOIN] = ActionEntry(REDUCE, 257);
   _actionMap[952][RETURNTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[952][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[952][RB] = ActionEntry(REDUCE, 257);
   _actionMap[952][ENDTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[952][UNION] = ActionEntry(REDUCE, 257);
}
void Cego::loadParser13()
{
   _actionMap[952][ROWLIMIT] = ActionEntry(REDUCE, 257);
   _actionMap[952][ORDER] = ActionEntry(REDUCE, 257);
   _actionMap[952][GROUP] = ActionEntry(REDUCE, 257);
   _actionMap[952][WHERE] = ActionEntry(REDUCE, 257);
   _actionMap[909][RB] = ActionEntry(SHIFT, 936);
   _actionMap[910][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[910][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[910][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[910][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[910][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[910][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[910][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[910][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[910][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[910][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[910][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[910][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[910][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[910][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[910][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[910][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[910][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[910][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[910][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[910][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[910][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[910][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[910][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[910][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[910][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[910][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[910][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[910][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[910][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[910][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[910][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[910][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[910][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[910][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[910][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[910][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[910][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[910][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[910][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[910][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[910][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[910][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[910][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[910][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[910][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
}
void Cego::loadParser14()
{
   _actionMap[910][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[910][LB] = ActionEntry(SHIFT, 177);
   _actionMap[910][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[910][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[910][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[910][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[910][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[910][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[910][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[910][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[910][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[910][VARREF] = ActionEntry(SHIFT, 419);
   _actionMap[910][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[910][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[910][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[910][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[910][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[910][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[910][IF] = ActionEntry(SHIFT, 413);
   _actionMap[910][BEGIN] = ActionEntry(SHIFT, 410);
   _actionMap[910][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[910][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[910][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[910][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[910][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[910][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[910][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[910][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[910][VAR] = ActionEntry(SHIFT, 417);
   _actionMap[910][CURSOR] = ActionEntry(SHIFT, 412);
   _actionMap[910][CLOSE] = ActionEntry(SHIFT, 411);
   _actionMap[910][NOOP] = ActionEntry(SHIFT, 414);
   _actionMap[910][THROW] = ActionEntry(SHIFT, 416);
   _actionMap[910][RETURNTOKEN] = ActionEntry(SHIFT, 415);
   _actionMap[910][WHILE] = ActionEntry(SHIFT, 418);
   _jumpMap[910][ObjSpec] = 122;
   _jumpMap[910][Constant] = 121;
   _jumpMap[910][SignedFloat] = 120;
   _jumpMap[910][SignedInt] = 119;
   _jumpMap[910][Attribute] = 118;
   _jumpMap[910][Function] = 117;
   _jumpMap[910][DeleteStatement] = 409;
   _jumpMap[910][UpdateStatement] = 408;
   _jumpMap[910][InsertStatement] = 407;
   _jumpMap[910][UnlockStatement] = 406;
   _jumpMap[910][LockStatement] = 405;
   _jumpMap[910][RollbackStatement] = 404;
   _jumpMap[910][CommitStatement] = 403;
   _jumpMap[910][StartStatement] = 402;
   _jumpMap[910][CasePrepare] = 116;
}
void Cego::loadParser15()
{
   _jumpMap[910][CaseClause] = 115;
   _jumpMap[910][Factor] = 114;
   _jumpMap[910][Term] = 113;
   _jumpMap[910][Expr] = 401;
   _jumpMap[910][ProcStatement] = 400;
   _jumpMap[910][ProcIfPart] = 399;
   _jumpMap[910][ProcBlockStart] = 398;
   _jumpMap[910][ProcStatementList] = 937;
   _actionMap[911][BEGIN] = ActionEntry(REDUCE, 394);
   _actionMap[911][EQU] = ActionEntry(REDUCE, 394);
   _actionMap[911][DEFAULT] = ActionEntry(REDUCE, 394);
   _actionMap[911][NULLTOKEN] = ActionEntry(REDUCE, 394);
   _actionMap[911][NOT] = ActionEntry(REDUCE, 394);
   _actionMap[911][KSEP] = ActionEntry(REDUCE, 394);
   _actionMap[911][SEMICOLON] = ActionEntry(REDUCE, 394);
   _actionMap[911][RB] = ActionEntry(REDUCE, 394);
   _actionMap[912][BEGIN] = ActionEntry(REDUCE, 399);
   _actionMap[912][EQU] = ActionEntry(REDUCE, 399);
   _actionMap[912][DEFAULT] = ActionEntry(REDUCE, 399);
   _actionMap[912][NULLTOKEN] = ActionEntry(REDUCE, 399);
   _actionMap[912][NOT] = ActionEntry(REDUCE, 399);
   _actionMap[912][KSEP] = ActionEntry(REDUCE, 399);
   _actionMap[912][SEMICOLON] = ActionEntry(REDUCE, 399);
   _actionMap[912][RB] = ActionEntry(REDUCE, 399);
   _actionMap[913][INTVAL] = ActionEntry(SHIFT, 938);
   _actionMap[914][BEGIN] = ActionEntry(REDUCE, 391);
   _actionMap[914][EQU] = ActionEntry(REDUCE, 391);
   _actionMap[914][DEFAULT] = ActionEntry(REDUCE, 391);
   _actionMap[914][NULLTOKEN] = ActionEntry(REDUCE, 391);
   _actionMap[914][NOT] = ActionEntry(REDUCE, 391);
   _actionMap[914][KSEP] = ActionEntry(REDUCE, 391);
   _actionMap[914][SEMICOLON] = ActionEntry(REDUCE, 391);
   _actionMap[914][RB] = ActionEntry(REDUCE, 391);
   _actionMap[915][CACHED] = ActionEntry(SHIFT, 919);
   _actionMap[915][SEMICOLON] = ActionEntry(REDUCE, 68);
   _jumpMap[915][CachedOpt] = 939;
   _actionMap[916][KSEP] = ActionEntry(REDUCE, 70);
   _actionMap[916][RB] = ActionEntry(REDUCE, 70);
   _actionMap[917][KSEP] = ActionEntry(REDUCE, 72);
   _actionMap[917][RB] = ActionEntry(REDUCE, 72);
   _actionMap[918][SEMICOLON] = ActionEntry(REDUCE, 65);
   _actionMap[919][SEMICOLON] = ActionEntry(REDUCE, 67);
   _actionMap[920][RB] = ActionEntry(REDUCE, 213);
   _actionMap[921][SEMICOLON] = ActionEntry(REDUCE, 207);
   _actionMap[921][KSEP] = ActionEntry(REDUCE, 207);
   _actionMap[921][RB] = ActionEntry(REDUCE, 207);
   _actionMap[922][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[922][RB] = ActionEntry(REDUCE, 240);
   _actionMap[923][ALL] = ActionEntry(SHIFT, 940);
   _actionMap[924][UNION] = ActionEntry(REDUCE, 293);
}
void Cego::loadParser16()
{
   _actionMap[924][ENDTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[924][RB] = ActionEntry(REDUCE, 293);
   _actionMap[924][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[925][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[925][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[925][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[925][ASC] = ActionEntry(SHIFT, 943);
   _actionMap[925][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[925][DESC] = ActionEntry(SHIFT, 944);
   _actionMap[925][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[925][ENDTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[925][RB] = ActionEntry(REDUCE, 289);
   _actionMap[925][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[925][KSEP] = ActionEntry(REDUCE, 289);
   _jumpMap[925][DefaultOrderOpt] = 942;
   _jumpMap[925][OrderingOpt] = 941;
   _actionMap[926][KSEP] = ActionEntry(SHIFT, 945);
   _actionMap[926][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[926][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[926][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[926][RB] = ActionEntry(REDUCE, 281);
   _actionMap[926][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[927][ORDER] = ActionEntry(REDUCE, 268);
   _actionMap[927][ROWLIMIT] = ActionEntry(REDUCE, 268);
   _actionMap[927][UNION] = ActionEntry(REDUCE, 268);
   _actionMap[927][ENDTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[927][RB] = ActionEntry(REDUCE, 268);
   _actionMap[927][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[928][ORDER] = ActionEntry(REDUCE, 274);
   _actionMap[928][ROWLIMIT] = ActionEntry(REDUCE, 274);
   _actionMap[928][UNION] = ActionEntry(REDUCE, 274);
   _actionMap[928][ENDTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[928][RB] = ActionEntry(REDUCE, 274);
   _actionMap[928][SEMICOLON] = ActionEntry(REDUCE, 274);
   _actionMap[929][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[929][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[929][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[929][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[929][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[929][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[929][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[929][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[929][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[929][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[929][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[929][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[929][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[929][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[929][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[929][UPPER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser17()
{
   _actionMap[929][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[929][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[929][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[929][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[929][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[929][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[929][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[929][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[929][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[929][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[929][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[929][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[929][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[929][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[929][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[929][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[929][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[929][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[929][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[929][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[929][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[929][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[929][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[929][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[929][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[929][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[929][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[929][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[929][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[929][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[929][LB] = ActionEntry(SHIFT, 949);
   _actionMap[929][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[929][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[929][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[929][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[929][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[929][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[929][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[929][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[929][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[929][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[929][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[929][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[929][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[929][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[929][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[929][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[929][ObjSpec] = 122;
   _jumpMap[929][Constant] = 121;
   _jumpMap[929][SignedFloat] = 120;
}
void Cego::loadParser18()
{
   _jumpMap[929][SignedInt] = 119;
   _jumpMap[929][Attribute] = 118;
   _jumpMap[929][Function] = 117;
   _jumpMap[929][HavingDesc] = 948;
   _jumpMap[929][HavingCondition] = 947;
   _jumpMap[929][CasePrepare] = 116;
   _jumpMap[929][CaseClause] = 115;
   _jumpMap[929][Factor] = 114;
   _jumpMap[929][Term] = 113;
   _jumpMap[929][Expr] = 946;
   _actionMap[930][IDENTIFIER] = ActionEntry(SHIFT, 901);
   _actionMap[930][QUALIFIEDOBJ] = ActionEntry(SHIFT, 902);
   _actionMap[930][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _jumpMap[930][Attribute] = 950;
   _actionMap[931][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[931][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[931][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[931][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[931][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[931][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[931][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[931][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[931][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[931][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[931][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[931][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[931][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[931][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[931][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[931][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[931][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[931][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[931][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[931][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[931][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[931][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[931][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[931][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[931][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[931][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[931][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[931][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[931][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[931][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[931][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[931][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[931][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[931][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[931][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[931][BLOBSIZE] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser19()
{
   _actionMap[931][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[931][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[931][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[931][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[931][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[931][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[931][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[931][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[931][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[931][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[931][LB] = ActionEntry(SHIFT, 277);
   _actionMap[931][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[931][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[931][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[931][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[931][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[931][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[931][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[931][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[931][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[931][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[931][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[931][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[931][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[931][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[931][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[931][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[931][EXISTS] = ActionEntry(SHIFT, 275);
   _actionMap[931][NOT] = ActionEntry(SHIFT, 276);
   _jumpMap[931][ObjSpec] = 122;
   _jumpMap[931][Constant] = 121;
   _jumpMap[931][SignedFloat] = 120;
   _jumpMap[931][SignedInt] = 119;
   _jumpMap[931][Attribute] = 118;
   _jumpMap[931][QueryPredicate] = 274;
   _jumpMap[931][QueryCondition] = 951;
   _jumpMap[931][Function] = 117;
   _jumpMap[931][CasePrepare] = 116;
   _jumpMap[931][CaseClause] = 115;
   _jumpMap[931][Factor] = 114;
   _jumpMap[931][Term] = 113;
   _jumpMap[931][Expr] = 272;
   _actionMap[932][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[932][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[932][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[932][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[932][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[932][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[932][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[932][LTRIM] = ActionEntry(SHIFT, 153);
}
void Cego::loadParser20()
{
   _actionMap[932][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[932][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[932][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[932][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[932][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[932][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[932][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[932][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[932][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[932][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[932][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[932][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[932][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[932][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[932][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[932][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[932][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[932][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[932][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[932][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[932][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[932][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[932][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[932][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[932][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[932][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[932][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[932][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[932][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[932][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[932][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[932][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[932][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[932][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[932][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[932][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[932][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[932][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[932][LB] = ActionEntry(SHIFT, 277);
   _actionMap[932][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[932][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[932][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[932][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[932][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[932][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[932][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[932][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[932][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[932][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[932][FETCH] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser21()
{
   _actionMap[932][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[932][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[932][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[932][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[932][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[932][EXISTS] = ActionEntry(SHIFT, 275);
   _actionMap[932][NOT] = ActionEntry(SHIFT, 276);
   _jumpMap[932][ObjSpec] = 122;
   _jumpMap[932][Constant] = 121;
   _jumpMap[932][SignedFloat] = 120;
   _jumpMap[932][SignedInt] = 119;
   _jumpMap[932][Attribute] = 118;
   _jumpMap[932][QueryPredicate] = 274;
   _jumpMap[932][QueryCondition] = 952;
   _jumpMap[932][Function] = 117;
   _jumpMap[932][CasePrepare] = 116;
   _jumpMap[932][CaseClause] = 115;
   _jumpMap[932][Factor] = 114;
   _jumpMap[932][Term] = 113;
   _jumpMap[932][Expr] = 272;
   _actionMap[933][SEMICOLON] = ActionEntry(REDUCE, 304);
   _actionMap[933][KSEP] = ActionEntry(REDUCE, 304);
   _actionMap[934][KSEP] = ActionEntry(SHIFT, 906);
   _actionMap[934][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[935][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[935][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[935][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[935][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[935][KSEP] = ActionEntry(REDUCE, 306);
   _actionMap[865][AND] = ActionEntry(SHIFT, 451);
   _actionMap[865][OR] = ActionEntry(SHIFT, 452);
   _actionMap[865][SEMICOLON] = ActionEntry(REDUCE, 89);
   _actionMap[866][IDENTIFIER] = ActionEntry(SHIFT, 831);
   _jumpMap[866][SimpleAttr] = 830;
   _jumpMap[866][SimpleAttrList] = 909;
   _actionMap[867][SEMICOLON] = ActionEntry(REDUCE, 316);
   _actionMap[867][KSEP] = ActionEntry(REDUCE, 316);
   _actionMap[868][LONG] = ActionEntry(SHIFT, 343);
   _actionMap[868][BIGINT] = ActionEntry(SHIFT, 340);
   _actionMap[868][SMALLINT] = ActionEntry(SHIFT, 344);
   _actionMap[868][TINYINT] = ActionEntry(SHIFT, 345);
   _actionMap[868][DOUBLE] = ActionEntry(SHIFT, 342);
   _actionMap[868][DECIMAL] = ActionEntry(SHIFT, 341);
   _actionMap[869][SEMICOLON] = ActionEntry(REDUCE, 317);
   _actionMap[869][KSEP] = ActionEntry(REDUCE, 317);
   _actionMap[870][THEN] = ActionEntry(SHIFT, 910);
   _actionMap[871][THEN] = ActionEntry(REDUCE, 153);
   _actionMap[872][END_TOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[872][ELSE] = ActionEntry(REDUCE, 158);
   _actionMap[872][ELSIF] = ActionEntry(REDUCE, 158);
}
void Cego::loadParser22()
{
   _actionMap[873][BEGIN] = ActionEntry(REDUCE, 172);
   _actionMap[873][THEN] = ActionEntry(REDUCE, 172);
   _actionMap[873][OR] = ActionEntry(REDUCE, 172);
   _actionMap[873][AND] = ActionEntry(REDUCE, 172);
   _actionMap[873][RB] = ActionEntry(REDUCE, 172);
   _actionMap[874][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[874][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[874][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[874][SEMICOLON] = ActionEntry(REDUCE, 130);
   _actionMap[875][RB] = ActionEntry(SHIFT, 911);
   _actionMap[876][RB] = ActionEntry(SHIFT, 912);
   _actionMap[877][RB] = ActionEntry(REDUCE, 402);
   _actionMap[877][KSEP] = ActionEntry(SHIFT, 913);
   _actionMap[878][RB] = ActionEntry(SHIFT, 914);
   _actionMap[879][SEMICOLON] = ActionEntry(REDUCE, 164);
   _actionMap[880][RB] = ActionEntry(SHIFT, 915);
   _actionMap[881][IDENTIFIER] = ActionEntry(SHIFT, 828);
   _jumpMap[881][AliasAttr] = 916;
   _actionMap[882][SEMICOLON] = ActionEntry(REDUCE, 69);
   _actionMap[883][IDENTIFIER] = ActionEntry(SHIFT, 917);
   _actionMap[884][CACHED] = ActionEntry(SHIFT, 919);
   _actionMap[884][SEMICOLON] = ActionEntry(REDUCE, 68);
   _jumpMap[884][CachedOpt] = 918;
   _actionMap[885][IDENTIFIER] = ActionEntry(SHIFT, 831);
   _jumpMap[885][SimpleAttr] = 830;
   _jumpMap[885][SimpleAttrList] = 920;
   _actionMap[886][SEMICOLON] = ActionEntry(REDUCE, 205);
   _actionMap[886][KSEP] = ActionEntry(REDUCE, 205);
   _actionMap[886][RB] = ActionEntry(REDUCE, 205);
   _actionMap[887][SEMICOLON] = ActionEntry(REDUCE, 208);
   _actionMap[887][KSEP] = ActionEntry(REDUCE, 208);
   _actionMap[887][RB] = ActionEntry(REDUCE, 208);
   _actionMap[888][NULLTOKEN] = ActionEntry(SHIFT, 921);
   _actionMap[889][SEMICOLON] = ActionEntry(REDUCE, 206);
   _actionMap[889][KSEP] = ActionEntry(REDUCE, 206);
   _actionMap[889][RB] = ActionEntry(REDUCE, 206);
   _actionMap[890][NULLTOKEN] = ActionEntry(REDUCE, 210);
   _actionMap[890][NOT] = ActionEntry(REDUCE, 210);
   _actionMap[890][KSEP] = ActionEntry(REDUCE, 210);
   _actionMap[890][SEMICOLON] = ActionEntry(REDUCE, 210);
   _actionMap[890][RB] = ActionEntry(REDUCE, 210);
   _actionMap[891][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[891][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[891][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[891][KSEP] = ActionEntry(REDUCE, 237);
   _actionMap[891][RB] = ActionEntry(REDUCE, 237);
   _actionMap[892][LEFT] = ActionEntry(REDUCE, 380);
   _actionMap[892][RIGHT] = ActionEntry(REDUCE, 380);
   _actionMap[892][INNER] = ActionEntry(REDUCE, 380);
   _actionMap[892][JOIN] = ActionEntry(REDUCE, 380);
}
void Cego::loadParser23()
{
   _actionMap[892][RETURNTOKEN] = ActionEntry(REDUCE, 380);
   _actionMap[892][SEMICOLON] = ActionEntry(REDUCE, 380);
   _actionMap[892][ENDTOKEN] = ActionEntry(REDUCE, 380);
   _actionMap[892][UNION] = ActionEntry(REDUCE, 380);
   _actionMap[892][ROWLIMIT] = ActionEntry(REDUCE, 380);
   _actionMap[892][ORDER] = ActionEntry(REDUCE, 380);
   _actionMap[892][GROUP] = ActionEntry(REDUCE, 380);
   _actionMap[892][WHERE] = ActionEntry(REDUCE, 380);
   _actionMap[892][THEN] = ActionEntry(REDUCE, 380);
   _actionMap[892][AND] = ActionEntry(REDUCE, 380);
   _actionMap[892][OR] = ActionEntry(REDUCE, 380);
   _actionMap[892][RB] = ActionEntry(REDUCE, 380);
   _actionMap[893][LEFT] = ActionEntry(REDUCE, 378);
   _actionMap[893][RIGHT] = ActionEntry(REDUCE, 378);
   _actionMap[893][INNER] = ActionEntry(REDUCE, 378);
   _actionMap[893][JOIN] = ActionEntry(REDUCE, 378);
   _actionMap[893][RETURNTOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[893][SEMICOLON] = ActionEntry(REDUCE, 378);
   _actionMap[893][ENDTOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[893][UNION] = ActionEntry(REDUCE, 378);
   _actionMap[893][ROWLIMIT] = ActionEntry(REDUCE, 378);
   _actionMap[893][ORDER] = ActionEntry(REDUCE, 378);
   _actionMap[893][GROUP] = ActionEntry(REDUCE, 378);
   _actionMap[893][WHERE] = ActionEntry(REDUCE, 378);
   _actionMap[893][THEN] = ActionEntry(REDUCE, 378);
   _actionMap[893][AND] = ActionEntry(REDUCE, 378);
   _actionMap[893][OR] = ActionEntry(REDUCE, 378);
   _actionMap[893][RB] = ActionEntry(REDUCE, 378);
   _actionMap[894][KSEP] = ActionEntry(REDUCE, 199);
   _actionMap[894][RB] = ActionEntry(REDUCE, 199);
   _actionMap[895][UNION] = ActionEntry(SHIFT, 923);
   _actionMap[895][SEMICOLON] = ActionEntry(REDUCE, 101);
   _actionMap[895][RB] = ActionEntry(REDUCE, 101);
   _jumpMap[895][UnionAllOpt] = 922;
   _actionMap[896][UNION] = ActionEntry(REDUCE, 294);
   _actionMap[896][ENDTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[896][RB] = ActionEntry(REDUCE, 294);
   _actionMap[896][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[897][INTVAL] = ActionEntry(SHIFT, 924);
   _actionMap[898][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[898][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[898][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[898][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[898][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[898][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[898][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[898][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[898][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[898][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[898][DATE2STR] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser24()
{
   _actionMap[898][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[898][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[898][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[898][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[898][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[898][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[898][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[898][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[898][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[898][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[898][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[898][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[898][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[898][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[898][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[898][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[898][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[898][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[898][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[898][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[898][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[898][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[898][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[898][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[898][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[898][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[898][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[898][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[898][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[898][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[898][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[898][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[898][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[898][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[898][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[898][LB] = ActionEntry(SHIFT, 177);
   _actionMap[898][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[898][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[898][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[898][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[898][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[898][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[898][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[898][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[898][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[898][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[898][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[898][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[898][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[898][AVG] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser25()
{
   _actionMap[898][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[898][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[898][ObjSpec] = 122;
   _jumpMap[898][Constant] = 121;
   _jumpMap[898][SignedFloat] = 120;
   _jumpMap[898][SignedInt] = 119;
   _jumpMap[898][Attribute] = 118;
   _jumpMap[898][Function] = 117;
   _jumpMap[898][OrderingList] = 926;
   _jumpMap[898][CasePrepare] = 116;
   _jumpMap[898][CaseClause] = 115;
   _jumpMap[898][Factor] = 114;
   _jumpMap[898][Term] = 113;
   _jumpMap[898][Expr] = 925;
   _actionMap[899][KSEP] = ActionEntry(SHIFT, 930);
   _actionMap[899][ORDER] = ActionEntry(REDUCE, 275);
   _actionMap[899][HAVING] = ActionEntry(SHIFT, 929);
   _actionMap[899][ROWLIMIT] = ActionEntry(REDUCE, 275);
   _actionMap[899][UNION] = ActionEntry(REDUCE, 275);
   _actionMap[899][ENDTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[899][RB] = ActionEntry(REDUCE, 275);
   _actionMap[899][SEMICOLON] = ActionEntry(REDUCE, 275);
   _jumpMap[899][NoHaving] = 928;
   _jumpMap[899][HavingClause] = 927;
   _actionMap[900][KSEP] = ActionEntry(REDUCE, 272);
   _actionMap[900][HAVING] = ActionEntry(REDUCE, 272);
   _actionMap[900][ORDER] = ActionEntry(REDUCE, 272);
   _actionMap[900][ROWLIMIT] = ActionEntry(REDUCE, 272);
   _actionMap[900][UNION] = ActionEntry(REDUCE, 272);
   _actionMap[900][ENDTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[900][RB] = ActionEntry(REDUCE, 272);
   _actionMap[900][SEMICOLON] = ActionEntry(REDUCE, 272);
   _actionMap[901][KSEP] = ActionEntry(REDUCE, 410);
   _actionMap[901][HAVING] = ActionEntry(REDUCE, 410);
   _actionMap[901][ORDER] = ActionEntry(REDUCE, 410);
   _actionMap[901][ROWLIMIT] = ActionEntry(REDUCE, 410);
   _actionMap[901][UNION] = ActionEntry(REDUCE, 410);
   _actionMap[901][ENDTOKEN] = ActionEntry(REDUCE, 410);
   _actionMap[901][RB] = ActionEntry(REDUCE, 410);
   _actionMap[901][SEMICOLON] = ActionEntry(REDUCE, 410);
   _actionMap[902][KSEP] = ActionEntry(REDUCE, 411);
   _actionMap[902][HAVING] = ActionEntry(REDUCE, 411);
   _actionMap[902][ORDER] = ActionEntry(REDUCE, 411);
   _actionMap[902][ROWLIMIT] = ActionEntry(REDUCE, 411);
   _actionMap[902][UNION] = ActionEntry(REDUCE, 411);
   _actionMap[902][ENDTOKEN] = ActionEntry(REDUCE, 411);
   _actionMap[902][RB] = ActionEntry(REDUCE, 411);
   _actionMap[902][SEMICOLON] = ActionEntry(REDUCE, 411);
   _actionMap[903][AND] = ActionEntry(SHIFT, 451);
   _actionMap[903][OR] = ActionEntry(SHIFT, 452);
}
void Cego::loadParser26()
{
   _actionMap[903][LEFT] = ActionEntry(REDUCE, 253);
   _actionMap[903][RIGHT] = ActionEntry(REDUCE, 253);
   _actionMap[903][INNER] = ActionEntry(REDUCE, 253);
   _actionMap[903][JOIN] = ActionEntry(REDUCE, 253);
   _actionMap[903][RETURNTOKEN] = ActionEntry(REDUCE, 253);
   _actionMap[903][SEMICOLON] = ActionEntry(REDUCE, 253);
   _actionMap[903][RB] = ActionEntry(REDUCE, 253);
   _actionMap[903][ENDTOKEN] = ActionEntry(REDUCE, 253);
   _actionMap[903][UNION] = ActionEntry(REDUCE, 253);
   _actionMap[903][ROWLIMIT] = ActionEntry(REDUCE, 253);
   _actionMap[903][ORDER] = ActionEntry(REDUCE, 253);
   _actionMap[903][GROUP] = ActionEntry(REDUCE, 253);
   _actionMap[903][WHERE] = ActionEntry(REDUCE, 253);
   _actionMap[904][ON] = ActionEntry(SHIFT, 931);
   _actionMap[904][LEFT] = ActionEntry(REDUCE, 254);
   _actionMap[904][RIGHT] = ActionEntry(REDUCE, 254);
   _actionMap[904][INNER] = ActionEntry(REDUCE, 254);
   _actionMap[904][JOIN] = ActionEntry(REDUCE, 254);
   _actionMap[904][RETURNTOKEN] = ActionEntry(REDUCE, 254);
   _actionMap[904][SEMICOLON] = ActionEntry(REDUCE, 254);
   _actionMap[904][RB] = ActionEntry(REDUCE, 254);
   _actionMap[904][ENDTOKEN] = ActionEntry(REDUCE, 254);
   _actionMap[904][UNION] = ActionEntry(REDUCE, 254);
   _actionMap[904][ROWLIMIT] = ActionEntry(REDUCE, 254);
   _actionMap[904][ORDER] = ActionEntry(REDUCE, 254);
   _actionMap[904][GROUP] = ActionEntry(REDUCE, 254);
   _actionMap[904][WHERE] = ActionEntry(REDUCE, 254);
   _actionMap[905][ON] = ActionEntry(SHIFT, 932);
   _actionMap[905][LEFT] = ActionEntry(REDUCE, 256);
   _actionMap[905][RIGHT] = ActionEntry(REDUCE, 256);
   _actionMap[905][INNER] = ActionEntry(REDUCE, 256);
   _actionMap[905][JOIN] = ActionEntry(REDUCE, 256);
   _actionMap[905][RETURNTOKEN] = ActionEntry(REDUCE, 256);
   _actionMap[905][SEMICOLON] = ActionEntry(REDUCE, 256);
   _actionMap[905][RB] = ActionEntry(REDUCE, 256);
   _actionMap[905][ENDTOKEN] = ActionEntry(REDUCE, 256);
   _actionMap[905][UNION] = ActionEntry(REDUCE, 256);
   _actionMap[905][ROWLIMIT] = ActionEntry(REDUCE, 256);
   _actionMap[905][ORDER] = ActionEntry(REDUCE, 256);
   _actionMap[905][GROUP] = ActionEntry(REDUCE, 256);
   _actionMap[905][WHERE] = ActionEntry(REDUCE, 256);
   _actionMap[906][VARREF] = ActionEntry(SHIFT, 864);
   _jumpMap[906][ReturnVar] = 933;
   _actionMap[907][VARREF] = ActionEntry(SHIFT, 864);
   _jumpMap[907][ReturnVar] = 862;
   _jumpMap[907][ReturnVarList] = 934;
   _actionMap[908][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[908][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[908][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[908][INT2ASC] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser27()
{
   _actionMap[908][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[908][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[908][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[908][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[908][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[908][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[908][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[908][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[908][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[908][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[908][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[908][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[908][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[908][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[908][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[908][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[908][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[908][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[908][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[908][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[908][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[908][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[908][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[908][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[908][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[908][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[908][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[908][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[908][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[908][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[908][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[908][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[908][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[908][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[908][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[908][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[908][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[908][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[908][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[908][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[908][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[908][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[908][LB] = ActionEntry(SHIFT, 177);
   _actionMap[908][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[908][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[908][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[908][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[908][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[908][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[908][CLOB] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser28()
{
   _actionMap[908][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[908][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[908][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[908][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[908][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[908][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[908][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[908][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[908][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[908][ObjSpec] = 122;
   _jumpMap[908][Constant] = 121;
   _jumpMap[908][SignedFloat] = 120;
   _jumpMap[908][SignedInt] = 119;
   _jumpMap[908][Attribute] = 118;
   _jumpMap[908][Function] = 117;
   _jumpMap[908][CasePrepare] = 116;
   _jumpMap[908][CaseClause] = 115;
   _jumpMap[908][Factor] = 114;
   _jumpMap[908][Term] = 113;
   _jumpMap[908][Expr] = 935;
   _actionMap[802][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[802][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[802][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[802][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[802][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[802][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[802][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[802][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[802][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[802][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[802][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[802][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[802][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[802][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[802][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[802][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[802][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[802][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[802][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[802][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[802][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[802][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[802][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[802][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[802][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[802][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[802][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[802][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[802][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[802][LMOD] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser29()
{
   _actionMap[802][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[802][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[802][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[802][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[802][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[802][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[802][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[802][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[802][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[802][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[802][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[802][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[802][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[802][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[802][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[802][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[802][LB] = ActionEntry(SHIFT, 277);
   _actionMap[802][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[802][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[802][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[802][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[802][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[802][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[802][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[802][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[802][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[802][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[802][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[802][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[802][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[802][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[802][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[802][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[802][EXISTS] = ActionEntry(SHIFT, 275);
   _actionMap[802][NOT] = ActionEntry(SHIFT, 276);
   _jumpMap[802][ObjSpec] = 122;
   _jumpMap[802][Constant] = 121;
   _jumpMap[802][SignedFloat] = 120;
   _jumpMap[802][SignedInt] = 119;
   _jumpMap[802][Attribute] = 118;
   _jumpMap[802][QueryPredicate] = 274;
   _jumpMap[802][QueryCondition] = 865;
   _jumpMap[802][Function] = 117;
   _jumpMap[802][CasePrepare] = 116;
   _jumpMap[802][CaseClause] = 115;
   _jumpMap[802][Factor] = 114;
   _jumpMap[802][Term] = 113;
   _jumpMap[802][Expr] = 272;
   _actionMap[803][LB] = ActionEntry(SHIFT, 866);
   _actionMap[804][FLOATVAL] = ActionEntry(SHIFT, 180);
}
void Cego::loadParser30()
{
   _actionMap[804][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[804][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[804][LB] = ActionEntry(SHIFT, 868);
   _actionMap[804][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[804][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[804][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[804][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[804][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[804][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[804][CLOB] = ActionEntry(SHIFT, 133);
   _jumpMap[804][Constant] = 867;
   _jumpMap[804][SignedFloat] = 120;
   _jumpMap[804][SignedInt] = 119;
   _actionMap[805][IDENTIFIER] = ActionEntry(SHIFT, 869);
   _actionMap[806][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[807][IDENTIFIER] = ActionEntry(SHIFT, 871);
   _jumpMap[807][ProcExceptionType] = 870;
   _actionMap[808][END_TOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[809][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[809][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[809][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[809][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[809][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[809][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[809][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[809][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[809][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[809][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[809][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[809][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[809][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[809][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[809][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[809][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[809][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[809][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[809][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[809][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[809][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[809][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[809][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[809][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[809][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[809][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[809][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[809][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[809][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[809][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[809][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[809][POWER] = ActionEntry(SHIFT, 159);
}
void Cego::loadParser31()
{
   _actionMap[809][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[809][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[809][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[809][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[809][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[809][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[809][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[809][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[809][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[809][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[809][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[809][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[809][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[809][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[809][LB] = ActionEntry(SHIFT, 177);
   _actionMap[809][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[809][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[809][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[809][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[809][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[809][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[809][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[809][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[809][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[809][VARREF] = ActionEntry(SHIFT, 419);
   _actionMap[809][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[809][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[809][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[809][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[809][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[809][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[809][IF] = ActionEntry(SHIFT, 413);
   _actionMap[809][BEGIN] = ActionEntry(SHIFT, 410);
   _actionMap[809][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[809][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[809][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[809][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[809][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[809][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[809][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[809][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[809][VAR] = ActionEntry(SHIFT, 417);
   _actionMap[809][CURSOR] = ActionEntry(SHIFT, 412);
   _actionMap[809][CLOSE] = ActionEntry(SHIFT, 411);
   _actionMap[809][NOOP] = ActionEntry(SHIFT, 414);
   _actionMap[809][THROW] = ActionEntry(SHIFT, 416);
   _actionMap[809][RETURNTOKEN] = ActionEntry(SHIFT, 415);
   _actionMap[809][WHILE] = ActionEntry(SHIFT, 418);
   _jumpMap[809][ObjSpec] = 122;
   _jumpMap[809][Constant] = 121;
}
void Cego::loadParser32()
{
   _jumpMap[809][SignedFloat] = 120;
   _jumpMap[809][SignedInt] = 119;
   _jumpMap[809][Attribute] = 118;
   _jumpMap[809][Function] = 117;
   _jumpMap[809][DeleteStatement] = 409;
   _jumpMap[809][UpdateStatement] = 408;
   _jumpMap[809][InsertStatement] = 407;
   _jumpMap[809][UnlockStatement] = 406;
   _jumpMap[809][LockStatement] = 405;
   _jumpMap[809][RollbackStatement] = 404;
   _jumpMap[809][CommitStatement] = 403;
   _jumpMap[809][StartStatement] = 402;
   _jumpMap[809][CasePrepare] = 116;
   _jumpMap[809][CaseClause] = 115;
   _jumpMap[809][Factor] = 114;
   _jumpMap[809][Term] = 113;
   _jumpMap[809][Expr] = 401;
   _jumpMap[809][ProcStatement] = 400;
   _jumpMap[809][ProcIfPart] = 399;
   _jumpMap[809][ProcBlockStart] = 398;
   _jumpMap[809][ProcStatementList] = 397;
   _jumpMap[809][ProcStmtBlock] = 872;
   _actionMap[810][SEMICOLON] = ActionEntry(REDUCE, 125);
   _actionMap[811][END_TOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[811][ELSE] = ActionEntry(REDUCE, 155);
   _actionMap[811][ELSIF] = ActionEntry(REDUCE, 155);
   _actionMap[812][BEGIN] = ActionEntry(REDUCE, 167);
   _actionMap[812][RB] = ActionEntry(REDUCE, 167);
   _actionMap[812][AND] = ActionEntry(REDUCE, 167);
   _actionMap[812][OR] = ActionEntry(REDUCE, 167);
   _actionMap[812][THEN] = ActionEntry(REDUCE, 167);
   _actionMap[813][BEGIN] = ActionEntry(REDUCE, 166);
   _actionMap[813][RB] = ActionEntry(REDUCE, 166);
   _actionMap[813][AND] = ActionEntry(REDUCE, 166);
   _actionMap[813][OR] = ActionEntry(REDUCE, 166);
   _actionMap[813][THEN] = ActionEntry(REDUCE, 166);
   _actionMap[814][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[814][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[814][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[814][BEGIN] = ActionEntry(REDUCE, 170);
   _actionMap[814][THEN] = ActionEntry(REDUCE, 170);
   _actionMap[814][OR] = ActionEntry(REDUCE, 170);
   _actionMap[814][AND] = ActionEntry(REDUCE, 170);
   _actionMap[814][RB] = ActionEntry(REDUCE, 170);
   _actionMap[815][NULLTOKEN] = ActionEntry(SHIFT, 873);
   _actionMap[816][BEGIN] = ActionEntry(REDUCE, 171);
   _actionMap[816][THEN] = ActionEntry(REDUCE, 171);
   _actionMap[816][OR] = ActionEntry(REDUCE, 171);
   _actionMap[816][AND] = ActionEntry(REDUCE, 171);
   _actionMap[816][RB] = ActionEntry(REDUCE, 171);
}
void Cego::loadParser33()
{
   _actionMap[817][BEGIN] = ActionEntry(REDUCE, 169);
   _actionMap[817][RB] = ActionEntry(REDUCE, 169);
   _actionMap[817][AND] = ActionEntry(REDUCE, 169);
   _actionMap[817][OR] = ActionEntry(REDUCE, 169);
   _actionMap[817][THEN] = ActionEntry(REDUCE, 169);
   _actionMap[818][SEMICOLON] = ActionEntry(REDUCE, 124);
   _actionMap[819][SEMICOLON] = ActionEntry(REDUCE, 131);
   _actionMap[820][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[820][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[820][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[820][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[820][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[820][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[820][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[820][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[820][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[820][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[820][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[820][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[820][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[820][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[820][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[820][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[820][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[820][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[820][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[820][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[820][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[820][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[820][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[820][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[820][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[820][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[820][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[820][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[820][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[820][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[820][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[820][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[820][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[820][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[820][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[820][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[820][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[820][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[820][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[820][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[820][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[820][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[820][GETCOUNT] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser34()
{
   _actionMap[820][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[820][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[820][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[820][LB] = ActionEntry(SHIFT, 177);
   _actionMap[820][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[820][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[820][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[820][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[820][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[820][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[820][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[820][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[820][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[820][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[820][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[820][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[820][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[820][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[820][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[820][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[820][ObjSpec] = 122;
   _jumpMap[820][Constant] = 121;
   _jumpMap[820][SignedFloat] = 120;
   _jumpMap[820][SignedInt] = 119;
   _jumpMap[820][Attribute] = 118;
   _jumpMap[820][Function] = 117;
   _jumpMap[820][CasePrepare] = 116;
   _jumpMap[820][CaseClause] = 115;
   _jumpMap[820][Factor] = 114;
   _jumpMap[820][Term] = 113;
   _jumpMap[820][Expr] = 874;
   _actionMap[821][INTVAL] = ActionEntry(SHIFT, 875);
   _actionMap[822][INTVAL] = ActionEntry(SHIFT, 877);
   _jumpMap[822][DecimalDim] = 876;
   _actionMap[823][INTVAL] = ActionEntry(SHIFT, 878);
   _actionMap[824][END_TOKEN] = ActionEntry(SHIFT, 879);
   _actionMap[825][IDENTIFIER] = ActionEntry(SHIFT, 831);
   _jumpMap[825][SimpleAttr] = 830;
   _jumpMap[825][SimpleAttrList] = 880;
   _actionMap[826][RB] = ActionEntry(SHIFT, 882);
   _actionMap[826][KSEP] = ActionEntry(SHIFT, 881);
   _actionMap[827][KSEP] = ActionEntry(REDUCE, 71);
   _actionMap[827][RB] = ActionEntry(REDUCE, 71);
   _actionMap[828][AS] = ActionEntry(SHIFT, 883);
   _actionMap[829][RB] = ActionEntry(SHIFT, 884);
   _actionMap[830][KSEP] = ActionEntry(SHIFT, 885);
   _actionMap[830][RB] = ActionEntry(REDUCE, 214);
   _actionMap[831][RB] = ActionEntry(REDUCE, 215);
   _actionMap[831][KSEP] = ActionEntry(REDUCE, 215);
   _actionMap[832][KSEP] = ActionEntry(REDUCE, 117);
}
void Cego::loadParser35()
{
   _actionMap[832][RB] = ActionEntry(REDUCE, 117);
   _actionMap[833][BEGIN] = ActionEntry(REDUCE, 113);
   _actionMap[834][KSEP] = ActionEntry(REDUCE, 119);
   _actionMap[834][RB] = ActionEntry(REDUCE, 119);
   _actionMap[835][KSEP] = ActionEntry(REDUCE, 120);
   _actionMap[835][RB] = ActionEntry(REDUCE, 120);
   _actionMap[836][KSEP] = ActionEntry(REDUCE, 201);
   _actionMap[836][RB] = ActionEntry(REDUCE, 201);
   _actionMap[837][SEMICOLON] = ActionEntry(REDUCE, 209);
   _actionMap[837][NULLTOKEN] = ActionEntry(SHIFT, 889);
   _actionMap[837][NOT] = ActionEntry(SHIFT, 888);
   _actionMap[837][KSEP] = ActionEntry(REDUCE, 209);
   _actionMap[837][RB] = ActionEntry(REDUCE, 209);
   _jumpMap[837][DefaultNullOpt] = 887;
   _jumpMap[837][NullOpt] = 886;
   _actionMap[838][NULLTOKEN] = ActionEntry(REDUCE, 211);
   _actionMap[838][NOT] = ActionEntry(REDUCE, 211);
   _actionMap[838][KSEP] = ActionEntry(REDUCE, 211);
   _actionMap[838][SEMICOLON] = ActionEntry(REDUCE, 211);
   _actionMap[838][RB] = ActionEntry(REDUCE, 211);
   _actionMap[839][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[839][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[839][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[839][LB] = ActionEntry(SHIFT, 868);
   _actionMap[839][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[839][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[839][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[839][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[839][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[839][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[839][CLOB] = ActionEntry(SHIFT, 133);
   _jumpMap[839][Constant] = 890;
   _jumpMap[839][SignedFloat] = 120;
   _jumpMap[839][SignedInt] = 119;
   _actionMap[840][BEGIN] = ActionEntry(REDUCE, 103);
   _actionMap[841][OR] = ActionEntry(REDUCE, 106);
   _actionMap[841][ON] = ActionEntry(REDUCE, 106);
   _actionMap[842][SEMICOLON] = ActionEntry(REDUCE, 232);
   _actionMap[842][KSEP] = ActionEntry(REDUCE, 232);
   _actionMap[843][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[843][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[843][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[843][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[843][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[843][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[843][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[843][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[843][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[843][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[843][DATE2STR] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser36()
{
   _actionMap[843][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[843][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[843][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[843][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[843][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[843][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[843][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[843][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[843][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[843][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[843][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[843][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[843][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[843][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[843][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[843][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[843][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[843][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[843][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[843][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[843][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[843][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[843][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[843][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[843][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[843][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[843][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[843][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[843][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[843][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[843][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[843][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[843][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[843][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[843][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[843][LB] = ActionEntry(SHIFT, 177);
   _actionMap[843][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[843][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[843][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[843][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[843][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[843][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[843][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[843][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[843][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[843][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[843][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[843][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[843][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[843][AVG] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser37()
{
   _actionMap[843][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[843][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[843][ObjSpec] = 122;
   _jumpMap[843][Constant] = 121;
   _jumpMap[843][SignedFloat] = 120;
   _jumpMap[843][SignedInt] = 119;
   _jumpMap[843][Attribute] = 118;
   _jumpMap[843][Function] = 117;
   _jumpMap[843][CasePrepare] = 116;
   _jumpMap[843][CaseClause] = 115;
   _jumpMap[843][Factor] = 114;
   _jumpMap[843][Term] = 113;
   _jumpMap[843][Expr] = 891;
   _actionMap[844][SEMICOLON] = ActionEntry(REDUCE, 234);
   _actionMap[844][KSEP] = ActionEntry(REDUCE, 234);
   _actionMap[845][KSEP] = ActionEntry(REDUCE, 235);
   _actionMap[845][RB] = ActionEntry(REDUCE, 235);
   _actionMap[846][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[846][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[846][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[846][LEFT] = ActionEntry(REDUCE, 382);
   _actionMap[846][RIGHT] = ActionEntry(REDUCE, 382);
   _actionMap[846][INNER] = ActionEntry(REDUCE, 382);
   _actionMap[846][JOIN] = ActionEntry(REDUCE, 382);
   _actionMap[846][RETURNTOKEN] = ActionEntry(REDUCE, 382);
   _actionMap[846][SEMICOLON] = ActionEntry(REDUCE, 382);
   _actionMap[846][ENDTOKEN] = ActionEntry(REDUCE, 382);
   _actionMap[846][UNION] = ActionEntry(REDUCE, 382);
   _actionMap[846][ROWLIMIT] = ActionEntry(REDUCE, 382);
   _actionMap[846][ORDER] = ActionEntry(REDUCE, 382);
   _actionMap[846][GROUP] = ActionEntry(REDUCE, 382);
   _actionMap[846][WHERE] = ActionEntry(REDUCE, 382);
   _actionMap[846][THEN] = ActionEntry(REDUCE, 382);
   _actionMap[846][AND] = ActionEntry(REDUCE, 382);
   _actionMap[846][OR] = ActionEntry(REDUCE, 382);
   _actionMap[846][RB] = ActionEntry(REDUCE, 382);
   _actionMap[847][LEFT] = ActionEntry(REDUCE, 379);
   _actionMap[847][RIGHT] = ActionEntry(REDUCE, 379);
   _actionMap[847][INNER] = ActionEntry(REDUCE, 379);
   _actionMap[847][JOIN] = ActionEntry(REDUCE, 379);
   _actionMap[847][RETURNTOKEN] = ActionEntry(REDUCE, 379);
   _actionMap[847][SEMICOLON] = ActionEntry(REDUCE, 379);
   _actionMap[847][ENDTOKEN] = ActionEntry(REDUCE, 379);
   _actionMap[847][UNION] = ActionEntry(REDUCE, 379);
   _actionMap[847][ROWLIMIT] = ActionEntry(REDUCE, 379);
   _actionMap[847][ORDER] = ActionEntry(REDUCE, 379);
   _actionMap[847][GROUP] = ActionEntry(REDUCE, 379);
   _actionMap[847][WHERE] = ActionEntry(REDUCE, 379);
   _actionMap[847][THEN] = ActionEntry(REDUCE, 379);
   _actionMap[847][AND] = ActionEntry(REDUCE, 379);
}
void Cego::loadParser38()
{
   _actionMap[847][OR] = ActionEntry(REDUCE, 379);
   _actionMap[847][RB] = ActionEntry(REDUCE, 379);
   _actionMap[848][LEFT] = ActionEntry(REDUCE, 377);
   _actionMap[848][RIGHT] = ActionEntry(REDUCE, 377);
   _actionMap[848][INNER] = ActionEntry(REDUCE, 377);
   _actionMap[848][JOIN] = ActionEntry(REDUCE, 377);
   _actionMap[848][RETURNTOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[848][SEMICOLON] = ActionEntry(REDUCE, 377);
   _actionMap[848][ENDTOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[848][UNION] = ActionEntry(REDUCE, 377);
   _actionMap[848][ROWLIMIT] = ActionEntry(REDUCE, 377);
   _actionMap[848][ORDER] = ActionEntry(REDUCE, 377);
   _actionMap[848][GROUP] = ActionEntry(REDUCE, 377);
   _actionMap[848][WHERE] = ActionEntry(REDUCE, 377);
   _actionMap[848][THEN] = ActionEntry(REDUCE, 377);
   _actionMap[848][AND] = ActionEntry(REDUCE, 377);
   _actionMap[848][OR] = ActionEntry(REDUCE, 377);
   _actionMap[848][RB] = ActionEntry(REDUCE, 377);
   _actionMap[849][RB] = ActionEntry(SHIFT, 892);
   _actionMap[850][RB] = ActionEntry(SHIFT, 893);
   _actionMap[850][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[851][VARREF] = ActionEntry(SHIFT, 894);
   _actionMap[852][WHEN] = ActionEntry(REDUCE, 182);
   _actionMap[852][ELSE] = ActionEntry(REDUCE, 182);
   _actionMap[852][LEFT] = ActionEntry(REDUCE, 182);
   _actionMap[852][RIGHT] = ActionEntry(REDUCE, 182);
   _actionMap[852][INNER] = ActionEntry(REDUCE, 182);
   _actionMap[852][JOIN] = ActionEntry(REDUCE, 182);
   _actionMap[852][RETURNTOKEN] = ActionEntry(REDUCE, 182);
   _actionMap[852][ORDER] = ActionEntry(REDUCE, 182);
   _actionMap[852][GROUP] = ActionEntry(REDUCE, 182);
   _actionMap[852][WHERE] = ActionEntry(REDUCE, 182);
   _actionMap[852][AS] = ActionEntry(REDUCE, 182);
   _actionMap[852][FROM] = ActionEntry(REDUCE, 182);
   _actionMap[852][END_TOKEN] = ActionEntry(REDUCE, 182);
   _actionMap[852][BEGIN] = ActionEntry(REDUCE, 182);
   _actionMap[852][THEN] = ActionEntry(REDUCE, 182);
   _actionMap[852][LIKE] = ActionEntry(REDUCE, 182);
   _actionMap[852][IS] = ActionEntry(REDUCE, 182);
   _actionMap[852][BETWEEN] = ActionEntry(REDUCE, 182);
   _actionMap[852][NOT] = ActionEntry(REDUCE, 182);
   _actionMap[852][INTOK] = ActionEntry(REDUCE, 182);
   _actionMap[852][DESC] = ActionEntry(REDUCE, 182);
   _actionMap[852][ASC] = ActionEntry(REDUCE, 182);
   _actionMap[852][KSEP] = ActionEntry(REDUCE, 182);
   _actionMap[852][ROWLIMIT] = ActionEntry(REDUCE, 182);
   _actionMap[852][UNION] = ActionEntry(REDUCE, 182);
   _actionMap[852][ENDTOKEN] = ActionEntry(REDUCE, 182);
   _actionMap[852][SEMICOLON] = ActionEntry(REDUCE, 182);
   _actionMap[852][EQU] = ActionEntry(REDUCE, 182);
}
void Cego::loadParser39()
{
   _actionMap[852][NEGATION] = ActionEntry(REDUCE, 182);
   _actionMap[852][LT] = ActionEntry(REDUCE, 182);
   _actionMap[852][MT] = ActionEntry(REDUCE, 182);
   _actionMap[852][CONCAT] = ActionEntry(REDUCE, 182);
   _actionMap[852][STAR] = ActionEntry(REDUCE, 182);
   _actionMap[852][DIVISION] = ActionEntry(REDUCE, 182);
   _actionMap[852][MINUS] = ActionEntry(REDUCE, 182);
   _actionMap[852][PLUS] = ActionEntry(REDUCE, 182);
   _actionMap[852][OR] = ActionEntry(REDUCE, 182);
   _actionMap[852][AND] = ActionEntry(REDUCE, 182);
   _actionMap[852][RB] = ActionEntry(REDUCE, 182);
   _actionMap[853][WHEN] = ActionEntry(REDUCE, 364);
   _actionMap[853][ELSE] = ActionEntry(REDUCE, 364);
   _actionMap[853][LEFT] = ActionEntry(REDUCE, 364);
   _actionMap[853][RIGHT] = ActionEntry(REDUCE, 364);
   _actionMap[853][INNER] = ActionEntry(REDUCE, 364);
   _actionMap[853][JOIN] = ActionEntry(REDUCE, 364);
   _actionMap[853][RETURNTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[853][ORDER] = ActionEntry(REDUCE, 364);
   _actionMap[853][GROUP] = ActionEntry(REDUCE, 364);
   _actionMap[853][WHERE] = ActionEntry(REDUCE, 364);
   _actionMap[853][FROM] = ActionEntry(REDUCE, 364);
   _actionMap[853][AS] = ActionEntry(REDUCE, 364);
   _actionMap[853][END_TOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[853][BEGIN] = ActionEntry(REDUCE, 364);
   _actionMap[853][THEN] = ActionEntry(REDUCE, 364);
   _actionMap[853][INTOK] = ActionEntry(REDUCE, 364);
   _actionMap[853][NOT] = ActionEntry(REDUCE, 364);
   _actionMap[853][BETWEEN] = ActionEntry(REDUCE, 364);
   _actionMap[853][IS] = ActionEntry(REDUCE, 364);
   _actionMap[853][LIKE] = ActionEntry(REDUCE, 364);
   _actionMap[853][ENDTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[853][UNION] = ActionEntry(REDUCE, 364);
   _actionMap[853][ROWLIMIT] = ActionEntry(REDUCE, 364);
   _actionMap[853][KSEP] = ActionEntry(REDUCE, 364);
   _actionMap[853][ASC] = ActionEntry(REDUCE, 364);
   _actionMap[853][DESC] = ActionEntry(REDUCE, 364);
   _actionMap[853][SEMICOLON] = ActionEntry(REDUCE, 364);
   _actionMap[853][MT] = ActionEntry(REDUCE, 364);
   _actionMap[853][LT] = ActionEntry(REDUCE, 364);
   _actionMap[853][NEGATION] = ActionEntry(REDUCE, 364);
   _actionMap[853][EQU] = ActionEntry(REDUCE, 364);
   _actionMap[853][PLUS] = ActionEntry(REDUCE, 364);
   _actionMap[853][MINUS] = ActionEntry(REDUCE, 364);
   _actionMap[853][DIVISION] = ActionEntry(REDUCE, 364);
   _actionMap[853][STAR] = ActionEntry(REDUCE, 364);
   _actionMap[853][CONCAT] = ActionEntry(REDUCE, 364);
   _actionMap[853][OR] = ActionEntry(REDUCE, 364);
   _actionMap[853][AND] = ActionEntry(REDUCE, 364);
   _actionMap[853][RB] = ActionEntry(REDUCE, 364);
}
void Cego::loadParser40()
{
   _actionMap[854][SEMICOLON] = ActionEntry(REDUCE, 295);
   _actionMap[854][RB] = ActionEntry(REDUCE, 295);
   _actionMap[854][ENDTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[854][UNION] = ActionEntry(REDUCE, 295);
   _actionMap[854][ROWLIMIT] = ActionEntry(SHIFT, 897);
   _jumpMap[854][NoLimit] = 896;
   _jumpMap[854][LimitOpt] = 895;
   _actionMap[855][ROWLIMIT] = ActionEntry(REDUCE, 282);
   _actionMap[855][UNION] = ActionEntry(REDUCE, 282);
   _actionMap[855][ENDTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[855][RB] = ActionEntry(REDUCE, 282);
   _actionMap[855][SEMICOLON] = ActionEntry(REDUCE, 282);
   _actionMap[856][BY] = ActionEntry(SHIFT, 898);
   _actionMap[857][IDENTIFIER] = ActionEntry(SHIFT, 901);
   _actionMap[857][QUALIFIEDOBJ] = ActionEntry(SHIFT, 902);
   _actionMap[857][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _jumpMap[857][Attribute] = 900;
   _jumpMap[857][GroupList] = 899;
   _actionMap[858][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[858][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[858][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[858][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[858][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[858][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[858][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[858][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[858][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[858][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[858][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[858][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[858][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[858][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[858][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[858][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[858][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[858][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[858][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[858][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[858][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[858][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[858][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[858][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[858][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[858][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[858][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[858][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[858][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[858][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[858][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[858][POWER] = ActionEntry(SHIFT, 159);
}
void Cego::loadParser41()
{
   _actionMap[858][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[858][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[858][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[858][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[858][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[858][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[858][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[858][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[858][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[858][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[858][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[858][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[858][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[858][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[858][LB] = ActionEntry(SHIFT, 277);
   _actionMap[858][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[858][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[858][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[858][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[858][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[858][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[858][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[858][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[858][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[858][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[858][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[858][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[858][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[858][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[858][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[858][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[858][EXISTS] = ActionEntry(SHIFT, 275);
   _actionMap[858][NOT] = ActionEntry(SHIFT, 276);
   _jumpMap[858][ObjSpec] = 122;
   _jumpMap[858][Constant] = 121;
   _jumpMap[858][SignedFloat] = 120;
   _jumpMap[858][SignedInt] = 119;
   _jumpMap[858][Attribute] = 118;
   _jumpMap[858][QueryPredicate] = 274;
   _jumpMap[858][QueryCondition] = 903;
   _jumpMap[858][Function] = 117;
   _jumpMap[858][CasePrepare] = 116;
   _jumpMap[858][CaseClause] = 115;
   _jumpMap[858][Factor] = 114;
   _jumpMap[858][Term] = 113;
   _jumpMap[858][Expr] = 272;
   _actionMap[859][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[859][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[859][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[859][ObjSpec] = 538;
}
void Cego::loadParser42()
{
   _jumpMap[859][JoinTable] = 904;
   _jumpMap[859][Table] = 788;
   _actionMap[860][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[860][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[860][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[860][ObjSpec] = 538;
   _jumpMap[860][JoinTable] = 905;
   _jumpMap[860][Table] = 788;
   _actionMap[861][KSEP] = ActionEntry(SHIFT, 906);
   _actionMap[861][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[862][SEMICOLON] = ActionEntry(REDUCE, 305);
   _actionMap[862][KSEP] = ActionEntry(REDUCE, 305);
   _actionMap[863][FIRST] = ActionEntry(SHIFT, 907);
   _actionMap[864][EQU] = ActionEntry(SHIFT, 908);
   _actionMap[707][SEMICOLON] = ActionEntry(REDUCE, 311);
   _actionMap[708][COLUMN] = ActionEntry(SHIFT, 551);
   _actionMap[709][ON] = ActionEntry(SHIFT, 802);
   _actionMap[710][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[710][KSEP] = ActionEntry(REDUCE, 314);
   _actionMap[711][IDENTIFIER] = ActionEntry(SHIFT, 803);
   _actionMap[712][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[712][KSEP] = ActionEntry(REDUCE, 313);
   _actionMap[713][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[713][KSEP] = ActionEntry(REDUCE, 315);
   _actionMap[714][DEFAULT] = ActionEntry(SHIFT, 804);
   _actionMap[714][INT] = ActionEntry(SHIFT, 746);
   _actionMap[714][LONG] = ActionEntry(SHIFT, 747);
   _actionMap[714][STRING] = ActionEntry(SHIFT, 749);
   _actionMap[714][DATETIME] = ActionEntry(SHIFT, 742);
   _actionMap[714][BOOL] = ActionEntry(SHIFT, 740);
   _actionMap[714][BIGINT] = ActionEntry(SHIFT, 738);
   _actionMap[714][FLOAT] = ActionEntry(SHIFT, 745);
   _actionMap[714][DOUBLE] = ActionEntry(SHIFT, 744);
   _actionMap[714][SMALLINT] = ActionEntry(SHIFT, 748);
   _actionMap[714][TINYINT] = ActionEntry(SHIFT, 750);
   _actionMap[714][DECIMAL] = ActionEntry(SHIFT, 743);
   _actionMap[714][BLOB] = ActionEntry(SHIFT, 739);
   _actionMap[714][CLOB] = ActionEntry(SHIFT, 741);
   _jumpMap[714][DataTypeProd] = 764;
   _actionMap[715][TO] = ActionEntry(SHIFT, 805);
   _actionMap[716][IDENTIFIER] = ActionEntry(SHIFT, 806);
   _actionMap[717][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[717][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[717][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[717][KSEP] = ActionEntry(REDUCE, 151);
   _actionMap[717][RB] = ActionEntry(REDUCE, 151);
   _actionMap[718][ELSE] = ActionEntry(REDUCE, 146);
   _actionMap[718][ELSIF] = ActionEntry(REDUCE, 146);
   _actionMap[718][EXCEPTION] = ActionEntry(REDUCE, 146);
   _actionMap[718][END_TOKEN] = ActionEntry(REDUCE, 146);
}
void Cego::loadParser43()
{
   _actionMap[719][WHEN] = ActionEntry(SHIFT, 807);
   _actionMap[720][EXCEPTION] = ActionEntry(REDUCE, 122);
   _actionMap[720][END_TOKEN] = ActionEntry(REDUCE, 122);
   _actionMap[720][ELSE] = ActionEntry(REDUCE, 122);
   _actionMap[720][ELSIF] = ActionEntry(REDUCE, 122);
   _actionMap[720][VAR] = ActionEntry(REDUCE, 122);
   _actionMap[720][CURSOR] = ActionEntry(REDUCE, 122);
   _actionMap[720][CLOSE] = ActionEntry(REDUCE, 122);
   _actionMap[720][VARREF] = ActionEntry(REDUCE, 122);
   _actionMap[720][NOOP] = ActionEntry(REDUCE, 122);
   _actionMap[720][THROW] = ActionEntry(REDUCE, 122);
   _actionMap[720][RETURNTOKEN] = ActionEntry(REDUCE, 122);
   _actionMap[720][WHILE] = ActionEntry(REDUCE, 122);
   _actionMap[720][IF] = ActionEntry(REDUCE, 122);
   _actionMap[720][BEGIN] = ActionEntry(REDUCE, 122);
   _actionMap[720][UNLOCK] = ActionEntry(REDUCE, 122);
   _actionMap[720][LOCK] = ActionEntry(REDUCE, 122);
   _actionMap[720][ROLLBACK] = ActionEntry(REDUCE, 122);
   _actionMap[720][COMMIT] = ActionEntry(REDUCE, 122);
   _actionMap[720][START_TOKEN] = ActionEntry(REDUCE, 122);
   _actionMap[720][UPDATE] = ActionEntry(REDUCE, 122);
   _actionMap[720][DELETETOK] = ActionEntry(REDUCE, 122);
   _actionMap[720][INSERT] = ActionEntry(REDUCE, 122);
   _actionMap[720][FETCH] = ActionEntry(REDUCE, 122);
   _actionMap[720][LB] = ActionEntry(REDUCE, 122);
   _actionMap[720][COUNT] = ActionEntry(REDUCE, 122);
   _actionMap[720][SUM] = ActionEntry(REDUCE, 122);
   _actionMap[720][AVG] = ActionEntry(REDUCE, 122);
   _actionMap[720][MIN] = ActionEntry(REDUCE, 122);
   _actionMap[720][MAX] = ActionEntry(REDUCE, 122);
   _actionMap[720][CASE] = ActionEntry(REDUCE, 122);
   _actionMap[720][INT2ASC] = ActionEntry(REDUCE, 122);
   _actionMap[720][ASC2INT] = ActionEntry(REDUCE, 122);
   _actionMap[720][TRIM] = ActionEntry(REDUCE, 122);
   _actionMap[720][RTRIM] = ActionEntry(REDUCE, 122);
   _actionMap[720][LTRIM] = ActionEntry(REDUCE, 122);
   _actionMap[720][ROUND] = ActionEntry(REDUCE, 122);
   _actionMap[720][SCANDATE] = ActionEntry(REDUCE, 122);
   _actionMap[720][DATE2STR] = ActionEntry(REDUCE, 122);
   _actionMap[720][DATE2LONG] = ActionEntry(REDUCE, 122);
   _actionMap[720][LONG2DATE] = ActionEntry(REDUCE, 122);
   _actionMap[720][NEWDATE] = ActionEntry(REDUCE, 122);
   _actionMap[720][LOWER] = ActionEntry(REDUCE, 122);
   _actionMap[720][UPPER] = ActionEntry(REDUCE, 122);
   _actionMap[720][LEFT] = ActionEntry(REDUCE, 122);
   _actionMap[720][RIGHT] = ActionEntry(REDUCE, 122);
   _actionMap[720][GETPOS] = ActionEntry(REDUCE, 122);
   _actionMap[720][SUBSTR] = ActionEntry(REDUCE, 122);
   _actionMap[720][REPLACE] = ActionEntry(REDUCE, 122);
   _actionMap[720][LENGTH] = ActionEntry(REDUCE, 122);
}
void Cego::loadParser44()
{
   _actionMap[720][TRUNC] = ActionEntry(REDUCE, 122);
   _actionMap[720][STR2INT] = ActionEntry(REDUCE, 122);
   _actionMap[720][STR2LONG] = ActionEntry(REDUCE, 122);
   _actionMap[720][RANDSTR] = ActionEntry(REDUCE, 122);
   _actionMap[720][RANDINT] = ActionEntry(REDUCE, 122);
   _actionMap[720][MOD] = ActionEntry(REDUCE, 122);
   _actionMap[720][DIV] = ActionEntry(REDUCE, 122);
   _actionMap[720][LMOD] = ActionEntry(REDUCE, 122);
   _actionMap[720][LDIV] = ActionEntry(REDUCE, 122);
   _actionMap[720][POWER] = ActionEntry(REDUCE, 122);
   _actionMap[720][BITAND] = ActionEntry(REDUCE, 122);
   _actionMap[720][BITOR] = ActionEntry(REDUCE, 122);
   _actionMap[720][BITXOR] = ActionEntry(REDUCE, 122);
   _actionMap[720][BLOBSIZE] = ActionEntry(REDUCE, 122);
   _actionMap[720][BLOBREF] = ActionEntry(REDUCE, 122);
   _actionMap[720][CLOBSIZE] = ActionEntry(REDUCE, 122);
   _actionMap[720][CLOBREF] = ActionEntry(REDUCE, 122);
   _actionMap[720][CLOB2STR] = ActionEntry(REDUCE, 122);
   _actionMap[720][NEXTCOUNT] = ActionEntry(REDUCE, 122);
   _actionMap[720][SETCOUNT] = ActionEntry(REDUCE, 122);
   _actionMap[720][GETCOUNT] = ActionEntry(REDUCE, 122);
   _actionMap[720][IDENTIFIER] = ActionEntry(REDUCE, 122);
   _actionMap[720][QUALIFIEDOBJ] = ActionEntry(REDUCE, 122);
   _actionMap[720][QUALIFIEDTS] = ActionEntry(REDUCE, 122);
   _actionMap[720][QUALIFIEDPRE] = ActionEntry(REDUCE, 122);
   _actionMap[720][STRINGVAL] = ActionEntry(REDUCE, 122);
   _actionMap[720][SYSDATE] = ActionEntry(REDUCE, 122);
   _actionMap[720][NULLTOKEN] = ActionEntry(REDUCE, 122);
   _actionMap[720][TRUEVAL] = ActionEntry(REDUCE, 122);
   _actionMap[720][FALSEVAL] = ActionEntry(REDUCE, 122);
   _actionMap[720][BLOB] = ActionEntry(REDUCE, 122);
   _actionMap[720][CLOB] = ActionEntry(REDUCE, 122);
   _actionMap[720][FLOATVAL] = ActionEntry(REDUCE, 122);
   _actionMap[720][MINUS] = ActionEntry(REDUCE, 122);
   _actionMap[720][INTVAL] = ActionEntry(REDUCE, 122);
   _actionMap[721][SEMICOLON] = ActionEntry(REDUCE, 144);
   _actionMap[722][END_TOKEN] = ActionEntry(SHIFT, 725);
   _actionMap[723][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[723][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[723][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[723][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[723][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[723][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[723][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[723][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[723][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[723][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[723][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[723][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[723][LONG2DATE] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser45()
{
   _actionMap[723][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[723][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[723][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[723][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[723][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[723][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[723][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[723][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[723][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[723][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[723][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[723][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[723][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[723][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[723][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[723][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[723][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[723][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[723][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[723][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[723][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[723][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[723][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[723][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[723][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[723][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[723][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[723][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[723][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[723][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[723][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[723][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[723][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[723][LB] = ActionEntry(SHIFT, 177);
   _actionMap[723][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[723][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[723][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[723][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[723][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[723][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[723][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[723][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[723][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[723][VARREF] = ActionEntry(SHIFT, 419);
   _actionMap[723][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[723][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[723][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[723][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[723][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[723][MAX] = ActionEntry(SHIFT, 155);
}
void Cego::loadParser46()
{
   _actionMap[723][IF] = ActionEntry(SHIFT, 413);
   _actionMap[723][BEGIN] = ActionEntry(SHIFT, 410);
   _actionMap[723][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[723][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[723][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[723][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[723][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[723][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[723][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[723][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[723][VAR] = ActionEntry(SHIFT, 417);
   _actionMap[723][CURSOR] = ActionEntry(SHIFT, 412);
   _actionMap[723][CLOSE] = ActionEntry(SHIFT, 411);
   _actionMap[723][NOOP] = ActionEntry(SHIFT, 414);
   _actionMap[723][THROW] = ActionEntry(SHIFT, 416);
   _actionMap[723][RETURNTOKEN] = ActionEntry(SHIFT, 415);
   _actionMap[723][WHILE] = ActionEntry(SHIFT, 418);
   _jumpMap[723][ObjSpec] = 122;
   _jumpMap[723][Constant] = 121;
   _jumpMap[723][SignedFloat] = 120;
   _jumpMap[723][SignedInt] = 119;
   _jumpMap[723][Attribute] = 118;
   _jumpMap[723][Function] = 117;
   _jumpMap[723][DeleteStatement] = 409;
   _jumpMap[723][UpdateStatement] = 408;
   _jumpMap[723][InsertStatement] = 407;
   _jumpMap[723][UnlockStatement] = 406;
   _jumpMap[723][LockStatement] = 405;
   _jumpMap[723][RollbackStatement] = 404;
   _jumpMap[723][CommitStatement] = 403;
   _jumpMap[723][StartStatement] = 402;
   _jumpMap[723][CasePrepare] = 116;
   _jumpMap[723][CaseClause] = 115;
   _jumpMap[723][Factor] = 114;
   _jumpMap[723][Term] = 113;
   _jumpMap[723][Expr] = 401;
   _jumpMap[723][ProcStatement] = 400;
   _jumpMap[723][ProcIfPart] = 399;
   _jumpMap[723][ProcBlockStart] = 398;
   _jumpMap[723][ProcStatementList] = 397;
   _jumpMap[723][ProcStmtBlock] = 808;
   _actionMap[724][VAR] = ActionEntry(REDUCE, 161);
   _actionMap[724][CURSOR] = ActionEntry(REDUCE, 161);
   _actionMap[724][CLOSE] = ActionEntry(REDUCE, 161);
   _actionMap[724][VARREF] = ActionEntry(REDUCE, 161);
   _actionMap[724][NOOP] = ActionEntry(REDUCE, 161);
   _actionMap[724][THROW] = ActionEntry(REDUCE, 161);
   _actionMap[724][RETURNTOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[724][WHILE] = ActionEntry(REDUCE, 161);
   _actionMap[724][IF] = ActionEntry(REDUCE, 161);
}
void Cego::loadParser47()
{
   _actionMap[724][BEGIN] = ActionEntry(REDUCE, 161);
   _actionMap[724][UNLOCK] = ActionEntry(REDUCE, 161);
   _actionMap[724][LOCK] = ActionEntry(REDUCE, 161);
   _actionMap[724][ROLLBACK] = ActionEntry(REDUCE, 161);
   _actionMap[724][COMMIT] = ActionEntry(REDUCE, 161);
   _actionMap[724][START_TOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[724][UPDATE] = ActionEntry(REDUCE, 161);
   _actionMap[724][DELETETOK] = ActionEntry(REDUCE, 161);
   _actionMap[724][INSERT] = ActionEntry(REDUCE, 161);
   _actionMap[724][FETCH] = ActionEntry(REDUCE, 161);
   _actionMap[724][LB] = ActionEntry(REDUCE, 161);
   _actionMap[724][COUNT] = ActionEntry(REDUCE, 161);
   _actionMap[724][SUM] = ActionEntry(REDUCE, 161);
   _actionMap[724][AVG] = ActionEntry(REDUCE, 161);
   _actionMap[724][MIN] = ActionEntry(REDUCE, 161);
   _actionMap[724][MAX] = ActionEntry(REDUCE, 161);
   _actionMap[724][CASE] = ActionEntry(REDUCE, 161);
   _actionMap[724][INT2ASC] = ActionEntry(REDUCE, 161);
   _actionMap[724][ASC2INT] = ActionEntry(REDUCE, 161);
   _actionMap[724][TRIM] = ActionEntry(REDUCE, 161);
   _actionMap[724][RTRIM] = ActionEntry(REDUCE, 161);
   _actionMap[724][LTRIM] = ActionEntry(REDUCE, 161);
   _actionMap[724][ROUND] = ActionEntry(REDUCE, 161);
   _actionMap[724][SCANDATE] = ActionEntry(REDUCE, 161);
   _actionMap[724][DATE2STR] = ActionEntry(REDUCE, 161);
   _actionMap[724][DATE2LONG] = ActionEntry(REDUCE, 161);
   _actionMap[724][LONG2DATE] = ActionEntry(REDUCE, 161);
   _actionMap[724][NEWDATE] = ActionEntry(REDUCE, 161);
   _actionMap[724][LOWER] = ActionEntry(REDUCE, 161);
   _actionMap[724][UPPER] = ActionEntry(REDUCE, 161);
   _actionMap[724][LEFT] = ActionEntry(REDUCE, 161);
   _actionMap[724][RIGHT] = ActionEntry(REDUCE, 161);
   _actionMap[724][GETPOS] = ActionEntry(REDUCE, 161);
   _actionMap[724][SUBSTR] = ActionEntry(REDUCE, 161);
   _actionMap[724][REPLACE] = ActionEntry(REDUCE, 161);
   _actionMap[724][LENGTH] = ActionEntry(REDUCE, 161);
   _actionMap[724][TRUNC] = ActionEntry(REDUCE, 161);
   _actionMap[724][STR2INT] = ActionEntry(REDUCE, 161);
   _actionMap[724][STR2LONG] = ActionEntry(REDUCE, 161);
   _actionMap[724][RANDSTR] = ActionEntry(REDUCE, 161);
   _actionMap[724][RANDINT] = ActionEntry(REDUCE, 161);
   _actionMap[724][MOD] = ActionEntry(REDUCE, 161);
   _actionMap[724][DIV] = ActionEntry(REDUCE, 161);
   _actionMap[724][LMOD] = ActionEntry(REDUCE, 161);
   _actionMap[724][LDIV] = ActionEntry(REDUCE, 161);
   _actionMap[724][POWER] = ActionEntry(REDUCE, 161);
   _actionMap[724][BITAND] = ActionEntry(REDUCE, 161);
   _actionMap[724][BITOR] = ActionEntry(REDUCE, 161);
   _actionMap[724][BITXOR] = ActionEntry(REDUCE, 161);
   _actionMap[724][BLOBSIZE] = ActionEntry(REDUCE, 161);
}
void Cego::loadParser48()
{
   _actionMap[724][BLOBREF] = ActionEntry(REDUCE, 161);
   _actionMap[724][CLOBSIZE] = ActionEntry(REDUCE, 161);
   _actionMap[724][CLOBREF] = ActionEntry(REDUCE, 161);
   _actionMap[724][CLOB2STR] = ActionEntry(REDUCE, 161);
   _actionMap[724][NEXTCOUNT] = ActionEntry(REDUCE, 161);
   _actionMap[724][SETCOUNT] = ActionEntry(REDUCE, 161);
   _actionMap[724][GETCOUNT] = ActionEntry(REDUCE, 161);
   _actionMap[724][IDENTIFIER] = ActionEntry(REDUCE, 161);
   _actionMap[724][QUALIFIEDOBJ] = ActionEntry(REDUCE, 161);
   _actionMap[724][QUALIFIEDTS] = ActionEntry(REDUCE, 161);
   _actionMap[724][QUALIFIEDPRE] = ActionEntry(REDUCE, 161);
   _actionMap[724][STRINGVAL] = ActionEntry(REDUCE, 161);
   _actionMap[724][SYSDATE] = ActionEntry(REDUCE, 161);
   _actionMap[724][NULLTOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[724][TRUEVAL] = ActionEntry(REDUCE, 161);
   _actionMap[724][FALSEVAL] = ActionEntry(REDUCE, 161);
   _actionMap[724][BLOB] = ActionEntry(REDUCE, 161);
   _actionMap[724][CLOB] = ActionEntry(REDUCE, 161);
   _actionMap[724][FLOATVAL] = ActionEntry(REDUCE, 161);
   _actionMap[724][MINUS] = ActionEntry(REDUCE, 161);
   _actionMap[724][INTVAL] = ActionEntry(REDUCE, 161);
   _actionMap[725][SEMICOLON] = ActionEntry(REDUCE, 154);
   _actionMap[726][END_TOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[726][ELSE] = ActionEntry(REDUCE, 156);
   _actionMap[727][THEN] = ActionEntry(SHIFT, 809);
   _actionMap[728][OR] = ActionEntry(SHIFT, 732);
   _actionMap[728][AND] = ActionEntry(SHIFT, 731);
   _actionMap[728][THEN] = ActionEntry(REDUCE, 163);
   _actionMap[729][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[729][SelectStatement] = 810;
   _actionMap[730][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[730][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[730][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[730][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[730][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[730][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[730][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[730][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[730][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[730][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[730][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[730][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[730][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[730][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[730][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[730][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[730][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[730][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[730][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[730][SUBSTR] = ActionEntry(SHIFT, 168);
}
void Cego::loadParser49()
{
   _actionMap[730][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[730][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[730][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[730][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[730][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[730][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[730][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[730][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[730][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[730][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[730][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[730][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[730][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[730][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[730][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[730][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[730][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[730][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[730][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[730][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[730][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[730][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[730][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[730][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[730][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[730][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[730][LB] = ActionEntry(SHIFT, 177);
   _actionMap[730][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[730][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[730][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[730][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[730][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[730][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[730][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[730][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[730][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[730][VARREF] = ActionEntry(SHIFT, 419);
   _actionMap[730][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[730][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[730][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[730][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[730][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[730][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[730][IF] = ActionEntry(SHIFT, 413);
   _actionMap[730][BEGIN] = ActionEntry(SHIFT, 410);
   _actionMap[730][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[730][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[730][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[730][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[730][START_TOKEN] = ActionEntry(SHIFT, 37);
}
void Cego::loadParser50()
{
   _actionMap[730][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[730][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[730][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[730][VAR] = ActionEntry(SHIFT, 417);
   _actionMap[730][CURSOR] = ActionEntry(SHIFT, 412);
   _actionMap[730][CLOSE] = ActionEntry(SHIFT, 411);
   _actionMap[730][NOOP] = ActionEntry(SHIFT, 414);
   _actionMap[730][THROW] = ActionEntry(SHIFT, 416);
   _actionMap[730][RETURNTOKEN] = ActionEntry(SHIFT, 415);
   _actionMap[730][WHILE] = ActionEntry(SHIFT, 418);
   _jumpMap[730][ObjSpec] = 122;
   _jumpMap[730][Constant] = 121;
   _jumpMap[730][SignedFloat] = 120;
   _jumpMap[730][SignedInt] = 119;
   _jumpMap[730][Attribute] = 118;
   _jumpMap[730][Function] = 117;
   _jumpMap[730][DeleteStatement] = 409;
   _jumpMap[730][UpdateStatement] = 408;
   _jumpMap[730][InsertStatement] = 407;
   _jumpMap[730][UnlockStatement] = 406;
   _jumpMap[730][LockStatement] = 405;
   _jumpMap[730][RollbackStatement] = 404;
   _jumpMap[730][CommitStatement] = 403;
   _jumpMap[730][StartStatement] = 402;
   _jumpMap[730][CasePrepare] = 116;
   _jumpMap[730][CaseClause] = 115;
   _jumpMap[730][Factor] = 114;
   _jumpMap[730][Term] = 113;
   _jumpMap[730][Expr] = 401;
   _jumpMap[730][ProcStatement] = 400;
   _jumpMap[730][ProcIfPart] = 399;
   _jumpMap[730][ProcBlockStart] = 398;
   _jumpMap[730][ProcStatementList] = 397;
   _jumpMap[730][ProcStmtBlock] = 811;
   _actionMap[731][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[731][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[731][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[731][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[731][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[731][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[731][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[731][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[731][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[731][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[731][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[731][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[731][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[731][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[731][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[731][UPPER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser51()
{
   _actionMap[731][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[731][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[731][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[731][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[731][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[731][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[731][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[731][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[731][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[731][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[731][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[731][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[731][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[731][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[731][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[731][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[731][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[731][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[731][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[731][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[731][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[731][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[731][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[731][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[731][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[731][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[731][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[731][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[731][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[731][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[731][LB] = ActionEntry(SHIFT, 572);
   _actionMap[731][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[731][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[731][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[731][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[731][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[731][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[731][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[731][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[731][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[731][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[731][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[731][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[731][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[731][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[731][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[731][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[731][ObjSpec] = 122;
   _jumpMap[731][Constant] = 121;
   _jumpMap[731][SignedFloat] = 120;
}
void Cego::loadParser52()
{
   _jumpMap[731][SignedInt] = 119;
   _jumpMap[731][Attribute] = 118;
   _jumpMap[731][Function] = 117;
   _jumpMap[731][CasePrepare] = 116;
   _jumpMap[731][CaseClause] = 115;
   _jumpMap[731][Factor] = 114;
   _jumpMap[731][Term] = 113;
   _jumpMap[731][Expr] = 571;
   _jumpMap[731][ProcPredicate] = 812;
   _actionMap[732][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[732][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[732][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[732][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[732][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[732][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[732][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[732][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[732][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[732][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[732][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[732][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[732][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[732][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[732][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[732][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[732][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[732][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[732][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[732][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[732][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[732][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[732][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[732][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[732][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[732][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[732][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[732][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[732][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[732][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[732][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[732][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[732][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[732][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[732][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[732][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[732][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[732][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[732][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[732][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[732][NEXTCOUNT] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser53()
{
   _actionMap[732][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[732][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[732][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[732][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[732][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[732][LB] = ActionEntry(SHIFT, 572);
   _actionMap[732][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[732][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[732][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[732][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[732][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[732][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[732][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[732][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[732][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[732][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[732][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[732][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[732][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[732][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[732][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[732][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[732][ObjSpec] = 122;
   _jumpMap[732][Constant] = 121;
   _jumpMap[732][SignedFloat] = 120;
   _jumpMap[732][SignedInt] = 119;
   _jumpMap[732][Attribute] = 118;
   _jumpMap[732][Function] = 117;
   _jumpMap[732][CasePrepare] = 116;
   _jumpMap[732][CaseClause] = 115;
   _jumpMap[732][Factor] = 114;
   _jumpMap[732][Term] = 113;
   _jumpMap[732][Expr] = 571;
   _jumpMap[732][ProcPredicate] = 813;
   _actionMap[733][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[733][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[733][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[733][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[733][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[733][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[733][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[733][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[733][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[733][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[733][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[733][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[733][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[733][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[733][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[733][UPPER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser54()
{
   _actionMap[733][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[733][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[733][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[733][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[733][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[733][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[733][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[733][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[733][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[733][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[733][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[733][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[733][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[733][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[733][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[733][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[733][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[733][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[733][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[733][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[733][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[733][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[733][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[733][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[733][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[733][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[733][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[733][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[733][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[733][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[733][LB] = ActionEntry(SHIFT, 177);
   _actionMap[733][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[733][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[733][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[733][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[733][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[733][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[733][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[733][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[733][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[733][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[733][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[733][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[733][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[733][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[733][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[733][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[733][ObjSpec] = 122;
   _jumpMap[733][Constant] = 121;
   _jumpMap[733][SignedFloat] = 120;
}
void Cego::loadParser55()
{
   _jumpMap[733][SignedInt] = 119;
   _jumpMap[733][Attribute] = 118;
   _jumpMap[733][Function] = 117;
   _jumpMap[733][CasePrepare] = 116;
   _jumpMap[733][CaseClause] = 115;
   _jumpMap[733][Factor] = 114;
   _jumpMap[733][Term] = 113;
   _jumpMap[733][Expr] = 814;
   _actionMap[734][NOT] = ActionEntry(SHIFT, 815);
   _actionMap[734][NULLTOKEN] = ActionEntry(SHIFT, 816);
   _actionMap[735][RB] = ActionEntry(SHIFT, 817);
   _actionMap[735][OR] = ActionEntry(SHIFT, 732);
   _actionMap[735][AND] = ActionEntry(SHIFT, 731);
   _actionMap[736][RB] = ActionEntry(SHIFT, 518);
   _actionMap[736][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[736][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[736][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[736][IS] = ActionEntry(SHIFT, 734);
   _actionMap[736][EQU] = ActionEntry(SHIFT, 447);
   _actionMap[736][NEGATION] = ActionEntry(SHIFT, 450);
   _actionMap[736][LT] = ActionEntry(SHIFT, 448);
   _actionMap[736][MT] = ActionEntry(SHIFT, 449);
   _jumpMap[736][Comparison] = 733;
   _actionMap[737][SEMICOLON] = ActionEntry(REDUCE, 132);
   _actionMap[737][EQU] = ActionEntry(SHIFT, 820);
   _jumpMap[737][ProcNoAssignment] = 819;
   _jumpMap[737][ProcInitialAssignment] = 818;
   _actionMap[738][LB] = ActionEntry(SHIFT, 821);
   _actionMap[739][BEGIN] = ActionEntry(REDUCE, 400);
   _actionMap[739][EQU] = ActionEntry(REDUCE, 400);
   _actionMap[739][DEFAULT] = ActionEntry(REDUCE, 400);
   _actionMap[739][NULLTOKEN] = ActionEntry(REDUCE, 400);
   _actionMap[739][NOT] = ActionEntry(REDUCE, 400);
   _actionMap[739][KSEP] = ActionEntry(REDUCE, 400);
   _actionMap[739][SEMICOLON] = ActionEntry(REDUCE, 400);
   _actionMap[739][RB] = ActionEntry(REDUCE, 400);
   _actionMap[740][BEGIN] = ActionEntry(REDUCE, 393);
   _actionMap[740][EQU] = ActionEntry(REDUCE, 393);
   _actionMap[740][DEFAULT] = ActionEntry(REDUCE, 393);
   _actionMap[740][NULLTOKEN] = ActionEntry(REDUCE, 393);
   _actionMap[740][NOT] = ActionEntry(REDUCE, 393);
   _actionMap[740][KSEP] = ActionEntry(REDUCE, 393);
   _actionMap[740][SEMICOLON] = ActionEntry(REDUCE, 393);
   _actionMap[740][RB] = ActionEntry(REDUCE, 393);
   _actionMap[741][BEGIN] = ActionEntry(REDUCE, 401);
   _actionMap[741][EQU] = ActionEntry(REDUCE, 401);
   _actionMap[741][DEFAULT] = ActionEntry(REDUCE, 401);
   _actionMap[741][NULLTOKEN] = ActionEntry(REDUCE, 401);
   _actionMap[741][NOT] = ActionEntry(REDUCE, 401);
   _actionMap[741][KSEP] = ActionEntry(REDUCE, 401);
}
void Cego::loadParser56()
{
   _actionMap[741][SEMICOLON] = ActionEntry(REDUCE, 401);
   _actionMap[741][RB] = ActionEntry(REDUCE, 401);
   _actionMap[742][BEGIN] = ActionEntry(REDUCE, 392);
   _actionMap[742][EQU] = ActionEntry(REDUCE, 392);
   _actionMap[742][DEFAULT] = ActionEntry(REDUCE, 392);
   _actionMap[742][NULLTOKEN] = ActionEntry(REDUCE, 392);
   _actionMap[742][NOT] = ActionEntry(REDUCE, 392);
   _actionMap[742][KSEP] = ActionEntry(REDUCE, 392);
   _actionMap[742][SEMICOLON] = ActionEntry(REDUCE, 392);
   _actionMap[742][RB] = ActionEntry(REDUCE, 392);
   _actionMap[743][LB] = ActionEntry(SHIFT, 822);
   _actionMap[744][BEGIN] = ActionEntry(REDUCE, 396);
   _actionMap[744][EQU] = ActionEntry(REDUCE, 396);
   _actionMap[744][DEFAULT] = ActionEntry(REDUCE, 396);
   _actionMap[744][NULLTOKEN] = ActionEntry(REDUCE, 396);
   _actionMap[744][NOT] = ActionEntry(REDUCE, 396);
   _actionMap[744][KSEP] = ActionEntry(REDUCE, 396);
   _actionMap[744][SEMICOLON] = ActionEntry(REDUCE, 396);
   _actionMap[744][RB] = ActionEntry(REDUCE, 396);
   _actionMap[745][BEGIN] = ActionEntry(REDUCE, 395);
   _actionMap[745][EQU] = ActionEntry(REDUCE, 395);
   _actionMap[745][DEFAULT] = ActionEntry(REDUCE, 395);
   _actionMap[745][NULLTOKEN] = ActionEntry(REDUCE, 395);
   _actionMap[745][NOT] = ActionEntry(REDUCE, 395);
   _actionMap[745][KSEP] = ActionEntry(REDUCE, 395);
   _actionMap[745][SEMICOLON] = ActionEntry(REDUCE, 395);
   _actionMap[745][RB] = ActionEntry(REDUCE, 395);
   _actionMap[746][BEGIN] = ActionEntry(REDUCE, 389);
   _actionMap[746][EQU] = ActionEntry(REDUCE, 389);
   _actionMap[746][DEFAULT] = ActionEntry(REDUCE, 389);
   _actionMap[746][NULLTOKEN] = ActionEntry(REDUCE, 389);
   _actionMap[746][NOT] = ActionEntry(REDUCE, 389);
   _actionMap[746][KSEP] = ActionEntry(REDUCE, 389);
   _actionMap[746][SEMICOLON] = ActionEntry(REDUCE, 389);
   _actionMap[746][RB] = ActionEntry(REDUCE, 389);
   _actionMap[747][BEGIN] = ActionEntry(REDUCE, 390);
   _actionMap[747][EQU] = ActionEntry(REDUCE, 390);
   _actionMap[747][DEFAULT] = ActionEntry(REDUCE, 390);
   _actionMap[747][NULLTOKEN] = ActionEntry(REDUCE, 390);
   _actionMap[747][NOT] = ActionEntry(REDUCE, 390);
   _actionMap[747][KSEP] = ActionEntry(REDUCE, 390);
   _actionMap[747][SEMICOLON] = ActionEntry(REDUCE, 390);
   _actionMap[747][RB] = ActionEntry(REDUCE, 390);
   _actionMap[748][BEGIN] = ActionEntry(REDUCE, 397);
   _actionMap[748][EQU] = ActionEntry(REDUCE, 397);
   _actionMap[748][DEFAULT] = ActionEntry(REDUCE, 397);
   _actionMap[748][NULLTOKEN] = ActionEntry(REDUCE, 397);
   _actionMap[748][NOT] = ActionEntry(REDUCE, 397);
   _actionMap[748][KSEP] = ActionEntry(REDUCE, 397);
   _actionMap[748][SEMICOLON] = ActionEntry(REDUCE, 397);
}
void Cego::loadParser57()
{
   _actionMap[748][RB] = ActionEntry(REDUCE, 397);
   _actionMap[749][LB] = ActionEntry(SHIFT, 823);
   _actionMap[750][BEGIN] = ActionEntry(REDUCE, 398);
   _actionMap[750][EQU] = ActionEntry(REDUCE, 398);
   _actionMap[750][DEFAULT] = ActionEntry(REDUCE, 398);
   _actionMap[750][NULLTOKEN] = ActionEntry(REDUCE, 398);
   _actionMap[750][NOT] = ActionEntry(REDUCE, 398);
   _actionMap[750][KSEP] = ActionEntry(REDUCE, 398);
   _actionMap[750][SEMICOLON] = ActionEntry(REDUCE, 398);
   _actionMap[750][RB] = ActionEntry(REDUCE, 398);
   _actionMap[751][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[751][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[751][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[751][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[751][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[751][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[751][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[751][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[751][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[751][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[751][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[751][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[751][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[751][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[751][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[751][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[751][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[751][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[751][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[751][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[751][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[751][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[751][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[751][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[751][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[751][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[751][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[751][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[751][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[751][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[751][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[751][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[751][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[751][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[751][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[751][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[751][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[751][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[751][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[751][CLOB2STR] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser58()
{
   _actionMap[751][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[751][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[751][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[751][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[751][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[751][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[751][LB] = ActionEntry(SHIFT, 177);
   _actionMap[751][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[751][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[751][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[751][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[751][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[751][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[751][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[751][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[751][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[751][VARREF] = ActionEntry(SHIFT, 419);
   _actionMap[751][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[751][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[751][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[751][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[751][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[751][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[751][IF] = ActionEntry(SHIFT, 413);
   _actionMap[751][BEGIN] = ActionEntry(SHIFT, 410);
   _actionMap[751][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[751][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[751][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[751][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[751][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[751][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[751][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[751][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[751][VAR] = ActionEntry(SHIFT, 417);
   _actionMap[751][CURSOR] = ActionEntry(SHIFT, 412);
   _actionMap[751][CLOSE] = ActionEntry(SHIFT, 411);
   _actionMap[751][NOOP] = ActionEntry(SHIFT, 414);
   _actionMap[751][THROW] = ActionEntry(SHIFT, 416);
   _actionMap[751][RETURNTOKEN] = ActionEntry(SHIFT, 415);
   _actionMap[751][WHILE] = ActionEntry(SHIFT, 418);
   _jumpMap[751][ObjSpec] = 122;
   _jumpMap[751][Constant] = 121;
   _jumpMap[751][SignedFloat] = 120;
   _jumpMap[751][SignedInt] = 119;
   _jumpMap[751][Attribute] = 118;
   _jumpMap[751][Function] = 117;
   _jumpMap[751][DeleteStatement] = 409;
   _jumpMap[751][UpdateStatement] = 408;
   _jumpMap[751][InsertStatement] = 407;
   _jumpMap[751][UnlockStatement] = 406;
}
void Cego::loadParser59()
{
   _jumpMap[751][LockStatement] = 405;
   _jumpMap[751][RollbackStatement] = 404;
   _jumpMap[751][CommitStatement] = 403;
   _jumpMap[751][StartStatement] = 402;
   _jumpMap[751][CasePrepare] = 116;
   _jumpMap[751][CaseClause] = 115;
   _jumpMap[751][Factor] = 114;
   _jumpMap[751][Term] = 113;
   _jumpMap[751][Expr] = 401;
   _jumpMap[751][ProcStatement] = 400;
   _jumpMap[751][ProcIfPart] = 399;
   _jumpMap[751][ProcBlockStart] = 398;
   _jumpMap[751][ProcStatementList] = 397;
   _jumpMap[751][ProcStmtBlock] = 824;
   _actionMap[752][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[752][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[752][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[752][SEMICOLON] = ActionEntry(REDUCE, 127);
   _actionMap[753][LB] = ActionEntry(SHIFT, 825);
   _actionMap[754][IDENTIFIER] = ActionEntry(SHIFT, 828);
   _jumpMap[754][AliasAttr] = 827;
   _jumpMap[754][AliasAttrList] = 826;
   _actionMap[755][IDENTIFIER] = ActionEntry(SHIFT, 831);
   _jumpMap[755][SimpleAttr] = 830;
   _jumpMap[755][SimpleAttrList] = 829;
   _actionMap[756][IDENTIFIER] = ActionEntry(SHIFT, 587);
   _jumpMap[756][ProcArg] = 832;
   _actionMap[757][BEGIN] = ActionEntry(REDUCE, 111);
   _actionMap[758][INT] = ActionEntry(SHIFT, 746);
   _actionMap[758][LONG] = ActionEntry(SHIFT, 747);
   _actionMap[758][STRING] = ActionEntry(SHIFT, 749);
   _actionMap[758][DATETIME] = ActionEntry(SHIFT, 742);
   _actionMap[758][BOOL] = ActionEntry(SHIFT, 740);
   _actionMap[758][BIGINT] = ActionEntry(SHIFT, 738);
   _actionMap[758][FLOAT] = ActionEntry(SHIFT, 745);
   _actionMap[758][DOUBLE] = ActionEntry(SHIFT, 744);
   _actionMap[758][SMALLINT] = ActionEntry(SHIFT, 748);
   _actionMap[758][TINYINT] = ActionEntry(SHIFT, 750);
   _actionMap[758][DECIMAL] = ActionEntry(SHIFT, 743);
   _actionMap[758][BLOB] = ActionEntry(SHIFT, 739);
   _actionMap[758][CLOB] = ActionEntry(SHIFT, 741);
   _jumpMap[758][DataTypeProd] = 833;
   _actionMap[759][INT] = ActionEntry(SHIFT, 746);
   _actionMap[759][LONG] = ActionEntry(SHIFT, 747);
   _actionMap[759][STRING] = ActionEntry(SHIFT, 749);
   _actionMap[759][DATETIME] = ActionEntry(SHIFT, 742);
   _actionMap[759][BOOL] = ActionEntry(SHIFT, 740);
   _actionMap[759][BIGINT] = ActionEntry(SHIFT, 738);
   _actionMap[759][FLOAT] = ActionEntry(SHIFT, 745);
   _actionMap[759][DOUBLE] = ActionEntry(SHIFT, 744);
}
void Cego::loadParser60()
{
   _actionMap[759][SMALLINT] = ActionEntry(SHIFT, 748);
   _actionMap[759][TINYINT] = ActionEntry(SHIFT, 750);
   _actionMap[759][DECIMAL] = ActionEntry(SHIFT, 743);
   _actionMap[759][BLOB] = ActionEntry(SHIFT, 739);
   _actionMap[759][CLOB] = ActionEntry(SHIFT, 741);
   _jumpMap[759][DataTypeProd] = 834;
   _actionMap[760][INT] = ActionEntry(SHIFT, 746);
   _actionMap[760][LONG] = ActionEntry(SHIFT, 747);
   _actionMap[760][STRING] = ActionEntry(SHIFT, 749);
   _actionMap[760][DATETIME] = ActionEntry(SHIFT, 742);
   _actionMap[760][BOOL] = ActionEntry(SHIFT, 740);
   _actionMap[760][BIGINT] = ActionEntry(SHIFT, 738);
   _actionMap[760][FLOAT] = ActionEntry(SHIFT, 745);
   _actionMap[760][DOUBLE] = ActionEntry(SHIFT, 744);
   _actionMap[760][SMALLINT] = ActionEntry(SHIFT, 748);
   _actionMap[760][TINYINT] = ActionEntry(SHIFT, 750);
   _actionMap[760][DECIMAL] = ActionEntry(SHIFT, 743);
   _actionMap[760][BLOB] = ActionEntry(SHIFT, 739);
   _actionMap[760][CLOB] = ActionEntry(SHIFT, 741);
   _jumpMap[760][DataTypeProd] = 835;
   _actionMap[761][IDENTIFIER] = ActionEntry(SHIFT, 592);
   _actionMap[761][PRIMARY] = ActionEntry(SHIFT, 591);
   _jumpMap[761][ColumnDesc] = 590;
   _jumpMap[761][KeyColumn] = 836;
   _actionMap[762][SEMICOLON] = ActionEntry(REDUCE, 64);
   _actionMap[763][KSEP] = ActionEntry(REDUCE, 203);
   _actionMap[763][RB] = ActionEntry(REDUCE, 203);
   _actionMap[764][RB] = ActionEntry(REDUCE, 212);
   _actionMap[764][SEMICOLON] = ActionEntry(REDUCE, 212);
   _actionMap[764][KSEP] = ActionEntry(REDUCE, 212);
   _actionMap[764][NOT] = ActionEntry(REDUCE, 212);
   _actionMap[764][NULLTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[764][DEFAULT] = ActionEntry(SHIFT, 839);
   _jumpMap[764][DefaultDefOpt] = 838;
   _jumpMap[764][DefaultOpt] = 837;
   _actionMap[765][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[765][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[765][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[765][ObjSpec] = 840;
   _actionMap[766][INSERT] = ActionEntry(SHIFT, 596);
   _actionMap[766][UPDATE] = ActionEntry(SHIFT, 597);
   _actionMap[766][DELETETOK] = ActionEntry(SHIFT, 595);
   _jumpMap[766][TriggerOp] = 841;
   _actionMap[767][LB] = ActionEntry(SHIFT, 602);
   _jumpMap[767][InsertValueSpec] = 842;
   _actionMap[768][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[768][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[768][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[768][KSEP] = ActionEntry(REDUCE, 238);
   _actionMap[768][RB] = ActionEntry(REDUCE, 238);
}
void Cego::loadParser61()
{
   _actionMap[769][RB] = ActionEntry(SHIFT, 844);
   _actionMap[769][KSEP] = ActionEntry(SHIFT, 843);
   _actionMap[770][IDENTIFIER] = ActionEntry(SHIFT, 845);
   _actionMap[771][SELECT] = ActionEntry(REDUCE, 229);
   _actionMap[771][VALUES] = ActionEntry(REDUCE, 229);
   _actionMap[772][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[772][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[772][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[772][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[772][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[772][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[772][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[772][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[772][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[772][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[772][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[772][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[772][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[772][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[772][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[772][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[772][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[772][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[772][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[772][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[772][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[772][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[772][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[772][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[772][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[772][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[772][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[772][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[772][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[772][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[772][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[772][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[772][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[772][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[772][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[772][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[772][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[772][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[772][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[772][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[772][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[772][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[772][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[772][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[772][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
}
void Cego::loadParser62()
{
   _actionMap[772][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[772][LB] = ActionEntry(SHIFT, 177);
   _actionMap[772][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[772][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[772][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[772][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[772][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[772][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[772][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[772][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[772][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[772][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[772][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[772][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[772][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[772][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[772][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[772][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[772][ObjSpec] = 122;
   _jumpMap[772][Constant] = 121;
   _jumpMap[772][SignedFloat] = 120;
   _jumpMap[772][SignedInt] = 119;
   _jumpMap[772][Attribute] = 118;
   _jumpMap[772][Function] = 117;
   _jumpMap[772][CasePrepare] = 116;
   _jumpMap[772][CaseClause] = 115;
   _jumpMap[772][Factor] = 114;
   _jumpMap[772][Term] = 113;
   _jumpMap[772][Expr] = 846;
   _actionMap[773][RB] = ActionEntry(SHIFT, 847);
   _actionMap[774][RB] = ActionEntry(SHIFT, 848);
   _actionMap[774][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[775][LEFT] = ActionEntry(REDUCE, 384);
   _actionMap[775][RIGHT] = ActionEntry(REDUCE, 384);
   _actionMap[775][INNER] = ActionEntry(REDUCE, 384);
   _actionMap[775][JOIN] = ActionEntry(REDUCE, 384);
   _actionMap[775][RETURNTOKEN] = ActionEntry(REDUCE, 384);
   _actionMap[775][SEMICOLON] = ActionEntry(REDUCE, 384);
   _actionMap[775][ENDTOKEN] = ActionEntry(REDUCE, 384);
   _actionMap[775][UNION] = ActionEntry(REDUCE, 384);
   _actionMap[775][ROWLIMIT] = ActionEntry(REDUCE, 384);
   _actionMap[775][ORDER] = ActionEntry(REDUCE, 384);
   _actionMap[775][GROUP] = ActionEntry(REDUCE, 384);
   _actionMap[775][WHERE] = ActionEntry(REDUCE, 384);
   _actionMap[775][THEN] = ActionEntry(REDUCE, 384);
   _actionMap[775][AND] = ActionEntry(REDUCE, 384);
   _actionMap[775][OR] = ActionEntry(REDUCE, 384);
   _actionMap[775][RB] = ActionEntry(REDUCE, 384);
   _actionMap[776][SELECT] = ActionEntry(SHIFT, 34);
   _actionMap[776][FLOATVAL] = ActionEntry(SHIFT, 180);
}
void Cego::loadParser63()
{
   _actionMap[776][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[776][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[776][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[776][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[776][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[776][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[776][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[776][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[776][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[776][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[776][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[776][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[776][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[776][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[776][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[776][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[776][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[776][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[776][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[776][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[776][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[776][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[776][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[776][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[776][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[776][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[776][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[776][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[776][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[776][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[776][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[776][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[776][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[776][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[776][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[776][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[776][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[776][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[776][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[776][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[776][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[776][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[776][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[776][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[776][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[776][LB] = ActionEntry(SHIFT, 177);
   _actionMap[776][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[776][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[776][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[776][TRUEVAL] = ActionEntry(SHIFT, 174);
}
void Cego::loadParser64()
{
   _actionMap[776][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[776][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[776][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[776][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[776][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[776][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[776][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[776][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[776][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[776][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[776][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[776][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[776][ObjSpec] = 122;
   _jumpMap[776][Constant] = 121;
   _jumpMap[776][SignedFloat] = 120;
   _jumpMap[776][SignedInt] = 119;
   _jumpMap[776][Attribute] = 118;
   _jumpMap[776][ExpressionList] = 850;
   _jumpMap[776][Function] = 117;
   _jumpMap[776][SelectStatement] = 849;
   _jumpMap[776][CasePrepare] = 116;
   _jumpMap[776][CaseClause] = 115;
   _jumpMap[776][Factor] = 114;
   _jumpMap[776][Term] = 113;
   _jumpMap[776][Expr] = 466;
   _actionMap[777][LEFT] = ActionEntry(REDUCE, 386);
   _actionMap[777][RIGHT] = ActionEntry(REDUCE, 386);
   _actionMap[777][INNER] = ActionEntry(REDUCE, 386);
   _actionMap[777][JOIN] = ActionEntry(REDUCE, 386);
   _actionMap[777][RETURNTOKEN] = ActionEntry(REDUCE, 386);
   _actionMap[777][SEMICOLON] = ActionEntry(REDUCE, 386);
   _actionMap[777][ENDTOKEN] = ActionEntry(REDUCE, 386);
   _actionMap[777][UNION] = ActionEntry(REDUCE, 386);
   _actionMap[777][ROWLIMIT] = ActionEntry(REDUCE, 386);
   _actionMap[777][ORDER] = ActionEntry(REDUCE, 386);
   _actionMap[777][GROUP] = ActionEntry(REDUCE, 386);
   _actionMap[777][WHERE] = ActionEntry(REDUCE, 386);
   _actionMap[777][THEN] = ActionEntry(REDUCE, 386);
   _actionMap[777][AND] = ActionEntry(REDUCE, 386);
   _actionMap[777][OR] = ActionEntry(REDUCE, 386);
   _actionMap[777][RB] = ActionEntry(REDUCE, 386);
   _actionMap[778][LEFT] = ActionEntry(REDUCE, 376);
   _actionMap[778][RIGHT] = ActionEntry(REDUCE, 376);
   _actionMap[778][INNER] = ActionEntry(REDUCE, 376);
   _actionMap[778][JOIN] = ActionEntry(REDUCE, 376);
   _actionMap[778][RETURNTOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[778][SEMICOLON] = ActionEntry(REDUCE, 376);
   _actionMap[778][ENDTOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[778][UNION] = ActionEntry(REDUCE, 376);
   _actionMap[778][ROWLIMIT] = ActionEntry(REDUCE, 376);
}
void Cego::loadParser65()
{
   _actionMap[778][ORDER] = ActionEntry(REDUCE, 376);
   _actionMap[778][GROUP] = ActionEntry(REDUCE, 376);
   _actionMap[778][WHERE] = ActionEntry(REDUCE, 376);
   _actionMap[778][THEN] = ActionEntry(REDUCE, 376);
   _actionMap[778][RB] = ActionEntry(REDUCE, 376);
   _actionMap[778][AND] = ActionEntry(REDUCE, 376);
   _actionMap[778][OR] = ActionEntry(REDUCE, 376);
   _actionMap[779][LEFT] = ActionEntry(REDUCE, 194);
   _actionMap[779][RIGHT] = ActionEntry(REDUCE, 194);
   _actionMap[779][INNER] = ActionEntry(REDUCE, 194);
   _actionMap[779][JOIN] = ActionEntry(REDUCE, 194);
   _actionMap[779][WHERE] = ActionEntry(REDUCE, 194);
   _actionMap[779][GROUP] = ActionEntry(REDUCE, 194);
   _actionMap[779][ORDER] = ActionEntry(REDUCE, 194);
   _actionMap[779][RETURNTOKEN] = ActionEntry(REDUCE, 194);
   _actionMap[779][WHEN] = ActionEntry(REDUCE, 194);
   _actionMap[779][ELSE] = ActionEntry(REDUCE, 194);
   _actionMap[779][BEGIN] = ActionEntry(REDUCE, 194);
   _actionMap[779][THEN] = ActionEntry(REDUCE, 194);
   _actionMap[779][OR] = ActionEntry(REDUCE, 194);
   _actionMap[779][FROM] = ActionEntry(REDUCE, 194);
   _actionMap[779][AS] = ActionEntry(REDUCE, 194);
   _actionMap[779][END_TOKEN] = ActionEntry(REDUCE, 194);
   _actionMap[779][AND] = ActionEntry(REDUCE, 194);
   _actionMap[779][INTOK] = ActionEntry(REDUCE, 194);
   _actionMap[779][NOT] = ActionEntry(REDUCE, 194);
   _actionMap[779][BETWEEN] = ActionEntry(REDUCE, 194);
   _actionMap[779][IS] = ActionEntry(REDUCE, 194);
   _actionMap[779][LIKE] = ActionEntry(REDUCE, 194);
   _actionMap[779][RB] = ActionEntry(REDUCE, 194);
   _actionMap[779][ENDTOKEN] = ActionEntry(REDUCE, 194);
   _actionMap[779][UNION] = ActionEntry(REDUCE, 194);
   _actionMap[779][ROWLIMIT] = ActionEntry(REDUCE, 194);
   _actionMap[779][KSEP] = ActionEntry(REDUCE, 194);
   _actionMap[779][ASC] = ActionEntry(REDUCE, 194);
   _actionMap[779][DESC] = ActionEntry(REDUCE, 194);
   _actionMap[779][SEMICOLON] = ActionEntry(REDUCE, 194);
   _actionMap[779][MT] = ActionEntry(REDUCE, 194);
   _actionMap[779][LT] = ActionEntry(REDUCE, 194);
   _actionMap[779][NEGATION] = ActionEntry(REDUCE, 194);
   _actionMap[779][EQU] = ActionEntry(REDUCE, 194);
   _actionMap[779][PLUS] = ActionEntry(REDUCE, 194);
   _actionMap[779][MINUS] = ActionEntry(REDUCE, 194);
   _actionMap[779][DIVISION] = ActionEntry(REDUCE, 194);
   _actionMap[779][STAR] = ActionEntry(REDUCE, 194);
   _actionMap[779][CONCAT] = ActionEntry(REDUCE, 194);
   _actionMap[780][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[780][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[780][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[780][WHEN] = ActionEntry(REDUCE, 197);
}
void Cego::loadParser66()
{
   _actionMap[780][ELSE] = ActionEntry(REDUCE, 197);
   _actionMap[781][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[781][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[781][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[781][KSEP] = ActionEntry(REDUCE, 368);
   _actionMap[781][RB] = ActionEntry(REDUCE, 368);
   _actionMap[782][RB] = ActionEntry(SHIFT, 852);
   _actionMap[782][KSEP] = ActionEntry(SHIFT, 851);
   _actionMap[783][KSEP] = ActionEntry(REDUCE, 200);
   _actionMap[783][RB] = ActionEntry(REDUCE, 200);
   _actionMap[784][RB] = ActionEntry(SHIFT, 853);
   _actionMap[784][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[784][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[784][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[785][SEMICOLON] = ActionEntry(REDUCE, 283);
   _actionMap[785][RB] = ActionEntry(REDUCE, 283);
   _actionMap[785][ENDTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[785][UNION] = ActionEntry(REDUCE, 283);
   _actionMap[785][ROWLIMIT] = ActionEntry(REDUCE, 283);
   _actionMap[785][ORDER] = ActionEntry(SHIFT, 856);
   _jumpMap[785][NoOrdering] = 855;
   _jumpMap[785][OrderingClause] = 854;
   _actionMap[786][ORDER] = ActionEntry(REDUCE, 269);
   _actionMap[786][ROWLIMIT] = ActionEntry(REDUCE, 269);
   _actionMap[786][UNION] = ActionEntry(REDUCE, 269);
   _actionMap[786][ENDTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[786][RB] = ActionEntry(REDUCE, 269);
   _actionMap[786][SEMICOLON] = ActionEntry(REDUCE, 269);
   _actionMap[787][BY] = ActionEntry(SHIFT, 857);
   _actionMap[788][LEFT] = ActionEntry(REDUCE, 264);
   _actionMap[788][RIGHT] = ActionEntry(REDUCE, 264);
   _actionMap[788][INNER] = ActionEntry(REDUCE, 264);
   _actionMap[788][JOIN] = ActionEntry(REDUCE, 264);
   _actionMap[788][RETURNTOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[788][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[788][RB] = ActionEntry(REDUCE, 264);
   _actionMap[788][ENDTOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[788][UNION] = ActionEntry(REDUCE, 264);
   _actionMap[788][ROWLIMIT] = ActionEntry(REDUCE, 264);
   _actionMap[788][ORDER] = ActionEntry(REDUCE, 264);
   _actionMap[788][GROUP] = ActionEntry(REDUCE, 264);
   _actionMap[788][WHERE] = ActionEntry(REDUCE, 264);
   _actionMap[788][ON] = ActionEntry(REDUCE, 264);
   _actionMap[789][ON] = ActionEntry(SHIFT, 858);
   _actionMap[789][LEFT] = ActionEntry(REDUCE, 252);
   _actionMap[789][RIGHT] = ActionEntry(REDUCE, 252);
   _actionMap[789][INNER] = ActionEntry(REDUCE, 252);
   _actionMap[789][JOIN] = ActionEntry(REDUCE, 252);
   _actionMap[789][RETURNTOKEN] = ActionEntry(REDUCE, 252);
   _actionMap[789][SEMICOLON] = ActionEntry(REDUCE, 252);
}
void Cego::loadParser67()
{
   _actionMap[789][RB] = ActionEntry(REDUCE, 252);
   _actionMap[789][ENDTOKEN] = ActionEntry(REDUCE, 252);
   _actionMap[789][UNION] = ActionEntry(REDUCE, 252);
   _actionMap[789][ROWLIMIT] = ActionEntry(REDUCE, 252);
   _actionMap[789][ORDER] = ActionEntry(REDUCE, 252);
   _actionMap[789][GROUP] = ActionEntry(REDUCE, 252);
   _actionMap[789][WHERE] = ActionEntry(REDUCE, 252);
   _actionMap[790][IDENTIFIER] = ActionEntry(REDUCE, 258);
   _actionMap[790][QUALIFIEDOBJ] = ActionEntry(REDUCE, 258);
   _actionMap[790][QUALIFIEDTS] = ActionEntry(REDUCE, 258);
   _actionMap[791][JOIN] = ActionEntry(SHIFT, 859);
   _actionMap[792][JOIN] = ActionEntry(SHIFT, 860);
   _actionMap[793][RETURNTOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[793][SEMICOLON] = ActionEntry(REDUCE, 260);
   _actionMap[793][RB] = ActionEntry(REDUCE, 260);
   _actionMap[793][ENDTOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[793][UNION] = ActionEntry(REDUCE, 260);
   _actionMap[793][ROWLIMIT] = ActionEntry(REDUCE, 260);
   _actionMap[793][ORDER] = ActionEntry(REDUCE, 260);
   _actionMap[793][GROUP] = ActionEntry(REDUCE, 260);
   _actionMap[793][WHERE] = ActionEntry(REDUCE, 260);
   _actionMap[794][KSEP] = ActionEntry(SHIFT, 698);
   _actionMap[794][RETURNTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[794][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[794][RB] = ActionEntry(REDUCE, 261);
   _actionMap[794][ENDTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[794][UNION] = ActionEntry(REDUCE, 261);
   _actionMap[794][ROWLIMIT] = ActionEntry(REDUCE, 261);
   _actionMap[794][ORDER] = ActionEntry(REDUCE, 261);
   _actionMap[794][GROUP] = ActionEntry(REDUCE, 261);
   _actionMap[794][WHERE] = ActionEntry(REDUCE, 261);
   _actionMap[795][SEMICOLON] = ActionEntry(REDUCE, 296);
   _actionMap[796][SEMICOLON] = ActionEntry(REDUCE, 302);
   _actionMap[797][ON] = ActionEntry(SHIFT, 863);
   _actionMap[797][VARREF] = ActionEntry(SHIFT, 864);
   _jumpMap[797][ReturnVar] = 862;
   _jumpMap[797][ReturnVarList] = 861;
   _actionMap[798][KSEP] = ActionEntry(REDUCE, 297);
   _actionMap[798][WHERE] = ActionEntry(REDUCE, 297);
   _actionMap[798][GROUP] = ActionEntry(REDUCE, 297);
   _actionMap[798][ORDER] = ActionEntry(REDUCE, 297);
   _actionMap[798][ROWLIMIT] = ActionEntry(REDUCE, 297);
   _actionMap[798][UNION] = ActionEntry(REDUCE, 297);
   _actionMap[798][ENDTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[798][RB] = ActionEntry(REDUCE, 297);
   _actionMap[798][SEMICOLON] = ActionEntry(REDUCE, 297);
   _actionMap[798][RETURNTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[799][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[799][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[799][CONCAT] = ActionEntry(SHIFT, 281);
}
void Cego::loadParser68()
{
   _actionMap[799][KSEP] = ActionEntry(REDUCE, 299);
   _actionMap[799][WHERE] = ActionEntry(REDUCE, 299);
   _actionMap[799][GROUP] = ActionEntry(REDUCE, 299);
   _actionMap[799][ORDER] = ActionEntry(REDUCE, 299);
   _actionMap[799][ROWLIMIT] = ActionEntry(REDUCE, 299);
   _actionMap[799][UNION] = ActionEntry(REDUCE, 299);
   _actionMap[799][ENDTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[799][RB] = ActionEntry(REDUCE, 299);
   _actionMap[799][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[799][RETURNTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[800][RB] = ActionEntry(SHIFT, 801);
   _actionMap[801][SEMICOLON] = ActionEntry(REDUCE, 63);
   _actionMap[549][DROP] = ActionEntry(SHIFT, 388);
   _actionMap[549][ADD] = ActionEntry(SHIFT, 708);
   _actionMap[549][MODIFY] = ActionEntry(SHIFT, 389);
   _actionMap[549][RENAME] = ActionEntry(SHIFT, 390);
   _jumpMap[549][AlterOption] = 386;
   _jumpMap[549][AlterList] = 707;
   _actionMap[550][IDENTIFIER] = ActionEntry(SHIFT, 709);
   _actionMap[551][IDENTIFIER] = ActionEntry(SHIFT, 592);
   _jumpMap[551][ColumnDesc] = 710;
   _actionMap[552][KEY] = ActionEntry(SHIFT, 711);
   _actionMap[553][IDENTIFIER] = ActionEntry(SHIFT, 712);
   _actionMap[554][IDENTIFIER] = ActionEntry(SHIFT, 714);
   _jumpMap[554][ColumnDesc] = 713;
   _actionMap[555][IDENTIFIER] = ActionEntry(SHIFT, 715);
   _actionMap[556][FOR] = ActionEntry(SHIFT, 716);
   _actionMap[557][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[557][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[557][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[557][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[557][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[557][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[557][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[557][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[557][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[557][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[557][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[557][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[557][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[557][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[557][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[557][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[557][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[557][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[557][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[557][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[557][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[557][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[557][TRUNC] = ActionEntry(SHIFT, 175);
}
void Cego::loadParser69()
{
   _actionMap[557][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[557][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[557][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[557][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[557][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[557][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[557][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[557][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[557][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[557][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[557][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[557][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[557][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[557][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[557][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[557][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[557][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[557][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[557][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[557][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[557][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[557][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[557][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[557][LB] = ActionEntry(SHIFT, 177);
   _actionMap[557][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[557][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[557][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[557][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[557][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[557][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[557][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[557][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[557][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[557][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[557][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[557][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[557][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[557][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[557][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[557][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[557][ObjSpec] = 122;
   _jumpMap[557][Constant] = 121;
   _jumpMap[557][SignedFloat] = 120;
   _jumpMap[557][SignedInt] = 119;
   _jumpMap[557][Attribute] = 118;
   _jumpMap[557][Function] = 117;
   _jumpMap[557][CasePrepare] = 116;
   _jumpMap[557][CaseClause] = 115;
   _jumpMap[557][Factor] = 114;
   _jumpMap[557][Term] = 113;
}
void Cego::loadParser70()
{
   _jumpMap[557][Expr] = 717;
   _actionMap[558][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[559][ELSE] = ActionEntry(REDUCE, 121);
   _actionMap[559][ELSIF] = ActionEntry(REDUCE, 121);
   _actionMap[559][END_TOKEN] = ActionEntry(REDUCE, 121);
   _actionMap[559][EXCEPTION] = ActionEntry(SHIFT, 719);
   _jumpMap[559][ProcExceptionStmt] = 718;
   _actionMap[560][SEMICOLON] = ActionEntry(SHIFT, 720);
   _actionMap[561][END_TOKEN] = ActionEntry(SHIFT, 721);
   _actionMap[562][ELSE] = ActionEntry(SHIFT, 724);
   _actionMap[562][END_TOKEN] = ActionEntry(REDUCE, 160);
   _jumpMap[562][ProcElsePart] = 723;
   _jumpMap[562][ProcElseOpt] = 722;
   _actionMap[563][ELSIF] = ActionEntry(SHIFT, 564);
   _actionMap[563][END_TOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[563][ELSE] = ActionEntry(REDUCE, 157);
   _jumpMap[563][ProcElsIfOpt] = 563;
   _jumpMap[563][ProcElsIfList] = 726;
   _actionMap[564][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[564][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[564][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[564][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[564][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[564][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[564][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[564][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[564][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[564][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[564][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[564][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[564][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[564][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[564][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[564][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[564][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[564][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[564][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[564][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[564][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[564][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[564][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[564][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[564][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[564][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[564][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[564][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[564][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[564][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[564][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[564][POWER] = ActionEntry(SHIFT, 159);
}
void Cego::loadParser71()
{
   _actionMap[564][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[564][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[564][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[564][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[564][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[564][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[564][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[564][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[564][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[564][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[564][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[564][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[564][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[564][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[564][LB] = ActionEntry(SHIFT, 572);
   _actionMap[564][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[564][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[564][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[564][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[564][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[564][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[564][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[564][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[564][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[564][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[564][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[564][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[564][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[564][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[564][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[564][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[564][ObjSpec] = 122;
   _jumpMap[564][Constant] = 121;
   _jumpMap[564][SignedFloat] = 120;
   _jumpMap[564][SignedInt] = 119;
   _jumpMap[564][Attribute] = 118;
   _jumpMap[564][Function] = 117;
   _jumpMap[564][CasePrepare] = 116;
   _jumpMap[564][CaseClause] = 115;
   _jumpMap[564][Factor] = 114;
   _jumpMap[564][Term] = 113;
   _jumpMap[564][Expr] = 571;
   _jumpMap[564][ProcPredicate] = 570;
   _jumpMap[564][ProcCondition] = 728;
   _jumpMap[564][ProcElsIfCondition] = 727;
   _actionMap[565][EXCEPTION] = ActionEntry(REDUCE, 123);
   _actionMap[565][END_TOKEN] = ActionEntry(REDUCE, 123);
   _actionMap[565][ELSE] = ActionEntry(REDUCE, 123);
   _actionMap[565][ELSIF] = ActionEntry(REDUCE, 123);
   _actionMap[565][VAR] = ActionEntry(REDUCE, 123);
}
void Cego::loadParser72()
{
   _actionMap[565][CURSOR] = ActionEntry(REDUCE, 123);
   _actionMap[565][CLOSE] = ActionEntry(REDUCE, 123);
   _actionMap[565][VARREF] = ActionEntry(REDUCE, 123);
   _actionMap[565][NOOP] = ActionEntry(REDUCE, 123);
   _actionMap[565][THROW] = ActionEntry(REDUCE, 123);
   _actionMap[565][RETURNTOKEN] = ActionEntry(REDUCE, 123);
   _actionMap[565][WHILE] = ActionEntry(REDUCE, 123);
   _actionMap[565][IF] = ActionEntry(REDUCE, 123);
   _actionMap[565][BEGIN] = ActionEntry(REDUCE, 123);
   _actionMap[565][UNLOCK] = ActionEntry(REDUCE, 123);
   _actionMap[565][LOCK] = ActionEntry(REDUCE, 123);
   _actionMap[565][ROLLBACK] = ActionEntry(REDUCE, 123);
   _actionMap[565][COMMIT] = ActionEntry(REDUCE, 123);
   _actionMap[565][START_TOKEN] = ActionEntry(REDUCE, 123);
   _actionMap[565][UPDATE] = ActionEntry(REDUCE, 123);
   _actionMap[565][DELETETOK] = ActionEntry(REDUCE, 123);
   _actionMap[565][INSERT] = ActionEntry(REDUCE, 123);
   _actionMap[565][FETCH] = ActionEntry(REDUCE, 123);
   _actionMap[565][LB] = ActionEntry(REDUCE, 123);
   _actionMap[565][COUNT] = ActionEntry(REDUCE, 123);
   _actionMap[565][SUM] = ActionEntry(REDUCE, 123);
   _actionMap[565][AVG] = ActionEntry(REDUCE, 123);
   _actionMap[565][MIN] = ActionEntry(REDUCE, 123);
   _actionMap[565][MAX] = ActionEntry(REDUCE, 123);
   _actionMap[565][CASE] = ActionEntry(REDUCE, 123);
   _actionMap[565][INT2ASC] = ActionEntry(REDUCE, 123);
   _actionMap[565][ASC2INT] = ActionEntry(REDUCE, 123);
   _actionMap[565][TRIM] = ActionEntry(REDUCE, 123);
   _actionMap[565][RTRIM] = ActionEntry(REDUCE, 123);
   _actionMap[565][LTRIM] = ActionEntry(REDUCE, 123);
   _actionMap[565][ROUND] = ActionEntry(REDUCE, 123);
   _actionMap[565][SCANDATE] = ActionEntry(REDUCE, 123);
   _actionMap[565][DATE2STR] = ActionEntry(REDUCE, 123);
   _actionMap[565][DATE2LONG] = ActionEntry(REDUCE, 123);
   _actionMap[565][LONG2DATE] = ActionEntry(REDUCE, 123);
   _actionMap[565][NEWDATE] = ActionEntry(REDUCE, 123);
   _actionMap[565][LOWER] = ActionEntry(REDUCE, 123);
   _actionMap[565][UPPER] = ActionEntry(REDUCE, 123);
   _actionMap[565][LEFT] = ActionEntry(REDUCE, 123);
   _actionMap[565][RIGHT] = ActionEntry(REDUCE, 123);
   _actionMap[565][GETPOS] = ActionEntry(REDUCE, 123);
   _actionMap[565][SUBSTR] = ActionEntry(REDUCE, 123);
   _actionMap[565][REPLACE] = ActionEntry(REDUCE, 123);
   _actionMap[565][LENGTH] = ActionEntry(REDUCE, 123);
   _actionMap[565][TRUNC] = ActionEntry(REDUCE, 123);
   _actionMap[565][STR2INT] = ActionEntry(REDUCE, 123);
   _actionMap[565][STR2LONG] = ActionEntry(REDUCE, 123);
   _actionMap[565][RANDSTR] = ActionEntry(REDUCE, 123);
   _actionMap[565][RANDINT] = ActionEntry(REDUCE, 123);
   _actionMap[565][MOD] = ActionEntry(REDUCE, 123);
}
void Cego::loadParser73()
{
   _actionMap[565][DIV] = ActionEntry(REDUCE, 123);
   _actionMap[565][LMOD] = ActionEntry(REDUCE, 123);
   _actionMap[565][LDIV] = ActionEntry(REDUCE, 123);
   _actionMap[565][POWER] = ActionEntry(REDUCE, 123);
   _actionMap[565][BITAND] = ActionEntry(REDUCE, 123);
   _actionMap[565][BITOR] = ActionEntry(REDUCE, 123);
   _actionMap[565][BITXOR] = ActionEntry(REDUCE, 123);
   _actionMap[565][BLOBSIZE] = ActionEntry(REDUCE, 123);
   _actionMap[565][BLOBREF] = ActionEntry(REDUCE, 123);
   _actionMap[565][CLOBSIZE] = ActionEntry(REDUCE, 123);
   _actionMap[565][CLOBREF] = ActionEntry(REDUCE, 123);
   _actionMap[565][CLOB2STR] = ActionEntry(REDUCE, 123);
   _actionMap[565][NEXTCOUNT] = ActionEntry(REDUCE, 123);
   _actionMap[565][SETCOUNT] = ActionEntry(REDUCE, 123);
   _actionMap[565][GETCOUNT] = ActionEntry(REDUCE, 123);
   _actionMap[565][IDENTIFIER] = ActionEntry(REDUCE, 123);
   _actionMap[565][QUALIFIEDOBJ] = ActionEntry(REDUCE, 123);
   _actionMap[565][QUALIFIEDTS] = ActionEntry(REDUCE, 123);
   _actionMap[565][QUALIFIEDPRE] = ActionEntry(REDUCE, 123);
   _actionMap[565][STRINGVAL] = ActionEntry(REDUCE, 123);
   _actionMap[565][SYSDATE] = ActionEntry(REDUCE, 123);
   _actionMap[565][NULLTOKEN] = ActionEntry(REDUCE, 123);
   _actionMap[565][TRUEVAL] = ActionEntry(REDUCE, 123);
   _actionMap[565][FALSEVAL] = ActionEntry(REDUCE, 123);
   _actionMap[565][BLOB] = ActionEntry(REDUCE, 123);
   _actionMap[565][CLOB] = ActionEntry(REDUCE, 123);
   _actionMap[565][FLOATVAL] = ActionEntry(REDUCE, 123);
   _actionMap[565][MINUS] = ActionEntry(REDUCE, 123);
   _actionMap[565][INTVAL] = ActionEntry(REDUCE, 123);
   _actionMap[566][SEMICOLON] = ActionEntry(REDUCE, 126);
   _actionMap[567][AS] = ActionEntry(SHIFT, 729);
   _actionMap[568][THEN] = ActionEntry(SHIFT, 730);
   _actionMap[569][OR] = ActionEntry(SHIFT, 732);
   _actionMap[569][AND] = ActionEntry(SHIFT, 731);
   _actionMap[569][THEN] = ActionEntry(REDUCE, 162);
   _actionMap[570][BEGIN] = ActionEntry(REDUCE, 168);
   _actionMap[570][RB] = ActionEntry(REDUCE, 168);
   _actionMap[570][AND] = ActionEntry(REDUCE, 168);
   _actionMap[570][OR] = ActionEntry(REDUCE, 168);
   _actionMap[570][THEN] = ActionEntry(REDUCE, 168);
   _actionMap[571][IS] = ActionEntry(SHIFT, 734);
   _actionMap[571][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[571][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[571][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[571][EQU] = ActionEntry(SHIFT, 447);
   _actionMap[571][NEGATION] = ActionEntry(SHIFT, 450);
   _actionMap[571][LT] = ActionEntry(SHIFT, 448);
   _actionMap[571][MT] = ActionEntry(SHIFT, 449);
   _jumpMap[571][Comparison] = 733;
   _actionMap[572][LONG] = ActionEntry(SHIFT, 343);
}
void Cego::loadParser74()
{
   _actionMap[572][BIGINT] = ActionEntry(SHIFT, 340);
   _actionMap[572][SMALLINT] = ActionEntry(SHIFT, 344);
   _actionMap[572][TINYINT] = ActionEntry(SHIFT, 345);
   _actionMap[572][DOUBLE] = ActionEntry(SHIFT, 342);
   _actionMap[572][DECIMAL] = ActionEntry(SHIFT, 341);
   _actionMap[572][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[572][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[572][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[572][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[572][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[572][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[572][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[572][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[572][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[572][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[572][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[572][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[572][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[572][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[572][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[572][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[572][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[572][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[572][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[572][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[572][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[572][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[572][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[572][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[572][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[572][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[572][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[572][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[572][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[572][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[572][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[572][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[572][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[572][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[572][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[572][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[572][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[572][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[572][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[572][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[572][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[572][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[572][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[572][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[572][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
}
void Cego::loadParser75()
{
   _actionMap[572][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[572][LB] = ActionEntry(SHIFT, 572);
   _actionMap[572][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[572][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[572][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[572][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[572][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[572][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[572][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[572][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[572][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[572][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[572][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[572][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[572][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[572][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[572][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[572][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[572][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[572][ObjSpec] = 122;
   _jumpMap[572][Constant] = 121;
   _jumpMap[572][SignedFloat] = 120;
   _jumpMap[572][SignedInt] = 119;
   _jumpMap[572][Attribute] = 118;
   _jumpMap[572][Function] = 117;
   _jumpMap[572][SelectStatement] = 339;
   _jumpMap[572][CasePrepare] = 116;
   _jumpMap[572][CaseClause] = 115;
   _jumpMap[572][Factor] = 114;
   _jumpMap[572][Term] = 113;
   _jumpMap[572][Expr] = 736;
   _jumpMap[572][ProcPredicate] = 570;
   _jumpMap[572][ProcCondition] = 735;
   _actionMap[573][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[573][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[573][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[573][SEMICOLON] = ActionEntry(REDUCE, 143);
   _actionMap[574][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[574][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[574][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[574][SEMICOLON] = ActionEntry(REDUCE, 133);
   _actionMap[575][INT] = ActionEntry(SHIFT, 746);
   _actionMap[575][LONG] = ActionEntry(SHIFT, 747);
   _actionMap[575][STRING] = ActionEntry(SHIFT, 749);
   _actionMap[575][DATETIME] = ActionEntry(SHIFT, 742);
   _actionMap[575][BOOL] = ActionEntry(SHIFT, 740);
   _actionMap[575][BIGINT] = ActionEntry(SHIFT, 738);
   _actionMap[575][FLOAT] = ActionEntry(SHIFT, 745);
   _actionMap[575][DOUBLE] = ActionEntry(SHIFT, 744);
   _actionMap[575][SMALLINT] = ActionEntry(SHIFT, 748);
}
void Cego::loadParser76()
{
   _actionMap[575][TINYINT] = ActionEntry(SHIFT, 750);
   _actionMap[575][DECIMAL] = ActionEntry(SHIFT, 743);
   _actionMap[575][BLOB] = ActionEntry(SHIFT, 739);
   _actionMap[575][CLOB] = ActionEntry(SHIFT, 741);
   _jumpMap[575][DataTypeProd] = 737;
   _actionMap[576][BEGIN] = ActionEntry(SHIFT, 751);
   _actionMap[577][OR] = ActionEntry(SHIFT, 732);
   _actionMap[577][AND] = ActionEntry(SHIFT, 731);
   _actionMap[577][BEGIN] = ActionEntry(REDUCE, 165);
   _actionMap[578][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[578][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[578][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[578][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[578][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[578][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[578][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[578][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[578][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[578][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[578][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[578][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[578][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[578][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[578][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[578][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[578][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[578][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[578][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[578][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[578][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[578][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[578][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[578][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[578][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[578][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[578][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[578][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[578][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[578][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[578][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[578][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[578][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[578][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[578][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[578][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[578][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[578][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[578][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[578][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[578][NEXTCOUNT] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser77()
{
   _actionMap[578][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[578][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[578][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[578][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[578][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[578][LB] = ActionEntry(SHIFT, 177);
   _actionMap[578][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[578][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[578][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[578][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[578][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[578][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[578][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[578][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[578][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[578][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[578][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[578][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[578][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[578][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[578][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[578][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[578][ObjSpec] = 122;
   _jumpMap[578][Constant] = 121;
   _jumpMap[578][SignedFloat] = 120;
   _jumpMap[578][SignedInt] = 119;
   _jumpMap[578][Attribute] = 118;
   _jumpMap[578][Function] = 117;
   _jumpMap[578][CasePrepare] = 116;
   _jumpMap[578][CaseClause] = 115;
   _jumpMap[578][Factor] = 114;
   _jumpMap[578][Term] = 113;
   _jumpMap[578][Expr] = 752;
   _actionMap[579][SEMICOLON] = ActionEntry(REDUCE, 112);
   _actionMap[580][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[580][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[580][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[580][ObjSpec] = 753;
   _actionMap[581][LB] = ActionEntry(SHIFT, 754);
   _actionMap[582][LB] = ActionEntry(SHIFT, 755);
   _actionMap[583][RB] = ActionEntry(SHIFT, 586);
   _actionMap[584][KSEP] = ActionEntry(SHIFT, 756);
   _actionMap[584][RB] = ActionEntry(REDUCE, 115);
   _actionMap[585][KSEP] = ActionEntry(REDUCE, 118);
   _actionMap[585][RB] = ActionEntry(REDUCE, 118);
   _actionMap[586][RETURNTOKEN] = ActionEntry(SHIFT, 758);
   _actionMap[586][BEGIN] = ActionEntry(REDUCE, 114);
   _jumpMap[586][ReturnOpt] = 757;
   _actionMap[587][INTOK] = ActionEntry(SHIFT, 759);
   _actionMap[587][OUTTOK] = ActionEntry(SHIFT, 760);
}
void Cego::loadParser78()
{
   _actionMap[588][RB] = ActionEntry(SHIFT, 762);
   _actionMap[588][KSEP] = ActionEntry(SHIFT, 761);
   _actionMap[589][KSEP] = ActionEntry(REDUCE, 202);
   _actionMap[589][RB] = ActionEntry(REDUCE, 202);
   _actionMap[590][KSEP] = ActionEntry(REDUCE, 204);
   _actionMap[590][RB] = ActionEntry(REDUCE, 204);
   _actionMap[591][IDENTIFIER] = ActionEntry(SHIFT, 592);
   _jumpMap[591][ColumnDesc] = 763;
   _actionMap[592][INT] = ActionEntry(SHIFT, 746);
   _actionMap[592][LONG] = ActionEntry(SHIFT, 747);
   _actionMap[592][STRING] = ActionEntry(SHIFT, 749);
   _actionMap[592][DATETIME] = ActionEntry(SHIFT, 742);
   _actionMap[592][BOOL] = ActionEntry(SHIFT, 740);
   _actionMap[592][BIGINT] = ActionEntry(SHIFT, 738);
   _actionMap[592][FLOAT] = ActionEntry(SHIFT, 745);
   _actionMap[592][DOUBLE] = ActionEntry(SHIFT, 744);
   _actionMap[592][SMALLINT] = ActionEntry(SHIFT, 748);
   _actionMap[592][TINYINT] = ActionEntry(SHIFT, 750);
   _actionMap[592][DECIMAL] = ActionEntry(SHIFT, 743);
   _actionMap[592][BLOB] = ActionEntry(SHIFT, 739);
   _actionMap[592][CLOB] = ActionEntry(SHIFT, 741);
   _jumpMap[592][DataTypeProd] = 764;
   _actionMap[593][ON] = ActionEntry(SHIFT, 765);
   _actionMap[593][OR] = ActionEntry(SHIFT, 766);
   _actionMap[594][OR] = ActionEntry(REDUCE, 107);
   _actionMap[594][ON] = ActionEntry(REDUCE, 107);
   _actionMap[595][OR] = ActionEntry(REDUCE, 110);
   _actionMap[595][ON] = ActionEntry(REDUCE, 110);
   _actionMap[596][OR] = ActionEntry(REDUCE, 108);
   _actionMap[596][ON] = ActionEntry(REDUCE, 108);
   _actionMap[597][OR] = ActionEntry(REDUCE, 109);
   _actionMap[597][ON] = ActionEntry(REDUCE, 109);
   _actionMap[598][SEMICOLON] = ActionEntry(REDUCE, 58);
   _actionMap[599][AND] = ActionEntry(SHIFT, 451);
   _actionMap[599][OR] = ActionEntry(SHIFT, 452);
   _actionMap[599][RETURNTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[599][GROUP] = ActionEntry(REDUCE, 370);
   _actionMap[599][ORDER] = ActionEntry(REDUCE, 370);
   _actionMap[599][ROWLIMIT] = ActionEntry(REDUCE, 370);
   _actionMap[599][UNION] = ActionEntry(REDUCE, 370);
   _actionMap[599][ENDTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[599][RB] = ActionEntry(REDUCE, 370);
   _actionMap[599][SEMICOLON] = ActionEntry(REDUCE, 370);
   _actionMap[600][KSEP] = ActionEntry(SHIFT, 767);
   _actionMap[600][SEMICOLON] = ActionEntry(REDUCE, 227);
   _actionMap[601][SEMICOLON] = ActionEntry(REDUCE, 233);
   _actionMap[601][KSEP] = ActionEntry(REDUCE, 233);
   _actionMap[602][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[602][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[602][INTVAL] = ActionEntry(SHIFT, 179);
}
void Cego::loadParser79()
{
   _actionMap[602][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[602][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[602][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[602][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[602][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[602][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[602][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[602][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[602][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[602][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[602][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[602][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[602][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[602][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[602][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[602][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[602][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[602][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[602][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[602][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[602][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[602][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[602][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[602][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[602][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[602][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[602][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[602][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[602][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[602][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[602][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[602][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[602][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[602][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[602][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[602][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[602][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[602][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[602][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[602][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[602][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[602][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[602][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[602][LB] = ActionEntry(SHIFT, 177);
   _actionMap[602][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[602][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[602][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[602][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[602][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[602][BLOB] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser80()
{
   _actionMap[602][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[602][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[602][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[602][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[602][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[602][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[602][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[602][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[602][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[602][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[602][ObjSpec] = 122;
   _jumpMap[602][Constant] = 121;
   _jumpMap[602][SignedFloat] = 120;
   _jumpMap[602][SignedInt] = 119;
   _jumpMap[602][Attribute] = 118;
   _jumpMap[602][Function] = 117;
   _jumpMap[602][InsertValueList] = 769;
   _jumpMap[602][CasePrepare] = 116;
   _jumpMap[602][CaseClause] = 115;
   _jumpMap[602][Factor] = 114;
   _jumpMap[602][Term] = 113;
   _jumpMap[602][Expr] = 768;
   _actionMap[603][RB] = ActionEntry(SHIFT, 771);
   _actionMap[603][KSEP] = ActionEntry(SHIFT, 770);
   _actionMap[604][KSEP] = ActionEntry(REDUCE, 236);
   _actionMap[604][RB] = ActionEntry(REDUCE, 236);
   _actionMap[605][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[605][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[605][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[605][LEFT] = ActionEntry(REDUCE, 381);
   _actionMap[605][RIGHT] = ActionEntry(REDUCE, 381);
   _actionMap[605][INNER] = ActionEntry(REDUCE, 381);
   _actionMap[605][JOIN] = ActionEntry(REDUCE, 381);
   _actionMap[605][RETURNTOKEN] = ActionEntry(REDUCE, 381);
   _actionMap[605][SEMICOLON] = ActionEntry(REDUCE, 381);
   _actionMap[605][ENDTOKEN] = ActionEntry(REDUCE, 381);
   _actionMap[605][UNION] = ActionEntry(REDUCE, 381);
   _actionMap[605][ROWLIMIT] = ActionEntry(REDUCE, 381);
   _actionMap[605][ORDER] = ActionEntry(REDUCE, 381);
   _actionMap[605][GROUP] = ActionEntry(REDUCE, 381);
   _actionMap[605][WHERE] = ActionEntry(REDUCE, 381);
   _actionMap[605][THEN] = ActionEntry(REDUCE, 381);
   _actionMap[605][AND] = ActionEntry(REDUCE, 381);
   _actionMap[605][OR] = ActionEntry(REDUCE, 381);
   _actionMap[605][RB] = ActionEntry(REDUCE, 381);
   _actionMap[606][AND] = ActionEntry(SHIFT, 772);
   _actionMap[606][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[606][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[606][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[607][FLOATVAL] = ActionEntry(SHIFT, 180);
}
void Cego::loadParser81()
{
   _actionMap[607][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[607][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[607][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[607][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[607][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[607][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[607][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[607][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[607][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[607][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[607][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[607][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[607][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[607][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[607][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[607][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[607][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[607][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[607][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[607][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[607][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[607][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[607][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[607][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[607][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[607][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[607][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[607][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[607][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[607][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[607][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[607][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[607][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[607][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[607][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[607][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[607][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[607][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[607][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[607][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[607][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[607][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[607][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[607][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[607][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[607][LB] = ActionEntry(SHIFT, 177);
   _actionMap[607][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[607][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[607][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[607][TRUEVAL] = ActionEntry(SHIFT, 174);
}
void Cego::loadParser82()
{
   _actionMap[607][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[607][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[607][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[607][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[607][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[607][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[607][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[607][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[607][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[607][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[607][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[607][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[607][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[607][ObjSpec] = 122;
   _jumpMap[607][Constant] = 121;
   _jumpMap[607][SignedFloat] = 120;
   _jumpMap[607][SignedInt] = 119;
   _jumpMap[607][Attribute] = 118;
   _jumpMap[607][ExpressionList] = 774;
   _jumpMap[607][Function] = 117;
   _jumpMap[607][SelectStatement] = 773;
   _jumpMap[607][CasePrepare] = 116;
   _jumpMap[607][CaseClause] = 115;
   _jumpMap[607][Factor] = 114;
   _jumpMap[607][Term] = 113;
   _jumpMap[607][Expr] = 466;
   _actionMap[608][NULLTOKEN] = ActionEntry(SHIFT, 775);
   _actionMap[609][LEFT] = ActionEntry(REDUCE, 383);
   _actionMap[609][RIGHT] = ActionEntry(REDUCE, 383);
   _actionMap[609][INNER] = ActionEntry(REDUCE, 383);
   _actionMap[609][JOIN] = ActionEntry(REDUCE, 383);
   _actionMap[609][RETURNTOKEN] = ActionEntry(REDUCE, 383);
   _actionMap[609][SEMICOLON] = ActionEntry(REDUCE, 383);
   _actionMap[609][ENDTOKEN] = ActionEntry(REDUCE, 383);
   _actionMap[609][UNION] = ActionEntry(REDUCE, 383);
   _actionMap[609][ROWLIMIT] = ActionEntry(REDUCE, 383);
   _actionMap[609][ORDER] = ActionEntry(REDUCE, 383);
   _actionMap[609][GROUP] = ActionEntry(REDUCE, 383);
   _actionMap[609][WHERE] = ActionEntry(REDUCE, 383);
   _actionMap[609][THEN] = ActionEntry(REDUCE, 383);
   _actionMap[609][AND] = ActionEntry(REDUCE, 383);
   _actionMap[609][OR] = ActionEntry(REDUCE, 383);
   _actionMap[609][RB] = ActionEntry(REDUCE, 383);
   _actionMap[610][LEFT] = ActionEntry(REDUCE, 385);
   _actionMap[610][RIGHT] = ActionEntry(REDUCE, 385);
   _actionMap[610][INNER] = ActionEntry(REDUCE, 385);
   _actionMap[610][JOIN] = ActionEntry(REDUCE, 385);
   _actionMap[610][RETURNTOKEN] = ActionEntry(REDUCE, 385);
   _actionMap[610][SEMICOLON] = ActionEntry(REDUCE, 385);
   _actionMap[610][ENDTOKEN] = ActionEntry(REDUCE, 385);
}
void Cego::loadParser83()
{
   _actionMap[610][UNION] = ActionEntry(REDUCE, 385);
   _actionMap[610][ROWLIMIT] = ActionEntry(REDUCE, 385);
   _actionMap[610][ORDER] = ActionEntry(REDUCE, 385);
   _actionMap[610][GROUP] = ActionEntry(REDUCE, 385);
   _actionMap[610][WHERE] = ActionEntry(REDUCE, 385);
   _actionMap[610][THEN] = ActionEntry(REDUCE, 385);
   _actionMap[610][AND] = ActionEntry(REDUCE, 385);
   _actionMap[610][OR] = ActionEntry(REDUCE, 385);
   _actionMap[610][RB] = ActionEntry(REDUCE, 385);
   _actionMap[611][LB] = ActionEntry(SHIFT, 776);
   _actionMap[612][STRINGVAL] = ActionEntry(SHIFT, 777);
   _actionMap[613][VARREF] = ActionEntry(REDUCE, 408);
   _actionMap[613][FETCH] = ActionEntry(REDUCE, 408);
   _actionMap[613][LB] = ActionEntry(REDUCE, 408);
   _actionMap[613][COUNT] = ActionEntry(REDUCE, 408);
   _actionMap[613][SUM] = ActionEntry(REDUCE, 408);
   _actionMap[613][AVG] = ActionEntry(REDUCE, 408);
   _actionMap[613][MIN] = ActionEntry(REDUCE, 408);
   _actionMap[613][MAX] = ActionEntry(REDUCE, 408);
   _actionMap[613][CASE] = ActionEntry(REDUCE, 408);
   _actionMap[613][INT2ASC] = ActionEntry(REDUCE, 408);
   _actionMap[613][ASC2INT] = ActionEntry(REDUCE, 408);
   _actionMap[613][TRIM] = ActionEntry(REDUCE, 408);
   _actionMap[613][RTRIM] = ActionEntry(REDUCE, 408);
   _actionMap[613][LTRIM] = ActionEntry(REDUCE, 408);
   _actionMap[613][ROUND] = ActionEntry(REDUCE, 408);
   _actionMap[613][SCANDATE] = ActionEntry(REDUCE, 408);
   _actionMap[613][DATE2STR] = ActionEntry(REDUCE, 408);
   _actionMap[613][DATE2LONG] = ActionEntry(REDUCE, 408);
   _actionMap[613][LONG2DATE] = ActionEntry(REDUCE, 408);
   _actionMap[613][NEWDATE] = ActionEntry(REDUCE, 408);
   _actionMap[613][LOWER] = ActionEntry(REDUCE, 408);
   _actionMap[613][UPPER] = ActionEntry(REDUCE, 408);
   _actionMap[613][LEFT] = ActionEntry(REDUCE, 408);
   _actionMap[613][RIGHT] = ActionEntry(REDUCE, 408);
   _actionMap[613][GETPOS] = ActionEntry(REDUCE, 408);
   _actionMap[613][SUBSTR] = ActionEntry(REDUCE, 408);
   _actionMap[613][REPLACE] = ActionEntry(REDUCE, 408);
   _actionMap[613][LENGTH] = ActionEntry(REDUCE, 408);
   _actionMap[613][TRUNC] = ActionEntry(REDUCE, 408);
   _actionMap[613][STR2INT] = ActionEntry(REDUCE, 408);
   _actionMap[613][STR2LONG] = ActionEntry(REDUCE, 408);
   _actionMap[613][RANDSTR] = ActionEntry(REDUCE, 408);
   _actionMap[613][RANDINT] = ActionEntry(REDUCE, 408);
   _actionMap[613][MOD] = ActionEntry(REDUCE, 408);
   _actionMap[613][DIV] = ActionEntry(REDUCE, 408);
   _actionMap[613][LMOD] = ActionEntry(REDUCE, 408);
   _actionMap[613][LDIV] = ActionEntry(REDUCE, 408);
   _actionMap[613][POWER] = ActionEntry(REDUCE, 408);
   _actionMap[613][BITAND] = ActionEntry(REDUCE, 408);
}
void Cego::loadParser84()
{
   _actionMap[613][BITOR] = ActionEntry(REDUCE, 408);
   _actionMap[613][BITXOR] = ActionEntry(REDUCE, 408);
   _actionMap[613][BLOBSIZE] = ActionEntry(REDUCE, 408);
   _actionMap[613][BLOBREF] = ActionEntry(REDUCE, 408);
   _actionMap[613][CLOBSIZE] = ActionEntry(REDUCE, 408);
   _actionMap[613][CLOBREF] = ActionEntry(REDUCE, 408);
   _actionMap[613][CLOB2STR] = ActionEntry(REDUCE, 408);
   _actionMap[613][NEXTCOUNT] = ActionEntry(REDUCE, 408);
   _actionMap[613][SETCOUNT] = ActionEntry(REDUCE, 408);
   _actionMap[613][GETCOUNT] = ActionEntry(REDUCE, 408);
   _actionMap[613][IDENTIFIER] = ActionEntry(REDUCE, 408);
   _actionMap[613][QUALIFIEDOBJ] = ActionEntry(REDUCE, 408);
   _actionMap[613][QUALIFIEDTS] = ActionEntry(REDUCE, 408);
   _actionMap[613][QUALIFIEDPRE] = ActionEntry(REDUCE, 408);
   _actionMap[613][STRINGVAL] = ActionEntry(REDUCE, 408);
   _actionMap[613][SYSDATE] = ActionEntry(REDUCE, 408);
   _actionMap[613][NULLTOKEN] = ActionEntry(REDUCE, 408);
   _actionMap[613][TRUEVAL] = ActionEntry(REDUCE, 408);
   _actionMap[613][FALSEVAL] = ActionEntry(REDUCE, 408);
   _actionMap[613][BLOB] = ActionEntry(REDUCE, 408);
   _actionMap[613][CLOB] = ActionEntry(REDUCE, 408);
   _actionMap[613][FLOATVAL] = ActionEntry(REDUCE, 408);
   _actionMap[613][MINUS] = ActionEntry(REDUCE, 408);
   _actionMap[613][INTVAL] = ActionEntry(REDUCE, 408);
   _actionMap[614][VARREF] = ActionEntry(REDUCE, 409);
   _actionMap[614][FETCH] = ActionEntry(REDUCE, 409);
   _actionMap[614][LB] = ActionEntry(REDUCE, 409);
   _actionMap[614][COUNT] = ActionEntry(REDUCE, 409);
   _actionMap[614][SUM] = ActionEntry(REDUCE, 409);
   _actionMap[614][AVG] = ActionEntry(REDUCE, 409);
   _actionMap[614][MIN] = ActionEntry(REDUCE, 409);
   _actionMap[614][MAX] = ActionEntry(REDUCE, 409);
   _actionMap[614][CASE] = ActionEntry(REDUCE, 409);
   _actionMap[614][INT2ASC] = ActionEntry(REDUCE, 409);
   _actionMap[614][ASC2INT] = ActionEntry(REDUCE, 409);
   _actionMap[614][TRIM] = ActionEntry(REDUCE, 409);
   _actionMap[614][RTRIM] = ActionEntry(REDUCE, 409);
   _actionMap[614][LTRIM] = ActionEntry(REDUCE, 409);
   _actionMap[614][ROUND] = ActionEntry(REDUCE, 409);
   _actionMap[614][SCANDATE] = ActionEntry(REDUCE, 409);
   _actionMap[614][DATE2STR] = ActionEntry(REDUCE, 409);
   _actionMap[614][DATE2LONG] = ActionEntry(REDUCE, 409);
   _actionMap[614][LONG2DATE] = ActionEntry(REDUCE, 409);
   _actionMap[614][NEWDATE] = ActionEntry(REDUCE, 409);
   _actionMap[614][LOWER] = ActionEntry(REDUCE, 409);
   _actionMap[614][UPPER] = ActionEntry(REDUCE, 409);
   _actionMap[614][LEFT] = ActionEntry(REDUCE, 409);
   _actionMap[614][RIGHT] = ActionEntry(REDUCE, 409);
   _actionMap[614][GETPOS] = ActionEntry(REDUCE, 409);
   _actionMap[614][SUBSTR] = ActionEntry(REDUCE, 409);
}
void Cego::loadParser85()
{
   _actionMap[614][REPLACE] = ActionEntry(REDUCE, 409);
   _actionMap[614][LENGTH] = ActionEntry(REDUCE, 409);
   _actionMap[614][TRUNC] = ActionEntry(REDUCE, 409);
   _actionMap[614][STR2INT] = ActionEntry(REDUCE, 409);
   _actionMap[614][STR2LONG] = ActionEntry(REDUCE, 409);
   _actionMap[614][RANDSTR] = ActionEntry(REDUCE, 409);
   _actionMap[614][RANDINT] = ActionEntry(REDUCE, 409);
   _actionMap[614][MOD] = ActionEntry(REDUCE, 409);
   _actionMap[614][DIV] = ActionEntry(REDUCE, 409);
   _actionMap[614][LMOD] = ActionEntry(REDUCE, 409);
   _actionMap[614][LDIV] = ActionEntry(REDUCE, 409);
   _actionMap[614][POWER] = ActionEntry(REDUCE, 409);
   _actionMap[614][BITAND] = ActionEntry(REDUCE, 409);
   _actionMap[614][BITOR] = ActionEntry(REDUCE, 409);
   _actionMap[614][BITXOR] = ActionEntry(REDUCE, 409);
   _actionMap[614][BLOBSIZE] = ActionEntry(REDUCE, 409);
   _actionMap[614][BLOBREF] = ActionEntry(REDUCE, 409);
   _actionMap[614][CLOBSIZE] = ActionEntry(REDUCE, 409);
   _actionMap[614][CLOBREF] = ActionEntry(REDUCE, 409);
   _actionMap[614][CLOB2STR] = ActionEntry(REDUCE, 409);
   _actionMap[614][NEXTCOUNT] = ActionEntry(REDUCE, 409);
   _actionMap[614][SETCOUNT] = ActionEntry(REDUCE, 409);
   _actionMap[614][GETCOUNT] = ActionEntry(REDUCE, 409);
   _actionMap[614][IDENTIFIER] = ActionEntry(REDUCE, 409);
   _actionMap[614][QUALIFIEDOBJ] = ActionEntry(REDUCE, 409);
   _actionMap[614][QUALIFIEDTS] = ActionEntry(REDUCE, 409);
   _actionMap[614][QUALIFIEDPRE] = ActionEntry(REDUCE, 409);
   _actionMap[614][STRINGVAL] = ActionEntry(REDUCE, 409);
   _actionMap[614][SYSDATE] = ActionEntry(REDUCE, 409);
   _actionMap[614][NULLTOKEN] = ActionEntry(REDUCE, 409);
   _actionMap[614][TRUEVAL] = ActionEntry(REDUCE, 409);
   _actionMap[614][FALSEVAL] = ActionEntry(REDUCE, 409);
   _actionMap[614][BLOB] = ActionEntry(REDUCE, 409);
   _actionMap[614][CLOB] = ActionEntry(REDUCE, 409);
   _actionMap[614][FLOATVAL] = ActionEntry(REDUCE, 409);
   _actionMap[614][MINUS] = ActionEntry(REDUCE, 409);
   _actionMap[614][INTVAL] = ActionEntry(REDUCE, 409);
   _actionMap[615][VARREF] = ActionEntry(REDUCE, 405);
   _actionMap[615][FETCH] = ActionEntry(REDUCE, 405);
   _actionMap[615][LB] = ActionEntry(REDUCE, 405);
   _actionMap[615][COUNT] = ActionEntry(REDUCE, 405);
   _actionMap[615][SUM] = ActionEntry(REDUCE, 405);
   _actionMap[615][AVG] = ActionEntry(REDUCE, 405);
   _actionMap[615][MIN] = ActionEntry(REDUCE, 405);
   _actionMap[615][MAX] = ActionEntry(REDUCE, 405);
   _actionMap[615][CASE] = ActionEntry(REDUCE, 405);
   _actionMap[615][INT2ASC] = ActionEntry(REDUCE, 405);
   _actionMap[615][ASC2INT] = ActionEntry(REDUCE, 405);
   _actionMap[615][TRIM] = ActionEntry(REDUCE, 405);
   _actionMap[615][RTRIM] = ActionEntry(REDUCE, 405);
}
void Cego::loadParser86()
{
   _actionMap[615][LTRIM] = ActionEntry(REDUCE, 405);
   _actionMap[615][ROUND] = ActionEntry(REDUCE, 405);
   _actionMap[615][SCANDATE] = ActionEntry(REDUCE, 405);
   _actionMap[615][DATE2STR] = ActionEntry(REDUCE, 405);
   _actionMap[615][DATE2LONG] = ActionEntry(REDUCE, 405);
   _actionMap[615][LONG2DATE] = ActionEntry(REDUCE, 405);
   _actionMap[615][NEWDATE] = ActionEntry(REDUCE, 405);
   _actionMap[615][LOWER] = ActionEntry(REDUCE, 405);
   _actionMap[615][UPPER] = ActionEntry(REDUCE, 405);
   _actionMap[615][LEFT] = ActionEntry(REDUCE, 405);
   _actionMap[615][RIGHT] = ActionEntry(REDUCE, 405);
   _actionMap[615][GETPOS] = ActionEntry(REDUCE, 405);
   _actionMap[615][SUBSTR] = ActionEntry(REDUCE, 405);
   _actionMap[615][REPLACE] = ActionEntry(REDUCE, 405);
   _actionMap[615][LENGTH] = ActionEntry(REDUCE, 405);
   _actionMap[615][TRUNC] = ActionEntry(REDUCE, 405);
   _actionMap[615][STR2INT] = ActionEntry(REDUCE, 405);
   _actionMap[615][STR2LONG] = ActionEntry(REDUCE, 405);
   _actionMap[615][RANDSTR] = ActionEntry(REDUCE, 405);
   _actionMap[615][RANDINT] = ActionEntry(REDUCE, 405);
   _actionMap[615][MOD] = ActionEntry(REDUCE, 405);
   _actionMap[615][DIV] = ActionEntry(REDUCE, 405);
   _actionMap[615][LMOD] = ActionEntry(REDUCE, 405);
   _actionMap[615][LDIV] = ActionEntry(REDUCE, 405);
   _actionMap[615][POWER] = ActionEntry(REDUCE, 405);
   _actionMap[615][BITAND] = ActionEntry(REDUCE, 405);
   _actionMap[615][BITOR] = ActionEntry(REDUCE, 405);
   _actionMap[615][BITXOR] = ActionEntry(REDUCE, 405);
   _actionMap[615][BLOBSIZE] = ActionEntry(REDUCE, 405);
   _actionMap[615][BLOBREF] = ActionEntry(REDUCE, 405);
   _actionMap[615][CLOBSIZE] = ActionEntry(REDUCE, 405);
   _actionMap[615][CLOBREF] = ActionEntry(REDUCE, 405);
   _actionMap[615][CLOB2STR] = ActionEntry(REDUCE, 405);
   _actionMap[615][NEXTCOUNT] = ActionEntry(REDUCE, 405);
   _actionMap[615][SETCOUNT] = ActionEntry(REDUCE, 405);
   _actionMap[615][GETCOUNT] = ActionEntry(REDUCE, 405);
   _actionMap[615][IDENTIFIER] = ActionEntry(REDUCE, 405);
   _actionMap[615][QUALIFIEDOBJ] = ActionEntry(REDUCE, 405);
   _actionMap[615][QUALIFIEDTS] = ActionEntry(REDUCE, 405);
   _actionMap[615][QUALIFIEDPRE] = ActionEntry(REDUCE, 405);
   _actionMap[615][STRINGVAL] = ActionEntry(REDUCE, 405);
   _actionMap[615][SYSDATE] = ActionEntry(REDUCE, 405);
   _actionMap[615][NULLTOKEN] = ActionEntry(REDUCE, 405);
   _actionMap[615][TRUEVAL] = ActionEntry(REDUCE, 405);
   _actionMap[615][FALSEVAL] = ActionEntry(REDUCE, 405);
   _actionMap[615][BLOB] = ActionEntry(REDUCE, 405);
   _actionMap[615][CLOB] = ActionEntry(REDUCE, 405);
   _actionMap[615][FLOATVAL] = ActionEntry(REDUCE, 405);
   _actionMap[615][MINUS] = ActionEntry(REDUCE, 405);
   _actionMap[615][INTVAL] = ActionEntry(REDUCE, 405);
}
void Cego::loadParser87()
{
   _actionMap[616][LEFT] = ActionEntry(REDUCE, 373);
   _actionMap[616][RIGHT] = ActionEntry(REDUCE, 373);
   _actionMap[616][INNER] = ActionEntry(REDUCE, 373);
   _actionMap[616][JOIN] = ActionEntry(REDUCE, 373);
   _actionMap[616][RETURNTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[616][SEMICOLON] = ActionEntry(REDUCE, 373);
   _actionMap[616][ENDTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[616][UNION] = ActionEntry(REDUCE, 373);
   _actionMap[616][ROWLIMIT] = ActionEntry(REDUCE, 373);
   _actionMap[616][ORDER] = ActionEntry(REDUCE, 373);
   _actionMap[616][GROUP] = ActionEntry(REDUCE, 373);
   _actionMap[616][WHERE] = ActionEntry(REDUCE, 373);
   _actionMap[616][THEN] = ActionEntry(REDUCE, 373);
   _actionMap[616][RB] = ActionEntry(REDUCE, 373);
   _actionMap[616][OR] = ActionEntry(REDUCE, 373);
   _actionMap[616][AND] = ActionEntry(REDUCE, 373);
   _actionMap[617][LEFT] = ActionEntry(REDUCE, 374);
   _actionMap[617][RIGHT] = ActionEntry(REDUCE, 374);
   _actionMap[617][INNER] = ActionEntry(REDUCE, 374);
   _actionMap[617][JOIN] = ActionEntry(REDUCE, 374);
   _actionMap[617][RETURNTOKEN] = ActionEntry(REDUCE, 374);
   _actionMap[617][SEMICOLON] = ActionEntry(REDUCE, 374);
   _actionMap[617][ENDTOKEN] = ActionEntry(REDUCE, 374);
   _actionMap[617][UNION] = ActionEntry(REDUCE, 374);
   _actionMap[617][ROWLIMIT] = ActionEntry(REDUCE, 374);
   _actionMap[617][ORDER] = ActionEntry(REDUCE, 374);
   _actionMap[617][GROUP] = ActionEntry(REDUCE, 374);
   _actionMap[617][WHERE] = ActionEntry(REDUCE, 374);
   _actionMap[617][THEN] = ActionEntry(REDUCE, 374);
   _actionMap[617][RB] = ActionEntry(REDUCE, 374);
   _actionMap[617][OR] = ActionEntry(REDUCE, 374);
   _actionMap[617][AND] = ActionEntry(REDUCE, 374);
   _actionMap[618][RB] = ActionEntry(SHIFT, 778);
   _actionMap[619][THEN] = ActionEntry(REDUCE, 387);
   _actionMap[619][LEFT] = ActionEntry(REDUCE, 387);
   _actionMap[619][RIGHT] = ActionEntry(REDUCE, 387);
   _actionMap[619][INNER] = ActionEntry(REDUCE, 387);
   _actionMap[619][JOIN] = ActionEntry(REDUCE, 387);
   _actionMap[619][RETURNTOKEN] = ActionEntry(REDUCE, 387);
   _actionMap[619][SEMICOLON] = ActionEntry(REDUCE, 387);
   _actionMap[619][RB] = ActionEntry(REDUCE, 387);
   _actionMap[619][ENDTOKEN] = ActionEntry(REDUCE, 387);
   _actionMap[619][UNION] = ActionEntry(REDUCE, 387);
   _actionMap[619][ROWLIMIT] = ActionEntry(REDUCE, 387);
   _actionMap[619][ORDER] = ActionEntry(REDUCE, 387);
   _actionMap[619][GROUP] = ActionEntry(REDUCE, 387);
   _actionMap[619][WHERE] = ActionEntry(REDUCE, 387);
   _actionMap[619][AND] = ActionEntry(REDUCE, 387);
   _actionMap[619][OR] = ActionEntry(REDUCE, 387);
   _actionMap[620][SEMICOLON] = ActionEntry(REDUCE, 59);
}
void Cego::loadParser88()
{
   _actionMap[621][END_TOKEN] = ActionEntry(SHIFT, 779);
   _actionMap[621][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[621][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[621][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[622][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[622][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[622][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[622][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[622][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[622][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[622][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[622][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[622][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[622][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[622][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[622][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[622][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[622][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[622][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[622][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[622][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[622][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[622][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[622][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[622][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[622][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[622][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[622][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[622][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[622][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[622][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[622][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[622][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[622][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[622][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[622][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[622][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[622][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[622][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[622][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[622][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[622][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[622][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[622][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[622][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[622][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[622][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[622][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[622][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[622][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
}
void Cego::loadParser89()
{
   _actionMap[622][LB] = ActionEntry(SHIFT, 177);
   _actionMap[622][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[622][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[622][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[622][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[622][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[622][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[622][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[622][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[622][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[622][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[622][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[622][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[622][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[622][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[622][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[622][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[622][ObjSpec] = 122;
   _jumpMap[622][Constant] = 121;
   _jumpMap[622][SignedFloat] = 120;
   _jumpMap[622][SignedInt] = 119;
   _jumpMap[622][Attribute] = 118;
   _jumpMap[622][Function] = 117;
   _jumpMap[622][CasePrepare] = 116;
   _jumpMap[622][CaseClause] = 115;
   _jumpMap[622][Factor] = 114;
   _jumpMap[622][Term] = 113;
   _jumpMap[622][Expr] = 780;
   _actionMap[623][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[623][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[623][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[623][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[623][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[623][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[623][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[623][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[623][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[623][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[623][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[623][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[623][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[623][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[623][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[623][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[623][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[623][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[623][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[623][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[623][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[623][LENGTH] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser90()
{
   _actionMap[623][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[623][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[623][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[623][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[623][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[623][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[623][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[623][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[623][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[623][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[623][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[623][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[623][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[623][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[623][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[623][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[623][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[623][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[623][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[623][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[623][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[623][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[623][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[623][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[623][LB] = ActionEntry(SHIFT, 177);
   _actionMap[623][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[623][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[623][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[623][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[623][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[623][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[623][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[623][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[623][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[623][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[623][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[623][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[623][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[623][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[623][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[623][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[623][ObjSpec] = 122;
   _jumpMap[623][Constant] = 121;
   _jumpMap[623][SignedFloat] = 120;
   _jumpMap[623][SignedInt] = 119;
   _jumpMap[623][Attribute] = 118;
   _jumpMap[623][Function] = 117;
   _jumpMap[623][CasePrepare] = 116;
   _jumpMap[623][CaseClause] = 115;
   _jumpMap[623][Factor] = 114;
}
void Cego::loadParser91()
{
   _jumpMap[623][Term] = 113;
   _jumpMap[623][Expr] = 781;
   _actionMap[624][WHEN] = ActionEntry(REDUCE, 366);
   _actionMap[624][ELSE] = ActionEntry(REDUCE, 366);
   _actionMap[624][LEFT] = ActionEntry(REDUCE, 366);
   _actionMap[624][RIGHT] = ActionEntry(REDUCE, 366);
   _actionMap[624][INNER] = ActionEntry(REDUCE, 366);
   _actionMap[624][JOIN] = ActionEntry(REDUCE, 366);
   _actionMap[624][RETURNTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[624][ORDER] = ActionEntry(REDUCE, 366);
   _actionMap[624][GROUP] = ActionEntry(REDUCE, 366);
   _actionMap[624][WHERE] = ActionEntry(REDUCE, 366);
   _actionMap[624][FROM] = ActionEntry(REDUCE, 366);
   _actionMap[624][AS] = ActionEntry(REDUCE, 366);
   _actionMap[624][END_TOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[624][BEGIN] = ActionEntry(REDUCE, 366);
   _actionMap[624][THEN] = ActionEntry(REDUCE, 366);
   _actionMap[624][INTOK] = ActionEntry(REDUCE, 366);
   _actionMap[624][NOT] = ActionEntry(REDUCE, 366);
   _actionMap[624][BETWEEN] = ActionEntry(REDUCE, 366);
   _actionMap[624][IS] = ActionEntry(REDUCE, 366);
   _actionMap[624][LIKE] = ActionEntry(REDUCE, 366);
   _actionMap[624][ENDTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[624][UNION] = ActionEntry(REDUCE, 366);
   _actionMap[624][ROWLIMIT] = ActionEntry(REDUCE, 366);
   _actionMap[624][KSEP] = ActionEntry(REDUCE, 366);
   _actionMap[624][ASC] = ActionEntry(REDUCE, 366);
   _actionMap[624][DESC] = ActionEntry(REDUCE, 366);
   _actionMap[624][SEMICOLON] = ActionEntry(REDUCE, 366);
   _actionMap[624][MT] = ActionEntry(REDUCE, 366);
   _actionMap[624][LT] = ActionEntry(REDUCE, 366);
   _actionMap[624][NEGATION] = ActionEntry(REDUCE, 366);
   _actionMap[624][EQU] = ActionEntry(REDUCE, 366);
   _actionMap[624][PLUS] = ActionEntry(REDUCE, 366);
   _actionMap[624][MINUS] = ActionEntry(REDUCE, 366);
   _actionMap[624][DIVISION] = ActionEntry(REDUCE, 366);
   _actionMap[624][STAR] = ActionEntry(REDUCE, 366);
   _actionMap[624][CONCAT] = ActionEntry(REDUCE, 366);
   _actionMap[624][OR] = ActionEntry(REDUCE, 366);
   _actionMap[624][AND] = ActionEntry(REDUCE, 366);
   _actionMap[624][RB] = ActionEntry(REDUCE, 366);
   _actionMap[625][WHEN] = ActionEntry(REDUCE, 327);
   _actionMap[625][ELSE] = ActionEntry(REDUCE, 327);
   _actionMap[625][LEFT] = ActionEntry(REDUCE, 327);
   _actionMap[625][RIGHT] = ActionEntry(REDUCE, 327);
   _actionMap[625][INNER] = ActionEntry(REDUCE, 327);
   _actionMap[625][JOIN] = ActionEntry(REDUCE, 327);
   _actionMap[625][RETURNTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[625][ORDER] = ActionEntry(REDUCE, 327);
   _actionMap[625][GROUP] = ActionEntry(REDUCE, 327);
}
void Cego::loadParser92()
{
   _actionMap[625][WHERE] = ActionEntry(REDUCE, 327);
   _actionMap[625][FROM] = ActionEntry(REDUCE, 327);
   _actionMap[625][AS] = ActionEntry(REDUCE, 327);
   _actionMap[625][END_TOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[625][BEGIN] = ActionEntry(REDUCE, 327);
   _actionMap[625][THEN] = ActionEntry(REDUCE, 327);
   _actionMap[625][INTOK] = ActionEntry(REDUCE, 327);
   _actionMap[625][NOT] = ActionEntry(REDUCE, 327);
   _actionMap[625][BETWEEN] = ActionEntry(REDUCE, 327);
   _actionMap[625][IS] = ActionEntry(REDUCE, 327);
   _actionMap[625][LIKE] = ActionEntry(REDUCE, 327);
   _actionMap[625][ENDTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[625][UNION] = ActionEntry(REDUCE, 327);
   _actionMap[625][ROWLIMIT] = ActionEntry(REDUCE, 327);
   _actionMap[625][KSEP] = ActionEntry(REDUCE, 327);
   _actionMap[625][ASC] = ActionEntry(REDUCE, 327);
   _actionMap[625][DESC] = ActionEntry(REDUCE, 327);
   _actionMap[625][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[625][MT] = ActionEntry(REDUCE, 327);
   _actionMap[625][LT] = ActionEntry(REDUCE, 327);
   _actionMap[625][NEGATION] = ActionEntry(REDUCE, 327);
   _actionMap[625][EQU] = ActionEntry(REDUCE, 327);
   _actionMap[625][PLUS] = ActionEntry(REDUCE, 327);
   _actionMap[625][MINUS] = ActionEntry(REDUCE, 327);
   _actionMap[625][DIVISION] = ActionEntry(REDUCE, 327);
   _actionMap[625][STAR] = ActionEntry(REDUCE, 327);
   _actionMap[625][CONCAT] = ActionEntry(REDUCE, 327);
   _actionMap[625][OR] = ActionEntry(REDUCE, 327);
   _actionMap[625][AND] = ActionEntry(REDUCE, 327);
   _actionMap[625][RB] = ActionEntry(REDUCE, 327);
   _actionMap[626][WHEN] = ActionEntry(REDUCE, 190);
   _actionMap[626][ELSE] = ActionEntry(REDUCE, 190);
   _actionMap[626][LEFT] = ActionEntry(REDUCE, 190);
   _actionMap[626][RIGHT] = ActionEntry(REDUCE, 190);
   _actionMap[626][INNER] = ActionEntry(REDUCE, 190);
   _actionMap[626][JOIN] = ActionEntry(REDUCE, 190);
   _actionMap[626][RETURNTOKEN] = ActionEntry(REDUCE, 190);
   _actionMap[626][ORDER] = ActionEntry(REDUCE, 190);
   _actionMap[626][GROUP] = ActionEntry(REDUCE, 190);
   _actionMap[626][WHERE] = ActionEntry(REDUCE, 190);
   _actionMap[626][AS] = ActionEntry(REDUCE, 190);
   _actionMap[626][FROM] = ActionEntry(REDUCE, 190);
   _actionMap[626][END_TOKEN] = ActionEntry(REDUCE, 190);
   _actionMap[626][BEGIN] = ActionEntry(REDUCE, 190);
   _actionMap[626][THEN] = ActionEntry(REDUCE, 190);
   _actionMap[626][LIKE] = ActionEntry(REDUCE, 190);
   _actionMap[626][IS] = ActionEntry(REDUCE, 190);
   _actionMap[626][BETWEEN] = ActionEntry(REDUCE, 190);
   _actionMap[626][NOT] = ActionEntry(REDUCE, 190);
   _actionMap[626][INTOK] = ActionEntry(REDUCE, 190);
}
void Cego::loadParser93()
{
   _actionMap[626][DESC] = ActionEntry(REDUCE, 190);
   _actionMap[626][ASC] = ActionEntry(REDUCE, 190);
   _actionMap[626][KSEP] = ActionEntry(REDUCE, 190);
   _actionMap[626][ROWLIMIT] = ActionEntry(REDUCE, 190);
   _actionMap[626][UNION] = ActionEntry(REDUCE, 190);
   _actionMap[626][ENDTOKEN] = ActionEntry(REDUCE, 190);
   _actionMap[626][SEMICOLON] = ActionEntry(REDUCE, 190);
   _actionMap[626][EQU] = ActionEntry(REDUCE, 190);
   _actionMap[626][NEGATION] = ActionEntry(REDUCE, 190);
   _actionMap[626][LT] = ActionEntry(REDUCE, 190);
   _actionMap[626][MT] = ActionEntry(REDUCE, 190);
   _actionMap[626][CONCAT] = ActionEntry(REDUCE, 190);
   _actionMap[626][STAR] = ActionEntry(REDUCE, 190);
   _actionMap[626][DIVISION] = ActionEntry(REDUCE, 190);
   _actionMap[626][MINUS] = ActionEntry(REDUCE, 190);
   _actionMap[626][PLUS] = ActionEntry(REDUCE, 190);
   _actionMap[626][OR] = ActionEntry(REDUCE, 190);
   _actionMap[626][AND] = ActionEntry(REDUCE, 190);
   _actionMap[626][RB] = ActionEntry(REDUCE, 190);
   _actionMap[627][WHEN] = ActionEntry(REDUCE, 355);
   _actionMap[627][ELSE] = ActionEntry(REDUCE, 355);
   _actionMap[627][LEFT] = ActionEntry(REDUCE, 355);
   _actionMap[627][RIGHT] = ActionEntry(REDUCE, 355);
   _actionMap[627][INNER] = ActionEntry(REDUCE, 355);
   _actionMap[627][JOIN] = ActionEntry(REDUCE, 355);
   _actionMap[627][RETURNTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[627][ORDER] = ActionEntry(REDUCE, 355);
   _actionMap[627][GROUP] = ActionEntry(REDUCE, 355);
   _actionMap[627][WHERE] = ActionEntry(REDUCE, 355);
   _actionMap[627][FROM] = ActionEntry(REDUCE, 355);
   _actionMap[627][AS] = ActionEntry(REDUCE, 355);
   _actionMap[627][END_TOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[627][BEGIN] = ActionEntry(REDUCE, 355);
   _actionMap[627][THEN] = ActionEntry(REDUCE, 355);
   _actionMap[627][INTOK] = ActionEntry(REDUCE, 355);
   _actionMap[627][NOT] = ActionEntry(REDUCE, 355);
   _actionMap[627][BETWEEN] = ActionEntry(REDUCE, 355);
   _actionMap[627][IS] = ActionEntry(REDUCE, 355);
   _actionMap[627][LIKE] = ActionEntry(REDUCE, 355);
   _actionMap[627][ENDTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[627][UNION] = ActionEntry(REDUCE, 355);
   _actionMap[627][ROWLIMIT] = ActionEntry(REDUCE, 355);
   _actionMap[627][KSEP] = ActionEntry(REDUCE, 355);
   _actionMap[627][ASC] = ActionEntry(REDUCE, 355);
   _actionMap[627][DESC] = ActionEntry(REDUCE, 355);
   _actionMap[627][SEMICOLON] = ActionEntry(REDUCE, 355);
   _actionMap[627][MT] = ActionEntry(REDUCE, 355);
   _actionMap[627][LT] = ActionEntry(REDUCE, 355);
   _actionMap[627][NEGATION] = ActionEntry(REDUCE, 355);
   _actionMap[627][EQU] = ActionEntry(REDUCE, 355);
}
void Cego::loadParser94()
{
   _actionMap[627][PLUS] = ActionEntry(REDUCE, 355);
   _actionMap[627][MINUS] = ActionEntry(REDUCE, 355);
   _actionMap[627][DIVISION] = ActionEntry(REDUCE, 355);
   _actionMap[627][STAR] = ActionEntry(REDUCE, 355);
   _actionMap[627][CONCAT] = ActionEntry(REDUCE, 355);
   _actionMap[627][OR] = ActionEntry(REDUCE, 355);
   _actionMap[627][AND] = ActionEntry(REDUCE, 355);
   _actionMap[627][RB] = ActionEntry(REDUCE, 355);
   _actionMap[628][WHEN] = ActionEntry(REDUCE, 356);
   _actionMap[628][ELSE] = ActionEntry(REDUCE, 356);
   _actionMap[628][LEFT] = ActionEntry(REDUCE, 356);
   _actionMap[628][RIGHT] = ActionEntry(REDUCE, 356);
   _actionMap[628][INNER] = ActionEntry(REDUCE, 356);
   _actionMap[628][JOIN] = ActionEntry(REDUCE, 356);
   _actionMap[628][RETURNTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[628][ORDER] = ActionEntry(REDUCE, 356);
   _actionMap[628][GROUP] = ActionEntry(REDUCE, 356);
   _actionMap[628][WHERE] = ActionEntry(REDUCE, 356);
   _actionMap[628][FROM] = ActionEntry(REDUCE, 356);
   _actionMap[628][AS] = ActionEntry(REDUCE, 356);
   _actionMap[628][END_TOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[628][BEGIN] = ActionEntry(REDUCE, 356);
   _actionMap[628][THEN] = ActionEntry(REDUCE, 356);
   _actionMap[628][INTOK] = ActionEntry(REDUCE, 356);
   _actionMap[628][NOT] = ActionEntry(REDUCE, 356);
   _actionMap[628][BETWEEN] = ActionEntry(REDUCE, 356);
   _actionMap[628][IS] = ActionEntry(REDUCE, 356);
   _actionMap[628][LIKE] = ActionEntry(REDUCE, 356);
   _actionMap[628][ENDTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[628][UNION] = ActionEntry(REDUCE, 356);
   _actionMap[628][ROWLIMIT] = ActionEntry(REDUCE, 356);
   _actionMap[628][KSEP] = ActionEntry(REDUCE, 356);
   _actionMap[628][ASC] = ActionEntry(REDUCE, 356);
   _actionMap[628][DESC] = ActionEntry(REDUCE, 356);
   _actionMap[628][SEMICOLON] = ActionEntry(REDUCE, 356);
   _actionMap[628][MT] = ActionEntry(REDUCE, 356);
   _actionMap[628][LT] = ActionEntry(REDUCE, 356);
   _actionMap[628][NEGATION] = ActionEntry(REDUCE, 356);
   _actionMap[628][EQU] = ActionEntry(REDUCE, 356);
   _actionMap[628][PLUS] = ActionEntry(REDUCE, 356);
   _actionMap[628][MINUS] = ActionEntry(REDUCE, 356);
   _actionMap[628][DIVISION] = ActionEntry(REDUCE, 356);
   _actionMap[628][STAR] = ActionEntry(REDUCE, 356);
   _actionMap[628][CONCAT] = ActionEntry(REDUCE, 356);
   _actionMap[628][OR] = ActionEntry(REDUCE, 356);
   _actionMap[628][AND] = ActionEntry(REDUCE, 356);
   _actionMap[628][RB] = ActionEntry(REDUCE, 356);
   _actionMap[629][WHEN] = ActionEntry(REDUCE, 357);
   _actionMap[629][ELSE] = ActionEntry(REDUCE, 357);
   _actionMap[629][LEFT] = ActionEntry(REDUCE, 357);
}
void Cego::loadParser95()
{
   _actionMap[629][RIGHT] = ActionEntry(REDUCE, 357);
   _actionMap[629][INNER] = ActionEntry(REDUCE, 357);
   _actionMap[629][JOIN] = ActionEntry(REDUCE, 357);
   _actionMap[629][RETURNTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[629][ORDER] = ActionEntry(REDUCE, 357);
   _actionMap[629][GROUP] = ActionEntry(REDUCE, 357);
   _actionMap[629][WHERE] = ActionEntry(REDUCE, 357);
   _actionMap[629][FROM] = ActionEntry(REDUCE, 357);
   _actionMap[629][AS] = ActionEntry(REDUCE, 357);
   _actionMap[629][END_TOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[629][BEGIN] = ActionEntry(REDUCE, 357);
   _actionMap[629][THEN] = ActionEntry(REDUCE, 357);
   _actionMap[629][INTOK] = ActionEntry(REDUCE, 357);
   _actionMap[629][NOT] = ActionEntry(REDUCE, 357);
   _actionMap[629][BETWEEN] = ActionEntry(REDUCE, 357);
   _actionMap[629][IS] = ActionEntry(REDUCE, 357);
   _actionMap[629][LIKE] = ActionEntry(REDUCE, 357);
   _actionMap[629][ENDTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[629][UNION] = ActionEntry(REDUCE, 357);
   _actionMap[629][ROWLIMIT] = ActionEntry(REDUCE, 357);
   _actionMap[629][KSEP] = ActionEntry(REDUCE, 357);
   _actionMap[629][ASC] = ActionEntry(REDUCE, 357);
   _actionMap[629][DESC] = ActionEntry(REDUCE, 357);
   _actionMap[629][SEMICOLON] = ActionEntry(REDUCE, 357);
   _actionMap[629][MT] = ActionEntry(REDUCE, 357);
   _actionMap[629][LT] = ActionEntry(REDUCE, 357);
   _actionMap[629][NEGATION] = ActionEntry(REDUCE, 357);
   _actionMap[629][EQU] = ActionEntry(REDUCE, 357);
   _actionMap[629][PLUS] = ActionEntry(REDUCE, 357);
   _actionMap[629][MINUS] = ActionEntry(REDUCE, 357);
   _actionMap[629][DIVISION] = ActionEntry(REDUCE, 357);
   _actionMap[629][STAR] = ActionEntry(REDUCE, 357);
   _actionMap[629][CONCAT] = ActionEntry(REDUCE, 357);
   _actionMap[629][OR] = ActionEntry(REDUCE, 357);
   _actionMap[629][AND] = ActionEntry(REDUCE, 357);
   _actionMap[629][RB] = ActionEntry(REDUCE, 357);
   _actionMap[630][WHEN] = ActionEntry(REDUCE, 430);
   _actionMap[630][ELSE] = ActionEntry(REDUCE, 430);
   _actionMap[630][LEFT] = ActionEntry(REDUCE, 430);
   _actionMap[630][RIGHT] = ActionEntry(REDUCE, 430);
   _actionMap[630][INNER] = ActionEntry(REDUCE, 430);
   _actionMap[630][JOIN] = ActionEntry(REDUCE, 430);
   _actionMap[630][RETURNTOKEN] = ActionEntry(REDUCE, 430);
   _actionMap[630][ORDER] = ActionEntry(REDUCE, 430);
   _actionMap[630][GROUP] = ActionEntry(REDUCE, 430);
   _actionMap[630][WHERE] = ActionEntry(REDUCE, 430);
   _actionMap[630][NULLTOKEN] = ActionEntry(REDUCE, 430);
   _actionMap[630][FROM] = ActionEntry(REDUCE, 430);
   _actionMap[630][AS] = ActionEntry(REDUCE, 430);
   _actionMap[630][END_TOKEN] = ActionEntry(REDUCE, 430);
}
void Cego::loadParser96()
{
   _actionMap[630][BEGIN] = ActionEntry(REDUCE, 430);
   _actionMap[630][THEN] = ActionEntry(REDUCE, 430);
   _actionMap[630][INTOK] = ActionEntry(REDUCE, 430);
   _actionMap[630][NOT] = ActionEntry(REDUCE, 430);
   _actionMap[630][BETWEEN] = ActionEntry(REDUCE, 430);
   _actionMap[630][IS] = ActionEntry(REDUCE, 430);
   _actionMap[630][LIKE] = ActionEntry(REDUCE, 430);
   _actionMap[630][ENDTOKEN] = ActionEntry(REDUCE, 430);
   _actionMap[630][UNION] = ActionEntry(REDUCE, 430);
   _actionMap[630][ROWLIMIT] = ActionEntry(REDUCE, 430);
   _actionMap[630][KSEP] = ActionEntry(REDUCE, 430);
   _actionMap[630][ASC] = ActionEntry(REDUCE, 430);
   _actionMap[630][DESC] = ActionEntry(REDUCE, 430);
   _actionMap[630][SEMICOLON] = ActionEntry(REDUCE, 430);
   _actionMap[630][MT] = ActionEntry(REDUCE, 430);
   _actionMap[630][LT] = ActionEntry(REDUCE, 430);
   _actionMap[630][NEGATION] = ActionEntry(REDUCE, 430);
   _actionMap[630][EQU] = ActionEntry(REDUCE, 430);
   _actionMap[630][PLUS] = ActionEntry(REDUCE, 430);
   _actionMap[630][MINUS] = ActionEntry(REDUCE, 430);
   _actionMap[630][DIVISION] = ActionEntry(REDUCE, 430);
   _actionMap[630][STAR] = ActionEntry(REDUCE, 430);
   _actionMap[630][CONCAT] = ActionEntry(REDUCE, 430);
   _actionMap[630][OR] = ActionEntry(REDUCE, 430);
   _actionMap[630][AND] = ActionEntry(REDUCE, 430);
   _actionMap[630][RB] = ActionEntry(REDUCE, 430);
   _actionMap[631][WHEN] = ActionEntry(REDUCE, 358);
   _actionMap[631][ELSE] = ActionEntry(REDUCE, 358);
   _actionMap[631][LEFT] = ActionEntry(REDUCE, 358);
   _actionMap[631][RIGHT] = ActionEntry(REDUCE, 358);
   _actionMap[631][INNER] = ActionEntry(REDUCE, 358);
   _actionMap[631][JOIN] = ActionEntry(REDUCE, 358);
   _actionMap[631][RETURNTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[631][ORDER] = ActionEntry(REDUCE, 358);
   _actionMap[631][GROUP] = ActionEntry(REDUCE, 358);
   _actionMap[631][WHERE] = ActionEntry(REDUCE, 358);
   _actionMap[631][FROM] = ActionEntry(REDUCE, 358);
   _actionMap[631][AS] = ActionEntry(REDUCE, 358);
   _actionMap[631][END_TOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[631][BEGIN] = ActionEntry(REDUCE, 358);
   _actionMap[631][THEN] = ActionEntry(REDUCE, 358);
   _actionMap[631][INTOK] = ActionEntry(REDUCE, 358);
   _actionMap[631][NOT] = ActionEntry(REDUCE, 358);
   _actionMap[631][BETWEEN] = ActionEntry(REDUCE, 358);
   _actionMap[631][IS] = ActionEntry(REDUCE, 358);
   _actionMap[631][LIKE] = ActionEntry(REDUCE, 358);
   _actionMap[631][ENDTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[631][UNION] = ActionEntry(REDUCE, 358);
   _actionMap[631][ROWLIMIT] = ActionEntry(REDUCE, 358);
   _actionMap[631][KSEP] = ActionEntry(REDUCE, 358);
}
void Cego::loadParser97()
{
   _actionMap[631][ASC] = ActionEntry(REDUCE, 358);
   _actionMap[631][DESC] = ActionEntry(REDUCE, 358);
   _actionMap[631][SEMICOLON] = ActionEntry(REDUCE, 358);
   _actionMap[631][MT] = ActionEntry(REDUCE, 358);
   _actionMap[631][LT] = ActionEntry(REDUCE, 358);
   _actionMap[631][NEGATION] = ActionEntry(REDUCE, 358);
   _actionMap[631][EQU] = ActionEntry(REDUCE, 358);
   _actionMap[631][PLUS] = ActionEntry(REDUCE, 358);
   _actionMap[631][MINUS] = ActionEntry(REDUCE, 358);
   _actionMap[631][DIVISION] = ActionEntry(REDUCE, 358);
   _actionMap[631][STAR] = ActionEntry(REDUCE, 358);
   _actionMap[631][CONCAT] = ActionEntry(REDUCE, 358);
   _actionMap[631][OR] = ActionEntry(REDUCE, 358);
   _actionMap[631][AND] = ActionEntry(REDUCE, 358);
   _actionMap[631][RB] = ActionEntry(REDUCE, 358);
   _actionMap[632][WHEN] = ActionEntry(REDUCE, 359);
   _actionMap[632][ELSE] = ActionEntry(REDUCE, 359);
   _actionMap[632][LEFT] = ActionEntry(REDUCE, 359);
   _actionMap[632][RIGHT] = ActionEntry(REDUCE, 359);
   _actionMap[632][INNER] = ActionEntry(REDUCE, 359);
   _actionMap[632][JOIN] = ActionEntry(REDUCE, 359);
   _actionMap[632][RETURNTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[632][ORDER] = ActionEntry(REDUCE, 359);
   _actionMap[632][GROUP] = ActionEntry(REDUCE, 359);
   _actionMap[632][WHERE] = ActionEntry(REDUCE, 359);
   _actionMap[632][FROM] = ActionEntry(REDUCE, 359);
   _actionMap[632][AS] = ActionEntry(REDUCE, 359);
   _actionMap[632][END_TOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[632][BEGIN] = ActionEntry(REDUCE, 359);
   _actionMap[632][THEN] = ActionEntry(REDUCE, 359);
   _actionMap[632][INTOK] = ActionEntry(REDUCE, 359);
   _actionMap[632][NOT] = ActionEntry(REDUCE, 359);
   _actionMap[632][BETWEEN] = ActionEntry(REDUCE, 359);
   _actionMap[632][IS] = ActionEntry(REDUCE, 359);
   _actionMap[632][LIKE] = ActionEntry(REDUCE, 359);
   _actionMap[632][ENDTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[632][UNION] = ActionEntry(REDUCE, 359);
   _actionMap[632][ROWLIMIT] = ActionEntry(REDUCE, 359);
   _actionMap[632][KSEP] = ActionEntry(REDUCE, 359);
   _actionMap[632][ASC] = ActionEntry(REDUCE, 359);
   _actionMap[632][DESC] = ActionEntry(REDUCE, 359);
   _actionMap[632][SEMICOLON] = ActionEntry(REDUCE, 359);
   _actionMap[632][MT] = ActionEntry(REDUCE, 359);
   _actionMap[632][LT] = ActionEntry(REDUCE, 359);
   _actionMap[632][NEGATION] = ActionEntry(REDUCE, 359);
   _actionMap[632][EQU] = ActionEntry(REDUCE, 359);
   _actionMap[632][PLUS] = ActionEntry(REDUCE, 359);
   _actionMap[632][MINUS] = ActionEntry(REDUCE, 359);
   _actionMap[632][DIVISION] = ActionEntry(REDUCE, 359);
   _actionMap[632][STAR] = ActionEntry(REDUCE, 359);
}
void Cego::loadParser98()
{
   _actionMap[632][CONCAT] = ActionEntry(REDUCE, 359);
   _actionMap[632][OR] = ActionEntry(REDUCE, 359);
   _actionMap[632][AND] = ActionEntry(REDUCE, 359);
   _actionMap[632][RB] = ActionEntry(REDUCE, 359);
   _actionMap[633][WHEN] = ActionEntry(REDUCE, 431);
   _actionMap[633][ELSE] = ActionEntry(REDUCE, 431);
   _actionMap[633][LEFT] = ActionEntry(REDUCE, 431);
   _actionMap[633][RIGHT] = ActionEntry(REDUCE, 431);
   _actionMap[633][INNER] = ActionEntry(REDUCE, 431);
   _actionMap[633][JOIN] = ActionEntry(REDUCE, 431);
   _actionMap[633][RETURNTOKEN] = ActionEntry(REDUCE, 431);
   _actionMap[633][ORDER] = ActionEntry(REDUCE, 431);
   _actionMap[633][GROUP] = ActionEntry(REDUCE, 431);
   _actionMap[633][WHERE] = ActionEntry(REDUCE, 431);
   _actionMap[633][NULLTOKEN] = ActionEntry(REDUCE, 431);
   _actionMap[633][FROM] = ActionEntry(REDUCE, 431);
   _actionMap[633][AS] = ActionEntry(REDUCE, 431);
   _actionMap[633][END_TOKEN] = ActionEntry(REDUCE, 431);
   _actionMap[633][BEGIN] = ActionEntry(REDUCE, 431);
   _actionMap[633][THEN] = ActionEntry(REDUCE, 431);
   _actionMap[633][INTOK] = ActionEntry(REDUCE, 431);
   _actionMap[633][NOT] = ActionEntry(REDUCE, 431);
   _actionMap[633][BETWEEN] = ActionEntry(REDUCE, 431);
   _actionMap[633][IS] = ActionEntry(REDUCE, 431);
   _actionMap[633][LIKE] = ActionEntry(REDUCE, 431);
   _actionMap[633][ENDTOKEN] = ActionEntry(REDUCE, 431);
   _actionMap[633][UNION] = ActionEntry(REDUCE, 431);
   _actionMap[633][ROWLIMIT] = ActionEntry(REDUCE, 431);
   _actionMap[633][KSEP] = ActionEntry(REDUCE, 431);
   _actionMap[633][ASC] = ActionEntry(REDUCE, 431);
   _actionMap[633][DESC] = ActionEntry(REDUCE, 431);
   _actionMap[633][SEMICOLON] = ActionEntry(REDUCE, 431);
   _actionMap[633][MT] = ActionEntry(REDUCE, 431);
   _actionMap[633][LT] = ActionEntry(REDUCE, 431);
   _actionMap[633][NEGATION] = ActionEntry(REDUCE, 431);
   _actionMap[633][EQU] = ActionEntry(REDUCE, 431);
   _actionMap[633][PLUS] = ActionEntry(REDUCE, 431);
   _actionMap[633][MINUS] = ActionEntry(REDUCE, 431);
   _actionMap[633][DIVISION] = ActionEntry(REDUCE, 431);
   _actionMap[633][STAR] = ActionEntry(REDUCE, 431);
   _actionMap[633][CONCAT] = ActionEntry(REDUCE, 431);
   _actionMap[633][OR] = ActionEntry(REDUCE, 431);
   _actionMap[633][AND] = ActionEntry(REDUCE, 431);
   _actionMap[633][RB] = ActionEntry(REDUCE, 431);
   _actionMap[634][WHEN] = ActionEntry(REDUCE, 360);
   _actionMap[634][ELSE] = ActionEntry(REDUCE, 360);
   _actionMap[634][LEFT] = ActionEntry(REDUCE, 360);
   _actionMap[634][RIGHT] = ActionEntry(REDUCE, 360);
   _actionMap[634][INNER] = ActionEntry(REDUCE, 360);
   _actionMap[634][JOIN] = ActionEntry(REDUCE, 360);
}
void Cego::loadParser99()
{
   _actionMap[634][RETURNTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[634][ORDER] = ActionEntry(REDUCE, 360);
   _actionMap[634][GROUP] = ActionEntry(REDUCE, 360);
   _actionMap[634][WHERE] = ActionEntry(REDUCE, 360);
   _actionMap[634][FROM] = ActionEntry(REDUCE, 360);
   _actionMap[634][AS] = ActionEntry(REDUCE, 360);
   _actionMap[634][END_TOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[634][BEGIN] = ActionEntry(REDUCE, 360);
   _actionMap[634][THEN] = ActionEntry(REDUCE, 360);
   _actionMap[634][INTOK] = ActionEntry(REDUCE, 360);
   _actionMap[634][NOT] = ActionEntry(REDUCE, 360);
   _actionMap[634][BETWEEN] = ActionEntry(REDUCE, 360);
   _actionMap[634][IS] = ActionEntry(REDUCE, 360);
   _actionMap[634][LIKE] = ActionEntry(REDUCE, 360);
   _actionMap[634][ENDTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[634][UNION] = ActionEntry(REDUCE, 360);
   _actionMap[634][ROWLIMIT] = ActionEntry(REDUCE, 360);
   _actionMap[634][KSEP] = ActionEntry(REDUCE, 360);
   _actionMap[634][ASC] = ActionEntry(REDUCE, 360);
   _actionMap[634][DESC] = ActionEntry(REDUCE, 360);
   _actionMap[634][SEMICOLON] = ActionEntry(REDUCE, 360);
   _actionMap[634][MT] = ActionEntry(REDUCE, 360);
   _actionMap[634][LT] = ActionEntry(REDUCE, 360);
   _actionMap[634][NEGATION] = ActionEntry(REDUCE, 360);
   _actionMap[634][EQU] = ActionEntry(REDUCE, 360);
   _actionMap[634][PLUS] = ActionEntry(REDUCE, 360);
   _actionMap[634][MINUS] = ActionEntry(REDUCE, 360);
   _actionMap[634][DIVISION] = ActionEntry(REDUCE, 360);
   _actionMap[634][STAR] = ActionEntry(REDUCE, 360);
   _actionMap[634][CONCAT] = ActionEntry(REDUCE, 360);
   _actionMap[634][OR] = ActionEntry(REDUCE, 360);
   _actionMap[634][AND] = ActionEntry(REDUCE, 360);
   _actionMap[634][RB] = ActionEntry(REDUCE, 360);
   _actionMap[635][WHEN] = ActionEntry(REDUCE, 361);
   _actionMap[635][ELSE] = ActionEntry(REDUCE, 361);
   _actionMap[635][LEFT] = ActionEntry(REDUCE, 361);
   _actionMap[635][RIGHT] = ActionEntry(REDUCE, 361);
   _actionMap[635][INNER] = ActionEntry(REDUCE, 361);
   _actionMap[635][JOIN] = ActionEntry(REDUCE, 361);
   _actionMap[635][RETURNTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[635][ORDER] = ActionEntry(REDUCE, 361);
   _actionMap[635][GROUP] = ActionEntry(REDUCE, 361);
   _actionMap[635][WHERE] = ActionEntry(REDUCE, 361);
   _actionMap[635][FROM] = ActionEntry(REDUCE, 361);
   _actionMap[635][AS] = ActionEntry(REDUCE, 361);
   _actionMap[635][END_TOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[635][BEGIN] = ActionEntry(REDUCE, 361);
   _actionMap[635][THEN] = ActionEntry(REDUCE, 361);
   _actionMap[635][INTOK] = ActionEntry(REDUCE, 361);
   _actionMap[635][NOT] = ActionEntry(REDUCE, 361);
}
void Cego::loadParser100()
{
   _actionMap[635][BETWEEN] = ActionEntry(REDUCE, 361);
   _actionMap[635][IS] = ActionEntry(REDUCE, 361);
   _actionMap[635][LIKE] = ActionEntry(REDUCE, 361);
   _actionMap[635][ENDTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[635][UNION] = ActionEntry(REDUCE, 361);
   _actionMap[635][ROWLIMIT] = ActionEntry(REDUCE, 361);
   _actionMap[635][KSEP] = ActionEntry(REDUCE, 361);
   _actionMap[635][ASC] = ActionEntry(REDUCE, 361);
   _actionMap[635][DESC] = ActionEntry(REDUCE, 361);
   _actionMap[635][SEMICOLON] = ActionEntry(REDUCE, 361);
   _actionMap[635][MT] = ActionEntry(REDUCE, 361);
   _actionMap[635][LT] = ActionEntry(REDUCE, 361);
   _actionMap[635][NEGATION] = ActionEntry(REDUCE, 361);
   _actionMap[635][EQU] = ActionEntry(REDUCE, 361);
   _actionMap[635][PLUS] = ActionEntry(REDUCE, 361);
   _actionMap[635][MINUS] = ActionEntry(REDUCE, 361);
   _actionMap[635][DIVISION] = ActionEntry(REDUCE, 361);
   _actionMap[635][STAR] = ActionEntry(REDUCE, 361);
   _actionMap[635][CONCAT] = ActionEntry(REDUCE, 361);
   _actionMap[635][OR] = ActionEntry(REDUCE, 361);
   _actionMap[635][AND] = ActionEntry(REDUCE, 361);
   _actionMap[635][RB] = ActionEntry(REDUCE, 361);
   _actionMap[636][WHEN] = ActionEntry(REDUCE, 362);
   _actionMap[636][ELSE] = ActionEntry(REDUCE, 362);
   _actionMap[636][LEFT] = ActionEntry(REDUCE, 362);
   _actionMap[636][RIGHT] = ActionEntry(REDUCE, 362);
   _actionMap[636][INNER] = ActionEntry(REDUCE, 362);
   _actionMap[636][JOIN] = ActionEntry(REDUCE, 362);
   _actionMap[636][RETURNTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[636][ORDER] = ActionEntry(REDUCE, 362);
   _actionMap[636][GROUP] = ActionEntry(REDUCE, 362);
   _actionMap[636][WHERE] = ActionEntry(REDUCE, 362);
   _actionMap[636][FROM] = ActionEntry(REDUCE, 362);
   _actionMap[636][AS] = ActionEntry(REDUCE, 362);
   _actionMap[636][END_TOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[636][BEGIN] = ActionEntry(REDUCE, 362);
   _actionMap[636][THEN] = ActionEntry(REDUCE, 362);
   _actionMap[636][INTOK] = ActionEntry(REDUCE, 362);
   _actionMap[636][NOT] = ActionEntry(REDUCE, 362);
   _actionMap[636][BETWEEN] = ActionEntry(REDUCE, 362);
   _actionMap[636][IS] = ActionEntry(REDUCE, 362);
   _actionMap[636][LIKE] = ActionEntry(REDUCE, 362);
   _actionMap[636][ENDTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[636][UNION] = ActionEntry(REDUCE, 362);
   _actionMap[636][ROWLIMIT] = ActionEntry(REDUCE, 362);
   _actionMap[636][KSEP] = ActionEntry(REDUCE, 362);
   _actionMap[636][ASC] = ActionEntry(REDUCE, 362);
   _actionMap[636][DESC] = ActionEntry(REDUCE, 362);
   _actionMap[636][SEMICOLON] = ActionEntry(REDUCE, 362);
   _actionMap[636][MT] = ActionEntry(REDUCE, 362);
}
void Cego::loadParser101()
{
   _actionMap[636][LT] = ActionEntry(REDUCE, 362);
   _actionMap[636][NEGATION] = ActionEntry(REDUCE, 362);
   _actionMap[636][EQU] = ActionEntry(REDUCE, 362);
   _actionMap[636][PLUS] = ActionEntry(REDUCE, 362);
   _actionMap[636][MINUS] = ActionEntry(REDUCE, 362);
   _actionMap[636][DIVISION] = ActionEntry(REDUCE, 362);
   _actionMap[636][STAR] = ActionEntry(REDUCE, 362);
   _actionMap[636][CONCAT] = ActionEntry(REDUCE, 362);
   _actionMap[636][OR] = ActionEntry(REDUCE, 362);
   _actionMap[636][AND] = ActionEntry(REDUCE, 362);
   _actionMap[636][RB] = ActionEntry(REDUCE, 362);
   _actionMap[637][WHEN] = ActionEntry(REDUCE, 191);
   _actionMap[637][ELSE] = ActionEntry(REDUCE, 191);
   _actionMap[637][LEFT] = ActionEntry(REDUCE, 191);
   _actionMap[637][RIGHT] = ActionEntry(REDUCE, 191);
   _actionMap[637][INNER] = ActionEntry(REDUCE, 191);
   _actionMap[637][JOIN] = ActionEntry(REDUCE, 191);
   _actionMap[637][RETURNTOKEN] = ActionEntry(REDUCE, 191);
   _actionMap[637][ORDER] = ActionEntry(REDUCE, 191);
   _actionMap[637][GROUP] = ActionEntry(REDUCE, 191);
   _actionMap[637][WHERE] = ActionEntry(REDUCE, 191);
   _actionMap[637][AS] = ActionEntry(REDUCE, 191);
   _actionMap[637][FROM] = ActionEntry(REDUCE, 191);
   _actionMap[637][END_TOKEN] = ActionEntry(REDUCE, 191);
   _actionMap[637][BEGIN] = ActionEntry(REDUCE, 191);
   _actionMap[637][THEN] = ActionEntry(REDUCE, 191);
   _actionMap[637][LIKE] = ActionEntry(REDUCE, 191);
   _actionMap[637][IS] = ActionEntry(REDUCE, 191);
   _actionMap[637][BETWEEN] = ActionEntry(REDUCE, 191);
   _actionMap[637][NOT] = ActionEntry(REDUCE, 191);
   _actionMap[637][INTOK] = ActionEntry(REDUCE, 191);
   _actionMap[637][DESC] = ActionEntry(REDUCE, 191);
   _actionMap[637][ASC] = ActionEntry(REDUCE, 191);
   _actionMap[637][KSEP] = ActionEntry(REDUCE, 191);
   _actionMap[637][ROWLIMIT] = ActionEntry(REDUCE, 191);
   _actionMap[637][UNION] = ActionEntry(REDUCE, 191);
   _actionMap[637][ENDTOKEN] = ActionEntry(REDUCE, 191);
   _actionMap[637][SEMICOLON] = ActionEntry(REDUCE, 191);
   _actionMap[637][EQU] = ActionEntry(REDUCE, 191);
   _actionMap[637][NEGATION] = ActionEntry(REDUCE, 191);
   _actionMap[637][LT] = ActionEntry(REDUCE, 191);
   _actionMap[637][MT] = ActionEntry(REDUCE, 191);
   _actionMap[637][CONCAT] = ActionEntry(REDUCE, 191);
   _actionMap[637][STAR] = ActionEntry(REDUCE, 191);
   _actionMap[637][DIVISION] = ActionEntry(REDUCE, 191);
   _actionMap[637][MINUS] = ActionEntry(REDUCE, 191);
   _actionMap[637][PLUS] = ActionEntry(REDUCE, 191);
   _actionMap[637][OR] = ActionEntry(REDUCE, 191);
   _actionMap[637][AND] = ActionEntry(REDUCE, 191);
   _actionMap[637][RB] = ActionEntry(REDUCE, 191);
}
void Cego::loadParser102()
{
   _actionMap[638][WHEN] = ActionEntry(REDUCE, 188);
   _actionMap[638][ELSE] = ActionEntry(REDUCE, 188);
   _actionMap[638][LEFT] = ActionEntry(REDUCE, 188);
   _actionMap[638][RIGHT] = ActionEntry(REDUCE, 188);
   _actionMap[638][INNER] = ActionEntry(REDUCE, 188);
   _actionMap[638][JOIN] = ActionEntry(REDUCE, 188);
   _actionMap[638][RETURNTOKEN] = ActionEntry(REDUCE, 188);
   _actionMap[638][ORDER] = ActionEntry(REDUCE, 188);
   _actionMap[638][GROUP] = ActionEntry(REDUCE, 188);
   _actionMap[638][WHERE] = ActionEntry(REDUCE, 188);
   _actionMap[638][AS] = ActionEntry(REDUCE, 188);
   _actionMap[638][FROM] = ActionEntry(REDUCE, 188);
   _actionMap[638][END_TOKEN] = ActionEntry(REDUCE, 188);
   _actionMap[638][BEGIN] = ActionEntry(REDUCE, 188);
   _actionMap[638][THEN] = ActionEntry(REDUCE, 188);
   _actionMap[638][LIKE] = ActionEntry(REDUCE, 188);
   _actionMap[638][IS] = ActionEntry(REDUCE, 188);
   _actionMap[638][BETWEEN] = ActionEntry(REDUCE, 188);
   _actionMap[638][NOT] = ActionEntry(REDUCE, 188);
   _actionMap[638][INTOK] = ActionEntry(REDUCE, 188);
   _actionMap[638][DESC] = ActionEntry(REDUCE, 188);
   _actionMap[638][ASC] = ActionEntry(REDUCE, 188);
   _actionMap[638][KSEP] = ActionEntry(REDUCE, 188);
   _actionMap[638][ROWLIMIT] = ActionEntry(REDUCE, 188);
   _actionMap[638][UNION] = ActionEntry(REDUCE, 188);
   _actionMap[638][ENDTOKEN] = ActionEntry(REDUCE, 188);
   _actionMap[638][SEMICOLON] = ActionEntry(REDUCE, 188);
   _actionMap[638][EQU] = ActionEntry(REDUCE, 188);
   _actionMap[638][NEGATION] = ActionEntry(REDUCE, 188);
   _actionMap[638][LT] = ActionEntry(REDUCE, 188);
   _actionMap[638][MT] = ActionEntry(REDUCE, 188);
   _actionMap[638][CONCAT] = ActionEntry(REDUCE, 188);
   _actionMap[638][STAR] = ActionEntry(REDUCE, 188);
   _actionMap[638][DIVISION] = ActionEntry(REDUCE, 188);
   _actionMap[638][MINUS] = ActionEntry(REDUCE, 188);
   _actionMap[638][PLUS] = ActionEntry(REDUCE, 188);
   _actionMap[638][OR] = ActionEntry(REDUCE, 188);
   _actionMap[638][AND] = ActionEntry(REDUCE, 188);
   _actionMap[638][RB] = ActionEntry(REDUCE, 188);
   _actionMap[639][WHEN] = ActionEntry(REDUCE, 333);
   _actionMap[639][ELSE] = ActionEntry(REDUCE, 333);
   _actionMap[639][LEFT] = ActionEntry(REDUCE, 333);
   _actionMap[639][RIGHT] = ActionEntry(REDUCE, 333);
   _actionMap[639][INNER] = ActionEntry(REDUCE, 333);
   _actionMap[639][JOIN] = ActionEntry(REDUCE, 333);
   _actionMap[639][RETURNTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[639][ORDER] = ActionEntry(REDUCE, 333);
   _actionMap[639][GROUP] = ActionEntry(REDUCE, 333);
   _actionMap[639][WHERE] = ActionEntry(REDUCE, 333);
   _actionMap[639][FROM] = ActionEntry(REDUCE, 333);
}
void Cego::loadParser103()
{
   _actionMap[639][AS] = ActionEntry(REDUCE, 333);
   _actionMap[639][END_TOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[639][BEGIN] = ActionEntry(REDUCE, 333);
   _actionMap[639][THEN] = ActionEntry(REDUCE, 333);
   _actionMap[639][INTOK] = ActionEntry(REDUCE, 333);
   _actionMap[639][NOT] = ActionEntry(REDUCE, 333);
   _actionMap[639][BETWEEN] = ActionEntry(REDUCE, 333);
   _actionMap[639][IS] = ActionEntry(REDUCE, 333);
   _actionMap[639][LIKE] = ActionEntry(REDUCE, 333);
   _actionMap[639][ENDTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[639][UNION] = ActionEntry(REDUCE, 333);
   _actionMap[639][ROWLIMIT] = ActionEntry(REDUCE, 333);
   _actionMap[639][KSEP] = ActionEntry(REDUCE, 333);
   _actionMap[639][ASC] = ActionEntry(REDUCE, 333);
   _actionMap[639][DESC] = ActionEntry(REDUCE, 333);
   _actionMap[639][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[639][MT] = ActionEntry(REDUCE, 333);
   _actionMap[639][LT] = ActionEntry(REDUCE, 333);
   _actionMap[639][NEGATION] = ActionEntry(REDUCE, 333);
   _actionMap[639][EQU] = ActionEntry(REDUCE, 333);
   _actionMap[639][PLUS] = ActionEntry(REDUCE, 333);
   _actionMap[639][MINUS] = ActionEntry(REDUCE, 333);
   _actionMap[639][DIVISION] = ActionEntry(REDUCE, 333);
   _actionMap[639][STAR] = ActionEntry(REDUCE, 333);
   _actionMap[639][CONCAT] = ActionEntry(REDUCE, 333);
   _actionMap[639][OR] = ActionEntry(REDUCE, 333);
   _actionMap[639][AND] = ActionEntry(REDUCE, 333);
   _actionMap[639][RB] = ActionEntry(REDUCE, 333);
   _actionMap[640][WHEN] = ActionEntry(REDUCE, 334);
   _actionMap[640][ELSE] = ActionEntry(REDUCE, 334);
   _actionMap[640][LEFT] = ActionEntry(REDUCE, 334);
   _actionMap[640][RIGHT] = ActionEntry(REDUCE, 334);
   _actionMap[640][INNER] = ActionEntry(REDUCE, 334);
   _actionMap[640][JOIN] = ActionEntry(REDUCE, 334);
   _actionMap[640][RETURNTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[640][ORDER] = ActionEntry(REDUCE, 334);
   _actionMap[640][GROUP] = ActionEntry(REDUCE, 334);
   _actionMap[640][WHERE] = ActionEntry(REDUCE, 334);
   _actionMap[640][FROM] = ActionEntry(REDUCE, 334);
   _actionMap[640][AS] = ActionEntry(REDUCE, 334);
   _actionMap[640][END_TOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[640][BEGIN] = ActionEntry(REDUCE, 334);
   _actionMap[640][THEN] = ActionEntry(REDUCE, 334);
   _actionMap[640][INTOK] = ActionEntry(REDUCE, 334);
   _actionMap[640][NOT] = ActionEntry(REDUCE, 334);
   _actionMap[640][BETWEEN] = ActionEntry(REDUCE, 334);
   _actionMap[640][IS] = ActionEntry(REDUCE, 334);
   _actionMap[640][LIKE] = ActionEntry(REDUCE, 334);
   _actionMap[640][ENDTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[640][UNION] = ActionEntry(REDUCE, 334);
}
void Cego::loadParser104()
{
   _actionMap[640][ROWLIMIT] = ActionEntry(REDUCE, 334);
   _actionMap[640][KSEP] = ActionEntry(REDUCE, 334);
   _actionMap[640][ASC] = ActionEntry(REDUCE, 334);
   _actionMap[640][DESC] = ActionEntry(REDUCE, 334);
   _actionMap[640][SEMICOLON] = ActionEntry(REDUCE, 334);
   _actionMap[640][MT] = ActionEntry(REDUCE, 334);
   _actionMap[640][LT] = ActionEntry(REDUCE, 334);
   _actionMap[640][NEGATION] = ActionEntry(REDUCE, 334);
   _actionMap[640][EQU] = ActionEntry(REDUCE, 334);
   _actionMap[640][PLUS] = ActionEntry(REDUCE, 334);
   _actionMap[640][MINUS] = ActionEntry(REDUCE, 334);
   _actionMap[640][DIVISION] = ActionEntry(REDUCE, 334);
   _actionMap[640][STAR] = ActionEntry(REDUCE, 334);
   _actionMap[640][CONCAT] = ActionEntry(REDUCE, 334);
   _actionMap[640][OR] = ActionEntry(REDUCE, 334);
   _actionMap[640][AND] = ActionEntry(REDUCE, 334);
   _actionMap[640][RB] = ActionEntry(REDUCE, 334);
   _actionMap[641][WHEN] = ActionEntry(REDUCE, 351);
   _actionMap[641][ELSE] = ActionEntry(REDUCE, 351);
   _actionMap[641][LEFT] = ActionEntry(REDUCE, 351);
   _actionMap[641][RIGHT] = ActionEntry(REDUCE, 351);
   _actionMap[641][INNER] = ActionEntry(REDUCE, 351);
   _actionMap[641][JOIN] = ActionEntry(REDUCE, 351);
   _actionMap[641][RETURNTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[641][ORDER] = ActionEntry(REDUCE, 351);
   _actionMap[641][GROUP] = ActionEntry(REDUCE, 351);
   _actionMap[641][WHERE] = ActionEntry(REDUCE, 351);
   _actionMap[641][FROM] = ActionEntry(REDUCE, 351);
   _actionMap[641][AS] = ActionEntry(REDUCE, 351);
   _actionMap[641][END_TOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[641][BEGIN] = ActionEntry(REDUCE, 351);
   _actionMap[641][THEN] = ActionEntry(REDUCE, 351);
   _actionMap[641][INTOK] = ActionEntry(REDUCE, 351);
   _actionMap[641][NOT] = ActionEntry(REDUCE, 351);
   _actionMap[641][BETWEEN] = ActionEntry(REDUCE, 351);
   _actionMap[641][IS] = ActionEntry(REDUCE, 351);
   _actionMap[641][LIKE] = ActionEntry(REDUCE, 351);
   _actionMap[641][ENDTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[641][UNION] = ActionEntry(REDUCE, 351);
   _actionMap[641][ROWLIMIT] = ActionEntry(REDUCE, 351);
   _actionMap[641][KSEP] = ActionEntry(REDUCE, 351);
   _actionMap[641][ASC] = ActionEntry(REDUCE, 351);
   _actionMap[641][DESC] = ActionEntry(REDUCE, 351);
   _actionMap[641][SEMICOLON] = ActionEntry(REDUCE, 351);
   _actionMap[641][MT] = ActionEntry(REDUCE, 351);
   _actionMap[641][LT] = ActionEntry(REDUCE, 351);
   _actionMap[641][NEGATION] = ActionEntry(REDUCE, 351);
   _actionMap[641][EQU] = ActionEntry(REDUCE, 351);
   _actionMap[641][PLUS] = ActionEntry(REDUCE, 351);
   _actionMap[641][MINUS] = ActionEntry(REDUCE, 351);
}
void Cego::loadParser105()
{
   _actionMap[641][DIVISION] = ActionEntry(REDUCE, 351);
   _actionMap[641][STAR] = ActionEntry(REDUCE, 351);
   _actionMap[641][CONCAT] = ActionEntry(REDUCE, 351);
   _actionMap[641][OR] = ActionEntry(REDUCE, 351);
   _actionMap[641][AND] = ActionEntry(REDUCE, 351);
   _actionMap[641][RB] = ActionEntry(REDUCE, 351);
   _actionMap[642][VARREF] = ActionEntry(SHIFT, 783);
   _jumpMap[642][FetchArgList] = 782;
   _actionMap[643][WHEN] = ActionEntry(REDUCE, 365);
   _actionMap[643][ELSE] = ActionEntry(REDUCE, 365);
   _actionMap[643][LEFT] = ActionEntry(REDUCE, 365);
   _actionMap[643][RIGHT] = ActionEntry(REDUCE, 365);
   _actionMap[643][INNER] = ActionEntry(REDUCE, 365);
   _actionMap[643][JOIN] = ActionEntry(REDUCE, 365);
   _actionMap[643][RETURNTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[643][ORDER] = ActionEntry(REDUCE, 365);
   _actionMap[643][GROUP] = ActionEntry(REDUCE, 365);
   _actionMap[643][WHERE] = ActionEntry(REDUCE, 365);
   _actionMap[643][FROM] = ActionEntry(REDUCE, 365);
   _actionMap[643][AS] = ActionEntry(REDUCE, 365);
   _actionMap[643][END_TOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[643][BEGIN] = ActionEntry(REDUCE, 365);
   _actionMap[643][THEN] = ActionEntry(REDUCE, 365);
   _actionMap[643][INTOK] = ActionEntry(REDUCE, 365);
   _actionMap[643][NOT] = ActionEntry(REDUCE, 365);
   _actionMap[643][BETWEEN] = ActionEntry(REDUCE, 365);
   _actionMap[643][IS] = ActionEntry(REDUCE, 365);
   _actionMap[643][LIKE] = ActionEntry(REDUCE, 365);
   _actionMap[643][ENDTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[643][UNION] = ActionEntry(REDUCE, 365);
   _actionMap[643][ROWLIMIT] = ActionEntry(REDUCE, 365);
   _actionMap[643][KSEP] = ActionEntry(REDUCE, 365);
   _actionMap[643][ASC] = ActionEntry(REDUCE, 365);
   _actionMap[643][DESC] = ActionEntry(REDUCE, 365);
   _actionMap[643][SEMICOLON] = ActionEntry(REDUCE, 365);
   _actionMap[643][MT] = ActionEntry(REDUCE, 365);
   _actionMap[643][LT] = ActionEntry(REDUCE, 365);
   _actionMap[643][NEGATION] = ActionEntry(REDUCE, 365);
   _actionMap[643][EQU] = ActionEntry(REDUCE, 365);
   _actionMap[643][PLUS] = ActionEntry(REDUCE, 365);
   _actionMap[643][MINUS] = ActionEntry(REDUCE, 365);
   _actionMap[643][DIVISION] = ActionEntry(REDUCE, 365);
   _actionMap[643][STAR] = ActionEntry(REDUCE, 365);
   _actionMap[643][CONCAT] = ActionEntry(REDUCE, 365);
   _actionMap[643][OR] = ActionEntry(REDUCE, 365);
   _actionMap[643][AND] = ActionEntry(REDUCE, 365);
   _actionMap[643][RB] = ActionEntry(REDUCE, 365);
   _actionMap[644][WHEN] = ActionEntry(REDUCE, 341);
   _actionMap[644][ELSE] = ActionEntry(REDUCE, 341);
   _actionMap[644][LEFT] = ActionEntry(REDUCE, 341);
}
void Cego::loadParser106()
{
   _actionMap[644][RIGHT] = ActionEntry(REDUCE, 341);
   _actionMap[644][INNER] = ActionEntry(REDUCE, 341);
   _actionMap[644][JOIN] = ActionEntry(REDUCE, 341);
   _actionMap[644][RETURNTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[644][ORDER] = ActionEntry(REDUCE, 341);
   _actionMap[644][GROUP] = ActionEntry(REDUCE, 341);
   _actionMap[644][WHERE] = ActionEntry(REDUCE, 341);
   _actionMap[644][FROM] = ActionEntry(REDUCE, 341);
   _actionMap[644][AS] = ActionEntry(REDUCE, 341);
   _actionMap[644][END_TOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[644][BEGIN] = ActionEntry(REDUCE, 341);
   _actionMap[644][THEN] = ActionEntry(REDUCE, 341);
   _actionMap[644][INTOK] = ActionEntry(REDUCE, 341);
   _actionMap[644][NOT] = ActionEntry(REDUCE, 341);
   _actionMap[644][BETWEEN] = ActionEntry(REDUCE, 341);
   _actionMap[644][IS] = ActionEntry(REDUCE, 341);
   _actionMap[644][LIKE] = ActionEntry(REDUCE, 341);
   _actionMap[644][ENDTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[644][UNION] = ActionEntry(REDUCE, 341);
   _actionMap[644][ROWLIMIT] = ActionEntry(REDUCE, 341);
   _actionMap[644][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[644][ASC] = ActionEntry(REDUCE, 341);
   _actionMap[644][DESC] = ActionEntry(REDUCE, 341);
   _actionMap[644][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[644][MT] = ActionEntry(REDUCE, 341);
   _actionMap[644][LT] = ActionEntry(REDUCE, 341);
   _actionMap[644][NEGATION] = ActionEntry(REDUCE, 341);
   _actionMap[644][EQU] = ActionEntry(REDUCE, 341);
   _actionMap[644][PLUS] = ActionEntry(REDUCE, 341);
   _actionMap[644][MINUS] = ActionEntry(REDUCE, 341);
   _actionMap[644][DIVISION] = ActionEntry(REDUCE, 341);
   _actionMap[644][STAR] = ActionEntry(REDUCE, 341);
   _actionMap[644][CONCAT] = ActionEntry(REDUCE, 341);
   _actionMap[644][OR] = ActionEntry(REDUCE, 341);
   _actionMap[644][AND] = ActionEntry(REDUCE, 341);
   _actionMap[644][RB] = ActionEntry(REDUCE, 341);
   _actionMap[645][WHEN] = ActionEntry(REDUCE, 335);
   _actionMap[645][ELSE] = ActionEntry(REDUCE, 335);
   _actionMap[645][LEFT] = ActionEntry(REDUCE, 335);
   _actionMap[645][RIGHT] = ActionEntry(REDUCE, 335);
   _actionMap[645][INNER] = ActionEntry(REDUCE, 335);
   _actionMap[645][JOIN] = ActionEntry(REDUCE, 335);
   _actionMap[645][RETURNTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[645][ORDER] = ActionEntry(REDUCE, 335);
   _actionMap[645][GROUP] = ActionEntry(REDUCE, 335);
   _actionMap[645][WHERE] = ActionEntry(REDUCE, 335);
   _actionMap[645][FROM] = ActionEntry(REDUCE, 335);
   _actionMap[645][AS] = ActionEntry(REDUCE, 335);
   _actionMap[645][END_TOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[645][BEGIN] = ActionEntry(REDUCE, 335);
}
void Cego::loadParser107()
{
   _actionMap[645][THEN] = ActionEntry(REDUCE, 335);
   _actionMap[645][INTOK] = ActionEntry(REDUCE, 335);
   _actionMap[645][NOT] = ActionEntry(REDUCE, 335);
   _actionMap[645][BETWEEN] = ActionEntry(REDUCE, 335);
   _actionMap[645][IS] = ActionEntry(REDUCE, 335);
   _actionMap[645][LIKE] = ActionEntry(REDUCE, 335);
   _actionMap[645][ENDTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[645][UNION] = ActionEntry(REDUCE, 335);
   _actionMap[645][ROWLIMIT] = ActionEntry(REDUCE, 335);
   _actionMap[645][KSEP] = ActionEntry(REDUCE, 335);
   _actionMap[645][ASC] = ActionEntry(REDUCE, 335);
   _actionMap[645][DESC] = ActionEntry(REDUCE, 335);
   _actionMap[645][SEMICOLON] = ActionEntry(REDUCE, 335);
   _actionMap[645][MT] = ActionEntry(REDUCE, 335);
   _actionMap[645][LT] = ActionEntry(REDUCE, 335);
   _actionMap[645][NEGATION] = ActionEntry(REDUCE, 335);
   _actionMap[645][EQU] = ActionEntry(REDUCE, 335);
   _actionMap[645][PLUS] = ActionEntry(REDUCE, 335);
   _actionMap[645][MINUS] = ActionEntry(REDUCE, 335);
   _actionMap[645][DIVISION] = ActionEntry(REDUCE, 335);
   _actionMap[645][STAR] = ActionEntry(REDUCE, 335);
   _actionMap[645][CONCAT] = ActionEntry(REDUCE, 335);
   _actionMap[645][OR] = ActionEntry(REDUCE, 335);
   _actionMap[645][AND] = ActionEntry(REDUCE, 335);
   _actionMap[645][RB] = ActionEntry(REDUCE, 335);
   _actionMap[646][WHEN] = ActionEntry(REDUCE, 336);
   _actionMap[646][ELSE] = ActionEntry(REDUCE, 336);
   _actionMap[646][LEFT] = ActionEntry(REDUCE, 336);
   _actionMap[646][RIGHT] = ActionEntry(REDUCE, 336);
   _actionMap[646][INNER] = ActionEntry(REDUCE, 336);
   _actionMap[646][JOIN] = ActionEntry(REDUCE, 336);
   _actionMap[646][RETURNTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[646][ORDER] = ActionEntry(REDUCE, 336);
   _actionMap[646][GROUP] = ActionEntry(REDUCE, 336);
   _actionMap[646][WHERE] = ActionEntry(REDUCE, 336);
   _actionMap[646][FROM] = ActionEntry(REDUCE, 336);
   _actionMap[646][AS] = ActionEntry(REDUCE, 336);
   _actionMap[646][END_TOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[646][BEGIN] = ActionEntry(REDUCE, 336);
   _actionMap[646][THEN] = ActionEntry(REDUCE, 336);
   _actionMap[646][INTOK] = ActionEntry(REDUCE, 336);
   _actionMap[646][NOT] = ActionEntry(REDUCE, 336);
   _actionMap[646][BETWEEN] = ActionEntry(REDUCE, 336);
   _actionMap[646][IS] = ActionEntry(REDUCE, 336);
   _actionMap[646][LIKE] = ActionEntry(REDUCE, 336);
   _actionMap[646][ENDTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[646][UNION] = ActionEntry(REDUCE, 336);
   _actionMap[646][ROWLIMIT] = ActionEntry(REDUCE, 336);
   _actionMap[646][KSEP] = ActionEntry(REDUCE, 336);
   _actionMap[646][ASC] = ActionEntry(REDUCE, 336);
}
void Cego::loadParser108()
{
   _actionMap[646][DESC] = ActionEntry(REDUCE, 336);
   _actionMap[646][SEMICOLON] = ActionEntry(REDUCE, 336);
   _actionMap[646][MT] = ActionEntry(REDUCE, 336);
   _actionMap[646][LT] = ActionEntry(REDUCE, 336);
   _actionMap[646][NEGATION] = ActionEntry(REDUCE, 336);
   _actionMap[646][EQU] = ActionEntry(REDUCE, 336);
   _actionMap[646][PLUS] = ActionEntry(REDUCE, 336);
   _actionMap[646][MINUS] = ActionEntry(REDUCE, 336);
   _actionMap[646][DIVISION] = ActionEntry(REDUCE, 336);
   _actionMap[646][STAR] = ActionEntry(REDUCE, 336);
   _actionMap[646][CONCAT] = ActionEntry(REDUCE, 336);
   _actionMap[646][OR] = ActionEntry(REDUCE, 336);
   _actionMap[646][AND] = ActionEntry(REDUCE, 336);
   _actionMap[646][RB] = ActionEntry(REDUCE, 336);
   _actionMap[647][WHEN] = ActionEntry(REDUCE, 326);
   _actionMap[647][ELSE] = ActionEntry(REDUCE, 326);
   _actionMap[647][LEFT] = ActionEntry(REDUCE, 326);
   _actionMap[647][RIGHT] = ActionEntry(REDUCE, 326);
   _actionMap[647][INNER] = ActionEntry(REDUCE, 326);
   _actionMap[647][JOIN] = ActionEntry(REDUCE, 326);
   _actionMap[647][RETURNTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[647][ORDER] = ActionEntry(REDUCE, 326);
   _actionMap[647][GROUP] = ActionEntry(REDUCE, 326);
   _actionMap[647][WHERE] = ActionEntry(REDUCE, 326);
   _actionMap[647][FROM] = ActionEntry(REDUCE, 326);
   _actionMap[647][AS] = ActionEntry(REDUCE, 326);
   _actionMap[647][END_TOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[647][BEGIN] = ActionEntry(REDUCE, 326);
   _actionMap[647][THEN] = ActionEntry(REDUCE, 326);
   _actionMap[647][INTOK] = ActionEntry(REDUCE, 326);
   _actionMap[647][NOT] = ActionEntry(REDUCE, 326);
   _actionMap[647][BETWEEN] = ActionEntry(REDUCE, 326);
   _actionMap[647][IS] = ActionEntry(REDUCE, 326);
   _actionMap[647][LIKE] = ActionEntry(REDUCE, 326);
   _actionMap[647][ENDTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[647][UNION] = ActionEntry(REDUCE, 326);
   _actionMap[647][ROWLIMIT] = ActionEntry(REDUCE, 326);
   _actionMap[647][KSEP] = ActionEntry(REDUCE, 326);
   _actionMap[647][ASC] = ActionEntry(REDUCE, 326);
   _actionMap[647][DESC] = ActionEntry(REDUCE, 326);
   _actionMap[647][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[647][MT] = ActionEntry(REDUCE, 326);
   _actionMap[647][LT] = ActionEntry(REDUCE, 326);
   _actionMap[647][NEGATION] = ActionEntry(REDUCE, 326);
   _actionMap[647][EQU] = ActionEntry(REDUCE, 326);
   _actionMap[647][PLUS] = ActionEntry(REDUCE, 326);
   _actionMap[647][MINUS] = ActionEntry(REDUCE, 326);
   _actionMap[647][DIVISION] = ActionEntry(REDUCE, 326);
   _actionMap[647][STAR] = ActionEntry(REDUCE, 326);
   _actionMap[647][CONCAT] = ActionEntry(REDUCE, 326);
}
void Cego::loadParser109()
{
   _actionMap[647][OR] = ActionEntry(REDUCE, 326);
   _actionMap[647][AND] = ActionEntry(REDUCE, 326);
   _actionMap[647][RB] = ActionEntry(REDUCE, 326);
   _actionMap[648][WHEN] = ActionEntry(REDUCE, 339);
   _actionMap[648][ELSE] = ActionEntry(REDUCE, 339);
   _actionMap[648][LEFT] = ActionEntry(REDUCE, 339);
   _actionMap[648][RIGHT] = ActionEntry(REDUCE, 339);
   _actionMap[648][INNER] = ActionEntry(REDUCE, 339);
   _actionMap[648][JOIN] = ActionEntry(REDUCE, 339);
   _actionMap[648][RETURNTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[648][ORDER] = ActionEntry(REDUCE, 339);
   _actionMap[648][GROUP] = ActionEntry(REDUCE, 339);
   _actionMap[648][WHERE] = ActionEntry(REDUCE, 339);
   _actionMap[648][FROM] = ActionEntry(REDUCE, 339);
   _actionMap[648][AS] = ActionEntry(REDUCE, 339);
   _actionMap[648][END_TOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[648][BEGIN] = ActionEntry(REDUCE, 339);
   _actionMap[648][THEN] = ActionEntry(REDUCE, 339);
   _actionMap[648][INTOK] = ActionEntry(REDUCE, 339);
   _actionMap[648][NOT] = ActionEntry(REDUCE, 339);
   _actionMap[648][BETWEEN] = ActionEntry(REDUCE, 339);
   _actionMap[648][IS] = ActionEntry(REDUCE, 339);
   _actionMap[648][LIKE] = ActionEntry(REDUCE, 339);
   _actionMap[648][ENDTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[648][UNION] = ActionEntry(REDUCE, 339);
   _actionMap[648][ROWLIMIT] = ActionEntry(REDUCE, 339);
   _actionMap[648][KSEP] = ActionEntry(REDUCE, 339);
   _actionMap[648][ASC] = ActionEntry(REDUCE, 339);
   _actionMap[648][DESC] = ActionEntry(REDUCE, 339);
   _actionMap[648][SEMICOLON] = ActionEntry(REDUCE, 339);
   _actionMap[648][MT] = ActionEntry(REDUCE, 339);
   _actionMap[648][LT] = ActionEntry(REDUCE, 339);
   _actionMap[648][NEGATION] = ActionEntry(REDUCE, 339);
   _actionMap[648][EQU] = ActionEntry(REDUCE, 339);
   _actionMap[648][PLUS] = ActionEntry(REDUCE, 339);
   _actionMap[648][MINUS] = ActionEntry(REDUCE, 339);
   _actionMap[648][DIVISION] = ActionEntry(REDUCE, 339);
   _actionMap[648][STAR] = ActionEntry(REDUCE, 339);
   _actionMap[648][CONCAT] = ActionEntry(REDUCE, 339);
   _actionMap[648][OR] = ActionEntry(REDUCE, 339);
   _actionMap[648][AND] = ActionEntry(REDUCE, 339);
   _actionMap[648][RB] = ActionEntry(REDUCE, 339);
   _actionMap[649][WHEN] = ActionEntry(REDUCE, 344);
   _actionMap[649][ELSE] = ActionEntry(REDUCE, 344);
   _actionMap[649][LEFT] = ActionEntry(REDUCE, 344);
   _actionMap[649][RIGHT] = ActionEntry(REDUCE, 344);
   _actionMap[649][INNER] = ActionEntry(REDUCE, 344);
   _actionMap[649][JOIN] = ActionEntry(REDUCE, 344);
   _actionMap[649][RETURNTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[649][ORDER] = ActionEntry(REDUCE, 344);
}
void Cego::loadParser110()
{
   _actionMap[649][GROUP] = ActionEntry(REDUCE, 344);
   _actionMap[649][WHERE] = ActionEntry(REDUCE, 344);
   _actionMap[649][FROM] = ActionEntry(REDUCE, 344);
   _actionMap[649][AS] = ActionEntry(REDUCE, 344);
   _actionMap[649][END_TOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[649][BEGIN] = ActionEntry(REDUCE, 344);
   _actionMap[649][THEN] = ActionEntry(REDUCE, 344);
   _actionMap[649][INTOK] = ActionEntry(REDUCE, 344);
   _actionMap[649][NOT] = ActionEntry(REDUCE, 344);
   _actionMap[649][BETWEEN] = ActionEntry(REDUCE, 344);
   _actionMap[649][IS] = ActionEntry(REDUCE, 344);
   _actionMap[649][LIKE] = ActionEntry(REDUCE, 344);
   _actionMap[649][ENDTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[649][UNION] = ActionEntry(REDUCE, 344);
   _actionMap[649][ROWLIMIT] = ActionEntry(REDUCE, 344);
   _actionMap[649][KSEP] = ActionEntry(REDUCE, 344);
   _actionMap[649][ASC] = ActionEntry(REDUCE, 344);
   _actionMap[649][DESC] = ActionEntry(REDUCE, 344);
   _actionMap[649][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[649][MT] = ActionEntry(REDUCE, 344);
   _actionMap[649][LT] = ActionEntry(REDUCE, 344);
   _actionMap[649][NEGATION] = ActionEntry(REDUCE, 344);
   _actionMap[649][EQU] = ActionEntry(REDUCE, 344);
   _actionMap[649][PLUS] = ActionEntry(REDUCE, 344);
   _actionMap[649][MINUS] = ActionEntry(REDUCE, 344);
   _actionMap[649][DIVISION] = ActionEntry(REDUCE, 344);
   _actionMap[649][STAR] = ActionEntry(REDUCE, 344);
   _actionMap[649][CONCAT] = ActionEntry(REDUCE, 344);
   _actionMap[649][OR] = ActionEntry(REDUCE, 344);
   _actionMap[649][AND] = ActionEntry(REDUCE, 344);
   _actionMap[649][RB] = ActionEntry(REDUCE, 344);
   _actionMap[650][WHEN] = ActionEntry(REDUCE, 353);
   _actionMap[650][ELSE] = ActionEntry(REDUCE, 353);
   _actionMap[650][LEFT] = ActionEntry(REDUCE, 353);
   _actionMap[650][RIGHT] = ActionEntry(REDUCE, 353);
   _actionMap[650][INNER] = ActionEntry(REDUCE, 353);
   _actionMap[650][JOIN] = ActionEntry(REDUCE, 353);
   _actionMap[650][RETURNTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[650][ORDER] = ActionEntry(REDUCE, 353);
   _actionMap[650][GROUP] = ActionEntry(REDUCE, 353);
   _actionMap[650][WHERE] = ActionEntry(REDUCE, 353);
   _actionMap[650][FROM] = ActionEntry(REDUCE, 353);
   _actionMap[650][AS] = ActionEntry(REDUCE, 353);
   _actionMap[650][END_TOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[650][BEGIN] = ActionEntry(REDUCE, 353);
   _actionMap[650][THEN] = ActionEntry(REDUCE, 353);
   _actionMap[650][INTOK] = ActionEntry(REDUCE, 353);
   _actionMap[650][NOT] = ActionEntry(REDUCE, 353);
   _actionMap[650][BETWEEN] = ActionEntry(REDUCE, 353);
   _actionMap[650][IS] = ActionEntry(REDUCE, 353);
}
void Cego::loadParser111()
{
   _actionMap[650][LIKE] = ActionEntry(REDUCE, 353);
   _actionMap[650][ENDTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[650][UNION] = ActionEntry(REDUCE, 353);
   _actionMap[650][ROWLIMIT] = ActionEntry(REDUCE, 353);
   _actionMap[650][KSEP] = ActionEntry(REDUCE, 353);
   _actionMap[650][ASC] = ActionEntry(REDUCE, 353);
   _actionMap[650][DESC] = ActionEntry(REDUCE, 353);
   _actionMap[650][SEMICOLON] = ActionEntry(REDUCE, 353);
   _actionMap[650][MT] = ActionEntry(REDUCE, 353);
   _actionMap[650][LT] = ActionEntry(REDUCE, 353);
   _actionMap[650][NEGATION] = ActionEntry(REDUCE, 353);
   _actionMap[650][EQU] = ActionEntry(REDUCE, 353);
   _actionMap[650][PLUS] = ActionEntry(REDUCE, 353);
   _actionMap[650][MINUS] = ActionEntry(REDUCE, 353);
   _actionMap[650][DIVISION] = ActionEntry(REDUCE, 353);
   _actionMap[650][STAR] = ActionEntry(REDUCE, 353);
   _actionMap[650][CONCAT] = ActionEntry(REDUCE, 353);
   _actionMap[650][OR] = ActionEntry(REDUCE, 353);
   _actionMap[650][AND] = ActionEntry(REDUCE, 353);
   _actionMap[650][RB] = ActionEntry(REDUCE, 353);
   _actionMap[651][WHEN] = ActionEntry(REDUCE, 352);
   _actionMap[651][ELSE] = ActionEntry(REDUCE, 352);
   _actionMap[651][LEFT] = ActionEntry(REDUCE, 352);
   _actionMap[651][RIGHT] = ActionEntry(REDUCE, 352);
   _actionMap[651][INNER] = ActionEntry(REDUCE, 352);
   _actionMap[651][JOIN] = ActionEntry(REDUCE, 352);
   _actionMap[651][RETURNTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[651][ORDER] = ActionEntry(REDUCE, 352);
   _actionMap[651][GROUP] = ActionEntry(REDUCE, 352);
   _actionMap[651][WHERE] = ActionEntry(REDUCE, 352);
   _actionMap[651][FROM] = ActionEntry(REDUCE, 352);
   _actionMap[651][AS] = ActionEntry(REDUCE, 352);
   _actionMap[651][END_TOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[651][BEGIN] = ActionEntry(REDUCE, 352);
   _actionMap[651][THEN] = ActionEntry(REDUCE, 352);
   _actionMap[651][INTOK] = ActionEntry(REDUCE, 352);
   _actionMap[651][NOT] = ActionEntry(REDUCE, 352);
   _actionMap[651][BETWEEN] = ActionEntry(REDUCE, 352);
   _actionMap[651][IS] = ActionEntry(REDUCE, 352);
   _actionMap[651][LIKE] = ActionEntry(REDUCE, 352);
   _actionMap[651][ENDTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[651][UNION] = ActionEntry(REDUCE, 352);
   _actionMap[651][ROWLIMIT] = ActionEntry(REDUCE, 352);
   _actionMap[651][KSEP] = ActionEntry(REDUCE, 352);
   _actionMap[651][ASC] = ActionEntry(REDUCE, 352);
   _actionMap[651][DESC] = ActionEntry(REDUCE, 352);
   _actionMap[651][SEMICOLON] = ActionEntry(REDUCE, 352);
   _actionMap[651][MT] = ActionEntry(REDUCE, 352);
   _actionMap[651][LT] = ActionEntry(REDUCE, 352);
   _actionMap[651][NEGATION] = ActionEntry(REDUCE, 352);
}
void Cego::loadParser112()
{
   _actionMap[651][EQU] = ActionEntry(REDUCE, 352);
   _actionMap[651][PLUS] = ActionEntry(REDUCE, 352);
   _actionMap[651][MINUS] = ActionEntry(REDUCE, 352);
   _actionMap[651][DIVISION] = ActionEntry(REDUCE, 352);
   _actionMap[651][STAR] = ActionEntry(REDUCE, 352);
   _actionMap[651][CONCAT] = ActionEntry(REDUCE, 352);
   _actionMap[651][OR] = ActionEntry(REDUCE, 352);
   _actionMap[651][AND] = ActionEntry(REDUCE, 352);
   _actionMap[651][RB] = ActionEntry(REDUCE, 352);
   _actionMap[652][WHEN] = ActionEntry(REDUCE, 337);
   _actionMap[652][ELSE] = ActionEntry(REDUCE, 337);
   _actionMap[652][LEFT] = ActionEntry(REDUCE, 337);
   _actionMap[652][RIGHT] = ActionEntry(REDUCE, 337);
   _actionMap[652][INNER] = ActionEntry(REDUCE, 337);
   _actionMap[652][JOIN] = ActionEntry(REDUCE, 337);
   _actionMap[652][RETURNTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[652][ORDER] = ActionEntry(REDUCE, 337);
   _actionMap[652][GROUP] = ActionEntry(REDUCE, 337);
   _actionMap[652][WHERE] = ActionEntry(REDUCE, 337);
   _actionMap[652][FROM] = ActionEntry(REDUCE, 337);
   _actionMap[652][AS] = ActionEntry(REDUCE, 337);
   _actionMap[652][END_TOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[652][BEGIN] = ActionEntry(REDUCE, 337);
   _actionMap[652][THEN] = ActionEntry(REDUCE, 337);
   _actionMap[652][INTOK] = ActionEntry(REDUCE, 337);
   _actionMap[652][NOT] = ActionEntry(REDUCE, 337);
   _actionMap[652][BETWEEN] = ActionEntry(REDUCE, 337);
   _actionMap[652][IS] = ActionEntry(REDUCE, 337);
   _actionMap[652][LIKE] = ActionEntry(REDUCE, 337);
   _actionMap[652][ENDTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[652][UNION] = ActionEntry(REDUCE, 337);
   _actionMap[652][ROWLIMIT] = ActionEntry(REDUCE, 337);
   _actionMap[652][KSEP] = ActionEntry(REDUCE, 337);
   _actionMap[652][ASC] = ActionEntry(REDUCE, 337);
   _actionMap[652][DESC] = ActionEntry(REDUCE, 337);
   _actionMap[652][SEMICOLON] = ActionEntry(REDUCE, 337);
   _actionMap[652][MT] = ActionEntry(REDUCE, 337);
   _actionMap[652][LT] = ActionEntry(REDUCE, 337);
   _actionMap[652][NEGATION] = ActionEntry(REDUCE, 337);
   _actionMap[652][EQU] = ActionEntry(REDUCE, 337);
   _actionMap[652][PLUS] = ActionEntry(REDUCE, 337);
   _actionMap[652][MINUS] = ActionEntry(REDUCE, 337);
   _actionMap[652][DIVISION] = ActionEntry(REDUCE, 337);
   _actionMap[652][STAR] = ActionEntry(REDUCE, 337);
   _actionMap[652][CONCAT] = ActionEntry(REDUCE, 337);
   _actionMap[652][OR] = ActionEntry(REDUCE, 337);
   _actionMap[652][AND] = ActionEntry(REDUCE, 337);
   _actionMap[652][RB] = ActionEntry(REDUCE, 337);
   _actionMap[653][WHEN] = ActionEntry(REDUCE, 330);
   _actionMap[653][ELSE] = ActionEntry(REDUCE, 330);
}
void Cego::loadParser113()
{
   _actionMap[653][LEFT] = ActionEntry(REDUCE, 330);
   _actionMap[653][RIGHT] = ActionEntry(REDUCE, 330);
   _actionMap[653][INNER] = ActionEntry(REDUCE, 330);
   _actionMap[653][JOIN] = ActionEntry(REDUCE, 330);
   _actionMap[653][RETURNTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[653][ORDER] = ActionEntry(REDUCE, 330);
   _actionMap[653][GROUP] = ActionEntry(REDUCE, 330);
   _actionMap[653][WHERE] = ActionEntry(REDUCE, 330);
   _actionMap[653][FROM] = ActionEntry(REDUCE, 330);
   _actionMap[653][AS] = ActionEntry(REDUCE, 330);
   _actionMap[653][END_TOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[653][BEGIN] = ActionEntry(REDUCE, 330);
   _actionMap[653][THEN] = ActionEntry(REDUCE, 330);
   _actionMap[653][INTOK] = ActionEntry(REDUCE, 330);
   _actionMap[653][NOT] = ActionEntry(REDUCE, 330);
   _actionMap[653][BETWEEN] = ActionEntry(REDUCE, 330);
   _actionMap[653][IS] = ActionEntry(REDUCE, 330);
   _actionMap[653][LIKE] = ActionEntry(REDUCE, 330);
   _actionMap[653][ENDTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[653][UNION] = ActionEntry(REDUCE, 330);
   _actionMap[653][ROWLIMIT] = ActionEntry(REDUCE, 330);
   _actionMap[653][KSEP] = ActionEntry(REDUCE, 330);
   _actionMap[653][ASC] = ActionEntry(REDUCE, 330);
   _actionMap[653][DESC] = ActionEntry(REDUCE, 330);
   _actionMap[653][SEMICOLON] = ActionEntry(REDUCE, 330);
   _actionMap[653][MT] = ActionEntry(REDUCE, 330);
   _actionMap[653][LT] = ActionEntry(REDUCE, 330);
   _actionMap[653][NEGATION] = ActionEntry(REDUCE, 330);
   _actionMap[653][EQU] = ActionEntry(REDUCE, 330);
   _actionMap[653][PLUS] = ActionEntry(REDUCE, 330);
   _actionMap[653][MINUS] = ActionEntry(REDUCE, 330);
   _actionMap[653][DIVISION] = ActionEntry(REDUCE, 330);
   _actionMap[653][STAR] = ActionEntry(REDUCE, 330);
   _actionMap[653][CONCAT] = ActionEntry(REDUCE, 330);
   _actionMap[653][OR] = ActionEntry(REDUCE, 330);
   _actionMap[653][AND] = ActionEntry(REDUCE, 330);
   _actionMap[653][RB] = ActionEntry(REDUCE, 330);
   _actionMap[654][WHEN] = ActionEntry(REDUCE, 192);
   _actionMap[654][ELSE] = ActionEntry(REDUCE, 192);
   _actionMap[654][LEFT] = ActionEntry(REDUCE, 192);
   _actionMap[654][RIGHT] = ActionEntry(REDUCE, 192);
   _actionMap[654][INNER] = ActionEntry(REDUCE, 192);
   _actionMap[654][JOIN] = ActionEntry(REDUCE, 192);
   _actionMap[654][RETURNTOKEN] = ActionEntry(REDUCE, 192);
   _actionMap[654][ORDER] = ActionEntry(REDUCE, 192);
   _actionMap[654][GROUP] = ActionEntry(REDUCE, 192);
   _actionMap[654][WHERE] = ActionEntry(REDUCE, 192);
   _actionMap[654][AS] = ActionEntry(REDUCE, 192);
   _actionMap[654][FROM] = ActionEntry(REDUCE, 192);
   _actionMap[654][END_TOKEN] = ActionEntry(REDUCE, 192);
}
void Cego::loadParser114()
{
   _actionMap[654][BEGIN] = ActionEntry(REDUCE, 192);
   _actionMap[654][THEN] = ActionEntry(REDUCE, 192);
   _actionMap[654][LIKE] = ActionEntry(REDUCE, 192);
   _actionMap[654][IS] = ActionEntry(REDUCE, 192);
   _actionMap[654][BETWEEN] = ActionEntry(REDUCE, 192);
   _actionMap[654][NOT] = ActionEntry(REDUCE, 192);
   _actionMap[654][INTOK] = ActionEntry(REDUCE, 192);
   _actionMap[654][DESC] = ActionEntry(REDUCE, 192);
   _actionMap[654][ASC] = ActionEntry(REDUCE, 192);
   _actionMap[654][KSEP] = ActionEntry(REDUCE, 192);
   _actionMap[654][ROWLIMIT] = ActionEntry(REDUCE, 192);
   _actionMap[654][UNION] = ActionEntry(REDUCE, 192);
   _actionMap[654][ENDTOKEN] = ActionEntry(REDUCE, 192);
   _actionMap[654][SEMICOLON] = ActionEntry(REDUCE, 192);
   _actionMap[654][EQU] = ActionEntry(REDUCE, 192);
   _actionMap[654][NEGATION] = ActionEntry(REDUCE, 192);
   _actionMap[654][LT] = ActionEntry(REDUCE, 192);
   _actionMap[654][MT] = ActionEntry(REDUCE, 192);
   _actionMap[654][CONCAT] = ActionEntry(REDUCE, 192);
   _actionMap[654][STAR] = ActionEntry(REDUCE, 192);
   _actionMap[654][DIVISION] = ActionEntry(REDUCE, 192);
   _actionMap[654][MINUS] = ActionEntry(REDUCE, 192);
   _actionMap[654][PLUS] = ActionEntry(REDUCE, 192);
   _actionMap[654][OR] = ActionEntry(REDUCE, 192);
   _actionMap[654][AND] = ActionEntry(REDUCE, 192);
   _actionMap[654][RB] = ActionEntry(REDUCE, 192);
   _actionMap[655][WHEN] = ActionEntry(REDUCE, 193);
   _actionMap[655][ELSE] = ActionEntry(REDUCE, 193);
   _actionMap[655][LEFT] = ActionEntry(REDUCE, 193);
   _actionMap[655][RIGHT] = ActionEntry(REDUCE, 193);
   _actionMap[655][INNER] = ActionEntry(REDUCE, 193);
   _actionMap[655][JOIN] = ActionEntry(REDUCE, 193);
   _actionMap[655][RETURNTOKEN] = ActionEntry(REDUCE, 193);
   _actionMap[655][ORDER] = ActionEntry(REDUCE, 193);
   _actionMap[655][GROUP] = ActionEntry(REDUCE, 193);
   _actionMap[655][WHERE] = ActionEntry(REDUCE, 193);
   _actionMap[655][AS] = ActionEntry(REDUCE, 193);
   _actionMap[655][FROM] = ActionEntry(REDUCE, 193);
   _actionMap[655][END_TOKEN] = ActionEntry(REDUCE, 193);
   _actionMap[655][BEGIN] = ActionEntry(REDUCE, 193);
   _actionMap[655][THEN] = ActionEntry(REDUCE, 193);
   _actionMap[655][LIKE] = ActionEntry(REDUCE, 193);
   _actionMap[655][IS] = ActionEntry(REDUCE, 193);
   _actionMap[655][BETWEEN] = ActionEntry(REDUCE, 193);
   _actionMap[655][NOT] = ActionEntry(REDUCE, 193);
   _actionMap[655][INTOK] = ActionEntry(REDUCE, 193);
   _actionMap[655][DESC] = ActionEntry(REDUCE, 193);
   _actionMap[655][ASC] = ActionEntry(REDUCE, 193);
   _actionMap[655][KSEP] = ActionEntry(REDUCE, 193);
   _actionMap[655][ROWLIMIT] = ActionEntry(REDUCE, 193);
}
void Cego::loadParser115()
{
   _actionMap[655][UNION] = ActionEntry(REDUCE, 193);
   _actionMap[655][ENDTOKEN] = ActionEntry(REDUCE, 193);
   _actionMap[655][SEMICOLON] = ActionEntry(REDUCE, 193);
   _actionMap[655][EQU] = ActionEntry(REDUCE, 193);
   _actionMap[655][NEGATION] = ActionEntry(REDUCE, 193);
   _actionMap[655][LT] = ActionEntry(REDUCE, 193);
   _actionMap[655][MT] = ActionEntry(REDUCE, 193);
   _actionMap[655][CONCAT] = ActionEntry(REDUCE, 193);
   _actionMap[655][STAR] = ActionEntry(REDUCE, 193);
   _actionMap[655][DIVISION] = ActionEntry(REDUCE, 193);
   _actionMap[655][MINUS] = ActionEntry(REDUCE, 193);
   _actionMap[655][PLUS] = ActionEntry(REDUCE, 193);
   _actionMap[655][OR] = ActionEntry(REDUCE, 193);
   _actionMap[655][AND] = ActionEntry(REDUCE, 193);
   _actionMap[655][RB] = ActionEntry(REDUCE, 193);
   _actionMap[656][WHEN] = ActionEntry(REDUCE, 350);
   _actionMap[656][ELSE] = ActionEntry(REDUCE, 350);
   _actionMap[656][LEFT] = ActionEntry(REDUCE, 350);
   _actionMap[656][RIGHT] = ActionEntry(REDUCE, 350);
   _actionMap[656][INNER] = ActionEntry(REDUCE, 350);
   _actionMap[656][JOIN] = ActionEntry(REDUCE, 350);
   _actionMap[656][RETURNTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[656][ORDER] = ActionEntry(REDUCE, 350);
   _actionMap[656][GROUP] = ActionEntry(REDUCE, 350);
   _actionMap[656][WHERE] = ActionEntry(REDUCE, 350);
   _actionMap[656][FROM] = ActionEntry(REDUCE, 350);
   _actionMap[656][AS] = ActionEntry(REDUCE, 350);
   _actionMap[656][END_TOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[656][BEGIN] = ActionEntry(REDUCE, 350);
   _actionMap[656][THEN] = ActionEntry(REDUCE, 350);
   _actionMap[656][INTOK] = ActionEntry(REDUCE, 350);
   _actionMap[656][NOT] = ActionEntry(REDUCE, 350);
   _actionMap[656][BETWEEN] = ActionEntry(REDUCE, 350);
   _actionMap[656][IS] = ActionEntry(REDUCE, 350);
   _actionMap[656][LIKE] = ActionEntry(REDUCE, 350);
   _actionMap[656][ENDTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[656][UNION] = ActionEntry(REDUCE, 350);
   _actionMap[656][ROWLIMIT] = ActionEntry(REDUCE, 350);
   _actionMap[656][KSEP] = ActionEntry(REDUCE, 350);
   _actionMap[656][ASC] = ActionEntry(REDUCE, 350);
   _actionMap[656][DESC] = ActionEntry(REDUCE, 350);
   _actionMap[656][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[656][MT] = ActionEntry(REDUCE, 350);
   _actionMap[656][LT] = ActionEntry(REDUCE, 350);
   _actionMap[656][NEGATION] = ActionEntry(REDUCE, 350);
   _actionMap[656][EQU] = ActionEntry(REDUCE, 350);
   _actionMap[656][PLUS] = ActionEntry(REDUCE, 350);
   _actionMap[656][MINUS] = ActionEntry(REDUCE, 350);
   _actionMap[656][DIVISION] = ActionEntry(REDUCE, 350);
   _actionMap[656][STAR] = ActionEntry(REDUCE, 350);
}
void Cego::loadParser116()
{
   _actionMap[656][CONCAT] = ActionEntry(REDUCE, 350);
   _actionMap[656][OR] = ActionEntry(REDUCE, 350);
   _actionMap[656][AND] = ActionEntry(REDUCE, 350);
   _actionMap[656][RB] = ActionEntry(REDUCE, 350);
   _actionMap[657][WHEN] = ActionEntry(REDUCE, 363);
   _actionMap[657][ELSE] = ActionEntry(REDUCE, 363);
   _actionMap[657][LEFT] = ActionEntry(REDUCE, 363);
   _actionMap[657][RIGHT] = ActionEntry(REDUCE, 363);
   _actionMap[657][INNER] = ActionEntry(REDUCE, 363);
   _actionMap[657][JOIN] = ActionEntry(REDUCE, 363);
   _actionMap[657][RETURNTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[657][ORDER] = ActionEntry(REDUCE, 363);
   _actionMap[657][GROUP] = ActionEntry(REDUCE, 363);
   _actionMap[657][WHERE] = ActionEntry(REDUCE, 363);
   _actionMap[657][FROM] = ActionEntry(REDUCE, 363);
   _actionMap[657][AS] = ActionEntry(REDUCE, 363);
   _actionMap[657][END_TOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[657][BEGIN] = ActionEntry(REDUCE, 363);
   _actionMap[657][THEN] = ActionEntry(REDUCE, 363);
   _actionMap[657][INTOK] = ActionEntry(REDUCE, 363);
   _actionMap[657][NOT] = ActionEntry(REDUCE, 363);
   _actionMap[657][BETWEEN] = ActionEntry(REDUCE, 363);
   _actionMap[657][IS] = ActionEntry(REDUCE, 363);
   _actionMap[657][LIKE] = ActionEntry(REDUCE, 363);
   _actionMap[657][ENDTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[657][UNION] = ActionEntry(REDUCE, 363);
   _actionMap[657][ROWLIMIT] = ActionEntry(REDUCE, 363);
   _actionMap[657][KSEP] = ActionEntry(REDUCE, 363);
   _actionMap[657][ASC] = ActionEntry(REDUCE, 363);
   _actionMap[657][DESC] = ActionEntry(REDUCE, 363);
   _actionMap[657][SEMICOLON] = ActionEntry(REDUCE, 363);
   _actionMap[657][MT] = ActionEntry(REDUCE, 363);
   _actionMap[657][LT] = ActionEntry(REDUCE, 363);
   _actionMap[657][NEGATION] = ActionEntry(REDUCE, 363);
   _actionMap[657][EQU] = ActionEntry(REDUCE, 363);
   _actionMap[657][PLUS] = ActionEntry(REDUCE, 363);
   _actionMap[657][MINUS] = ActionEntry(REDUCE, 363);
   _actionMap[657][DIVISION] = ActionEntry(REDUCE, 363);
   _actionMap[657][STAR] = ActionEntry(REDUCE, 363);
   _actionMap[657][CONCAT] = ActionEntry(REDUCE, 363);
   _actionMap[657][OR] = ActionEntry(REDUCE, 363);
   _actionMap[657][AND] = ActionEntry(REDUCE, 363);
   _actionMap[657][RB] = ActionEntry(REDUCE, 363);
   _actionMap[658][WHEN] = ActionEntry(REDUCE, 354);
   _actionMap[658][ELSE] = ActionEntry(REDUCE, 354);
   _actionMap[658][LEFT] = ActionEntry(REDUCE, 354);
   _actionMap[658][RIGHT] = ActionEntry(REDUCE, 354);
   _actionMap[658][INNER] = ActionEntry(REDUCE, 354);
   _actionMap[658][JOIN] = ActionEntry(REDUCE, 354);
   _actionMap[658][RETURNTOKEN] = ActionEntry(REDUCE, 354);
}
void Cego::loadParser117()
{
   _actionMap[658][ORDER] = ActionEntry(REDUCE, 354);
   _actionMap[658][GROUP] = ActionEntry(REDUCE, 354);
   _actionMap[658][WHERE] = ActionEntry(REDUCE, 354);
   _actionMap[658][FROM] = ActionEntry(REDUCE, 354);
   _actionMap[658][AS] = ActionEntry(REDUCE, 354);
   _actionMap[658][END_TOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[658][BEGIN] = ActionEntry(REDUCE, 354);
   _actionMap[658][THEN] = ActionEntry(REDUCE, 354);
   _actionMap[658][INTOK] = ActionEntry(REDUCE, 354);
   _actionMap[658][NOT] = ActionEntry(REDUCE, 354);
   _actionMap[658][BETWEEN] = ActionEntry(REDUCE, 354);
   _actionMap[658][IS] = ActionEntry(REDUCE, 354);
   _actionMap[658][LIKE] = ActionEntry(REDUCE, 354);
   _actionMap[658][ENDTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[658][UNION] = ActionEntry(REDUCE, 354);
   _actionMap[658][ROWLIMIT] = ActionEntry(REDUCE, 354);
   _actionMap[658][KSEP] = ActionEntry(REDUCE, 354);
   _actionMap[658][ASC] = ActionEntry(REDUCE, 354);
   _actionMap[658][DESC] = ActionEntry(REDUCE, 354);
   _actionMap[658][SEMICOLON] = ActionEntry(REDUCE, 354);
   _actionMap[658][MT] = ActionEntry(REDUCE, 354);
   _actionMap[658][LT] = ActionEntry(REDUCE, 354);
   _actionMap[658][NEGATION] = ActionEntry(REDUCE, 354);
   _actionMap[658][EQU] = ActionEntry(REDUCE, 354);
   _actionMap[658][PLUS] = ActionEntry(REDUCE, 354);
   _actionMap[658][MINUS] = ActionEntry(REDUCE, 354);
   _actionMap[658][DIVISION] = ActionEntry(REDUCE, 354);
   _actionMap[658][STAR] = ActionEntry(REDUCE, 354);
   _actionMap[658][CONCAT] = ActionEntry(REDUCE, 354);
   _actionMap[658][OR] = ActionEntry(REDUCE, 354);
   _actionMap[658][AND] = ActionEntry(REDUCE, 354);
   _actionMap[658][RB] = ActionEntry(REDUCE, 354);
   _actionMap[659][WHEN] = ActionEntry(REDUCE, 348);
   _actionMap[659][ELSE] = ActionEntry(REDUCE, 348);
   _actionMap[659][LEFT] = ActionEntry(REDUCE, 348);
   _actionMap[659][RIGHT] = ActionEntry(REDUCE, 348);
   _actionMap[659][INNER] = ActionEntry(REDUCE, 348);
   _actionMap[659][JOIN] = ActionEntry(REDUCE, 348);
   _actionMap[659][RETURNTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[659][ORDER] = ActionEntry(REDUCE, 348);
   _actionMap[659][GROUP] = ActionEntry(REDUCE, 348);
   _actionMap[659][WHERE] = ActionEntry(REDUCE, 348);
   _actionMap[659][FROM] = ActionEntry(REDUCE, 348);
   _actionMap[659][AS] = ActionEntry(REDUCE, 348);
   _actionMap[659][END_TOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[659][BEGIN] = ActionEntry(REDUCE, 348);
   _actionMap[659][THEN] = ActionEntry(REDUCE, 348);
   _actionMap[659][INTOK] = ActionEntry(REDUCE, 348);
   _actionMap[659][NOT] = ActionEntry(REDUCE, 348);
   _actionMap[659][BETWEEN] = ActionEntry(REDUCE, 348);
}
void Cego::loadParser118()
{
   _actionMap[659][IS] = ActionEntry(REDUCE, 348);
   _actionMap[659][LIKE] = ActionEntry(REDUCE, 348);
   _actionMap[659][ENDTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[659][UNION] = ActionEntry(REDUCE, 348);
   _actionMap[659][ROWLIMIT] = ActionEntry(REDUCE, 348);
   _actionMap[659][KSEP] = ActionEntry(REDUCE, 348);
   _actionMap[659][ASC] = ActionEntry(REDUCE, 348);
   _actionMap[659][DESC] = ActionEntry(REDUCE, 348);
   _actionMap[659][SEMICOLON] = ActionEntry(REDUCE, 348);
   _actionMap[659][MT] = ActionEntry(REDUCE, 348);
   _actionMap[659][LT] = ActionEntry(REDUCE, 348);
   _actionMap[659][NEGATION] = ActionEntry(REDUCE, 348);
   _actionMap[659][EQU] = ActionEntry(REDUCE, 348);
   _actionMap[659][PLUS] = ActionEntry(REDUCE, 348);
   _actionMap[659][MINUS] = ActionEntry(REDUCE, 348);
   _actionMap[659][DIVISION] = ActionEntry(REDUCE, 348);
   _actionMap[659][STAR] = ActionEntry(REDUCE, 348);
   _actionMap[659][CONCAT] = ActionEntry(REDUCE, 348);
   _actionMap[659][OR] = ActionEntry(REDUCE, 348);
   _actionMap[659][AND] = ActionEntry(REDUCE, 348);
   _actionMap[659][RB] = ActionEntry(REDUCE, 348);
   _actionMap[660][WHEN] = ActionEntry(REDUCE, 349);
   _actionMap[660][ELSE] = ActionEntry(REDUCE, 349);
   _actionMap[660][LEFT] = ActionEntry(REDUCE, 349);
   _actionMap[660][RIGHT] = ActionEntry(REDUCE, 349);
   _actionMap[660][INNER] = ActionEntry(REDUCE, 349);
   _actionMap[660][JOIN] = ActionEntry(REDUCE, 349);
   _actionMap[660][RETURNTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[660][ORDER] = ActionEntry(REDUCE, 349);
   _actionMap[660][GROUP] = ActionEntry(REDUCE, 349);
   _actionMap[660][WHERE] = ActionEntry(REDUCE, 349);
   _actionMap[660][FROM] = ActionEntry(REDUCE, 349);
   _actionMap[660][AS] = ActionEntry(REDUCE, 349);
   _actionMap[660][END_TOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[660][BEGIN] = ActionEntry(REDUCE, 349);
   _actionMap[660][THEN] = ActionEntry(REDUCE, 349);
   _actionMap[660][INTOK] = ActionEntry(REDUCE, 349);
   _actionMap[660][NOT] = ActionEntry(REDUCE, 349);
   _actionMap[660][BETWEEN] = ActionEntry(REDUCE, 349);
   _actionMap[660][IS] = ActionEntry(REDUCE, 349);
   _actionMap[660][LIKE] = ActionEntry(REDUCE, 349);
   _actionMap[660][ENDTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[660][UNION] = ActionEntry(REDUCE, 349);
   _actionMap[660][ROWLIMIT] = ActionEntry(REDUCE, 349);
   _actionMap[660][KSEP] = ActionEntry(REDUCE, 349);
   _actionMap[660][ASC] = ActionEntry(REDUCE, 349);
   _actionMap[660][DESC] = ActionEntry(REDUCE, 349);
   _actionMap[660][SEMICOLON] = ActionEntry(REDUCE, 349);
   _actionMap[660][MT] = ActionEntry(REDUCE, 349);
   _actionMap[660][LT] = ActionEntry(REDUCE, 349);
}
void Cego::loadParser119()
{
   _actionMap[660][NEGATION] = ActionEntry(REDUCE, 349);
   _actionMap[660][EQU] = ActionEntry(REDUCE, 349);
   _actionMap[660][PLUS] = ActionEntry(REDUCE, 349);
   _actionMap[660][MINUS] = ActionEntry(REDUCE, 349);
   _actionMap[660][DIVISION] = ActionEntry(REDUCE, 349);
   _actionMap[660][STAR] = ActionEntry(REDUCE, 349);
   _actionMap[660][CONCAT] = ActionEntry(REDUCE, 349);
   _actionMap[660][OR] = ActionEntry(REDUCE, 349);
   _actionMap[660][AND] = ActionEntry(REDUCE, 349);
   _actionMap[660][RB] = ActionEntry(REDUCE, 349);
   _actionMap[661][WHEN] = ActionEntry(REDUCE, 343);
   _actionMap[661][ELSE] = ActionEntry(REDUCE, 343);
   _actionMap[661][LEFT] = ActionEntry(REDUCE, 343);
   _actionMap[661][RIGHT] = ActionEntry(REDUCE, 343);
   _actionMap[661][INNER] = ActionEntry(REDUCE, 343);
   _actionMap[661][JOIN] = ActionEntry(REDUCE, 343);
   _actionMap[661][RETURNTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[661][ORDER] = ActionEntry(REDUCE, 343);
   _actionMap[661][GROUP] = ActionEntry(REDUCE, 343);
   _actionMap[661][WHERE] = ActionEntry(REDUCE, 343);
   _actionMap[661][FROM] = ActionEntry(REDUCE, 343);
   _actionMap[661][AS] = ActionEntry(REDUCE, 343);
   _actionMap[661][END_TOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[661][BEGIN] = ActionEntry(REDUCE, 343);
   _actionMap[661][THEN] = ActionEntry(REDUCE, 343);
   _actionMap[661][INTOK] = ActionEntry(REDUCE, 343);
   _actionMap[661][NOT] = ActionEntry(REDUCE, 343);
   _actionMap[661][BETWEEN] = ActionEntry(REDUCE, 343);
   _actionMap[661][IS] = ActionEntry(REDUCE, 343);
   _actionMap[661][LIKE] = ActionEntry(REDUCE, 343);
   _actionMap[661][ENDTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[661][UNION] = ActionEntry(REDUCE, 343);
   _actionMap[661][ROWLIMIT] = ActionEntry(REDUCE, 343);
   _actionMap[661][KSEP] = ActionEntry(REDUCE, 343);
   _actionMap[661][ASC] = ActionEntry(REDUCE, 343);
   _actionMap[661][DESC] = ActionEntry(REDUCE, 343);
   _actionMap[661][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[661][MT] = ActionEntry(REDUCE, 343);
   _actionMap[661][LT] = ActionEntry(REDUCE, 343);
   _actionMap[661][NEGATION] = ActionEntry(REDUCE, 343);
   _actionMap[661][EQU] = ActionEntry(REDUCE, 343);
   _actionMap[661][PLUS] = ActionEntry(REDUCE, 343);
   _actionMap[661][MINUS] = ActionEntry(REDUCE, 343);
   _actionMap[661][DIVISION] = ActionEntry(REDUCE, 343);
   _actionMap[661][STAR] = ActionEntry(REDUCE, 343);
   _actionMap[661][CONCAT] = ActionEntry(REDUCE, 343);
   _actionMap[661][OR] = ActionEntry(REDUCE, 343);
   _actionMap[661][AND] = ActionEntry(REDUCE, 343);
   _actionMap[661][RB] = ActionEntry(REDUCE, 343);
   _actionMap[662][WHEN] = ActionEntry(REDUCE, 340);
}
void Cego::loadParser120()
{
   _actionMap[662][ELSE] = ActionEntry(REDUCE, 340);
   _actionMap[662][LEFT] = ActionEntry(REDUCE, 340);
   _actionMap[662][RIGHT] = ActionEntry(REDUCE, 340);
   _actionMap[662][INNER] = ActionEntry(REDUCE, 340);
   _actionMap[662][JOIN] = ActionEntry(REDUCE, 340);
   _actionMap[662][RETURNTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[662][ORDER] = ActionEntry(REDUCE, 340);
   _actionMap[662][GROUP] = ActionEntry(REDUCE, 340);
   _actionMap[662][WHERE] = ActionEntry(REDUCE, 340);
   _actionMap[662][FROM] = ActionEntry(REDUCE, 340);
   _actionMap[662][AS] = ActionEntry(REDUCE, 340);
   _actionMap[662][END_TOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[662][BEGIN] = ActionEntry(REDUCE, 340);
   _actionMap[662][THEN] = ActionEntry(REDUCE, 340);
   _actionMap[662][INTOK] = ActionEntry(REDUCE, 340);
   _actionMap[662][NOT] = ActionEntry(REDUCE, 340);
   _actionMap[662][BETWEEN] = ActionEntry(REDUCE, 340);
   _actionMap[662][IS] = ActionEntry(REDUCE, 340);
   _actionMap[662][LIKE] = ActionEntry(REDUCE, 340);
   _actionMap[662][ENDTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[662][UNION] = ActionEntry(REDUCE, 340);
   _actionMap[662][ROWLIMIT] = ActionEntry(REDUCE, 340);
   _actionMap[662][KSEP] = ActionEntry(REDUCE, 340);
   _actionMap[662][ASC] = ActionEntry(REDUCE, 340);
   _actionMap[662][DESC] = ActionEntry(REDUCE, 340);
   _actionMap[662][SEMICOLON] = ActionEntry(REDUCE, 340);
   _actionMap[662][MT] = ActionEntry(REDUCE, 340);
   _actionMap[662][LT] = ActionEntry(REDUCE, 340);
   _actionMap[662][NEGATION] = ActionEntry(REDUCE, 340);
   _actionMap[662][EQU] = ActionEntry(REDUCE, 340);
   _actionMap[662][PLUS] = ActionEntry(REDUCE, 340);
   _actionMap[662][MINUS] = ActionEntry(REDUCE, 340);
   _actionMap[662][DIVISION] = ActionEntry(REDUCE, 340);
   _actionMap[662][STAR] = ActionEntry(REDUCE, 340);
   _actionMap[662][CONCAT] = ActionEntry(REDUCE, 340);
   _actionMap[662][OR] = ActionEntry(REDUCE, 340);
   _actionMap[662][AND] = ActionEntry(REDUCE, 340);
   _actionMap[662][RB] = ActionEntry(REDUCE, 340);
   _actionMap[663][WHEN] = ActionEntry(REDUCE, 331);
   _actionMap[663][ELSE] = ActionEntry(REDUCE, 331);
   _actionMap[663][LEFT] = ActionEntry(REDUCE, 331);
   _actionMap[663][RIGHT] = ActionEntry(REDUCE, 331);
   _actionMap[663][INNER] = ActionEntry(REDUCE, 331);
   _actionMap[663][JOIN] = ActionEntry(REDUCE, 331);
   _actionMap[663][RETURNTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[663][ORDER] = ActionEntry(REDUCE, 331);
   _actionMap[663][GROUP] = ActionEntry(REDUCE, 331);
   _actionMap[663][WHERE] = ActionEntry(REDUCE, 331);
   _actionMap[663][FROM] = ActionEntry(REDUCE, 331);
   _actionMap[663][AS] = ActionEntry(REDUCE, 331);
}
void Cego::loadParser121()
{
   _actionMap[663][END_TOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[663][BEGIN] = ActionEntry(REDUCE, 331);
   _actionMap[663][THEN] = ActionEntry(REDUCE, 331);
   _actionMap[663][INTOK] = ActionEntry(REDUCE, 331);
   _actionMap[663][NOT] = ActionEntry(REDUCE, 331);
   _actionMap[663][BETWEEN] = ActionEntry(REDUCE, 331);
   _actionMap[663][IS] = ActionEntry(REDUCE, 331);
   _actionMap[663][LIKE] = ActionEntry(REDUCE, 331);
   _actionMap[663][ENDTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[663][UNION] = ActionEntry(REDUCE, 331);
   _actionMap[663][ROWLIMIT] = ActionEntry(REDUCE, 331);
   _actionMap[663][KSEP] = ActionEntry(REDUCE, 331);
   _actionMap[663][ASC] = ActionEntry(REDUCE, 331);
   _actionMap[663][DESC] = ActionEntry(REDUCE, 331);
   _actionMap[663][SEMICOLON] = ActionEntry(REDUCE, 331);
   _actionMap[663][MT] = ActionEntry(REDUCE, 331);
   _actionMap[663][LT] = ActionEntry(REDUCE, 331);
   _actionMap[663][NEGATION] = ActionEntry(REDUCE, 331);
   _actionMap[663][EQU] = ActionEntry(REDUCE, 331);
   _actionMap[663][PLUS] = ActionEntry(REDUCE, 331);
   _actionMap[663][MINUS] = ActionEntry(REDUCE, 331);
   _actionMap[663][DIVISION] = ActionEntry(REDUCE, 331);
   _actionMap[663][STAR] = ActionEntry(REDUCE, 331);
   _actionMap[663][CONCAT] = ActionEntry(REDUCE, 331);
   _actionMap[663][OR] = ActionEntry(REDUCE, 331);
   _actionMap[663][AND] = ActionEntry(REDUCE, 331);
   _actionMap[663][RB] = ActionEntry(REDUCE, 331);
   _actionMap[664][WHEN] = ActionEntry(REDUCE, 329);
   _actionMap[664][ELSE] = ActionEntry(REDUCE, 329);
   _actionMap[664][LEFT] = ActionEntry(REDUCE, 329);
   _actionMap[664][RIGHT] = ActionEntry(REDUCE, 329);
   _actionMap[664][INNER] = ActionEntry(REDUCE, 329);
   _actionMap[664][JOIN] = ActionEntry(REDUCE, 329);
   _actionMap[664][RETURNTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[664][ORDER] = ActionEntry(REDUCE, 329);
   _actionMap[664][GROUP] = ActionEntry(REDUCE, 329);
   _actionMap[664][WHERE] = ActionEntry(REDUCE, 329);
   _actionMap[664][FROM] = ActionEntry(REDUCE, 329);
   _actionMap[664][AS] = ActionEntry(REDUCE, 329);
   _actionMap[664][END_TOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[664][BEGIN] = ActionEntry(REDUCE, 329);
   _actionMap[664][THEN] = ActionEntry(REDUCE, 329);
   _actionMap[664][INTOK] = ActionEntry(REDUCE, 329);
   _actionMap[664][NOT] = ActionEntry(REDUCE, 329);
   _actionMap[664][BETWEEN] = ActionEntry(REDUCE, 329);
   _actionMap[664][IS] = ActionEntry(REDUCE, 329);
   _actionMap[664][LIKE] = ActionEntry(REDUCE, 329);
   _actionMap[664][ENDTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[664][UNION] = ActionEntry(REDUCE, 329);
   _actionMap[664][ROWLIMIT] = ActionEntry(REDUCE, 329);
}
void Cego::loadParser122()
{
   _actionMap[664][KSEP] = ActionEntry(REDUCE, 329);
   _actionMap[664][ASC] = ActionEntry(REDUCE, 329);
   _actionMap[664][DESC] = ActionEntry(REDUCE, 329);
   _actionMap[664][SEMICOLON] = ActionEntry(REDUCE, 329);
   _actionMap[664][MT] = ActionEntry(REDUCE, 329);
   _actionMap[664][LT] = ActionEntry(REDUCE, 329);
   _actionMap[664][NEGATION] = ActionEntry(REDUCE, 329);
   _actionMap[664][EQU] = ActionEntry(REDUCE, 329);
   _actionMap[664][PLUS] = ActionEntry(REDUCE, 329);
   _actionMap[664][MINUS] = ActionEntry(REDUCE, 329);
   _actionMap[664][DIVISION] = ActionEntry(REDUCE, 329);
   _actionMap[664][STAR] = ActionEntry(REDUCE, 329);
   _actionMap[664][CONCAT] = ActionEntry(REDUCE, 329);
   _actionMap[664][OR] = ActionEntry(REDUCE, 329);
   _actionMap[664][AND] = ActionEntry(REDUCE, 329);
   _actionMap[664][RB] = ActionEntry(REDUCE, 329);
   _actionMap[665][WHEN] = ActionEntry(REDUCE, 332);
   _actionMap[665][ELSE] = ActionEntry(REDUCE, 332);
   _actionMap[665][LEFT] = ActionEntry(REDUCE, 332);
   _actionMap[665][RIGHT] = ActionEntry(REDUCE, 332);
   _actionMap[665][INNER] = ActionEntry(REDUCE, 332);
   _actionMap[665][JOIN] = ActionEntry(REDUCE, 332);
   _actionMap[665][RETURNTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[665][ORDER] = ActionEntry(REDUCE, 332);
   _actionMap[665][GROUP] = ActionEntry(REDUCE, 332);
   _actionMap[665][WHERE] = ActionEntry(REDUCE, 332);
   _actionMap[665][FROM] = ActionEntry(REDUCE, 332);
   _actionMap[665][AS] = ActionEntry(REDUCE, 332);
   _actionMap[665][END_TOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[665][BEGIN] = ActionEntry(REDUCE, 332);
   _actionMap[665][THEN] = ActionEntry(REDUCE, 332);
   _actionMap[665][INTOK] = ActionEntry(REDUCE, 332);
   _actionMap[665][NOT] = ActionEntry(REDUCE, 332);
   _actionMap[665][BETWEEN] = ActionEntry(REDUCE, 332);
   _actionMap[665][IS] = ActionEntry(REDUCE, 332);
   _actionMap[665][LIKE] = ActionEntry(REDUCE, 332);
   _actionMap[665][ENDTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[665][UNION] = ActionEntry(REDUCE, 332);
   _actionMap[665][ROWLIMIT] = ActionEntry(REDUCE, 332);
   _actionMap[665][KSEP] = ActionEntry(REDUCE, 332);
   _actionMap[665][ASC] = ActionEntry(REDUCE, 332);
   _actionMap[665][DESC] = ActionEntry(REDUCE, 332);
   _actionMap[665][SEMICOLON] = ActionEntry(REDUCE, 332);
   _actionMap[665][MT] = ActionEntry(REDUCE, 332);
   _actionMap[665][LT] = ActionEntry(REDUCE, 332);
   _actionMap[665][NEGATION] = ActionEntry(REDUCE, 332);
   _actionMap[665][EQU] = ActionEntry(REDUCE, 332);
   _actionMap[665][PLUS] = ActionEntry(REDUCE, 332);
   _actionMap[665][MINUS] = ActionEntry(REDUCE, 332);
   _actionMap[665][DIVISION] = ActionEntry(REDUCE, 332);
}
void Cego::loadParser123()
{
   _actionMap[665][STAR] = ActionEntry(REDUCE, 332);
   _actionMap[665][CONCAT] = ActionEntry(REDUCE, 332);
   _actionMap[665][OR] = ActionEntry(REDUCE, 332);
   _actionMap[665][AND] = ActionEntry(REDUCE, 332);
   _actionMap[665][RB] = ActionEntry(REDUCE, 332);
   _actionMap[666][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[666][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[666][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[666][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[666][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[666][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[666][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[666][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[666][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[666][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[666][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[666][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[666][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[666][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[666][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[666][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[666][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[666][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[666][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[666][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[666][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[666][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[666][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[666][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[666][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[666][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[666][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[666][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[666][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[666][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[666][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[666][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[666][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[666][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[666][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[666][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[666][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[666][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[666][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[666][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[666][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[666][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[666][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[666][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[666][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
}
void Cego::loadParser124()
{
   _actionMap[666][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[666][LB] = ActionEntry(SHIFT, 177);
   _actionMap[666][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[666][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[666][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[666][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[666][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[666][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[666][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[666][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[666][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[666][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[666][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[666][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[666][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[666][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[666][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[666][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[666][ObjSpec] = 122;
   _jumpMap[666][Constant] = 121;
   _jumpMap[666][SignedFloat] = 120;
   _jumpMap[666][SignedInt] = 119;
   _jumpMap[666][Attribute] = 118;
   _jumpMap[666][Function] = 117;
   _jumpMap[666][CasePrepare] = 116;
   _jumpMap[666][CaseClause] = 115;
   _jumpMap[666][Factor] = 114;
   _jumpMap[666][Term] = 113;
   _jumpMap[666][Expr] = 784;
   _actionMap[667][WHEN] = ActionEntry(REDUCE, 342);
   _actionMap[667][ELSE] = ActionEntry(REDUCE, 342);
   _actionMap[667][LEFT] = ActionEntry(REDUCE, 342);
   _actionMap[667][RIGHT] = ActionEntry(REDUCE, 342);
   _actionMap[667][INNER] = ActionEntry(REDUCE, 342);
   _actionMap[667][JOIN] = ActionEntry(REDUCE, 342);
   _actionMap[667][RETURNTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[667][ORDER] = ActionEntry(REDUCE, 342);
   _actionMap[667][GROUP] = ActionEntry(REDUCE, 342);
   _actionMap[667][WHERE] = ActionEntry(REDUCE, 342);
   _actionMap[667][FROM] = ActionEntry(REDUCE, 342);
   _actionMap[667][AS] = ActionEntry(REDUCE, 342);
   _actionMap[667][END_TOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[667][BEGIN] = ActionEntry(REDUCE, 342);
   _actionMap[667][THEN] = ActionEntry(REDUCE, 342);
   _actionMap[667][INTOK] = ActionEntry(REDUCE, 342);
   _actionMap[667][NOT] = ActionEntry(REDUCE, 342);
   _actionMap[667][BETWEEN] = ActionEntry(REDUCE, 342);
   _actionMap[667][IS] = ActionEntry(REDUCE, 342);
   _actionMap[667][LIKE] = ActionEntry(REDUCE, 342);
   _actionMap[667][ENDTOKEN] = ActionEntry(REDUCE, 342);
}
void Cego::loadParser125()
{
   _actionMap[667][UNION] = ActionEntry(REDUCE, 342);
   _actionMap[667][ROWLIMIT] = ActionEntry(REDUCE, 342);
   _actionMap[667][KSEP] = ActionEntry(REDUCE, 342);
   _actionMap[667][ASC] = ActionEntry(REDUCE, 342);
   _actionMap[667][DESC] = ActionEntry(REDUCE, 342);
   _actionMap[667][SEMICOLON] = ActionEntry(REDUCE, 342);
   _actionMap[667][MT] = ActionEntry(REDUCE, 342);
   _actionMap[667][LT] = ActionEntry(REDUCE, 342);
   _actionMap[667][NEGATION] = ActionEntry(REDUCE, 342);
   _actionMap[667][EQU] = ActionEntry(REDUCE, 342);
   _actionMap[667][PLUS] = ActionEntry(REDUCE, 342);
   _actionMap[667][MINUS] = ActionEntry(REDUCE, 342);
   _actionMap[667][DIVISION] = ActionEntry(REDUCE, 342);
   _actionMap[667][STAR] = ActionEntry(REDUCE, 342);
   _actionMap[667][CONCAT] = ActionEntry(REDUCE, 342);
   _actionMap[667][OR] = ActionEntry(REDUCE, 342);
   _actionMap[667][AND] = ActionEntry(REDUCE, 342);
   _actionMap[667][RB] = ActionEntry(REDUCE, 342);
   _actionMap[668][WHEN] = ActionEntry(REDUCE, 189);
   _actionMap[668][ELSE] = ActionEntry(REDUCE, 189);
   _actionMap[668][LEFT] = ActionEntry(REDUCE, 189);
   _actionMap[668][RIGHT] = ActionEntry(REDUCE, 189);
   _actionMap[668][INNER] = ActionEntry(REDUCE, 189);
   _actionMap[668][JOIN] = ActionEntry(REDUCE, 189);
   _actionMap[668][RETURNTOKEN] = ActionEntry(REDUCE, 189);
   _actionMap[668][ORDER] = ActionEntry(REDUCE, 189);
   _actionMap[668][GROUP] = ActionEntry(REDUCE, 189);
   _actionMap[668][WHERE] = ActionEntry(REDUCE, 189);
   _actionMap[668][AS] = ActionEntry(REDUCE, 189);
   _actionMap[668][FROM] = ActionEntry(REDUCE, 189);
   _actionMap[668][END_TOKEN] = ActionEntry(REDUCE, 189);
   _actionMap[668][BEGIN] = ActionEntry(REDUCE, 189);
   _actionMap[668][THEN] = ActionEntry(REDUCE, 189);
   _actionMap[668][LIKE] = ActionEntry(REDUCE, 189);
   _actionMap[668][IS] = ActionEntry(REDUCE, 189);
   _actionMap[668][BETWEEN] = ActionEntry(REDUCE, 189);
   _actionMap[668][NOT] = ActionEntry(REDUCE, 189);
   _actionMap[668][INTOK] = ActionEntry(REDUCE, 189);
   _actionMap[668][DESC] = ActionEntry(REDUCE, 189);
   _actionMap[668][ASC] = ActionEntry(REDUCE, 189);
   _actionMap[668][KSEP] = ActionEntry(REDUCE, 189);
   _actionMap[668][ROWLIMIT] = ActionEntry(REDUCE, 189);
   _actionMap[668][UNION] = ActionEntry(REDUCE, 189);
   _actionMap[668][ENDTOKEN] = ActionEntry(REDUCE, 189);
   _actionMap[668][SEMICOLON] = ActionEntry(REDUCE, 189);
   _actionMap[668][EQU] = ActionEntry(REDUCE, 189);
   _actionMap[668][NEGATION] = ActionEntry(REDUCE, 189);
   _actionMap[668][LT] = ActionEntry(REDUCE, 189);
   _actionMap[668][MT] = ActionEntry(REDUCE, 189);
   _actionMap[668][CONCAT] = ActionEntry(REDUCE, 189);
}
void Cego::loadParser126()
{
   _actionMap[668][STAR] = ActionEntry(REDUCE, 189);
   _actionMap[668][DIVISION] = ActionEntry(REDUCE, 189);
   _actionMap[668][MINUS] = ActionEntry(REDUCE, 189);
   _actionMap[668][PLUS] = ActionEntry(REDUCE, 189);
   _actionMap[668][OR] = ActionEntry(REDUCE, 189);
   _actionMap[668][AND] = ActionEntry(REDUCE, 189);
   _actionMap[668][RB] = ActionEntry(REDUCE, 189);
   _actionMap[669][LEFT] = ActionEntry(REDUCE, 346);
   _actionMap[669][RIGHT] = ActionEntry(REDUCE, 346);
   _actionMap[669][INNER] = ActionEntry(REDUCE, 346);
   _actionMap[669][JOIN] = ActionEntry(REDUCE, 346);
   _actionMap[669][RETURNTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[669][ORDER] = ActionEntry(REDUCE, 346);
   _actionMap[669][GROUP] = ActionEntry(REDUCE, 346);
   _actionMap[669][WHERE] = ActionEntry(REDUCE, 346);
   _actionMap[669][WHEN] = ActionEntry(REDUCE, 346);
   _actionMap[669][ELSE] = ActionEntry(REDUCE, 346);
   _actionMap[669][FROM] = ActionEntry(REDUCE, 346);
   _actionMap[669][AS] = ActionEntry(REDUCE, 346);
   _actionMap[669][END_TOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[669][BEGIN] = ActionEntry(REDUCE, 346);
   _actionMap[669][THEN] = ActionEntry(REDUCE, 346);
   _actionMap[669][INTOK] = ActionEntry(REDUCE, 346);
   _actionMap[669][NOT] = ActionEntry(REDUCE, 346);
   _actionMap[669][BETWEEN] = ActionEntry(REDUCE, 346);
   _actionMap[669][IS] = ActionEntry(REDUCE, 346);
   _actionMap[669][LIKE] = ActionEntry(REDUCE, 346);
   _actionMap[669][ENDTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[669][UNION] = ActionEntry(REDUCE, 346);
   _actionMap[669][ROWLIMIT] = ActionEntry(REDUCE, 346);
   _actionMap[669][KSEP] = ActionEntry(REDUCE, 346);
   _actionMap[669][ASC] = ActionEntry(REDUCE, 346);
   _actionMap[669][DESC] = ActionEntry(REDUCE, 346);
   _actionMap[669][SEMICOLON] = ActionEntry(REDUCE, 346);
   _actionMap[669][MT] = ActionEntry(REDUCE, 346);
   _actionMap[669][LT] = ActionEntry(REDUCE, 346);
   _actionMap[669][NEGATION] = ActionEntry(REDUCE, 346);
   _actionMap[669][EQU] = ActionEntry(REDUCE, 346);
   _actionMap[669][PLUS] = ActionEntry(REDUCE, 346);
   _actionMap[669][MINUS] = ActionEntry(REDUCE, 346);
   _actionMap[669][DIVISION] = ActionEntry(REDUCE, 346);
   _actionMap[669][STAR] = ActionEntry(REDUCE, 346);
   _actionMap[669][CONCAT] = ActionEntry(REDUCE, 346);
   _actionMap[669][OR] = ActionEntry(REDUCE, 346);
   _actionMap[669][AND] = ActionEntry(REDUCE, 346);
   _actionMap[669][RB] = ActionEntry(REDUCE, 346);
   _actionMap[670][LEFT] = ActionEntry(REDUCE, 347);
   _actionMap[670][RIGHT] = ActionEntry(REDUCE, 347);
   _actionMap[670][INNER] = ActionEntry(REDUCE, 347);
   _actionMap[670][JOIN] = ActionEntry(REDUCE, 347);
}
void Cego::loadParser127()
{
   _actionMap[670][RETURNTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[670][ORDER] = ActionEntry(REDUCE, 347);
   _actionMap[670][GROUP] = ActionEntry(REDUCE, 347);
   _actionMap[670][WHERE] = ActionEntry(REDUCE, 347);
   _actionMap[670][WHEN] = ActionEntry(REDUCE, 347);
   _actionMap[670][ELSE] = ActionEntry(REDUCE, 347);
   _actionMap[670][FROM] = ActionEntry(REDUCE, 347);
   _actionMap[670][AS] = ActionEntry(REDUCE, 347);
   _actionMap[670][END_TOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[670][BEGIN] = ActionEntry(REDUCE, 347);
   _actionMap[670][THEN] = ActionEntry(REDUCE, 347);
   _actionMap[670][INTOK] = ActionEntry(REDUCE, 347);
   _actionMap[670][NOT] = ActionEntry(REDUCE, 347);
   _actionMap[670][BETWEEN] = ActionEntry(REDUCE, 347);
   _actionMap[670][IS] = ActionEntry(REDUCE, 347);
   _actionMap[670][LIKE] = ActionEntry(REDUCE, 347);
   _actionMap[670][ENDTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[670][UNION] = ActionEntry(REDUCE, 347);
   _actionMap[670][ROWLIMIT] = ActionEntry(REDUCE, 347);
   _actionMap[670][KSEP] = ActionEntry(REDUCE, 347);
   _actionMap[670][ASC] = ActionEntry(REDUCE, 347);
   _actionMap[670][DESC] = ActionEntry(REDUCE, 347);
   _actionMap[670][SEMICOLON] = ActionEntry(REDUCE, 347);
   _actionMap[670][MT] = ActionEntry(REDUCE, 347);
   _actionMap[670][LT] = ActionEntry(REDUCE, 347);
   _actionMap[670][NEGATION] = ActionEntry(REDUCE, 347);
   _actionMap[670][EQU] = ActionEntry(REDUCE, 347);
   _actionMap[670][PLUS] = ActionEntry(REDUCE, 347);
   _actionMap[670][MINUS] = ActionEntry(REDUCE, 347);
   _actionMap[670][DIVISION] = ActionEntry(REDUCE, 347);
   _actionMap[670][STAR] = ActionEntry(REDUCE, 347);
   _actionMap[670][CONCAT] = ActionEntry(REDUCE, 347);
   _actionMap[670][OR] = ActionEntry(REDUCE, 347);
   _actionMap[670][AND] = ActionEntry(REDUCE, 347);
   _actionMap[670][RB] = ActionEntry(REDUCE, 347);
   _actionMap[671][LEFT] = ActionEntry(REDUCE, 328);
   _actionMap[671][RIGHT] = ActionEntry(REDUCE, 328);
   _actionMap[671][INNER] = ActionEntry(REDUCE, 328);
   _actionMap[671][JOIN] = ActionEntry(REDUCE, 328);
   _actionMap[671][RETURNTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[671][ORDER] = ActionEntry(REDUCE, 328);
   _actionMap[671][GROUP] = ActionEntry(REDUCE, 328);
   _actionMap[671][WHERE] = ActionEntry(REDUCE, 328);
   _actionMap[671][WHEN] = ActionEntry(REDUCE, 328);
   _actionMap[671][ELSE] = ActionEntry(REDUCE, 328);
   _actionMap[671][FROM] = ActionEntry(REDUCE, 328);
   _actionMap[671][AS] = ActionEntry(REDUCE, 328);
   _actionMap[671][END_TOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[671][BEGIN] = ActionEntry(REDUCE, 328);
   _actionMap[671][THEN] = ActionEntry(REDUCE, 328);
}
void Cego::loadParser128()
{
   _actionMap[671][INTOK] = ActionEntry(REDUCE, 328);
   _actionMap[671][NOT] = ActionEntry(REDUCE, 328);
   _actionMap[671][BETWEEN] = ActionEntry(REDUCE, 328);
   _actionMap[671][IS] = ActionEntry(REDUCE, 328);
   _actionMap[671][LIKE] = ActionEntry(REDUCE, 328);
   _actionMap[671][ENDTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[671][UNION] = ActionEntry(REDUCE, 328);
   _actionMap[671][ROWLIMIT] = ActionEntry(REDUCE, 328);
   _actionMap[671][KSEP] = ActionEntry(REDUCE, 328);
   _actionMap[671][ASC] = ActionEntry(REDUCE, 328);
   _actionMap[671][DESC] = ActionEntry(REDUCE, 328);
   _actionMap[671][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[671][MT] = ActionEntry(REDUCE, 328);
   _actionMap[671][LT] = ActionEntry(REDUCE, 328);
   _actionMap[671][NEGATION] = ActionEntry(REDUCE, 328);
   _actionMap[671][EQU] = ActionEntry(REDUCE, 328);
   _actionMap[671][PLUS] = ActionEntry(REDUCE, 328);
   _actionMap[671][MINUS] = ActionEntry(REDUCE, 328);
   _actionMap[671][DIVISION] = ActionEntry(REDUCE, 328);
   _actionMap[671][STAR] = ActionEntry(REDUCE, 328);
   _actionMap[671][CONCAT] = ActionEntry(REDUCE, 328);
   _actionMap[671][OR] = ActionEntry(REDUCE, 328);
   _actionMap[671][AND] = ActionEntry(REDUCE, 328);
   _actionMap[671][RB] = ActionEntry(REDUCE, 328);
   _actionMap[672][LEFT] = ActionEntry(REDUCE, 345);
   _actionMap[672][RIGHT] = ActionEntry(REDUCE, 345);
   _actionMap[672][INNER] = ActionEntry(REDUCE, 345);
   _actionMap[672][JOIN] = ActionEntry(REDUCE, 345);
   _actionMap[672][RETURNTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[672][ORDER] = ActionEntry(REDUCE, 345);
   _actionMap[672][GROUP] = ActionEntry(REDUCE, 345);
   _actionMap[672][WHERE] = ActionEntry(REDUCE, 345);
   _actionMap[672][WHEN] = ActionEntry(REDUCE, 345);
   _actionMap[672][ELSE] = ActionEntry(REDUCE, 345);
   _actionMap[672][FROM] = ActionEntry(REDUCE, 345);
   _actionMap[672][AS] = ActionEntry(REDUCE, 345);
   _actionMap[672][END_TOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[672][BEGIN] = ActionEntry(REDUCE, 345);
   _actionMap[672][THEN] = ActionEntry(REDUCE, 345);
   _actionMap[672][INTOK] = ActionEntry(REDUCE, 345);
   _actionMap[672][NOT] = ActionEntry(REDUCE, 345);
   _actionMap[672][BETWEEN] = ActionEntry(REDUCE, 345);
   _actionMap[672][IS] = ActionEntry(REDUCE, 345);
   _actionMap[672][LIKE] = ActionEntry(REDUCE, 345);
   _actionMap[672][ENDTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[672][UNION] = ActionEntry(REDUCE, 345);
   _actionMap[672][ROWLIMIT] = ActionEntry(REDUCE, 345);
   _actionMap[672][KSEP] = ActionEntry(REDUCE, 345);
   _actionMap[672][ASC] = ActionEntry(REDUCE, 345);
   _actionMap[672][DESC] = ActionEntry(REDUCE, 345);
}
void Cego::loadParser129()
{
   _actionMap[672][SEMICOLON] = ActionEntry(REDUCE, 345);
   _actionMap[672][MT] = ActionEntry(REDUCE, 345);
   _actionMap[672][LT] = ActionEntry(REDUCE, 345);
   _actionMap[672][NEGATION] = ActionEntry(REDUCE, 345);
   _actionMap[672][EQU] = ActionEntry(REDUCE, 345);
   _actionMap[672][PLUS] = ActionEntry(REDUCE, 345);
   _actionMap[672][MINUS] = ActionEntry(REDUCE, 345);
   _actionMap[672][DIVISION] = ActionEntry(REDUCE, 345);
   _actionMap[672][STAR] = ActionEntry(REDUCE, 345);
   _actionMap[672][CONCAT] = ActionEntry(REDUCE, 345);
   _actionMap[672][OR] = ActionEntry(REDUCE, 345);
   _actionMap[672][AND] = ActionEntry(REDUCE, 345);
   _actionMap[672][RB] = ActionEntry(REDUCE, 345);
   _actionMap[673][LEFT] = ActionEntry(REDUCE, 338);
   _actionMap[673][RIGHT] = ActionEntry(REDUCE, 338);
   _actionMap[673][INNER] = ActionEntry(REDUCE, 338);
   _actionMap[673][JOIN] = ActionEntry(REDUCE, 338);
   _actionMap[673][RETURNTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[673][ORDER] = ActionEntry(REDUCE, 338);
   _actionMap[673][GROUP] = ActionEntry(REDUCE, 338);
   _actionMap[673][WHERE] = ActionEntry(REDUCE, 338);
   _actionMap[673][WHEN] = ActionEntry(REDUCE, 338);
   _actionMap[673][ELSE] = ActionEntry(REDUCE, 338);
   _actionMap[673][FROM] = ActionEntry(REDUCE, 338);
   _actionMap[673][AS] = ActionEntry(REDUCE, 338);
   _actionMap[673][END_TOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[673][BEGIN] = ActionEntry(REDUCE, 338);
   _actionMap[673][THEN] = ActionEntry(REDUCE, 338);
   _actionMap[673][INTOK] = ActionEntry(REDUCE, 338);
   _actionMap[673][NOT] = ActionEntry(REDUCE, 338);
   _actionMap[673][BETWEEN] = ActionEntry(REDUCE, 338);
   _actionMap[673][IS] = ActionEntry(REDUCE, 338);
   _actionMap[673][LIKE] = ActionEntry(REDUCE, 338);
   _actionMap[673][ENDTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[673][UNION] = ActionEntry(REDUCE, 338);
   _actionMap[673][ROWLIMIT] = ActionEntry(REDUCE, 338);
   _actionMap[673][KSEP] = ActionEntry(REDUCE, 338);
   _actionMap[673][ASC] = ActionEntry(REDUCE, 338);
   _actionMap[673][DESC] = ActionEntry(REDUCE, 338);
   _actionMap[673][SEMICOLON] = ActionEntry(REDUCE, 338);
   _actionMap[673][MT] = ActionEntry(REDUCE, 338);
   _actionMap[673][LT] = ActionEntry(REDUCE, 338);
   _actionMap[673][NEGATION] = ActionEntry(REDUCE, 338);
   _actionMap[673][EQU] = ActionEntry(REDUCE, 338);
   _actionMap[673][PLUS] = ActionEntry(REDUCE, 338);
   _actionMap[673][MINUS] = ActionEntry(REDUCE, 338);
   _actionMap[673][DIVISION] = ActionEntry(REDUCE, 338);
   _actionMap[673][STAR] = ActionEntry(REDUCE, 338);
   _actionMap[673][CONCAT] = ActionEntry(REDUCE, 338);
   _actionMap[673][OR] = ActionEntry(REDUCE, 338);
}
void Cego::loadParser130()
{
   _actionMap[673][AND] = ActionEntry(REDUCE, 338);
   _actionMap[673][RB] = ActionEntry(REDUCE, 338);
   _actionMap[674][LEFT] = ActionEntry(REDUCE, 419);
   _actionMap[674][RIGHT] = ActionEntry(REDUCE, 419);
   _actionMap[674][INNER] = ActionEntry(REDUCE, 419);
   _actionMap[674][JOIN] = ActionEntry(REDUCE, 419);
   _actionMap[674][WHERE] = ActionEntry(REDUCE, 419);
   _actionMap[674][GROUP] = ActionEntry(REDUCE, 419);
   _actionMap[674][ORDER] = ActionEntry(REDUCE, 419);
   _actionMap[674][RETURNTOKEN] = ActionEntry(REDUCE, 419);
   _actionMap[674][WHEN] = ActionEntry(REDUCE, 419);
   _actionMap[674][ELSE] = ActionEntry(REDUCE, 419);
   _actionMap[674][FROM] = ActionEntry(REDUCE, 419);
   _actionMap[674][AS] = ActionEntry(REDUCE, 419);
   _actionMap[674][END_TOKEN] = ActionEntry(REDUCE, 419);
   _actionMap[674][BEGIN] = ActionEntry(REDUCE, 419);
   _actionMap[674][THEN] = ActionEntry(REDUCE, 419);
   _actionMap[674][ENDTOKEN] = ActionEntry(REDUCE, 419);
   _actionMap[674][UNION] = ActionEntry(REDUCE, 419);
   _actionMap[674][ROWLIMIT] = ActionEntry(REDUCE, 419);
   _actionMap[674][ASC] = ActionEntry(REDUCE, 419);
   _actionMap[674][DESC] = ActionEntry(REDUCE, 419);
   _actionMap[674][OR] = ActionEntry(REDUCE, 419);
   _actionMap[674][AND] = ActionEntry(REDUCE, 419);
   _actionMap[674][INTOK] = ActionEntry(REDUCE, 419);
   _actionMap[674][BETWEEN] = ActionEntry(REDUCE, 419);
   _actionMap[674][LIKE] = ActionEntry(REDUCE, 419);
   _actionMap[674][IS] = ActionEntry(REDUCE, 419);
   _actionMap[674][NULLTOKEN] = ActionEntry(REDUCE, 419);
   _actionMap[674][NOT] = ActionEntry(REDUCE, 419);
   _actionMap[674][KSEP] = ActionEntry(REDUCE, 419);
   _actionMap[674][SEMICOLON] = ActionEntry(REDUCE, 419);
   _actionMap[674][RB] = ActionEntry(REDUCE, 419);
   _actionMap[674][PLUS] = ActionEntry(REDUCE, 419);
   _actionMap[674][MINUS] = ActionEntry(REDUCE, 419);
   _actionMap[674][DIVISION] = ActionEntry(REDUCE, 419);
   _actionMap[674][STAR] = ActionEntry(REDUCE, 419);
   _actionMap[674][CONCAT] = ActionEntry(REDUCE, 419);
   _actionMap[674][MT] = ActionEntry(REDUCE, 419);
   _actionMap[674][LT] = ActionEntry(REDUCE, 419);
   _actionMap[674][NEGATION] = ActionEntry(REDUCE, 419);
   _actionMap[674][EQU] = ActionEntry(REDUCE, 419);
   _actionMap[675][INTVAL] = ActionEntry(SHIFT, 346);
   _actionMap[676][LEFT] = ActionEntry(REDUCE, 425);
   _actionMap[676][RIGHT] = ActionEntry(REDUCE, 425);
   _actionMap[676][INNER] = ActionEntry(REDUCE, 425);
   _actionMap[676][JOIN] = ActionEntry(REDUCE, 425);
   _actionMap[676][WHERE] = ActionEntry(REDUCE, 425);
   _actionMap[676][GROUP] = ActionEntry(REDUCE, 425);
   _actionMap[676][ORDER] = ActionEntry(REDUCE, 425);
}
void Cego::loadParser131()
{
   _actionMap[676][RETURNTOKEN] = ActionEntry(REDUCE, 425);
   _actionMap[676][WHEN] = ActionEntry(REDUCE, 425);
   _actionMap[676][ELSE] = ActionEntry(REDUCE, 425);
   _actionMap[676][FROM] = ActionEntry(REDUCE, 425);
   _actionMap[676][AS] = ActionEntry(REDUCE, 425);
   _actionMap[676][END_TOKEN] = ActionEntry(REDUCE, 425);
   _actionMap[676][BEGIN] = ActionEntry(REDUCE, 425);
   _actionMap[676][THEN] = ActionEntry(REDUCE, 425);
   _actionMap[676][ENDTOKEN] = ActionEntry(REDUCE, 425);
   _actionMap[676][UNION] = ActionEntry(REDUCE, 425);
   _actionMap[676][ROWLIMIT] = ActionEntry(REDUCE, 425);
   _actionMap[676][ASC] = ActionEntry(REDUCE, 425);
   _actionMap[676][DESC] = ActionEntry(REDUCE, 425);
   _actionMap[676][OR] = ActionEntry(REDUCE, 425);
   _actionMap[676][AND] = ActionEntry(REDUCE, 425);
   _actionMap[676][INTOK] = ActionEntry(REDUCE, 425);
   _actionMap[676][BETWEEN] = ActionEntry(REDUCE, 425);
   _actionMap[676][LIKE] = ActionEntry(REDUCE, 425);
   _actionMap[676][IS] = ActionEntry(REDUCE, 425);
   _actionMap[676][NULLTOKEN] = ActionEntry(REDUCE, 425);
   _actionMap[676][NOT] = ActionEntry(REDUCE, 425);
   _actionMap[676][KSEP] = ActionEntry(REDUCE, 425);
   _actionMap[676][SEMICOLON] = ActionEntry(REDUCE, 425);
   _actionMap[676][RB] = ActionEntry(REDUCE, 425);
   _actionMap[676][PLUS] = ActionEntry(REDUCE, 425);
   _actionMap[676][MINUS] = ActionEntry(REDUCE, 425);
   _actionMap[676][DIVISION] = ActionEntry(REDUCE, 425);
   _actionMap[676][STAR] = ActionEntry(REDUCE, 425);
   _actionMap[676][CONCAT] = ActionEntry(REDUCE, 425);
   _actionMap[676][MT] = ActionEntry(REDUCE, 425);
   _actionMap[676][LT] = ActionEntry(REDUCE, 425);
   _actionMap[676][NEGATION] = ActionEntry(REDUCE, 425);
   _actionMap[676][EQU] = ActionEntry(REDUCE, 425);
   _actionMap[677][FLOATVAL] = ActionEntry(SHIFT, 347);
   _actionMap[678][LEFT] = ActionEntry(REDUCE, 424);
   _actionMap[678][RIGHT] = ActionEntry(REDUCE, 424);
   _actionMap[678][INNER] = ActionEntry(REDUCE, 424);
   _actionMap[678][JOIN] = ActionEntry(REDUCE, 424);
   _actionMap[678][WHERE] = ActionEntry(REDUCE, 424);
   _actionMap[678][GROUP] = ActionEntry(REDUCE, 424);
   _actionMap[678][ORDER] = ActionEntry(REDUCE, 424);
   _actionMap[678][RETURNTOKEN] = ActionEntry(REDUCE, 424);
   _actionMap[678][WHEN] = ActionEntry(REDUCE, 424);
   _actionMap[678][ELSE] = ActionEntry(REDUCE, 424);
   _actionMap[678][FROM] = ActionEntry(REDUCE, 424);
   _actionMap[678][AS] = ActionEntry(REDUCE, 424);
   _actionMap[678][END_TOKEN] = ActionEntry(REDUCE, 424);
   _actionMap[678][BEGIN] = ActionEntry(REDUCE, 424);
   _actionMap[678][THEN] = ActionEntry(REDUCE, 424);
   _actionMap[678][ENDTOKEN] = ActionEntry(REDUCE, 424);
}
void Cego::loadParser132()
{
   _actionMap[678][UNION] = ActionEntry(REDUCE, 424);
   _actionMap[678][ROWLIMIT] = ActionEntry(REDUCE, 424);
   _actionMap[678][ASC] = ActionEntry(REDUCE, 424);
   _actionMap[678][DESC] = ActionEntry(REDUCE, 424);
   _actionMap[678][OR] = ActionEntry(REDUCE, 424);
   _actionMap[678][AND] = ActionEntry(REDUCE, 424);
   _actionMap[678][INTOK] = ActionEntry(REDUCE, 424);
   _actionMap[678][BETWEEN] = ActionEntry(REDUCE, 424);
   _actionMap[678][LIKE] = ActionEntry(REDUCE, 424);
   _actionMap[678][IS] = ActionEntry(REDUCE, 424);
   _actionMap[678][NULLTOKEN] = ActionEntry(REDUCE, 424);
   _actionMap[678][NOT] = ActionEntry(REDUCE, 424);
   _actionMap[678][KSEP] = ActionEntry(REDUCE, 424);
   _actionMap[678][SEMICOLON] = ActionEntry(REDUCE, 424);
   _actionMap[678][RB] = ActionEntry(REDUCE, 424);
   _actionMap[678][PLUS] = ActionEntry(REDUCE, 424);
   _actionMap[678][MINUS] = ActionEntry(REDUCE, 424);
   _actionMap[678][DIVISION] = ActionEntry(REDUCE, 424);
   _actionMap[678][STAR] = ActionEntry(REDUCE, 424);
   _actionMap[678][CONCAT] = ActionEntry(REDUCE, 424);
   _actionMap[678][MT] = ActionEntry(REDUCE, 424);
   _actionMap[678][LT] = ActionEntry(REDUCE, 424);
   _actionMap[678][NEGATION] = ActionEntry(REDUCE, 424);
   _actionMap[678][EQU] = ActionEntry(REDUCE, 424);
   _actionMap[679][LEFT] = ActionEntry(REDUCE, 418);
   _actionMap[679][RIGHT] = ActionEntry(REDUCE, 418);
   _actionMap[679][INNER] = ActionEntry(REDUCE, 418);
   _actionMap[679][JOIN] = ActionEntry(REDUCE, 418);
   _actionMap[679][WHERE] = ActionEntry(REDUCE, 418);
   _actionMap[679][GROUP] = ActionEntry(REDUCE, 418);
   _actionMap[679][ORDER] = ActionEntry(REDUCE, 418);
   _actionMap[679][RETURNTOKEN] = ActionEntry(REDUCE, 418);
   _actionMap[679][WHEN] = ActionEntry(REDUCE, 418);
   _actionMap[679][ELSE] = ActionEntry(REDUCE, 418);
   _actionMap[679][FROM] = ActionEntry(REDUCE, 418);
   _actionMap[679][AS] = ActionEntry(REDUCE, 418);
   _actionMap[679][END_TOKEN] = ActionEntry(REDUCE, 418);
   _actionMap[679][BEGIN] = ActionEntry(REDUCE, 418);
   _actionMap[679][THEN] = ActionEntry(REDUCE, 418);
   _actionMap[679][ENDTOKEN] = ActionEntry(REDUCE, 418);
   _actionMap[679][UNION] = ActionEntry(REDUCE, 418);
   _actionMap[679][ROWLIMIT] = ActionEntry(REDUCE, 418);
   _actionMap[679][ASC] = ActionEntry(REDUCE, 418);
   _actionMap[679][DESC] = ActionEntry(REDUCE, 418);
   _actionMap[679][OR] = ActionEntry(REDUCE, 418);
   _actionMap[679][AND] = ActionEntry(REDUCE, 418);
   _actionMap[679][INTOK] = ActionEntry(REDUCE, 418);
   _actionMap[679][BETWEEN] = ActionEntry(REDUCE, 418);
   _actionMap[679][LIKE] = ActionEntry(REDUCE, 418);
   _actionMap[679][IS] = ActionEntry(REDUCE, 418);
}
void Cego::loadParser133()
{
   _actionMap[679][NULLTOKEN] = ActionEntry(REDUCE, 418);
   _actionMap[679][NOT] = ActionEntry(REDUCE, 418);
   _actionMap[679][KSEP] = ActionEntry(REDUCE, 418);
   _actionMap[679][SEMICOLON] = ActionEntry(REDUCE, 418);
   _actionMap[679][RB] = ActionEntry(REDUCE, 418);
   _actionMap[679][PLUS] = ActionEntry(REDUCE, 418);
   _actionMap[679][MINUS] = ActionEntry(REDUCE, 418);
   _actionMap[679][DIVISION] = ActionEntry(REDUCE, 418);
   _actionMap[679][STAR] = ActionEntry(REDUCE, 418);
   _actionMap[679][CONCAT] = ActionEntry(REDUCE, 418);
   _actionMap[679][MT] = ActionEntry(REDUCE, 418);
   _actionMap[679][LT] = ActionEntry(REDUCE, 418);
   _actionMap[679][NEGATION] = ActionEntry(REDUCE, 418);
   _actionMap[679][EQU] = ActionEntry(REDUCE, 418);
   _actionMap[680][LEFT] = ActionEntry(REDUCE, 420);
   _actionMap[680][RIGHT] = ActionEntry(REDUCE, 420);
   _actionMap[680][INNER] = ActionEntry(REDUCE, 420);
   _actionMap[680][JOIN] = ActionEntry(REDUCE, 420);
   _actionMap[680][WHERE] = ActionEntry(REDUCE, 420);
   _actionMap[680][GROUP] = ActionEntry(REDUCE, 420);
   _actionMap[680][ORDER] = ActionEntry(REDUCE, 420);
   _actionMap[680][RETURNTOKEN] = ActionEntry(REDUCE, 420);
   _actionMap[680][WHEN] = ActionEntry(REDUCE, 420);
   _actionMap[680][ELSE] = ActionEntry(REDUCE, 420);
   _actionMap[680][FROM] = ActionEntry(REDUCE, 420);
   _actionMap[680][AS] = ActionEntry(REDUCE, 420);
   _actionMap[680][END_TOKEN] = ActionEntry(REDUCE, 420);
   _actionMap[680][BEGIN] = ActionEntry(REDUCE, 420);
   _actionMap[680][THEN] = ActionEntry(REDUCE, 420);
   _actionMap[680][ENDTOKEN] = ActionEntry(REDUCE, 420);
   _actionMap[680][UNION] = ActionEntry(REDUCE, 420);
   _actionMap[680][ROWLIMIT] = ActionEntry(REDUCE, 420);
   _actionMap[680][ASC] = ActionEntry(REDUCE, 420);
   _actionMap[680][DESC] = ActionEntry(REDUCE, 420);
   _actionMap[680][OR] = ActionEntry(REDUCE, 420);
   _actionMap[680][AND] = ActionEntry(REDUCE, 420);
   _actionMap[680][INTOK] = ActionEntry(REDUCE, 420);
   _actionMap[680][BETWEEN] = ActionEntry(REDUCE, 420);
   _actionMap[680][LIKE] = ActionEntry(REDUCE, 420);
   _actionMap[680][IS] = ActionEntry(REDUCE, 420);
   _actionMap[680][NULLTOKEN] = ActionEntry(REDUCE, 420);
   _actionMap[680][NOT] = ActionEntry(REDUCE, 420);
   _actionMap[680][KSEP] = ActionEntry(REDUCE, 420);
   _actionMap[680][SEMICOLON] = ActionEntry(REDUCE, 420);
   _actionMap[680][RB] = ActionEntry(REDUCE, 420);
   _actionMap[680][PLUS] = ActionEntry(REDUCE, 420);
   _actionMap[680][MINUS] = ActionEntry(REDUCE, 420);
   _actionMap[680][DIVISION] = ActionEntry(REDUCE, 420);
   _actionMap[680][STAR] = ActionEntry(REDUCE, 420);
   _actionMap[680][CONCAT] = ActionEntry(REDUCE, 420);
}
void Cego::loadParser134()
{
   _actionMap[680][MT] = ActionEntry(REDUCE, 420);
   _actionMap[680][LT] = ActionEntry(REDUCE, 420);
   _actionMap[680][NEGATION] = ActionEntry(REDUCE, 420);
   _actionMap[680][EQU] = ActionEntry(REDUCE, 420);
   _actionMap[681][LEFT] = ActionEntry(REDUCE, 421);
   _actionMap[681][RIGHT] = ActionEntry(REDUCE, 421);
   _actionMap[681][INNER] = ActionEntry(REDUCE, 421);
   _actionMap[681][JOIN] = ActionEntry(REDUCE, 421);
   _actionMap[681][WHERE] = ActionEntry(REDUCE, 421);
   _actionMap[681][GROUP] = ActionEntry(REDUCE, 421);
   _actionMap[681][ORDER] = ActionEntry(REDUCE, 421);
   _actionMap[681][RETURNTOKEN] = ActionEntry(REDUCE, 421);
   _actionMap[681][WHEN] = ActionEntry(REDUCE, 421);
   _actionMap[681][ELSE] = ActionEntry(REDUCE, 421);
   _actionMap[681][FROM] = ActionEntry(REDUCE, 421);
   _actionMap[681][AS] = ActionEntry(REDUCE, 421);
   _actionMap[681][END_TOKEN] = ActionEntry(REDUCE, 421);
   _actionMap[681][BEGIN] = ActionEntry(REDUCE, 421);
   _actionMap[681][THEN] = ActionEntry(REDUCE, 421);
   _actionMap[681][ENDTOKEN] = ActionEntry(REDUCE, 421);
   _actionMap[681][UNION] = ActionEntry(REDUCE, 421);
   _actionMap[681][ROWLIMIT] = ActionEntry(REDUCE, 421);
   _actionMap[681][ASC] = ActionEntry(REDUCE, 421);
   _actionMap[681][DESC] = ActionEntry(REDUCE, 421);
   _actionMap[681][OR] = ActionEntry(REDUCE, 421);
   _actionMap[681][AND] = ActionEntry(REDUCE, 421);
   _actionMap[681][INTOK] = ActionEntry(REDUCE, 421);
   _actionMap[681][BETWEEN] = ActionEntry(REDUCE, 421);
   _actionMap[681][LIKE] = ActionEntry(REDUCE, 421);
   _actionMap[681][IS] = ActionEntry(REDUCE, 421);
   _actionMap[681][NULLTOKEN] = ActionEntry(REDUCE, 421);
   _actionMap[681][NOT] = ActionEntry(REDUCE, 421);
   _actionMap[681][KSEP] = ActionEntry(REDUCE, 421);
   _actionMap[681][SEMICOLON] = ActionEntry(REDUCE, 421);
   _actionMap[681][RB] = ActionEntry(REDUCE, 421);
   _actionMap[681][PLUS] = ActionEntry(REDUCE, 421);
   _actionMap[681][MINUS] = ActionEntry(REDUCE, 421);
   _actionMap[681][DIVISION] = ActionEntry(REDUCE, 421);
   _actionMap[681][STAR] = ActionEntry(REDUCE, 421);
   _actionMap[681][CONCAT] = ActionEntry(REDUCE, 421);
   _actionMap[681][MT] = ActionEntry(REDUCE, 421);
   _actionMap[681][LT] = ActionEntry(REDUCE, 421);
   _actionMap[681][NEGATION] = ActionEntry(REDUCE, 421);
   _actionMap[681][EQU] = ActionEntry(REDUCE, 421);
   _actionMap[682][SEMICOLON] = ActionEntry(REDUCE, 320);
   _actionMap[683][SEMICOLON] = ActionEntry(REDUCE, 319);
   _actionMap[684][SEMICOLON] = ActionEntry(REDUCE, 324);
   _actionMap[685][SEMICOLON] = ActionEntry(REDUCE, 321);
   _actionMap[686][SEMICOLON] = ActionEntry(REDUCE, 322);
   _actionMap[687][SEMICOLON] = ActionEntry(REDUCE, 318);
}
void Cego::loadParser135()
{
   _actionMap[688][SEMICOLON] = ActionEntry(REDUCE, 325);
   _actionMap[689][SEMICOLON] = ActionEntry(REDUCE, 323);
   _actionMap[690][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[690][RB] = ActionEntry(REDUCE, 270);
   _actionMap[690][ENDTOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[690][UNION] = ActionEntry(REDUCE, 270);
   _actionMap[690][ROWLIMIT] = ActionEntry(REDUCE, 270);
   _actionMap[690][ORDER] = ActionEntry(REDUCE, 270);
   _actionMap[690][GROUP] = ActionEntry(SHIFT, 787);
   _jumpMap[690][NoGroup] = 786;
   _jumpMap[690][GroupClause] = 785;
   _actionMap[691][LEFT] = ActionEntry(REDUCE, 250);
   _actionMap[691][RIGHT] = ActionEntry(REDUCE, 250);
   _actionMap[691][INNER] = ActionEntry(REDUCE, 250);
   _actionMap[691][JOIN] = ActionEntry(REDUCE, 250);
   _actionMap[691][RETURNTOKEN] = ActionEntry(REDUCE, 250);
   _actionMap[691][SEMICOLON] = ActionEntry(REDUCE, 250);
   _actionMap[691][RB] = ActionEntry(REDUCE, 250);
   _actionMap[691][ENDTOKEN] = ActionEntry(REDUCE, 250);
   _actionMap[691][UNION] = ActionEntry(REDUCE, 250);
   _actionMap[691][ROWLIMIT] = ActionEntry(REDUCE, 250);
   _actionMap[691][ORDER] = ActionEntry(REDUCE, 250);
   _actionMap[691][GROUP] = ActionEntry(REDUCE, 250);
   _actionMap[691][WHERE] = ActionEntry(REDUCE, 250);
   _actionMap[692][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[692][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[692][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[692][ObjSpec] = 538;
   _jumpMap[692][JoinTable] = 789;
   _jumpMap[692][Table] = 788;
   _actionMap[693][JOIN] = ActionEntry(SHIFT, 790);
   _actionMap[694][IDENTIFIER] = ActionEntry(REDUCE, 259);
   _actionMap[694][QUALIFIEDOBJ] = ActionEntry(REDUCE, 259);
   _actionMap[694][QUALIFIEDTS] = ActionEntry(REDUCE, 259);
   _actionMap[695][OUTER] = ActionEntry(SHIFT, 791);
   _actionMap[696][OUTER] = ActionEntry(SHIFT, 792);
   _actionMap[697][LEFT] = ActionEntry(REDUCE, 251);
   _actionMap[697][RIGHT] = ActionEntry(REDUCE, 251);
   _actionMap[697][INNER] = ActionEntry(REDUCE, 251);
   _actionMap[697][JOIN] = ActionEntry(REDUCE, 251);
   _actionMap[697][RETURNTOKEN] = ActionEntry(REDUCE, 251);
   _actionMap[697][SEMICOLON] = ActionEntry(REDUCE, 251);
   _actionMap[697][RB] = ActionEntry(REDUCE, 251);
   _actionMap[697][ENDTOKEN] = ActionEntry(REDUCE, 251);
   _actionMap[697][UNION] = ActionEntry(REDUCE, 251);
   _actionMap[697][ROWLIMIT] = ActionEntry(REDUCE, 251);
   _actionMap[697][ORDER] = ActionEntry(REDUCE, 251);
   _actionMap[697][GROUP] = ActionEntry(REDUCE, 251);
   _actionMap[697][WHERE] = ActionEntry(REDUCE, 251);
   _actionMap[698][IDENTIFIER] = ActionEntry(SHIFT, 62);
}
void Cego::loadParser136()
{
   _actionMap[698][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[698][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[698][ObjSpec] = 538;
   _jumpMap[698][Table] = 794;
   _jumpMap[698][TableList] = 793;
   _actionMap[699][KSEP] = ActionEntry(REDUCE, 263);
   _actionMap[699][LEFT] = ActionEntry(REDUCE, 263);
   _actionMap[699][RIGHT] = ActionEntry(REDUCE, 263);
   _actionMap[699][INNER] = ActionEntry(REDUCE, 263);
   _actionMap[699][JOIN] = ActionEntry(REDUCE, 263);
   _actionMap[699][RETURNTOKEN] = ActionEntry(REDUCE, 263);
   _actionMap[699][SEMICOLON] = ActionEntry(REDUCE, 263);
   _actionMap[699][RB] = ActionEntry(REDUCE, 263);
   _actionMap[699][ENDTOKEN] = ActionEntry(REDUCE, 263);
   _actionMap[699][UNION] = ActionEntry(REDUCE, 263);
   _actionMap[699][ROWLIMIT] = ActionEntry(REDUCE, 263);
   _actionMap[699][ORDER] = ActionEntry(REDUCE, 263);
   _actionMap[699][GROUP] = ActionEntry(REDUCE, 263);
   _actionMap[699][WHERE] = ActionEntry(REDUCE, 263);
   _actionMap[699][ON] = ActionEntry(REDUCE, 263);
   _actionMap[700][FROM] = ActionEntry(REDUCE, 265);
   _actionMap[700][RB] = ActionEntry(REDUCE, 265);
   _actionMap[700][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[700][ENDTOKEN] = ActionEntry(REDUCE, 265);
   _actionMap[700][KSEP] = ActionEntry(REDUCE, 265);
   _actionMap[701][FROM] = ActionEntry(REDUCE, 245);
   _actionMap[701][RB] = ActionEntry(REDUCE, 245);
   _actionMap[701][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[701][ENDTOKEN] = ActionEntry(REDUCE, 245);
   _actionMap[701][KSEP] = ActionEntry(REDUCE, 245);
   _actionMap[702][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[702][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[702][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[702][SEMICOLON] = ActionEntry(REDUCE, 95);
   _actionMap[703][SEMICOLON] = ActionEntry(REDUCE, 303);
   _actionMap[703][RETURNTOKEN] = ActionEntry(SHIFT, 797);
   _jumpMap[703][NoUpdateReturnOpt] = 796;
   _jumpMap[703][UpdReturnOpt] = 795;
   _actionMap[704][IDENTIFIER] = ActionEntry(SHIFT, 547);
   _jumpMap[704][Assignment] = 798;
   _actionMap[705][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[705][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[705][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[705][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[705][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[705][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[705][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[705][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[705][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[705][SCANDATE] = ActionEntry(SHIFT, 166);
}
void Cego::loadParser137()
{
   _actionMap[705][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[705][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[705][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[705][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[705][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[705][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[705][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[705][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[705][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[705][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[705][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[705][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[705][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[705][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[705][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[705][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[705][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[705][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[705][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[705][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[705][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[705][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[705][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[705][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[705][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[705][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[705][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[705][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[705][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[705][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[705][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[705][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[705][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[705][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[705][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[705][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[705][LB] = ActionEntry(SHIFT, 177);
   _actionMap[705][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[705][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[705][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[705][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[705][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[705][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[705][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[705][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[705][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[705][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[705][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[705][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[705][SUM] = ActionEntry(SHIFT, 169);
}
void Cego::loadParser138()
{
   _actionMap[705][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[705][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[705][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[705][ObjSpec] = 122;
   _jumpMap[705][Constant] = 121;
   _jumpMap[705][SignedFloat] = 120;
   _jumpMap[705][SignedInt] = 119;
   _jumpMap[705][Attribute] = 118;
   _jumpMap[705][Function] = 117;
   _jumpMap[705][CasePrepare] = 116;
   _jumpMap[705][CaseClause] = 115;
   _jumpMap[705][Factor] = 114;
   _jumpMap[705][Term] = 113;
   _jumpMap[705][Expr] = 799;
   _actionMap[706][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[706][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[706][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[706][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[706][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[706][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[706][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[706][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[706][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[706][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[706][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[706][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[706][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[706][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[706][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[706][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[706][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[706][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[706][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[706][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[706][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[706][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[706][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[706][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[706][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[706][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[706][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[706][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[706][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[706][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[706][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[706][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[706][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[706][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[706][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[706][BLOBSIZE] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser139()
{
   _actionMap[706][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[706][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[706][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[706][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[706][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[706][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[706][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[706][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[706][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[706][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[706][LB] = ActionEntry(SHIFT, 177);
   _actionMap[706][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[706][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[706][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[706][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[706][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[706][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[706][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[706][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[706][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[706][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[706][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[706][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[706][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[706][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[706][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[706][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[706][RB] = ActionEntry(REDUCE, 150);
   _jumpMap[706][ObjSpec] = 122;
   _jumpMap[706][Constant] = 121;
   _jumpMap[706][SignedFloat] = 120;
   _jumpMap[706][SignedInt] = 119;
   _jumpMap[706][Attribute] = 118;
   _jumpMap[706][Function] = 117;
   _jumpMap[706][CasePrepare] = 116;
   _jumpMap[706][CaseClause] = 115;
   _jumpMap[706][Factor] = 114;
   _jumpMap[706][Term] = 113;
   _jumpMap[706][Expr] = 394;
   _jumpMap[706][ProcValueList] = 393;
   _jumpMap[706][ProcValueListOpt] = 800;
   _actionMap[384][SEMICOLON] = ActionEntry(REDUCE, 81);
   _actionMap[385][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[386][KSEP] = ActionEntry(SHIFT, 549);
   _actionMap[386][SEMICOLON] = ActionEntry(REDUCE, 312);
   _actionMap[387][CHECK] = ActionEntry(SHIFT, 550);
   _actionMap[387][FOREIGN] = ActionEntry(SHIFT, 552);
   _actionMap[387][COLUMN] = ActionEntry(SHIFT, 551);
   _actionMap[388][COLUMN] = ActionEntry(SHIFT, 553);
   _actionMap[389][COLUMN] = ActionEntry(SHIFT, 554);
}
void Cego::loadParser140()
{
   _actionMap[390][COLUMN] = ActionEntry(SHIFT, 555);
   _actionMap[391][STRINGVAL] = ActionEntry(SHIFT, 556);
   _actionMap[392][RB] = ActionEntry(SHIFT, 395);
   _actionMap[393][KSEP] = ActionEntry(SHIFT, 557);
   _actionMap[393][RB] = ActionEntry(REDUCE, 149);
   _actionMap[394][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[394][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[394][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[394][KSEP] = ActionEntry(REDUCE, 152);
   _actionMap[394][RB] = ActionEntry(REDUCE, 152);
   _actionMap[395][SEMICOLON] = ActionEntry(REDUCE, 62);
   _actionMap[396][END_TOKEN] = ActionEntry(SHIFT, 558);
   _actionMap[397][EXCEPTION] = ActionEntry(REDUCE, 147);
   _actionMap[397][ELSE] = ActionEntry(REDUCE, 147);
   _actionMap[397][ELSIF] = ActionEntry(REDUCE, 147);
   _actionMap[397][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[397][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[397][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[397][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[397][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[397][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[397][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[397][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[397][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[397][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[397][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[397][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[397][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[397][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[397][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[397][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[397][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[397][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[397][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[397][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[397][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[397][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[397][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[397][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[397][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[397][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[397][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[397][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[397][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[397][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[397][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[397][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[397][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[397][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[397][BITOR] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser141()
{
   _actionMap[397][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[397][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[397][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[397][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[397][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[397][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[397][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[397][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[397][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[397][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[397][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[397][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[397][LB] = ActionEntry(SHIFT, 177);
   _actionMap[397][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[397][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[397][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[397][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[397][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[397][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[397][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[397][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[397][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[397][VARREF] = ActionEntry(SHIFT, 419);
   _actionMap[397][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[397][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[397][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[397][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[397][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[397][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[397][IF] = ActionEntry(SHIFT, 413);
   _actionMap[397][BEGIN] = ActionEntry(SHIFT, 410);
   _actionMap[397][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[397][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[397][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[397][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[397][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[397][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[397][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[397][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[397][VAR] = ActionEntry(SHIFT, 417);
   _actionMap[397][CURSOR] = ActionEntry(SHIFT, 412);
   _actionMap[397][CLOSE] = ActionEntry(SHIFT, 411);
   _actionMap[397][NOOP] = ActionEntry(SHIFT, 414);
   _actionMap[397][THROW] = ActionEntry(SHIFT, 416);
   _actionMap[397][RETURNTOKEN] = ActionEntry(SHIFT, 415);
   _actionMap[397][WHILE] = ActionEntry(SHIFT, 418);
   _jumpMap[397][ObjSpec] = 122;
   _jumpMap[397][Constant] = 121;
   _jumpMap[397][SignedFloat] = 120;
   _jumpMap[397][SignedInt] = 119;
}
void Cego::loadParser142()
{
   _jumpMap[397][Attribute] = 118;
   _jumpMap[397][Function] = 117;
   _jumpMap[397][DeleteStatement] = 409;
   _jumpMap[397][UpdateStatement] = 408;
   _jumpMap[397][InsertStatement] = 407;
   _jumpMap[397][UnlockStatement] = 406;
   _jumpMap[397][LockStatement] = 405;
   _jumpMap[397][RollbackStatement] = 404;
   _jumpMap[397][CommitStatement] = 403;
   _jumpMap[397][StartStatement] = 402;
   _jumpMap[397][CasePrepare] = 116;
   _jumpMap[397][CaseClause] = 115;
   _jumpMap[397][Factor] = 114;
   _jumpMap[397][Term] = 113;
   _jumpMap[397][Expr] = 401;
   _jumpMap[397][ProcStatement] = 560;
   _jumpMap[397][ProcIfPart] = 399;
   _jumpMap[397][ProcExceptionList] = 559;
   _jumpMap[397][ProcBlockStart] = 398;
   _actionMap[398][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[398][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[398][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[398][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[398][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[398][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[398][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[398][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[398][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[398][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[398][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[398][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[398][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[398][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[398][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[398][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[398][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[398][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[398][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[398][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[398][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[398][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[398][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[398][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[398][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[398][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[398][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[398][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[398][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[398][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[398][LDIV] = ActionEntry(SHIFT, 150);
}
void Cego::loadParser143()
{
   _actionMap[398][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[398][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[398][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[398][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[398][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[398][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[398][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[398][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[398][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[398][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[398][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[398][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[398][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[398][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[398][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[398][LB] = ActionEntry(SHIFT, 177);
   _actionMap[398][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[398][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[398][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[398][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[398][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[398][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[398][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[398][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[398][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[398][VARREF] = ActionEntry(SHIFT, 419);
   _actionMap[398][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[398][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[398][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[398][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[398][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[398][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[398][IF] = ActionEntry(SHIFT, 413);
   _actionMap[398][BEGIN] = ActionEntry(SHIFT, 410);
   _actionMap[398][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[398][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[398][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[398][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[398][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[398][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[398][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[398][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[398][VAR] = ActionEntry(SHIFT, 417);
   _actionMap[398][CURSOR] = ActionEntry(SHIFT, 412);
   _actionMap[398][CLOSE] = ActionEntry(SHIFT, 411);
   _actionMap[398][NOOP] = ActionEntry(SHIFT, 414);
   _actionMap[398][THROW] = ActionEntry(SHIFT, 416);
   _actionMap[398][RETURNTOKEN] = ActionEntry(SHIFT, 415);
   _actionMap[398][WHILE] = ActionEntry(SHIFT, 418);
   _jumpMap[398][ObjSpec] = 122;
}
void Cego::loadParser144()
{
   _jumpMap[398][Constant] = 121;
   _jumpMap[398][SignedFloat] = 120;
   _jumpMap[398][SignedInt] = 119;
   _jumpMap[398][Attribute] = 118;
   _jumpMap[398][Function] = 117;
   _jumpMap[398][DeleteStatement] = 409;
   _jumpMap[398][UpdateStatement] = 408;
   _jumpMap[398][InsertStatement] = 407;
   _jumpMap[398][UnlockStatement] = 406;
   _jumpMap[398][LockStatement] = 405;
   _jumpMap[398][RollbackStatement] = 404;
   _jumpMap[398][CommitStatement] = 403;
   _jumpMap[398][StartStatement] = 402;
   _jumpMap[398][CasePrepare] = 116;
   _jumpMap[398][CaseClause] = 115;
   _jumpMap[398][Factor] = 114;
   _jumpMap[398][Term] = 113;
   _jumpMap[398][Expr] = 401;
   _jumpMap[398][ProcStatement] = 400;
   _jumpMap[398][ProcIfPart] = 399;
   _jumpMap[398][ProcBlockStart] = 398;
   _jumpMap[398][ProcStatementList] = 397;
   _jumpMap[398][ProcStmtBlock] = 561;
   _actionMap[399][ELSIF] = ActionEntry(SHIFT, 564);
   _actionMap[399][END_TOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[399][ELSE] = ActionEntry(REDUCE, 157);
   _jumpMap[399][ProcElsIfOpt] = 563;
   _jumpMap[399][ProcElsIfList] = 562;
   _actionMap[400][SEMICOLON] = ActionEntry(SHIFT, 565);
   _actionMap[401][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[401][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[401][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[401][SEMICOLON] = ActionEntry(REDUCE, 128);
   _actionMap[402][SEMICOLON] = ActionEntry(REDUCE, 137);
   _actionMap[403][SEMICOLON] = ActionEntry(REDUCE, 138);
   _actionMap[404][SEMICOLON] = ActionEntry(REDUCE, 139);
   _actionMap[405][SEMICOLON] = ActionEntry(REDUCE, 140);
   _actionMap[406][SEMICOLON] = ActionEntry(REDUCE, 141);
   _actionMap[407][SEMICOLON] = ActionEntry(REDUCE, 134);
   _actionMap[408][SEMICOLON] = ActionEntry(REDUCE, 136);
   _actionMap[409][SEMICOLON] = ActionEntry(REDUCE, 135);
   _actionMap[410][VAR] = ActionEntry(REDUCE, 145);
   _actionMap[410][CURSOR] = ActionEntry(REDUCE, 145);
   _actionMap[410][CLOSE] = ActionEntry(REDUCE, 145);
   _actionMap[410][VARREF] = ActionEntry(REDUCE, 145);
   _actionMap[410][NOOP] = ActionEntry(REDUCE, 145);
   _actionMap[410][THROW] = ActionEntry(REDUCE, 145);
   _actionMap[410][RETURNTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[410][WHILE] = ActionEntry(REDUCE, 145);
   _actionMap[410][IF] = ActionEntry(REDUCE, 145);
}
void Cego::loadParser145()
{
   _actionMap[410][BEGIN] = ActionEntry(REDUCE, 145);
   _actionMap[410][UNLOCK] = ActionEntry(REDUCE, 145);
   _actionMap[410][LOCK] = ActionEntry(REDUCE, 145);
   _actionMap[410][ROLLBACK] = ActionEntry(REDUCE, 145);
   _actionMap[410][COMMIT] = ActionEntry(REDUCE, 145);
   _actionMap[410][START_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[410][UPDATE] = ActionEntry(REDUCE, 145);
   _actionMap[410][DELETETOK] = ActionEntry(REDUCE, 145);
   _actionMap[410][INSERT] = ActionEntry(REDUCE, 145);
   _actionMap[410][FETCH] = ActionEntry(REDUCE, 145);
   _actionMap[410][LB] = ActionEntry(REDUCE, 145);
   _actionMap[410][COUNT] = ActionEntry(REDUCE, 145);
   _actionMap[410][SUM] = ActionEntry(REDUCE, 145);
   _actionMap[410][AVG] = ActionEntry(REDUCE, 145);
   _actionMap[410][MIN] = ActionEntry(REDUCE, 145);
   _actionMap[410][MAX] = ActionEntry(REDUCE, 145);
   _actionMap[410][CASE] = ActionEntry(REDUCE, 145);
   _actionMap[410][INT2ASC] = ActionEntry(REDUCE, 145);
   _actionMap[410][ASC2INT] = ActionEntry(REDUCE, 145);
   _actionMap[410][TRIM] = ActionEntry(REDUCE, 145);
   _actionMap[410][RTRIM] = ActionEntry(REDUCE, 145);
   _actionMap[410][LTRIM] = ActionEntry(REDUCE, 145);
   _actionMap[410][ROUND] = ActionEntry(REDUCE, 145);
   _actionMap[410][SCANDATE] = ActionEntry(REDUCE, 145);
   _actionMap[410][DATE2STR] = ActionEntry(REDUCE, 145);
   _actionMap[410][DATE2LONG] = ActionEntry(REDUCE, 145);
   _actionMap[410][LONG2DATE] = ActionEntry(REDUCE, 145);
   _actionMap[410][NEWDATE] = ActionEntry(REDUCE, 145);
   _actionMap[410][LOWER] = ActionEntry(REDUCE, 145);
   _actionMap[410][UPPER] = ActionEntry(REDUCE, 145);
   _actionMap[410][LEFT] = ActionEntry(REDUCE, 145);
   _actionMap[410][RIGHT] = ActionEntry(REDUCE, 145);
   _actionMap[410][GETPOS] = ActionEntry(REDUCE, 145);
   _actionMap[410][SUBSTR] = ActionEntry(REDUCE, 145);
   _actionMap[410][REPLACE] = ActionEntry(REDUCE, 145);
   _actionMap[410][LENGTH] = ActionEntry(REDUCE, 145);
   _actionMap[410][TRUNC] = ActionEntry(REDUCE, 145);
   _actionMap[410][STR2INT] = ActionEntry(REDUCE, 145);
   _actionMap[410][STR2LONG] = ActionEntry(REDUCE, 145);
   _actionMap[410][RANDSTR] = ActionEntry(REDUCE, 145);
   _actionMap[410][RANDINT] = ActionEntry(REDUCE, 145);
   _actionMap[410][MOD] = ActionEntry(REDUCE, 145);
   _actionMap[410][DIV] = ActionEntry(REDUCE, 145);
   _actionMap[410][LMOD] = ActionEntry(REDUCE, 145);
   _actionMap[410][LDIV] = ActionEntry(REDUCE, 145);
   _actionMap[410][POWER] = ActionEntry(REDUCE, 145);
   _actionMap[410][BITAND] = ActionEntry(REDUCE, 145);
   _actionMap[410][BITOR] = ActionEntry(REDUCE, 145);
   _actionMap[410][BITXOR] = ActionEntry(REDUCE, 145);
   _actionMap[410][BLOBSIZE] = ActionEntry(REDUCE, 145);
}
void Cego::loadParser146()
{
   _actionMap[410][BLOBREF] = ActionEntry(REDUCE, 145);
   _actionMap[410][CLOBSIZE] = ActionEntry(REDUCE, 145);
   _actionMap[410][CLOBREF] = ActionEntry(REDUCE, 145);
   _actionMap[410][CLOB2STR] = ActionEntry(REDUCE, 145);
   _actionMap[410][NEXTCOUNT] = ActionEntry(REDUCE, 145);
   _actionMap[410][SETCOUNT] = ActionEntry(REDUCE, 145);
   _actionMap[410][GETCOUNT] = ActionEntry(REDUCE, 145);
   _actionMap[410][IDENTIFIER] = ActionEntry(REDUCE, 145);
   _actionMap[410][QUALIFIEDOBJ] = ActionEntry(REDUCE, 145);
   _actionMap[410][QUALIFIEDTS] = ActionEntry(REDUCE, 145);
   _actionMap[410][QUALIFIEDPRE] = ActionEntry(REDUCE, 145);
   _actionMap[410][STRINGVAL] = ActionEntry(REDUCE, 145);
   _actionMap[410][SYSDATE] = ActionEntry(REDUCE, 145);
   _actionMap[410][NULLTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[410][TRUEVAL] = ActionEntry(REDUCE, 145);
   _actionMap[410][FALSEVAL] = ActionEntry(REDUCE, 145);
   _actionMap[410][BLOB] = ActionEntry(REDUCE, 145);
   _actionMap[410][CLOB] = ActionEntry(REDUCE, 145);
   _actionMap[410][FLOATVAL] = ActionEntry(REDUCE, 145);
   _actionMap[410][MINUS] = ActionEntry(REDUCE, 145);
   _actionMap[410][INTVAL] = ActionEntry(REDUCE, 145);
   _actionMap[411][IDENTIFIER] = ActionEntry(SHIFT, 566);
   _actionMap[412][IDENTIFIER] = ActionEntry(SHIFT, 567);
   _actionMap[413][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[413][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[413][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[413][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[413][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[413][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[413][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[413][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[413][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[413][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[413][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[413][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[413][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[413][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[413][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[413][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[413][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[413][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[413][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[413][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[413][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[413][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[413][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[413][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[413][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[413][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[413][RANDINT] = ActionEntry(SHIFT, 161);
}
void Cego::loadParser147()
{
   _actionMap[413][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[413][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[413][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[413][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[413][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[413][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[413][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[413][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[413][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[413][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[413][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[413][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[413][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[413][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[413][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[413][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[413][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[413][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[413][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[413][LB] = ActionEntry(SHIFT, 572);
   _actionMap[413][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[413][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[413][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[413][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[413][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[413][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[413][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[413][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[413][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[413][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[413][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[413][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[413][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[413][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[413][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[413][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[413][ObjSpec] = 122;
   _jumpMap[413][Constant] = 121;
   _jumpMap[413][SignedFloat] = 120;
   _jumpMap[413][SignedInt] = 119;
   _jumpMap[413][Attribute] = 118;
   _jumpMap[413][Function] = 117;
   _jumpMap[413][CasePrepare] = 116;
   _jumpMap[413][CaseClause] = 115;
   _jumpMap[413][Factor] = 114;
   _jumpMap[413][Term] = 113;
   _jumpMap[413][Expr] = 571;
   _jumpMap[413][ProcPredicate] = 570;
   _jumpMap[413][ProcCondition] = 569;
   _jumpMap[413][ProcIfCondition] = 568;
}
void Cego::loadParser148()
{
   _actionMap[414][SEMICOLON] = ActionEntry(REDUCE, 129);
   _actionMap[415][SEMICOLON] = ActionEntry(REDUCE, 142);
   _actionMap[415][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[415][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[415][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[415][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[415][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[415][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[415][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[415][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[415][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[415][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[415][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[415][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[415][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[415][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[415][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[415][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[415][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[415][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[415][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[415][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[415][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[415][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[415][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[415][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[415][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[415][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[415][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[415][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[415][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[415][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[415][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[415][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[415][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[415][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[415][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[415][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[415][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[415][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[415][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[415][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[415][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[415][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[415][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[415][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[415][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[415][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[415][LB] = ActionEntry(SHIFT, 177);
   _actionMap[415][STRINGVAL] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser149()
{
   _actionMap[415][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[415][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[415][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[415][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[415][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[415][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[415][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[415][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[415][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[415][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[415][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[415][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[415][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[415][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[415][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[415][ObjSpec] = 122;
   _jumpMap[415][Constant] = 121;
   _jumpMap[415][SignedFloat] = 120;
   _jumpMap[415][SignedInt] = 119;
   _jumpMap[415][Attribute] = 118;
   _jumpMap[415][Function] = 117;
   _jumpMap[415][CasePrepare] = 116;
   _jumpMap[415][CaseClause] = 115;
   _jumpMap[415][Factor] = 114;
   _jumpMap[415][Term] = 113;
   _jumpMap[415][Expr] = 573;
   _actionMap[416][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[416][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[416][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[416][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[416][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[416][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[416][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[416][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[416][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[416][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[416][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[416][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[416][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[416][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[416][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[416][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[416][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[416][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[416][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[416][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[416][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[416][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[416][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[416][STR2INT] = ActionEntry(SHIFT, 171);
}
void Cego::loadParser150()
{
   _actionMap[416][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[416][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[416][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[416][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[416][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[416][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[416][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[416][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[416][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[416][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[416][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[416][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[416][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[416][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[416][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[416][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[416][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[416][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[416][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[416][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[416][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[416][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[416][LB] = ActionEntry(SHIFT, 177);
   _actionMap[416][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[416][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[416][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[416][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[416][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[416][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[416][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[416][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[416][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[416][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[416][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[416][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[416][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[416][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[416][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[416][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[416][ObjSpec] = 122;
   _jumpMap[416][Constant] = 121;
   _jumpMap[416][SignedFloat] = 120;
   _jumpMap[416][SignedInt] = 119;
   _jumpMap[416][Attribute] = 118;
   _jumpMap[416][Function] = 117;
   _jumpMap[416][CasePrepare] = 116;
   _jumpMap[416][CaseClause] = 115;
   _jumpMap[416][Factor] = 114;
   _jumpMap[416][Term] = 113;
   _jumpMap[416][Expr] = 574;
}
void Cego::loadParser151()
{
   _actionMap[417][IDENTIFIER] = ActionEntry(SHIFT, 575);
   _actionMap[418][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[418][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[418][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[418][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[418][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[418][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[418][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[418][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[418][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[418][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[418][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[418][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[418][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[418][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[418][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[418][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[418][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[418][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[418][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[418][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[418][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[418][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[418][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[418][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[418][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[418][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[418][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[418][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[418][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[418][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[418][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[418][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[418][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[418][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[418][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[418][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[418][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[418][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[418][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[418][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[418][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[418][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[418][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[418][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[418][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[418][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[418][LB] = ActionEntry(SHIFT, 572);
   _actionMap[418][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[418][SYSDATE] = ActionEntry(SHIFT, 170);
}
void Cego::loadParser152()
{
   _actionMap[418][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[418][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[418][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[418][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[418][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[418][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[418][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[418][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[418][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[418][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[418][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[418][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[418][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[418][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[418][ObjSpec] = 122;
   _jumpMap[418][Constant] = 121;
   _jumpMap[418][SignedFloat] = 120;
   _jumpMap[418][SignedInt] = 119;
   _jumpMap[418][Attribute] = 118;
   _jumpMap[418][Function] = 117;
   _jumpMap[418][CasePrepare] = 116;
   _jumpMap[418][CaseClause] = 115;
   _jumpMap[418][Factor] = 114;
   _jumpMap[418][Term] = 113;
   _jumpMap[418][Expr] = 571;
   _jumpMap[418][ProcPredicate] = 570;
   _jumpMap[418][ProcCondition] = 577;
   _jumpMap[418][ProcWhileCondition] = 576;
   _actionMap[419][CONCAT] = ActionEntry(REDUCE, 180);
   _actionMap[419][STAR] = ActionEntry(REDUCE, 180);
   _actionMap[419][DIVISION] = ActionEntry(REDUCE, 180);
   _actionMap[419][MINUS] = ActionEntry(REDUCE, 180);
   _actionMap[419][PLUS] = ActionEntry(REDUCE, 180);
   _actionMap[419][SEMICOLON] = ActionEntry(REDUCE, 180);
   _actionMap[419][EQU] = ActionEntry(SHIFT, 578);
   _actionMap[420][END_TOKEN] = ActionEntry(SHIFT, 579);
   _actionMap[421][ON] = ActionEntry(SHIFT, 580);
   _actionMap[422][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[422][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[422][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[422][ObjSpec] = 581;
   _actionMap[423][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[423][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[423][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[423][ObjSpec] = 582;
   _actionMap[424][IDENTIFIER] = ActionEntry(SHIFT, 587);
   _actionMap[424][RB] = ActionEntry(REDUCE, 116);
   _jumpMap[424][ProcArg] = 585;
   _jumpMap[424][ProcArgList] = 584;
   _jumpMap[424][ProcArgOpt] = 583;
}
void Cego::loadParser153()
{
   _actionMap[425][IDENTIFIER] = ActionEntry(SHIFT, 592);
   _actionMap[425][PRIMARY] = ActionEntry(SHIFT, 591);
   _jumpMap[425][ColumnDesc] = 590;
   _jumpMap[425][KeyColumn] = 589;
   _jumpMap[425][ColumnList] = 588;
   _actionMap[426][INSERT] = ActionEntry(SHIFT, 596);
   _actionMap[426][UPDATE] = ActionEntry(SHIFT, 597);
   _actionMap[426][DELETETOK] = ActionEntry(SHIFT, 595);
   _jumpMap[426][TriggerOp] = 594;
   _jumpMap[426][TriggerCondition] = 593;
   _actionMap[427][INSERT] = ActionEntry(REDUCE, 105);
   _actionMap[427][UPDATE] = ActionEntry(REDUCE, 105);
   _actionMap[427][DELETETOK] = ActionEntry(REDUCE, 105);
   _actionMap[428][INSERT] = ActionEntry(REDUCE, 104);
   _actionMap[428][UPDATE] = ActionEntry(REDUCE, 104);
   _actionMap[428][DELETETOK] = ActionEntry(REDUCE, 104);
   _actionMap[429][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[429][SelectStatement] = 598;
   _actionMap[430][SEMICOLON] = ActionEntry(REDUCE, 372);
   _actionMap[430][WHERE] = ActionEntry(SHIFT, 433);
   _jumpMap[430][NoWhere] = 432;
   _jumpMap[430][WhereClause] = 431;
   _actionMap[431][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[432][RETURNTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[432][GROUP] = ActionEntry(REDUCE, 371);
   _actionMap[432][ORDER] = ActionEntry(REDUCE, 371);
   _actionMap[432][ROWLIMIT] = ActionEntry(REDUCE, 371);
   _actionMap[432][UNION] = ActionEntry(REDUCE, 371);
   _actionMap[432][ENDTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[432][RB] = ActionEntry(REDUCE, 371);
   _actionMap[432][SEMICOLON] = ActionEntry(REDUCE, 371);
   _actionMap[433][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[433][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[433][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[433][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[433][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[433][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[433][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[433][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[433][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[433][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[433][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[433][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[433][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[433][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[433][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[433][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[433][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[433][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[433][GETPOS] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser154()
{
   _actionMap[433][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[433][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[433][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[433][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[433][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[433][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[433][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[433][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[433][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[433][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[433][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[433][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[433][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[433][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[433][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[433][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[433][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[433][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[433][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[433][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[433][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[433][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[433][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[433][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[433][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[433][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[433][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[433][LB] = ActionEntry(SHIFT, 277);
   _actionMap[433][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[433][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[433][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[433][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[433][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[433][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[433][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[433][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[433][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[433][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[433][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[433][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[433][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[433][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[433][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[433][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[433][EXISTS] = ActionEntry(SHIFT, 275);
   _actionMap[433][NOT] = ActionEntry(SHIFT, 276);
   _jumpMap[433][ObjSpec] = 122;
   _jumpMap[433][Constant] = 121;
   _jumpMap[433][SignedFloat] = 120;
   _jumpMap[433][SignedInt] = 119;
}
void Cego::loadParser155()
{
   _jumpMap[433][Attribute] = 118;
   _jumpMap[433][QueryPredicate] = 274;
   _jumpMap[433][QueryCondition] = 599;
   _jumpMap[433][Function] = 117;
   _jumpMap[433][CasePrepare] = 116;
   _jumpMap[433][CaseClause] = 115;
   _jumpMap[433][Factor] = 114;
   _jumpMap[433][Term] = 113;
   _jumpMap[433][Expr] = 272;
   _actionMap[434][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[435][SELECT] = ActionEntry(SHIFT, 34);
   _actionMap[435][VALUES] = ActionEntry(SHIFT, 438);
   _jumpMap[435][SelectStatement] = 437;
   _jumpMap[435][InsertPrepare] = 436;
   _actionMap[436][LB] = ActionEntry(SHIFT, 602);
   _jumpMap[436][InsertValueSpec] = 601;
   _jumpMap[436][InsertValueSpecList] = 600;
   _actionMap[437][SEMICOLON] = ActionEntry(REDUCE, 228);
   _actionMap[438][LB] = ActionEntry(REDUCE, 231);
   _actionMap[439][IDENTIFIER] = ActionEntry(SHIFT, 604);
   _jumpMap[439][InsertArgList] = 603;
   _actionMap[440][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[441][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[441][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[441][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[441][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[441][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[441][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[441][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[441][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[441][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[441][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[441][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[441][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[441][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[441][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[441][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[441][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[441][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[441][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[441][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[441][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[441][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[441][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[441][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[441][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[441][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[441][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[441][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[441][MOD] = ActionEntry(SHIFT, 156);
}
void Cego::loadParser156()
{
   _actionMap[441][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[441][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[441][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[441][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[441][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[441][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[441][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[441][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[441][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[441][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[441][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[441][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[441][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[441][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[441][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[441][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[441][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[441][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[441][LB] = ActionEntry(SHIFT, 177);
   _actionMap[441][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[441][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[441][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[441][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[441][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[441][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[441][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[441][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[441][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[441][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[441][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[441][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[441][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[441][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[441][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[441][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[441][ObjSpec] = 122;
   _jumpMap[441][Constant] = 121;
   _jumpMap[441][SignedFloat] = 120;
   _jumpMap[441][SignedInt] = 119;
   _jumpMap[441][Attribute] = 118;
   _jumpMap[441][Function] = 117;
   _jumpMap[441][CasePrepare] = 116;
   _jumpMap[441][CaseClause] = 115;
   _jumpMap[441][Factor] = 114;
   _jumpMap[441][Term] = 113;
   _jumpMap[441][Expr] = 605;
   _actionMap[442][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[442][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[442][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[442][INT2ASC] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser157()
{
   _actionMap[442][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[442][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[442][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[442][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[442][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[442][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[442][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[442][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[442][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[442][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[442][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[442][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[442][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[442][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[442][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[442][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[442][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[442][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[442][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[442][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[442][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[442][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[442][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[442][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[442][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[442][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[442][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[442][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[442][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[442][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[442][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[442][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[442][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[442][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[442][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[442][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[442][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[442][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[442][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[442][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[442][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[442][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[442][LB] = ActionEntry(SHIFT, 177);
   _actionMap[442][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[442][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[442][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[442][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[442][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[442][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[442][CLOB] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser158()
{
   _actionMap[442][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[442][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[442][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[442][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[442][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[442][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[442][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[442][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[442][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[442][ObjSpec] = 122;
   _jumpMap[442][Constant] = 121;
   _jumpMap[442][SignedFloat] = 120;
   _jumpMap[442][SignedInt] = 119;
   _jumpMap[442][Attribute] = 118;
   _jumpMap[442][Function] = 117;
   _jumpMap[442][CasePrepare] = 116;
   _jumpMap[442][CaseClause] = 115;
   _jumpMap[442][Factor] = 114;
   _jumpMap[442][Term] = 113;
   _jumpMap[442][Expr] = 606;
   _actionMap[443][LB] = ActionEntry(SHIFT, 607);
   _actionMap[444][NOT] = ActionEntry(SHIFT, 608);
   _actionMap[444][NULLTOKEN] = ActionEntry(SHIFT, 609);
   _actionMap[445][STRINGVAL] = ActionEntry(SHIFT, 610);
   _actionMap[446][LIKE] = ActionEntry(SHIFT, 612);
   _actionMap[446][INTOK] = ActionEntry(SHIFT, 611);
   _actionMap[447][VARREF] = ActionEntry(REDUCE, 404);
   _actionMap[447][FETCH] = ActionEntry(REDUCE, 404);
   _actionMap[447][LB] = ActionEntry(REDUCE, 404);
   _actionMap[447][COUNT] = ActionEntry(REDUCE, 404);
   _actionMap[447][SUM] = ActionEntry(REDUCE, 404);
   _actionMap[447][AVG] = ActionEntry(REDUCE, 404);
   _actionMap[447][MIN] = ActionEntry(REDUCE, 404);
   _actionMap[447][MAX] = ActionEntry(REDUCE, 404);
   _actionMap[447][CASE] = ActionEntry(REDUCE, 404);
   _actionMap[447][INT2ASC] = ActionEntry(REDUCE, 404);
   _actionMap[447][ASC2INT] = ActionEntry(REDUCE, 404);
   _actionMap[447][TRIM] = ActionEntry(REDUCE, 404);
   _actionMap[447][RTRIM] = ActionEntry(REDUCE, 404);
   _actionMap[447][LTRIM] = ActionEntry(REDUCE, 404);
   _actionMap[447][ROUND] = ActionEntry(REDUCE, 404);
   _actionMap[447][SCANDATE] = ActionEntry(REDUCE, 404);
   _actionMap[447][DATE2STR] = ActionEntry(REDUCE, 404);
   _actionMap[447][DATE2LONG] = ActionEntry(REDUCE, 404);
   _actionMap[447][LONG2DATE] = ActionEntry(REDUCE, 404);
   _actionMap[447][NEWDATE] = ActionEntry(REDUCE, 404);
   _actionMap[447][LOWER] = ActionEntry(REDUCE, 404);
   _actionMap[447][UPPER] = ActionEntry(REDUCE, 404);
   _actionMap[447][LEFT] = ActionEntry(REDUCE, 404);
   _actionMap[447][RIGHT] = ActionEntry(REDUCE, 404);
}
void Cego::loadParser159()
{
   _actionMap[447][GETPOS] = ActionEntry(REDUCE, 404);
   _actionMap[447][SUBSTR] = ActionEntry(REDUCE, 404);
   _actionMap[447][REPLACE] = ActionEntry(REDUCE, 404);
   _actionMap[447][LENGTH] = ActionEntry(REDUCE, 404);
   _actionMap[447][TRUNC] = ActionEntry(REDUCE, 404);
   _actionMap[447][STR2INT] = ActionEntry(REDUCE, 404);
   _actionMap[447][STR2LONG] = ActionEntry(REDUCE, 404);
   _actionMap[447][RANDSTR] = ActionEntry(REDUCE, 404);
   _actionMap[447][RANDINT] = ActionEntry(REDUCE, 404);
   _actionMap[447][MOD] = ActionEntry(REDUCE, 404);
   _actionMap[447][DIV] = ActionEntry(REDUCE, 404);
   _actionMap[447][LMOD] = ActionEntry(REDUCE, 404);
   _actionMap[447][LDIV] = ActionEntry(REDUCE, 404);
   _actionMap[447][POWER] = ActionEntry(REDUCE, 404);
   _actionMap[447][BITAND] = ActionEntry(REDUCE, 404);
   _actionMap[447][BITOR] = ActionEntry(REDUCE, 404);
   _actionMap[447][BITXOR] = ActionEntry(REDUCE, 404);
   _actionMap[447][BLOBSIZE] = ActionEntry(REDUCE, 404);
   _actionMap[447][BLOBREF] = ActionEntry(REDUCE, 404);
   _actionMap[447][CLOBSIZE] = ActionEntry(REDUCE, 404);
   _actionMap[447][CLOBREF] = ActionEntry(REDUCE, 404);
   _actionMap[447][CLOB2STR] = ActionEntry(REDUCE, 404);
   _actionMap[447][NEXTCOUNT] = ActionEntry(REDUCE, 404);
   _actionMap[447][SETCOUNT] = ActionEntry(REDUCE, 404);
   _actionMap[447][GETCOUNT] = ActionEntry(REDUCE, 404);
   _actionMap[447][IDENTIFIER] = ActionEntry(REDUCE, 404);
   _actionMap[447][QUALIFIEDOBJ] = ActionEntry(REDUCE, 404);
   _actionMap[447][QUALIFIEDTS] = ActionEntry(REDUCE, 404);
   _actionMap[447][QUALIFIEDPRE] = ActionEntry(REDUCE, 404);
   _actionMap[447][STRINGVAL] = ActionEntry(REDUCE, 404);
   _actionMap[447][SYSDATE] = ActionEntry(REDUCE, 404);
   _actionMap[447][NULLTOKEN] = ActionEntry(REDUCE, 404);
   _actionMap[447][TRUEVAL] = ActionEntry(REDUCE, 404);
   _actionMap[447][FALSEVAL] = ActionEntry(REDUCE, 404);
   _actionMap[447][BLOB] = ActionEntry(REDUCE, 404);
   _actionMap[447][CLOB] = ActionEntry(REDUCE, 404);
   _actionMap[447][FLOATVAL] = ActionEntry(REDUCE, 404);
   _actionMap[447][MINUS] = ActionEntry(REDUCE, 404);
   _actionMap[447][INTVAL] = ActionEntry(REDUCE, 404);
   _actionMap[448][VARREF] = ActionEntry(REDUCE, 406);
   _actionMap[448][FETCH] = ActionEntry(REDUCE, 406);
   _actionMap[448][LB] = ActionEntry(REDUCE, 406);
   _actionMap[448][COUNT] = ActionEntry(REDUCE, 406);
   _actionMap[448][SUM] = ActionEntry(REDUCE, 406);
   _actionMap[448][AVG] = ActionEntry(REDUCE, 406);
   _actionMap[448][MIN] = ActionEntry(REDUCE, 406);
   _actionMap[448][MAX] = ActionEntry(REDUCE, 406);
   _actionMap[448][CASE] = ActionEntry(REDUCE, 406);
   _actionMap[448][INT2ASC] = ActionEntry(REDUCE, 406);
   _actionMap[448][ASC2INT] = ActionEntry(REDUCE, 406);
}
void Cego::loadParser160()
{
   _actionMap[448][TRIM] = ActionEntry(REDUCE, 406);
   _actionMap[448][RTRIM] = ActionEntry(REDUCE, 406);
   _actionMap[448][LTRIM] = ActionEntry(REDUCE, 406);
   _actionMap[448][ROUND] = ActionEntry(REDUCE, 406);
   _actionMap[448][SCANDATE] = ActionEntry(REDUCE, 406);
   _actionMap[448][DATE2STR] = ActionEntry(REDUCE, 406);
   _actionMap[448][DATE2LONG] = ActionEntry(REDUCE, 406);
   _actionMap[448][LONG2DATE] = ActionEntry(REDUCE, 406);
   _actionMap[448][NEWDATE] = ActionEntry(REDUCE, 406);
   _actionMap[448][LOWER] = ActionEntry(REDUCE, 406);
   _actionMap[448][UPPER] = ActionEntry(REDUCE, 406);
   _actionMap[448][LEFT] = ActionEntry(REDUCE, 406);
   _actionMap[448][RIGHT] = ActionEntry(REDUCE, 406);
   _actionMap[448][GETPOS] = ActionEntry(REDUCE, 406);
   _actionMap[448][SUBSTR] = ActionEntry(REDUCE, 406);
   _actionMap[448][REPLACE] = ActionEntry(REDUCE, 406);
   _actionMap[448][LENGTH] = ActionEntry(REDUCE, 406);
   _actionMap[448][TRUNC] = ActionEntry(REDUCE, 406);
   _actionMap[448][STR2INT] = ActionEntry(REDUCE, 406);
   _actionMap[448][STR2LONG] = ActionEntry(REDUCE, 406);
   _actionMap[448][RANDSTR] = ActionEntry(REDUCE, 406);
   _actionMap[448][RANDINT] = ActionEntry(REDUCE, 406);
   _actionMap[448][MOD] = ActionEntry(REDUCE, 406);
   _actionMap[448][DIV] = ActionEntry(REDUCE, 406);
   _actionMap[448][LMOD] = ActionEntry(REDUCE, 406);
   _actionMap[448][LDIV] = ActionEntry(REDUCE, 406);
   _actionMap[448][POWER] = ActionEntry(REDUCE, 406);
   _actionMap[448][BITAND] = ActionEntry(REDUCE, 406);
   _actionMap[448][BITOR] = ActionEntry(REDUCE, 406);
   _actionMap[448][BITXOR] = ActionEntry(REDUCE, 406);
   _actionMap[448][BLOBSIZE] = ActionEntry(REDUCE, 406);
   _actionMap[448][BLOBREF] = ActionEntry(REDUCE, 406);
   _actionMap[448][CLOBSIZE] = ActionEntry(REDUCE, 406);
   _actionMap[448][CLOBREF] = ActionEntry(REDUCE, 406);
   _actionMap[448][CLOB2STR] = ActionEntry(REDUCE, 406);
   _actionMap[448][NEXTCOUNT] = ActionEntry(REDUCE, 406);
   _actionMap[448][SETCOUNT] = ActionEntry(REDUCE, 406);
   _actionMap[448][GETCOUNT] = ActionEntry(REDUCE, 406);
   _actionMap[448][IDENTIFIER] = ActionEntry(REDUCE, 406);
   _actionMap[448][QUALIFIEDOBJ] = ActionEntry(REDUCE, 406);
   _actionMap[448][QUALIFIEDTS] = ActionEntry(REDUCE, 406);
   _actionMap[448][QUALIFIEDPRE] = ActionEntry(REDUCE, 406);
   _actionMap[448][STRINGVAL] = ActionEntry(REDUCE, 406);
   _actionMap[448][SYSDATE] = ActionEntry(REDUCE, 406);
   _actionMap[448][NULLTOKEN] = ActionEntry(REDUCE, 406);
   _actionMap[448][TRUEVAL] = ActionEntry(REDUCE, 406);
   _actionMap[448][FALSEVAL] = ActionEntry(REDUCE, 406);
   _actionMap[448][BLOB] = ActionEntry(REDUCE, 406);
   _actionMap[448][CLOB] = ActionEntry(REDUCE, 406);
   _actionMap[448][FLOATVAL] = ActionEntry(REDUCE, 406);
}
void Cego::loadParser161()
{
   _actionMap[448][MINUS] = ActionEntry(REDUCE, 406);
   _actionMap[448][INTVAL] = ActionEntry(REDUCE, 406);
   _actionMap[448][EQU] = ActionEntry(SHIFT, 613);
   _actionMap[449][VARREF] = ActionEntry(REDUCE, 407);
   _actionMap[449][FETCH] = ActionEntry(REDUCE, 407);
   _actionMap[449][LB] = ActionEntry(REDUCE, 407);
   _actionMap[449][COUNT] = ActionEntry(REDUCE, 407);
   _actionMap[449][SUM] = ActionEntry(REDUCE, 407);
   _actionMap[449][AVG] = ActionEntry(REDUCE, 407);
   _actionMap[449][MIN] = ActionEntry(REDUCE, 407);
   _actionMap[449][MAX] = ActionEntry(REDUCE, 407);
   _actionMap[449][CASE] = ActionEntry(REDUCE, 407);
   _actionMap[449][INT2ASC] = ActionEntry(REDUCE, 407);
   _actionMap[449][ASC2INT] = ActionEntry(REDUCE, 407);
   _actionMap[449][TRIM] = ActionEntry(REDUCE, 407);
   _actionMap[449][RTRIM] = ActionEntry(REDUCE, 407);
   _actionMap[449][LTRIM] = ActionEntry(REDUCE, 407);
   _actionMap[449][ROUND] = ActionEntry(REDUCE, 407);
   _actionMap[449][SCANDATE] = ActionEntry(REDUCE, 407);
   _actionMap[449][DATE2STR] = ActionEntry(REDUCE, 407);
   _actionMap[449][DATE2LONG] = ActionEntry(REDUCE, 407);
   _actionMap[449][LONG2DATE] = ActionEntry(REDUCE, 407);
   _actionMap[449][NEWDATE] = ActionEntry(REDUCE, 407);
   _actionMap[449][LOWER] = ActionEntry(REDUCE, 407);
   _actionMap[449][UPPER] = ActionEntry(REDUCE, 407);
   _actionMap[449][LEFT] = ActionEntry(REDUCE, 407);
   _actionMap[449][RIGHT] = ActionEntry(REDUCE, 407);
   _actionMap[449][GETPOS] = ActionEntry(REDUCE, 407);
   _actionMap[449][SUBSTR] = ActionEntry(REDUCE, 407);
   _actionMap[449][REPLACE] = ActionEntry(REDUCE, 407);
   _actionMap[449][LENGTH] = ActionEntry(REDUCE, 407);
   _actionMap[449][TRUNC] = ActionEntry(REDUCE, 407);
   _actionMap[449][STR2INT] = ActionEntry(REDUCE, 407);
   _actionMap[449][STR2LONG] = ActionEntry(REDUCE, 407);
   _actionMap[449][RANDSTR] = ActionEntry(REDUCE, 407);
   _actionMap[449][RANDINT] = ActionEntry(REDUCE, 407);
   _actionMap[449][MOD] = ActionEntry(REDUCE, 407);
   _actionMap[449][DIV] = ActionEntry(REDUCE, 407);
   _actionMap[449][LMOD] = ActionEntry(REDUCE, 407);
   _actionMap[449][LDIV] = ActionEntry(REDUCE, 407);
   _actionMap[449][POWER] = ActionEntry(REDUCE, 407);
   _actionMap[449][BITAND] = ActionEntry(REDUCE, 407);
   _actionMap[449][BITOR] = ActionEntry(REDUCE, 407);
   _actionMap[449][BITXOR] = ActionEntry(REDUCE, 407);
   _actionMap[449][BLOBSIZE] = ActionEntry(REDUCE, 407);
   _actionMap[449][BLOBREF] = ActionEntry(REDUCE, 407);
   _actionMap[449][CLOBSIZE] = ActionEntry(REDUCE, 407);
   _actionMap[449][CLOBREF] = ActionEntry(REDUCE, 407);
   _actionMap[449][CLOB2STR] = ActionEntry(REDUCE, 407);
   _actionMap[449][NEXTCOUNT] = ActionEntry(REDUCE, 407);
}
void Cego::loadParser162()
{
   _actionMap[449][SETCOUNT] = ActionEntry(REDUCE, 407);
   _actionMap[449][GETCOUNT] = ActionEntry(REDUCE, 407);
   _actionMap[449][IDENTIFIER] = ActionEntry(REDUCE, 407);
   _actionMap[449][QUALIFIEDOBJ] = ActionEntry(REDUCE, 407);
   _actionMap[449][QUALIFIEDTS] = ActionEntry(REDUCE, 407);
   _actionMap[449][QUALIFIEDPRE] = ActionEntry(REDUCE, 407);
   _actionMap[449][STRINGVAL] = ActionEntry(REDUCE, 407);
   _actionMap[449][SYSDATE] = ActionEntry(REDUCE, 407);
   _actionMap[449][NULLTOKEN] = ActionEntry(REDUCE, 407);
   _actionMap[449][TRUEVAL] = ActionEntry(REDUCE, 407);
   _actionMap[449][FALSEVAL] = ActionEntry(REDUCE, 407);
   _actionMap[449][BLOB] = ActionEntry(REDUCE, 407);
   _actionMap[449][CLOB] = ActionEntry(REDUCE, 407);
   _actionMap[449][FLOATVAL] = ActionEntry(REDUCE, 407);
   _actionMap[449][MINUS] = ActionEntry(REDUCE, 407);
   _actionMap[449][INTVAL] = ActionEntry(REDUCE, 407);
   _actionMap[449][EQU] = ActionEntry(SHIFT, 614);
   _actionMap[450][EQU] = ActionEntry(SHIFT, 615);
   _actionMap[451][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[451][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[451][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[451][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[451][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[451][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[451][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[451][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[451][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[451][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[451][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[451][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[451][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[451][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[451][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[451][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[451][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[451][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[451][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[451][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[451][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[451][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[451][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[451][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[451][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[451][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[451][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[451][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[451][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[451][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[451][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[451][POWER] = ActionEntry(SHIFT, 159);
}
void Cego::loadParser163()
{
   _actionMap[451][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[451][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[451][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[451][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[451][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[451][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[451][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[451][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[451][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[451][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[451][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[451][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[451][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[451][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[451][LB] = ActionEntry(SHIFT, 277);
   _actionMap[451][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[451][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[451][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[451][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[451][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[451][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[451][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[451][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[451][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[451][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[451][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[451][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[451][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[451][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[451][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[451][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[451][EXISTS] = ActionEntry(SHIFT, 275);
   _actionMap[451][NOT] = ActionEntry(SHIFT, 276);
   _jumpMap[451][ObjSpec] = 122;
   _jumpMap[451][Constant] = 121;
   _jumpMap[451][SignedFloat] = 120;
   _jumpMap[451][SignedInt] = 119;
   _jumpMap[451][Attribute] = 118;
   _jumpMap[451][QueryPredicate] = 616;
   _jumpMap[451][Function] = 117;
   _jumpMap[451][CasePrepare] = 116;
   _jumpMap[451][CaseClause] = 115;
   _jumpMap[451][Factor] = 114;
   _jumpMap[451][Term] = 113;
   _jumpMap[451][Expr] = 272;
   _actionMap[452][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[452][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[452][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[452][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[452][ASC2INT] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser164()
{
   _actionMap[452][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[452][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[452][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[452][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[452][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[452][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[452][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[452][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[452][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[452][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[452][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[452][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[452][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[452][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[452][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[452][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[452][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[452][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[452][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[452][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[452][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[452][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[452][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[452][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[452][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[452][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[452][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[452][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[452][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[452][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[452][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[452][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[452][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[452][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[452][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[452][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[452][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[452][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[452][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[452][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[452][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[452][LB] = ActionEntry(SHIFT, 277);
   _actionMap[452][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[452][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[452][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[452][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[452][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[452][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[452][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[452][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
}
void Cego::loadParser165()
{
   _actionMap[452][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[452][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[452][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[452][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[452][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[452][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[452][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[452][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[452][EXISTS] = ActionEntry(SHIFT, 275);
   _actionMap[452][NOT] = ActionEntry(SHIFT, 276);
   _jumpMap[452][ObjSpec] = 122;
   _jumpMap[452][Constant] = 121;
   _jumpMap[452][SignedFloat] = 120;
   _jumpMap[452][SignedInt] = 119;
   _jumpMap[452][Attribute] = 118;
   _jumpMap[452][QueryPredicate] = 617;
   _jumpMap[452][Function] = 117;
   _jumpMap[452][CasePrepare] = 116;
   _jumpMap[452][CaseClause] = 115;
   _jumpMap[452][Factor] = 114;
   _jumpMap[452][Term] = 113;
   _jumpMap[452][Expr] = 272;
   _actionMap[453][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[453][SelectStatement] = 618;
   _actionMap[454][LEFT] = ActionEntry(REDUCE, 388);
   _actionMap[454][RIGHT] = ActionEntry(REDUCE, 388);
   _actionMap[454][INNER] = ActionEntry(REDUCE, 388);
   _actionMap[454][JOIN] = ActionEntry(REDUCE, 388);
   _actionMap[454][RETURNTOKEN] = ActionEntry(REDUCE, 388);
   _actionMap[454][SEMICOLON] = ActionEntry(REDUCE, 388);
   _actionMap[454][ENDTOKEN] = ActionEntry(REDUCE, 388);
   _actionMap[454][UNION] = ActionEntry(REDUCE, 388);
   _actionMap[454][ROWLIMIT] = ActionEntry(REDUCE, 388);
   _actionMap[454][ORDER] = ActionEntry(REDUCE, 388);
   _actionMap[454][GROUP] = ActionEntry(REDUCE, 388);
   _actionMap[454][WHERE] = ActionEntry(REDUCE, 388);
   _actionMap[454][THEN] = ActionEntry(REDUCE, 388);
   _actionMap[454][RB] = ActionEntry(REDUCE, 388);
   _actionMap[454][AND] = ActionEntry(REDUCE, 388);
   _actionMap[454][OR] = ActionEntry(REDUCE, 388);
   _actionMap[455][RB] = ActionEntry(SHIFT, 518);
   _actionMap[455][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[455][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[455][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[455][INTOK] = ActionEntry(SHIFT, 443);
   _actionMap[455][NOT] = ActionEntry(SHIFT, 446);
   _actionMap[455][BETWEEN] = ActionEntry(SHIFT, 442);
   _actionMap[455][IS] = ActionEntry(SHIFT, 444);
   _actionMap[455][LIKE] = ActionEntry(SHIFT, 445);
   _actionMap[455][EQU] = ActionEntry(SHIFT, 447);
}
void Cego::loadParser166()
{
   _actionMap[455][NEGATION] = ActionEntry(SHIFT, 450);
   _actionMap[455][LT] = ActionEntry(SHIFT, 448);
   _actionMap[455][MT] = ActionEntry(SHIFT, 449);
   _jumpMap[455][Comparison] = 441;
   _actionMap[456][RB] = ActionEntry(SHIFT, 619);
   _actionMap[456][AND] = ActionEntry(SHIFT, 451);
   _actionMap[456][OR] = ActionEntry(SHIFT, 452);
   _actionMap[457][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[457][SelectStatement] = 620;
   _actionMap[458][STAR] = ActionEntry(SHIFT, 284);
   _actionMap[458][DIVISION] = ActionEntry(SHIFT, 285);
   _actionMap[458][LEFT] = ActionEntry(REDUCE, 176);
   _actionMap[458][RIGHT] = ActionEntry(REDUCE, 176);
   _actionMap[458][INNER] = ActionEntry(REDUCE, 176);
   _actionMap[458][JOIN] = ActionEntry(REDUCE, 176);
   _actionMap[458][WHERE] = ActionEntry(REDUCE, 176);
   _actionMap[458][GROUP] = ActionEntry(REDUCE, 176);
   _actionMap[458][ORDER] = ActionEntry(REDUCE, 176);
   _actionMap[458][RETURNTOKEN] = ActionEntry(REDUCE, 176);
   _actionMap[458][WHEN] = ActionEntry(REDUCE, 176);
   _actionMap[458][ELSE] = ActionEntry(REDUCE, 176);
   _actionMap[458][BEGIN] = ActionEntry(REDUCE, 176);
   _actionMap[458][THEN] = ActionEntry(REDUCE, 176);
   _actionMap[458][OR] = ActionEntry(REDUCE, 176);
   _actionMap[458][AS] = ActionEntry(REDUCE, 176);
   _actionMap[458][FROM] = ActionEntry(REDUCE, 176);
   _actionMap[458][LIKE] = ActionEntry(REDUCE, 176);
   _actionMap[458][BETWEEN] = ActionEntry(REDUCE, 176);
   _actionMap[458][NOT] = ActionEntry(REDUCE, 176);
   _actionMap[458][INTOK] = ActionEntry(REDUCE, 176);
   _actionMap[458][END_TOKEN] = ActionEntry(REDUCE, 176);
   _actionMap[458][AND] = ActionEntry(REDUCE, 176);
   _actionMap[458][IS] = ActionEntry(REDUCE, 176);
   _actionMap[458][EQU] = ActionEntry(REDUCE, 176);
   _actionMap[458][NEGATION] = ActionEntry(REDUCE, 176);
   _actionMap[458][LT] = ActionEntry(REDUCE, 176);
   _actionMap[458][MT] = ActionEntry(REDUCE, 176);
   _actionMap[458][DESC] = ActionEntry(REDUCE, 176);
   _actionMap[458][ASC] = ActionEntry(REDUCE, 176);
   _actionMap[458][KSEP] = ActionEntry(REDUCE, 176);
   _actionMap[458][ROWLIMIT] = ActionEntry(REDUCE, 176);
   _actionMap[458][UNION] = ActionEntry(REDUCE, 176);
   _actionMap[458][ENDTOKEN] = ActionEntry(REDUCE, 176);
   _actionMap[458][RB] = ActionEntry(REDUCE, 176);
   _actionMap[458][SEMICOLON] = ActionEntry(REDUCE, 176);
   _actionMap[458][CONCAT] = ActionEntry(REDUCE, 176);
   _actionMap[458][MINUS] = ActionEntry(REDUCE, 176);
   _actionMap[458][PLUS] = ActionEntry(REDUCE, 176);
   _actionMap[459][STAR] = ActionEntry(SHIFT, 284);
   _actionMap[459][DIVISION] = ActionEntry(SHIFT, 285);
}
void Cego::loadParser167()
{
   _actionMap[459][LEFT] = ActionEntry(REDUCE, 174);
   _actionMap[459][RIGHT] = ActionEntry(REDUCE, 174);
   _actionMap[459][INNER] = ActionEntry(REDUCE, 174);
   _actionMap[459][JOIN] = ActionEntry(REDUCE, 174);
   _actionMap[459][WHERE] = ActionEntry(REDUCE, 174);
   _actionMap[459][GROUP] = ActionEntry(REDUCE, 174);
   _actionMap[459][ORDER] = ActionEntry(REDUCE, 174);
   _actionMap[459][RETURNTOKEN] = ActionEntry(REDUCE, 174);
   _actionMap[459][WHEN] = ActionEntry(REDUCE, 174);
   _actionMap[459][ELSE] = ActionEntry(REDUCE, 174);
   _actionMap[459][BEGIN] = ActionEntry(REDUCE, 174);
   _actionMap[459][THEN] = ActionEntry(REDUCE, 174);
   _actionMap[459][OR] = ActionEntry(REDUCE, 174);
   _actionMap[459][AS] = ActionEntry(REDUCE, 174);
   _actionMap[459][FROM] = ActionEntry(REDUCE, 174);
   _actionMap[459][LIKE] = ActionEntry(REDUCE, 174);
   _actionMap[459][BETWEEN] = ActionEntry(REDUCE, 174);
   _actionMap[459][NOT] = ActionEntry(REDUCE, 174);
   _actionMap[459][INTOK] = ActionEntry(REDUCE, 174);
   _actionMap[459][END_TOKEN] = ActionEntry(REDUCE, 174);
   _actionMap[459][AND] = ActionEntry(REDUCE, 174);
   _actionMap[459][IS] = ActionEntry(REDUCE, 174);
   _actionMap[459][EQU] = ActionEntry(REDUCE, 174);
   _actionMap[459][NEGATION] = ActionEntry(REDUCE, 174);
   _actionMap[459][LT] = ActionEntry(REDUCE, 174);
   _actionMap[459][MT] = ActionEntry(REDUCE, 174);
   _actionMap[459][DESC] = ActionEntry(REDUCE, 174);
   _actionMap[459][ASC] = ActionEntry(REDUCE, 174);
   _actionMap[459][KSEP] = ActionEntry(REDUCE, 174);
   _actionMap[459][ROWLIMIT] = ActionEntry(REDUCE, 174);
   _actionMap[459][UNION] = ActionEntry(REDUCE, 174);
   _actionMap[459][ENDTOKEN] = ActionEntry(REDUCE, 174);
   _actionMap[459][RB] = ActionEntry(REDUCE, 174);
   _actionMap[459][SEMICOLON] = ActionEntry(REDUCE, 174);
   _actionMap[459][CONCAT] = ActionEntry(REDUCE, 174);
   _actionMap[459][MINUS] = ActionEntry(REDUCE, 174);
   _actionMap[459][PLUS] = ActionEntry(REDUCE, 174);
   _actionMap[460][STAR] = ActionEntry(SHIFT, 284);
   _actionMap[460][DIVISION] = ActionEntry(SHIFT, 285);
   _actionMap[460][LEFT] = ActionEntry(REDUCE, 173);
   _actionMap[460][RIGHT] = ActionEntry(REDUCE, 173);
   _actionMap[460][INNER] = ActionEntry(REDUCE, 173);
   _actionMap[460][JOIN] = ActionEntry(REDUCE, 173);
   _actionMap[460][WHERE] = ActionEntry(REDUCE, 173);
   _actionMap[460][GROUP] = ActionEntry(REDUCE, 173);
   _actionMap[460][ORDER] = ActionEntry(REDUCE, 173);
   _actionMap[460][RETURNTOKEN] = ActionEntry(REDUCE, 173);
   _actionMap[460][WHEN] = ActionEntry(REDUCE, 173);
   _actionMap[460][ELSE] = ActionEntry(REDUCE, 173);
   _actionMap[460][BEGIN] = ActionEntry(REDUCE, 173);
}
void Cego::loadParser168()
{
   _actionMap[460][THEN] = ActionEntry(REDUCE, 173);
   _actionMap[460][OR] = ActionEntry(REDUCE, 173);
   _actionMap[460][AS] = ActionEntry(REDUCE, 173);
   _actionMap[460][FROM] = ActionEntry(REDUCE, 173);
   _actionMap[460][LIKE] = ActionEntry(REDUCE, 173);
   _actionMap[460][BETWEEN] = ActionEntry(REDUCE, 173);
   _actionMap[460][NOT] = ActionEntry(REDUCE, 173);
   _actionMap[460][INTOK] = ActionEntry(REDUCE, 173);
   _actionMap[460][END_TOKEN] = ActionEntry(REDUCE, 173);
   _actionMap[460][AND] = ActionEntry(REDUCE, 173);
   _actionMap[460][IS] = ActionEntry(REDUCE, 173);
   _actionMap[460][EQU] = ActionEntry(REDUCE, 173);
   _actionMap[460][NEGATION] = ActionEntry(REDUCE, 173);
   _actionMap[460][LT] = ActionEntry(REDUCE, 173);
   _actionMap[460][MT] = ActionEntry(REDUCE, 173);
   _actionMap[460][DESC] = ActionEntry(REDUCE, 173);
   _actionMap[460][ASC] = ActionEntry(REDUCE, 173);
   _actionMap[460][KSEP] = ActionEntry(REDUCE, 173);
   _actionMap[460][ROWLIMIT] = ActionEntry(REDUCE, 173);
   _actionMap[460][UNION] = ActionEntry(REDUCE, 173);
   _actionMap[460][ENDTOKEN] = ActionEntry(REDUCE, 173);
   _actionMap[460][RB] = ActionEntry(REDUCE, 173);
   _actionMap[460][SEMICOLON] = ActionEntry(REDUCE, 173);
   _actionMap[460][CONCAT] = ActionEntry(REDUCE, 173);
   _actionMap[460][MINUS] = ActionEntry(REDUCE, 173);
   _actionMap[460][PLUS] = ActionEntry(REDUCE, 173);
   _actionMap[461][LEFT] = ActionEntry(REDUCE, 177);
   _actionMap[461][RIGHT] = ActionEntry(REDUCE, 177);
   _actionMap[461][INNER] = ActionEntry(REDUCE, 177);
   _actionMap[461][JOIN] = ActionEntry(REDUCE, 177);
   _actionMap[461][WHERE] = ActionEntry(REDUCE, 177);
   _actionMap[461][GROUP] = ActionEntry(REDUCE, 177);
   _actionMap[461][ORDER] = ActionEntry(REDUCE, 177);
   _actionMap[461][RETURNTOKEN] = ActionEntry(REDUCE, 177);
   _actionMap[461][WHEN] = ActionEntry(REDUCE, 177);
   _actionMap[461][ELSE] = ActionEntry(REDUCE, 177);
   _actionMap[461][BEGIN] = ActionEntry(REDUCE, 177);
   _actionMap[461][THEN] = ActionEntry(REDUCE, 177);
   _actionMap[461][OR] = ActionEntry(REDUCE, 177);
   _actionMap[461][FROM] = ActionEntry(REDUCE, 177);
   _actionMap[461][AS] = ActionEntry(REDUCE, 177);
   _actionMap[461][END_TOKEN] = ActionEntry(REDUCE, 177);
   _actionMap[461][AND] = ActionEntry(REDUCE, 177);
   _actionMap[461][INTOK] = ActionEntry(REDUCE, 177);
   _actionMap[461][NOT] = ActionEntry(REDUCE, 177);
   _actionMap[461][BETWEEN] = ActionEntry(REDUCE, 177);
   _actionMap[461][IS] = ActionEntry(REDUCE, 177);
   _actionMap[461][LIKE] = ActionEntry(REDUCE, 177);
   _actionMap[461][RB] = ActionEntry(REDUCE, 177);
   _actionMap[461][ENDTOKEN] = ActionEntry(REDUCE, 177);
}
void Cego::loadParser169()
{
   _actionMap[461][UNION] = ActionEntry(REDUCE, 177);
   _actionMap[461][ROWLIMIT] = ActionEntry(REDUCE, 177);
   _actionMap[461][KSEP] = ActionEntry(REDUCE, 177);
   _actionMap[461][ASC] = ActionEntry(REDUCE, 177);
   _actionMap[461][DESC] = ActionEntry(REDUCE, 177);
   _actionMap[461][SEMICOLON] = ActionEntry(REDUCE, 177);
   _actionMap[461][MT] = ActionEntry(REDUCE, 177);
   _actionMap[461][LT] = ActionEntry(REDUCE, 177);
   _actionMap[461][NEGATION] = ActionEntry(REDUCE, 177);
   _actionMap[461][EQU] = ActionEntry(REDUCE, 177);
   _actionMap[461][PLUS] = ActionEntry(REDUCE, 177);
   _actionMap[461][MINUS] = ActionEntry(REDUCE, 177);
   _actionMap[461][CONCAT] = ActionEntry(REDUCE, 177);
   _actionMap[461][DIVISION] = ActionEntry(REDUCE, 177);
   _actionMap[461][STAR] = ActionEntry(REDUCE, 177);
   _actionMap[462][LEFT] = ActionEntry(REDUCE, 178);
   _actionMap[462][RIGHT] = ActionEntry(REDUCE, 178);
   _actionMap[462][INNER] = ActionEntry(REDUCE, 178);
   _actionMap[462][JOIN] = ActionEntry(REDUCE, 178);
   _actionMap[462][WHERE] = ActionEntry(REDUCE, 178);
   _actionMap[462][GROUP] = ActionEntry(REDUCE, 178);
   _actionMap[462][ORDER] = ActionEntry(REDUCE, 178);
   _actionMap[462][RETURNTOKEN] = ActionEntry(REDUCE, 178);
   _actionMap[462][WHEN] = ActionEntry(REDUCE, 178);
   _actionMap[462][ELSE] = ActionEntry(REDUCE, 178);
   _actionMap[462][BEGIN] = ActionEntry(REDUCE, 178);
   _actionMap[462][THEN] = ActionEntry(REDUCE, 178);
   _actionMap[462][OR] = ActionEntry(REDUCE, 178);
   _actionMap[462][FROM] = ActionEntry(REDUCE, 178);
   _actionMap[462][AS] = ActionEntry(REDUCE, 178);
   _actionMap[462][END_TOKEN] = ActionEntry(REDUCE, 178);
   _actionMap[462][AND] = ActionEntry(REDUCE, 178);
   _actionMap[462][INTOK] = ActionEntry(REDUCE, 178);
   _actionMap[462][NOT] = ActionEntry(REDUCE, 178);
   _actionMap[462][BETWEEN] = ActionEntry(REDUCE, 178);
   _actionMap[462][IS] = ActionEntry(REDUCE, 178);
   _actionMap[462][LIKE] = ActionEntry(REDUCE, 178);
   _actionMap[462][RB] = ActionEntry(REDUCE, 178);
   _actionMap[462][ENDTOKEN] = ActionEntry(REDUCE, 178);
   _actionMap[462][UNION] = ActionEntry(REDUCE, 178);
   _actionMap[462][ROWLIMIT] = ActionEntry(REDUCE, 178);
   _actionMap[462][KSEP] = ActionEntry(REDUCE, 178);
   _actionMap[462][ASC] = ActionEntry(REDUCE, 178);
   _actionMap[462][DESC] = ActionEntry(REDUCE, 178);
   _actionMap[462][SEMICOLON] = ActionEntry(REDUCE, 178);
   _actionMap[462][MT] = ActionEntry(REDUCE, 178);
   _actionMap[462][LT] = ActionEntry(REDUCE, 178);
   _actionMap[462][NEGATION] = ActionEntry(REDUCE, 178);
   _actionMap[462][EQU] = ActionEntry(REDUCE, 178);
   _actionMap[462][PLUS] = ActionEntry(REDUCE, 178);
}
void Cego::loadParser170()
{
   _actionMap[462][MINUS] = ActionEntry(REDUCE, 178);
   _actionMap[462][CONCAT] = ActionEntry(REDUCE, 178);
   _actionMap[462][DIVISION] = ActionEntry(REDUCE, 178);
   _actionMap[462][STAR] = ActionEntry(REDUCE, 178);
   _actionMap[463][WHEN] = ActionEntry(REDUCE, 195);
   _actionMap[463][ELSE] = ActionEntry(REDUCE, 195);
   _actionMap[464][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[464][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[464][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[464][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[464][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[464][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[464][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[464][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[464][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[464][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[464][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[464][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[464][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[464][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[464][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[464][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[464][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[464][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[464][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[464][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[464][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[464][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[464][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[464][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[464][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[464][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[464][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[464][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[464][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[464][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[464][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[464][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[464][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[464][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[464][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[464][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[464][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[464][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[464][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[464][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[464][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[464][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[464][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[464][IDENTIFIER] = ActionEntry(SHIFT, 181);
}
void Cego::loadParser171()
{
   _actionMap[464][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[464][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[464][LB] = ActionEntry(SHIFT, 177);
   _actionMap[464][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[464][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[464][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[464][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[464][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[464][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[464][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[464][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[464][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[464][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[464][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[464][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[464][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[464][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[464][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[464][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[464][ObjSpec] = 122;
   _jumpMap[464][Constant] = 121;
   _jumpMap[464][SignedFloat] = 120;
   _jumpMap[464][SignedInt] = 119;
   _jumpMap[464][Attribute] = 118;
   _jumpMap[464][Function] = 117;
   _jumpMap[464][CasePrepare] = 116;
   _jumpMap[464][CaseClause] = 115;
   _jumpMap[464][Factor] = 114;
   _jumpMap[464][Term] = 113;
   _jumpMap[464][Expr] = 621;
   _actionMap[465][THEN] = ActionEntry(SHIFT, 622);
   _actionMap[465][AND] = ActionEntry(SHIFT, 451);
   _actionMap[465][OR] = ActionEntry(SHIFT, 452);
   _actionMap[466][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[466][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[466][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[466][KSEP] = ActionEntry(REDUCE, 369);
   _actionMap[466][RB] = ActionEntry(REDUCE, 369);
   _actionMap[467][RB] = ActionEntry(SHIFT, 624);
   _actionMap[467][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[468][WHEN] = ActionEntry(REDUCE, 367);
   _actionMap[468][ELSE] = ActionEntry(REDUCE, 367);
   _actionMap[468][LEFT] = ActionEntry(REDUCE, 367);
   _actionMap[468][RIGHT] = ActionEntry(REDUCE, 367);
   _actionMap[468][INNER] = ActionEntry(REDUCE, 367);
   _actionMap[468][JOIN] = ActionEntry(REDUCE, 367);
   _actionMap[468][RETURNTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[468][ORDER] = ActionEntry(REDUCE, 367);
   _actionMap[468][GROUP] = ActionEntry(REDUCE, 367);
   _actionMap[468][WHERE] = ActionEntry(REDUCE, 367);
}
void Cego::loadParser172()
{
   _actionMap[468][FROM] = ActionEntry(REDUCE, 367);
   _actionMap[468][AS] = ActionEntry(REDUCE, 367);
   _actionMap[468][END_TOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[468][BEGIN] = ActionEntry(REDUCE, 367);
   _actionMap[468][THEN] = ActionEntry(REDUCE, 367);
   _actionMap[468][INTOK] = ActionEntry(REDUCE, 367);
   _actionMap[468][NOT] = ActionEntry(REDUCE, 367);
   _actionMap[468][BETWEEN] = ActionEntry(REDUCE, 367);
   _actionMap[468][IS] = ActionEntry(REDUCE, 367);
   _actionMap[468][LIKE] = ActionEntry(REDUCE, 367);
   _actionMap[468][ENDTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[468][UNION] = ActionEntry(REDUCE, 367);
   _actionMap[468][ROWLIMIT] = ActionEntry(REDUCE, 367);
   _actionMap[468][KSEP] = ActionEntry(REDUCE, 367);
   _actionMap[468][ASC] = ActionEntry(REDUCE, 367);
   _actionMap[468][DESC] = ActionEntry(REDUCE, 367);
   _actionMap[468][SEMICOLON] = ActionEntry(REDUCE, 367);
   _actionMap[468][MT] = ActionEntry(REDUCE, 367);
   _actionMap[468][LT] = ActionEntry(REDUCE, 367);
   _actionMap[468][NEGATION] = ActionEntry(REDUCE, 367);
   _actionMap[468][EQU] = ActionEntry(REDUCE, 367);
   _actionMap[468][PLUS] = ActionEntry(REDUCE, 367);
   _actionMap[468][MINUS] = ActionEntry(REDUCE, 367);
   _actionMap[468][DIVISION] = ActionEntry(REDUCE, 367);
   _actionMap[468][STAR] = ActionEntry(REDUCE, 367);
   _actionMap[468][CONCAT] = ActionEntry(REDUCE, 367);
   _actionMap[468][OR] = ActionEntry(REDUCE, 367);
   _actionMap[468][AND] = ActionEntry(REDUCE, 367);
   _actionMap[468][RB] = ActionEntry(REDUCE, 367);
   _actionMap[469][RB] = ActionEntry(SHIFT, 625);
   _actionMap[469][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[470][RB] = ActionEntry(SHIFT, 626);
   _actionMap[470][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[470][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[470][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[471][RB] = ActionEntry(SHIFT, 627);
   _actionMap[471][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[472][RB] = ActionEntry(SHIFT, 628);
   _actionMap[472][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[473][RB] = ActionEntry(SHIFT, 629);
   _actionMap[473][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[474][RAB] = ActionEntry(SHIFT, 630);
   _actionMap[475][RB] = ActionEntry(SHIFT, 631);
   _actionMap[475][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[476][RB] = ActionEntry(SHIFT, 632);
   _actionMap[476][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[477][RAB] = ActionEntry(SHIFT, 633);
   _actionMap[478][RB] = ActionEntry(SHIFT, 634);
   _actionMap[478][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[479][RB] = ActionEntry(SHIFT, 635);
}
void Cego::loadParser173()
{
   _actionMap[479][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[480][RB] = ActionEntry(SHIFT, 636);
   _actionMap[480][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[481][RB] = ActionEntry(SHIFT, 637);
   _actionMap[481][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[481][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[481][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[482][RB] = ActionEntry(SHIFT, 638);
   _actionMap[483][RB] = ActionEntry(SHIFT, 639);
   _actionMap[483][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[484][RB] = ActionEntry(SHIFT, 640);
   _actionMap[484][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[485][RB] = ActionEntry(SHIFT, 641);
   _actionMap[485][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[486][LB] = ActionEntry(SHIFT, 642);
   _actionMap[487][RB] = ActionEntry(SHIFT, 643);
   _actionMap[488][RB] = ActionEntry(SHIFT, 644);
   _actionMap[488][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[489][RB] = ActionEntry(SHIFT, 645);
   _actionMap[489][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[490][RB] = ActionEntry(SHIFT, 646);
   _actionMap[490][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[491][RB] = ActionEntry(SHIFT, 647);
   _actionMap[491][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[492][RB] = ActionEntry(SHIFT, 648);
   _actionMap[492][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[493][RB] = ActionEntry(SHIFT, 649);
   _actionMap[493][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[494][RB] = ActionEntry(SHIFT, 650);
   _actionMap[494][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[495][RB] = ActionEntry(SHIFT, 651);
   _actionMap[495][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[496][RB] = ActionEntry(SHIFT, 652);
   _actionMap[496][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[497][RB] = ActionEntry(SHIFT, 653);
   _actionMap[497][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[498][RB] = ActionEntry(SHIFT, 654);
   _actionMap[498][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[498][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[498][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[499][RB] = ActionEntry(SHIFT, 655);
   _actionMap[499][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[499][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[499][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[500][RB] = ActionEntry(SHIFT, 656);
   _actionMap[500][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[501][RB] = ActionEntry(SHIFT, 657);
   _actionMap[502][RB] = ActionEntry(SHIFT, 658);
   _actionMap[502][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[503][RB] = ActionEntry(SHIFT, 659);
}
void Cego::loadParser174()
{
   _actionMap[503][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[504][RB] = ActionEntry(SHIFT, 660);
   _actionMap[504][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[505][RB] = ActionEntry(SHIFT, 661);
   _actionMap[505][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[506][RB] = ActionEntry(SHIFT, 662);
   _actionMap[506][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[507][RB] = ActionEntry(SHIFT, 663);
   _actionMap[507][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[508][RB] = ActionEntry(SHIFT, 664);
   _actionMap[508][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[509][RB] = ActionEntry(SHIFT, 665);
   _actionMap[509][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[510][KSEP] = ActionEntry(SHIFT, 666);
   _actionMap[511][RB] = ActionEntry(SHIFT, 667);
   _actionMap[511][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[512][RB] = ActionEntry(SHIFT, 668);
   _actionMap[512][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[512][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[512][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[513][RB] = ActionEntry(SHIFT, 669);
   _actionMap[513][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[514][RB] = ActionEntry(SHIFT, 670);
   _actionMap[514][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[515][RB] = ActionEntry(SHIFT, 671);
   _actionMap[515][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[516][RB] = ActionEntry(SHIFT, 672);
   _actionMap[516][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[517][RB] = ActionEntry(SHIFT, 673);
   _actionMap[517][KSEP] = ActionEntry(SHIFT, 623);
   _actionMap[518][LEFT] = ActionEntry(REDUCE, 185);
   _actionMap[518][RIGHT] = ActionEntry(REDUCE, 185);
   _actionMap[518][INNER] = ActionEntry(REDUCE, 185);
   _actionMap[518][JOIN] = ActionEntry(REDUCE, 185);
   _actionMap[518][WHERE] = ActionEntry(REDUCE, 185);
   _actionMap[518][GROUP] = ActionEntry(REDUCE, 185);
   _actionMap[518][ORDER] = ActionEntry(REDUCE, 185);
   _actionMap[518][RETURNTOKEN] = ActionEntry(REDUCE, 185);
   _actionMap[518][WHEN] = ActionEntry(REDUCE, 185);
   _actionMap[518][ELSE] = ActionEntry(REDUCE, 185);
   _actionMap[518][AS] = ActionEntry(REDUCE, 185);
   _actionMap[518][FROM] = ActionEntry(REDUCE, 185);
   _actionMap[518][END_TOKEN] = ActionEntry(REDUCE, 185);
   _actionMap[518][BEGIN] = ActionEntry(REDUCE, 185);
   _actionMap[518][THEN] = ActionEntry(REDUCE, 185);
   _actionMap[518][DESC] = ActionEntry(REDUCE, 185);
   _actionMap[518][ASC] = ActionEntry(REDUCE, 185);
   _actionMap[518][KSEP] = ActionEntry(REDUCE, 185);
   _actionMap[518][ROWLIMIT] = ActionEntry(REDUCE, 185);
   _actionMap[518][UNION] = ActionEntry(REDUCE, 185);
}
void Cego::loadParser175()
{
   _actionMap[518][ENDTOKEN] = ActionEntry(REDUCE, 185);
   _actionMap[518][SEMICOLON] = ActionEntry(REDUCE, 185);
   _actionMap[518][OR] = ActionEntry(REDUCE, 185);
   _actionMap[518][AND] = ActionEntry(REDUCE, 185);
   _actionMap[518][LIKE] = ActionEntry(REDUCE, 185);
   _actionMap[518][BETWEEN] = ActionEntry(REDUCE, 185);
   _actionMap[518][NOT] = ActionEntry(REDUCE, 185);
   _actionMap[518][INTOK] = ActionEntry(REDUCE, 185);
   _actionMap[518][IS] = ActionEntry(REDUCE, 185);
   _actionMap[518][RB] = ActionEntry(REDUCE, 185);
   _actionMap[518][CONCAT] = ActionEntry(REDUCE, 185);
   _actionMap[518][STAR] = ActionEntry(REDUCE, 185);
   _actionMap[518][DIVISION] = ActionEntry(REDUCE, 185);
   _actionMap[518][MINUS] = ActionEntry(REDUCE, 185);
   _actionMap[518][PLUS] = ActionEntry(REDUCE, 185);
   _actionMap[518][EQU] = ActionEntry(REDUCE, 185);
   _actionMap[518][NEGATION] = ActionEntry(REDUCE, 185);
   _actionMap[518][LT] = ActionEntry(REDUCE, 185);
   _actionMap[518][MT] = ActionEntry(REDUCE, 185);
   _actionMap[519][LEFT] = ActionEntry(REDUCE, 186);
   _actionMap[519][RIGHT] = ActionEntry(REDUCE, 186);
   _actionMap[519][INNER] = ActionEntry(REDUCE, 186);
   _actionMap[519][JOIN] = ActionEntry(REDUCE, 186);
   _actionMap[519][WHERE] = ActionEntry(REDUCE, 186);
   _actionMap[519][GROUP] = ActionEntry(REDUCE, 186);
   _actionMap[519][ORDER] = ActionEntry(REDUCE, 186);
   _actionMap[519][RETURNTOKEN] = ActionEntry(REDUCE, 186);
   _actionMap[519][WHEN] = ActionEntry(REDUCE, 186);
   _actionMap[519][ELSE] = ActionEntry(REDUCE, 186);
   _actionMap[519][AS] = ActionEntry(REDUCE, 186);
   _actionMap[519][FROM] = ActionEntry(REDUCE, 186);
   _actionMap[519][END_TOKEN] = ActionEntry(REDUCE, 186);
   _actionMap[519][BEGIN] = ActionEntry(REDUCE, 186);
   _actionMap[519][THEN] = ActionEntry(REDUCE, 186);
   _actionMap[519][DESC] = ActionEntry(REDUCE, 186);
   _actionMap[519][ASC] = ActionEntry(REDUCE, 186);
   _actionMap[519][KSEP] = ActionEntry(REDUCE, 186);
   _actionMap[519][ROWLIMIT] = ActionEntry(REDUCE, 186);
   _actionMap[519][UNION] = ActionEntry(REDUCE, 186);
   _actionMap[519][ENDTOKEN] = ActionEntry(REDUCE, 186);
   _actionMap[519][SEMICOLON] = ActionEntry(REDUCE, 186);
   _actionMap[519][OR] = ActionEntry(REDUCE, 186);
   _actionMap[519][AND] = ActionEntry(REDUCE, 186);
   _actionMap[519][LIKE] = ActionEntry(REDUCE, 186);
   _actionMap[519][BETWEEN] = ActionEntry(REDUCE, 186);
   _actionMap[519][NOT] = ActionEntry(REDUCE, 186);
   _actionMap[519][INTOK] = ActionEntry(REDUCE, 186);
   _actionMap[519][IS] = ActionEntry(REDUCE, 186);
   _actionMap[519][RB] = ActionEntry(REDUCE, 186);
   _actionMap[519][CONCAT] = ActionEntry(REDUCE, 186);
}
void Cego::loadParser176()
{
   _actionMap[519][STAR] = ActionEntry(REDUCE, 186);
   _actionMap[519][DIVISION] = ActionEntry(REDUCE, 186);
   _actionMap[519][MINUS] = ActionEntry(REDUCE, 186);
   _actionMap[519][PLUS] = ActionEntry(REDUCE, 186);
   _actionMap[519][EQU] = ActionEntry(REDUCE, 186);
   _actionMap[519][NEGATION] = ActionEntry(REDUCE, 186);
   _actionMap[519][LT] = ActionEntry(REDUCE, 186);
   _actionMap[519][MT] = ActionEntry(REDUCE, 186);
   _actionMap[520][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[520][MINUS] = ActionEntry(SHIFT, 675);
   _jumpMap[520][SignedInt] = 674;
   _actionMap[521][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[521][MINUS] = ActionEntry(SHIFT, 677);
   _jumpMap[521][SignedFloat] = 676;
   _actionMap[522][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[522][MINUS] = ActionEntry(SHIFT, 677);
   _jumpMap[522][SignedFloat] = 678;
   _actionMap[523][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[523][MINUS] = ActionEntry(SHIFT, 675);
   _jumpMap[523][SignedInt] = 679;
   _actionMap[524][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[524][MINUS] = ActionEntry(SHIFT, 675);
   _jumpMap[524][SignedInt] = 680;
   _actionMap[525][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[525][MINUS] = ActionEntry(SHIFT, 675);
   _jumpMap[525][SignedInt] = 681;
   _actionMap[526][IDENTIFIER] = ActionEntry(SHIFT, 682);
   _actionMap[527][IDENTIFIER] = ActionEntry(SHIFT, 683);
   _actionMap[528][IDENTIFIER] = ActionEntry(SHIFT, 684);
   _actionMap[529][IDENTIFIER] = ActionEntry(SHIFT, 685);
   _actionMap[530][IDENTIFIER] = ActionEntry(SHIFT, 686);
   _actionMap[531][IDENTIFIER] = ActionEntry(SHIFT, 687);
   _actionMap[532][IDENTIFIER] = ActionEntry(SHIFT, 688);
   _actionMap[533][IDENTIFIER] = ActionEntry(SHIFT, 689);
   _actionMap[534][SEMICOLON] = ActionEntry(REDUCE, 372);
   _actionMap[534][RB] = ActionEntry(REDUCE, 372);
   _actionMap[534][ENDTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[534][UNION] = ActionEntry(REDUCE, 372);
   _actionMap[534][ROWLIMIT] = ActionEntry(REDUCE, 372);
   _actionMap[534][ORDER] = ActionEntry(REDUCE, 372);
   _actionMap[534][GROUP] = ActionEntry(REDUCE, 372);
   _actionMap[534][WHERE] = ActionEntry(SHIFT, 433);
   _jumpMap[534][NoWhere] = 432;
   _jumpMap[534][WhereClause] = 690;
   _actionMap[535][WHERE] = ActionEntry(REDUCE, 249);
   _actionMap[535][GROUP] = ActionEntry(REDUCE, 249);
   _actionMap[535][ORDER] = ActionEntry(REDUCE, 249);
   _actionMap[535][ROWLIMIT] = ActionEntry(REDUCE, 249);
   _actionMap[535][UNION] = ActionEntry(REDUCE, 249);
   _actionMap[535][ENDTOKEN] = ActionEntry(REDUCE, 249);
}
void Cego::loadParser177()
{
   _actionMap[535][RB] = ActionEntry(REDUCE, 249);
   _actionMap[535][SEMICOLON] = ActionEntry(REDUCE, 249);
   _actionMap[535][RETURNTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[535][INNER] = ActionEntry(SHIFT, 693);
   _actionMap[535][JOIN] = ActionEntry(SHIFT, 694);
   _actionMap[535][LEFT] = ActionEntry(SHIFT, 695);
   _actionMap[535][RIGHT] = ActionEntry(SHIFT, 696);
   _jumpMap[535][InnerJoin] = 692;
   _jumpMap[535][JoinSpec] = 691;
   _actionMap[536][WHERE] = ActionEntry(REDUCE, 248);
   _actionMap[536][GROUP] = ActionEntry(REDUCE, 248);
   _actionMap[536][ORDER] = ActionEntry(REDUCE, 248);
   _actionMap[536][ROWLIMIT] = ActionEntry(REDUCE, 248);
   _actionMap[536][UNION] = ActionEntry(REDUCE, 248);
   _actionMap[536][ENDTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[536][RB] = ActionEntry(REDUCE, 248);
   _actionMap[536][SEMICOLON] = ActionEntry(REDUCE, 248);
   _actionMap[536][RETURNTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[537][KSEP] = ActionEntry(SHIFT, 698);
   _actionMap[537][RETURNTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[537][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[537][RB] = ActionEntry(REDUCE, 261);
   _actionMap[537][ENDTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[537][UNION] = ActionEntry(REDUCE, 261);
   _actionMap[537][ROWLIMIT] = ActionEntry(REDUCE, 261);
   _actionMap[537][ORDER] = ActionEntry(REDUCE, 261);
   _actionMap[537][GROUP] = ActionEntry(REDUCE, 261);
   _actionMap[537][WHERE] = ActionEntry(REDUCE, 261);
   _actionMap[537][INNER] = ActionEntry(SHIFT, 693);
   _actionMap[537][JOIN] = ActionEntry(SHIFT, 694);
   _actionMap[537][LEFT] = ActionEntry(SHIFT, 695);
   _actionMap[537][RIGHT] = ActionEntry(SHIFT, 696);
   _jumpMap[537][InnerJoin] = 692;
   _jumpMap[537][JoinSpec] = 697;
   _actionMap[538][KSEP] = ActionEntry(REDUCE, 262);
   _actionMap[538][IDENTIFIER] = ActionEntry(SHIFT, 699);
   _actionMap[538][LEFT] = ActionEntry(REDUCE, 262);
   _actionMap[538][RIGHT] = ActionEntry(REDUCE, 262);
   _actionMap[538][INNER] = ActionEntry(REDUCE, 262);
   _actionMap[538][JOIN] = ActionEntry(REDUCE, 262);
   _actionMap[538][RETURNTOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[538][SEMICOLON] = ActionEntry(REDUCE, 262);
   _actionMap[538][RB] = ActionEntry(REDUCE, 262);
   _actionMap[538][ENDTOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[538][UNION] = ActionEntry(REDUCE, 262);
   _actionMap[538][ROWLIMIT] = ActionEntry(REDUCE, 262);
   _actionMap[538][ORDER] = ActionEntry(REDUCE, 262);
   _actionMap[538][GROUP] = ActionEntry(REDUCE, 262);
   _actionMap[538][WHERE] = ActionEntry(REDUCE, 262);
   _actionMap[538][ON] = ActionEntry(REDUCE, 262);
}
void Cego::loadParser178()
{
   _actionMap[539][FROM] = ActionEntry(REDUCE, 247);
   _actionMap[539][RB] = ActionEntry(REDUCE, 247);
   _actionMap[539][SEMICOLON] = ActionEntry(REDUCE, 247);
   _actionMap[539][ENDTOKEN] = ActionEntry(REDUCE, 247);
   _actionMap[539][KSEP] = ActionEntry(REDUCE, 247);
   _actionMap[540][FROM] = ActionEntry(REDUCE, 266);
   _actionMap[540][RB] = ActionEntry(REDUCE, 266);
   _actionMap[540][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[540][ENDTOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[540][KSEP] = ActionEntry(REDUCE, 266);
   _actionMap[541][IDENTIFIER] = ActionEntry(SHIFT, 700);
   _actionMap[542][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[542][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[542][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[542][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[542][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[542][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[542][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[542][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[542][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[542][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[542][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[542][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[542][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[542][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[542][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[542][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[542][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[542][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[542][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[542][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[542][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[542][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[542][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[542][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[542][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[542][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[542][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[542][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[542][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[542][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[542][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[542][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[542][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[542][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[542][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[542][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[542][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[542][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[542][CLOBREF] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser179()
{
   _actionMap[542][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[542][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[542][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[542][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[542][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[542][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[542][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[542][LB] = ActionEntry(SHIFT, 177);
   _actionMap[542][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[542][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[542][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[542][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[542][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[542][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[542][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[542][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[542][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[542][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[542][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[542][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[542][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[542][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[542][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[542][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[542][ObjSpec] = 122;
   _jumpMap[542][Constant] = 121;
   _jumpMap[542][SignedFloat] = 120;
   _jumpMap[542][SignedInt] = 119;
   _jumpMap[542][Attribute] = 118;
   _jumpMap[542][Function] = 117;
   _jumpMap[542][SelectItem] = 701;
   _jumpMap[542][CasePrepare] = 116;
   _jumpMap[542][CaseClause] = 115;
   _jumpMap[542][Factor] = 114;
   _jumpMap[542][Term] = 113;
   _jumpMap[542][Expr] = 362;
   _actionMap[543][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[543][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[543][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[543][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[543][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[543][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[543][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[543][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[543][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[543][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[543][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[543][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[543][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[543][NEWDATE] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser180()
{
   _actionMap[543][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[543][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[543][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[543][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[543][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[543][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[543][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[543][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[543][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[543][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[543][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[543][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[543][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[543][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[543][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[543][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[543][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[543][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[543][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[543][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[543][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[543][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[543][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[543][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[543][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[543][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[543][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[543][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[543][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[543][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[543][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[543][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[543][LB] = ActionEntry(SHIFT, 177);
   _actionMap[543][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[543][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[543][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[543][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[543][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[543][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[543][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[543][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[543][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[543][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[543][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[543][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[543][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[543][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[543][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[543][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[543][ObjSpec] = 122;
}
void Cego::loadParser181()
{
   _jumpMap[543][Constant] = 121;
   _jumpMap[543][SignedFloat] = 120;
   _jumpMap[543][SignedInt] = 119;
   _jumpMap[543][Attribute] = 118;
   _jumpMap[543][Function] = 117;
   _jumpMap[543][CasePrepare] = 116;
   _jumpMap[543][CaseClause] = 115;
   _jumpMap[543][Factor] = 114;
   _jumpMap[543][Term] = 113;
   _jumpMap[543][Expr] = 702;
   _actionMap[544][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[544][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[544][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[544][SEMICOLON] = ActionEntry(REDUCE, 90);
   _actionMap[545][KSEP] = ActionEntry(SHIFT, 704);
   _actionMap[545][SEMICOLON] = ActionEntry(REDUCE, 372);
   _actionMap[545][RETURNTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[545][WHERE] = ActionEntry(SHIFT, 433);
   _jumpMap[545][NoWhere] = 432;
   _jumpMap[545][WhereClause] = 703;
   _actionMap[546][KSEP] = ActionEntry(REDUCE, 298);
   _actionMap[546][WHERE] = ActionEntry(REDUCE, 298);
   _actionMap[546][GROUP] = ActionEntry(REDUCE, 298);
   _actionMap[546][ORDER] = ActionEntry(REDUCE, 298);
   _actionMap[546][ROWLIMIT] = ActionEntry(REDUCE, 298);
   _actionMap[546][UNION] = ActionEntry(REDUCE, 298);
   _actionMap[546][ENDTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[546][RB] = ActionEntry(REDUCE, 298);
   _actionMap[546][SEMICOLON] = ActionEntry(REDUCE, 298);
   _actionMap[546][RETURNTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[547][EQU] = ActionEntry(SHIFT, 705);
   _actionMap[548][LB] = ActionEntry(SHIFT, 706);
   _actionMap[220][SEMICOLON] = ActionEntry(REDUCE, 84);
   _actionMap[221][SEMICOLON] = ActionEntry(REDUCE, 85);
   _actionMap[222][SEMICOLON] = ActionEntry(REDUCE, 78);
   _actionMap[223][SEMICOLON] = ActionEntry(REDUCE, 82);
   _actionMap[224][SEMICOLON] = ActionEntry(REDUCE, 94);
   _actionMap[225][TO] = ActionEntry(REDUCE, 96);
   _actionMap[225][SEMICOLON] = ActionEntry(REDUCE, 96);
   _actionMap[226][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[226][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[226][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[226][ObjSpec] = 384;
   _actionMap[227][SEMICOLON] = ActionEntry(REDUCE, 80);
   _actionMap[228][SEMICOLON] = ActionEntry(REDUCE, 77);
   _actionMap[229][SEMICOLON] = ActionEntry(REDUCE, 83);
   _actionMap[230][SEMICOLON] = ActionEntry(REDUCE, 79);
   _actionMap[231][ADD] = ActionEntry(SHIFT, 387);
   _actionMap[231][DROP] = ActionEntry(SHIFT, 388);
   _actionMap[231][MODIFY] = ActionEntry(SHIFT, 389);
}
void Cego::loadParser182()
{
   _actionMap[231][RENAME] = ActionEntry(SHIFT, 390);
   _jumpMap[231][AlterOption] = 386;
   _jumpMap[231][AlterList] = 385;
   _actionMap[232][BY] = ActionEntry(SHIFT, 391);
   _actionMap[233][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[233][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[233][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[233][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[233][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[233][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[233][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[233][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[233][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[233][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[233][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[233][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[233][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[233][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[233][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[233][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[233][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[233][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[233][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[233][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[233][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[233][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[233][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[233][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[233][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[233][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[233][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[233][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[233][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[233][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[233][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[233][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[233][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[233][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[233][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[233][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[233][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[233][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[233][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[233][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[233][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[233][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[233][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[233][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[233][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[233][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
}
void Cego::loadParser183()
{
   _actionMap[233][LB] = ActionEntry(SHIFT, 177);
   _actionMap[233][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[233][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[233][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[233][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[233][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[233][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[233][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[233][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[233][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[233][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[233][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[233][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[233][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[233][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[233][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[233][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[233][RB] = ActionEntry(REDUCE, 150);
   _jumpMap[233][ObjSpec] = 122;
   _jumpMap[233][Constant] = 121;
   _jumpMap[233][SignedFloat] = 120;
   _jumpMap[233][SignedInt] = 119;
   _jumpMap[233][Attribute] = 118;
   _jumpMap[233][Function] = 117;
   _jumpMap[233][CasePrepare] = 116;
   _jumpMap[233][CaseClause] = 115;
   _jumpMap[233][Factor] = 114;
   _jumpMap[233][Term] = 113;
   _jumpMap[233][Expr] = 394;
   _jumpMap[233][ProcValueList] = 393;
   _jumpMap[233][ProcValueListOpt] = 392;
   _actionMap[234][SEMICOLON] = ActionEntry(REDUCE, 92);
   _actionMap[235][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[235][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[235][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[235][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[235][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[235][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[235][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[235][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[235][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[235][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[235][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[235][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[235][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[235][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[235][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[235][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[235][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[235][RIGHT] = ActionEntry(SHIFT, 163);
}
void Cego::loadParser184()
{
   _actionMap[235][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[235][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[235][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[235][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[235][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[235][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[235][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[235][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[235][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[235][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[235][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[235][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[235][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[235][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[235][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[235][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[235][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[235][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[235][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[235][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[235][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[235][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[235][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[235][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[235][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[235][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[235][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[235][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[235][LB] = ActionEntry(SHIFT, 177);
   _actionMap[235][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[235][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[235][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[235][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[235][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[235][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[235][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[235][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[235][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[235][VARREF] = ActionEntry(SHIFT, 419);
   _actionMap[235][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[235][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[235][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[235][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[235][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[235][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[235][IF] = ActionEntry(SHIFT, 413);
   _actionMap[235][BEGIN] = ActionEntry(SHIFT, 410);
   _actionMap[235][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[235][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[235][ROLLBACK] = ActionEntry(SHIFT, 33);
}
void Cego::loadParser185()
{
   _actionMap[235][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[235][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[235][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[235][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[235][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[235][VAR] = ActionEntry(SHIFT, 417);
   _actionMap[235][CURSOR] = ActionEntry(SHIFT, 412);
   _actionMap[235][CLOSE] = ActionEntry(SHIFT, 411);
   _actionMap[235][NOOP] = ActionEntry(SHIFT, 414);
   _actionMap[235][THROW] = ActionEntry(SHIFT, 416);
   _actionMap[235][RETURNTOKEN] = ActionEntry(SHIFT, 415);
   _actionMap[235][WHILE] = ActionEntry(SHIFT, 418);
   _jumpMap[235][ObjSpec] = 122;
   _jumpMap[235][Constant] = 121;
   _jumpMap[235][SignedFloat] = 120;
   _jumpMap[235][SignedInt] = 119;
   _jumpMap[235][Attribute] = 118;
   _jumpMap[235][Function] = 117;
   _jumpMap[235][DeleteStatement] = 409;
   _jumpMap[235][UpdateStatement] = 408;
   _jumpMap[235][InsertStatement] = 407;
   _jumpMap[235][UnlockStatement] = 406;
   _jumpMap[235][LockStatement] = 405;
   _jumpMap[235][RollbackStatement] = 404;
   _jumpMap[235][CommitStatement] = 403;
   _jumpMap[235][StartStatement] = 402;
   _jumpMap[235][CasePrepare] = 116;
   _jumpMap[235][CaseClause] = 115;
   _jumpMap[235][Factor] = 114;
   _jumpMap[235][Term] = 113;
   _jumpMap[235][Expr] = 401;
   _jumpMap[235][ProcStatement] = 400;
   _jumpMap[235][ProcIfPart] = 399;
   _jumpMap[235][ProcBlockStart] = 398;
   _jumpMap[235][ProcStatementList] = 397;
   _jumpMap[235][ProcStmtBlock] = 396;
   _actionMap[236][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[236][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[236][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[236][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[236][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[236][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[236][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[236][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[236][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[236][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[236][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[236][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[236][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[236][NEWDATE] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser186()
{
   _actionMap[236][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[236][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[236][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[236][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[236][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[236][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[236][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[236][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[236][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[236][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[236][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[236][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[236][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[236][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[236][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[236][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[236][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[236][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[236][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[236][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[236][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[236][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[236][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[236][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[236][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[236][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[236][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[236][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[236][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[236][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[236][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[236][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[236][LB] = ActionEntry(SHIFT, 177);
   _actionMap[236][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[236][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[236][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[236][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[236][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[236][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[236][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[236][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[236][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[236][VARREF] = ActionEntry(SHIFT, 419);
   _actionMap[236][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[236][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[236][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[236][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[236][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[236][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[236][IF] = ActionEntry(SHIFT, 413);
}
void Cego::loadParser187()
{
   _actionMap[236][BEGIN] = ActionEntry(SHIFT, 410);
   _actionMap[236][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[236][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[236][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[236][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[236][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[236][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[236][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[236][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[236][VAR] = ActionEntry(SHIFT, 417);
   _actionMap[236][CURSOR] = ActionEntry(SHIFT, 412);
   _actionMap[236][CLOSE] = ActionEntry(SHIFT, 411);
   _actionMap[236][NOOP] = ActionEntry(SHIFT, 414);
   _actionMap[236][THROW] = ActionEntry(SHIFT, 416);
   _actionMap[236][RETURNTOKEN] = ActionEntry(SHIFT, 415);
   _actionMap[236][WHILE] = ActionEntry(SHIFT, 418);
   _jumpMap[236][ObjSpec] = 122;
   _jumpMap[236][Constant] = 121;
   _jumpMap[236][SignedFloat] = 120;
   _jumpMap[236][SignedInt] = 119;
   _jumpMap[236][Attribute] = 118;
   _jumpMap[236][Function] = 117;
   _jumpMap[236][DeleteStatement] = 409;
   _jumpMap[236][UpdateStatement] = 408;
   _jumpMap[236][InsertStatement] = 407;
   _jumpMap[236][UnlockStatement] = 406;
   _jumpMap[236][LockStatement] = 405;
   _jumpMap[236][RollbackStatement] = 404;
   _jumpMap[236][CommitStatement] = 403;
   _jumpMap[236][StartStatement] = 402;
   _jumpMap[236][CasePrepare] = 116;
   _jumpMap[236][CaseClause] = 115;
   _jumpMap[236][Factor] = 114;
   _jumpMap[236][Term] = 113;
   _jumpMap[236][Expr] = 401;
   _jumpMap[236][ProcStatement] = 400;
   _jumpMap[236][ProcIfPart] = 399;
   _jumpMap[236][ProcBlockStart] = 398;
   _jumpMap[236][ProcStatementList] = 397;
   _jumpMap[236][ProcStmtBlock] = 420;
   _actionMap[237][IDENTIFIER] = ActionEntry(SHIFT, 421);
   _actionMap[238][ON] = ActionEntry(REDUCE, 219);
   _actionMap[238][IDENTIFIER] = ActionEntry(REDUCE, 219);
   _actionMap[239][ON] = ActionEntry(REDUCE, 218);
   _actionMap[239][IDENTIFIER] = ActionEntry(REDUCE, 218);
   _actionMap[240][ON] = ActionEntry(SHIFT, 422);
   _actionMap[241][SEMICOLON] = ActionEntry(REDUCE, 93);
   _actionMap[242][ON] = ActionEntry(SHIFT, 423);
   _actionMap[243][LB] = ActionEntry(SHIFT, 424);
   _actionMap[244][LB] = ActionEntry(SHIFT, 425);
}
void Cego::loadParser188()
{
   _actionMap[245][BEFORE] = ActionEntry(SHIFT, 428);
   _actionMap[245][AFTER] = ActionEntry(SHIFT, 427);
   _jumpMap[245][TriggerEvent] = 426;
   _actionMap[246][AS] = ActionEntry(SHIFT, 429);
   _actionMap[247][IDENTIFIER] = ActionEntry(SHIFT, 382);
   _actionMap[247][WHERE] = ActionEntry(REDUCE, 309);
   _actionMap[247][GROUP] = ActionEntry(REDUCE, 309);
   _actionMap[247][ORDER] = ActionEntry(REDUCE, 309);
   _actionMap[247][ROWLIMIT] = ActionEntry(REDUCE, 309);
   _actionMap[247][UNION] = ActionEntry(REDUCE, 309);
   _actionMap[247][ENDTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[247][RB] = ActionEntry(REDUCE, 309);
   _actionMap[247][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[247][RETURNTOKEN] = ActionEntry(REDUCE, 309);
   _jumpMap[247][NoWhere] = 432;
   _jumpMap[247][WhereClause] = 431;
   _jumpMap[247][UpdDelAlias] = 430;
   _actionMap[248][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[249][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[250][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[251][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[252][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[252][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[252][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[252][ObjSpec] = 434;
   _actionMap[253][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[254][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[255][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[256][COUNTER] = ActionEntry(REDUCE, 87);
   _actionMap[256][ALIAS] = ActionEntry(REDUCE, 87);
   _actionMap[256][BTREE] = ActionEntry(REDUCE, 87);
   _actionMap[256][INDEX] = ActionEntry(REDUCE, 87);
   _actionMap[256][TRIGGER] = ActionEntry(REDUCE, 87);
   _actionMap[256][CHECK] = ActionEntry(REDUCE, 87);
   _actionMap[256][FOREIGN] = ActionEntry(REDUCE, 87);
   _actionMap[256][PROCEDURE] = ActionEntry(REDUCE, 87);
   _actionMap[256][VIEW] = ActionEntry(REDUCE, 87);
   _actionMap[256][AVLTREE] = ActionEntry(REDUCE, 87);
   _actionMap[256][TABLE] = ActionEntry(REDUCE, 87);
   _actionMap[257][LB] = ActionEntry(SHIFT, 439);
   _actionMap[257][VALUES] = ActionEntry(REDUCE, 230);
   _actionMap[257][SELECT] = ActionEntry(REDUCE, 230);
   _jumpMap[257][SelectStatement] = 437;
   _jumpMap[257][InsertPrepare] = 436;
   _jumpMap[257][InsertArgSpec] = 435;
   _actionMap[258][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[258][IDENTIFIER] = ActionEntry(REDUCE, 98);
   _actionMap[259][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[260][IDENTIFIER] = ActionEntry(SHIFT, 440);
   _actionMap[261][SEMICOLON] = ActionEntry(REDUCE, 14);
}
void Cego::loadParser189()
{
   _actionMap[262][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[263][SEMICOLON] = ActionEntry(REDUCE, 12);
   _actionMap[264][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[265][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[266][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[267][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[268][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[269][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[270][SEMICOLON] = ActionEntry(REDUCE, 13);
   _actionMap[271][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[272][INTOK] = ActionEntry(SHIFT, 443);
   _actionMap[272][NOT] = ActionEntry(SHIFT, 446);
   _actionMap[272][BETWEEN] = ActionEntry(SHIFT, 442);
   _actionMap[272][IS] = ActionEntry(SHIFT, 444);
   _actionMap[272][LIKE] = ActionEntry(SHIFT, 445);
   _actionMap[272][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[272][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[272][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[272][EQU] = ActionEntry(SHIFT, 447);
   _actionMap[272][NEGATION] = ActionEntry(SHIFT, 450);
   _actionMap[272][LT] = ActionEntry(SHIFT, 448);
   _actionMap[272][MT] = ActionEntry(SHIFT, 449);
   _jumpMap[272][Comparison] = 441;
   _actionMap[273][AND] = ActionEntry(SHIFT, 451);
   _actionMap[273][OR] = ActionEntry(SHIFT, 452);
   _actionMap[273][SEMICOLON] = ActionEntry(REDUCE, 73);
   _actionMap[274][LEFT] = ActionEntry(REDUCE, 375);
   _actionMap[274][RIGHT] = ActionEntry(REDUCE, 375);
   _actionMap[274][INNER] = ActionEntry(REDUCE, 375);
   _actionMap[274][JOIN] = ActionEntry(REDUCE, 375);
   _actionMap[274][RETURNTOKEN] = ActionEntry(REDUCE, 375);
   _actionMap[274][SEMICOLON] = ActionEntry(REDUCE, 375);
   _actionMap[274][ENDTOKEN] = ActionEntry(REDUCE, 375);
   _actionMap[274][UNION] = ActionEntry(REDUCE, 375);
   _actionMap[274][ROWLIMIT] = ActionEntry(REDUCE, 375);
   _actionMap[274][ORDER] = ActionEntry(REDUCE, 375);
   _actionMap[274][GROUP] = ActionEntry(REDUCE, 375);
   _actionMap[274][WHERE] = ActionEntry(REDUCE, 375);
   _actionMap[274][THEN] = ActionEntry(REDUCE, 375);
   _actionMap[274][RB] = ActionEntry(REDUCE, 375);
   _actionMap[274][OR] = ActionEntry(REDUCE, 375);
   _actionMap[274][AND] = ActionEntry(REDUCE, 375);
   _actionMap[275][LB] = ActionEntry(SHIFT, 453);
   _actionMap[276][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[276][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[276][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[276][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[276][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[276][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[276][RTRIM] = ActionEntry(SHIFT, 165);
}
void Cego::loadParser190()
{
   _actionMap[276][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[276][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[276][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[276][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[276][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[276][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[276][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[276][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[276][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[276][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[276][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[276][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[276][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[276][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[276][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[276][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[276][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[276][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[276][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[276][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[276][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[276][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[276][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[276][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[276][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[276][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[276][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[276][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[276][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[276][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[276][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[276][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[276][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[276][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[276][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[276][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[276][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[276][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[276][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[276][LB] = ActionEntry(SHIFT, 277);
   _actionMap[276][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[276][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[276][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[276][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[276][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[276][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[276][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[276][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[276][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[276][VARREF] = ActionEntry(SHIFT, 182);
}
void Cego::loadParser191()
{
   _actionMap[276][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[276][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[276][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[276][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[276][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[276][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[276][EXISTS] = ActionEntry(SHIFT, 275);
   _actionMap[276][NOT] = ActionEntry(SHIFT, 276);
   _jumpMap[276][ObjSpec] = 122;
   _jumpMap[276][Constant] = 121;
   _jumpMap[276][SignedFloat] = 120;
   _jumpMap[276][SignedInt] = 119;
   _jumpMap[276][Attribute] = 118;
   _jumpMap[276][QueryPredicate] = 454;
   _jumpMap[276][Function] = 117;
   _jumpMap[276][CasePrepare] = 116;
   _jumpMap[276][CaseClause] = 115;
   _jumpMap[276][Factor] = 114;
   _jumpMap[276][Term] = 113;
   _jumpMap[276][Expr] = 272;
   _actionMap[277][LONG] = ActionEntry(SHIFT, 343);
   _actionMap[277][BIGINT] = ActionEntry(SHIFT, 340);
   _actionMap[277][SMALLINT] = ActionEntry(SHIFT, 344);
   _actionMap[277][TINYINT] = ActionEntry(SHIFT, 345);
   _actionMap[277][DOUBLE] = ActionEntry(SHIFT, 342);
   _actionMap[277][DECIMAL] = ActionEntry(SHIFT, 341);
   _actionMap[277][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[277][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[277][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[277][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[277][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[277][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[277][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[277][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[277][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[277][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[277][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[277][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[277][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[277][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[277][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[277][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[277][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[277][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[277][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[277][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[277][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[277][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[277][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[277][STR2INT] = ActionEntry(SHIFT, 171);
}
void Cego::loadParser192()
{
   _actionMap[277][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[277][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[277][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[277][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[277][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[277][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[277][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[277][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[277][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[277][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[277][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[277][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[277][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[277][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[277][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[277][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[277][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[277][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[277][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[277][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[277][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[277][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[277][LB] = ActionEntry(SHIFT, 277);
   _actionMap[277][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[277][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[277][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[277][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[277][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[277][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[277][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[277][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[277][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[277][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[277][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[277][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[277][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[277][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[277][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[277][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[277][SELECT] = ActionEntry(SHIFT, 34);
   _actionMap[277][EXISTS] = ActionEntry(SHIFT, 275);
   _actionMap[277][NOT] = ActionEntry(SHIFT, 276);
   _jumpMap[277][ObjSpec] = 122;
   _jumpMap[277][Constant] = 121;
   _jumpMap[277][SignedFloat] = 120;
   _jumpMap[277][SignedInt] = 119;
   _jumpMap[277][Attribute] = 118;
   _jumpMap[277][QueryPredicate] = 274;
   _jumpMap[277][QueryCondition] = 456;
   _jumpMap[277][Function] = 117;
}
void Cego::loadParser193()
{
   _jumpMap[277][SelectStatement] = 339;
   _jumpMap[277][CasePrepare] = 116;
   _jumpMap[277][CaseClause] = 115;
   _jumpMap[277][Factor] = 114;
   _jumpMap[277][Term] = 113;
   _jumpMap[277][Expr] = 455;
   _actionMap[278][AS] = ActionEntry(SHIFT, 457);
   _actionMap[279][SEMICOLON] = ActionEntry(REDUCE, 225);
   _actionMap[280][SEMICOLON] = ActionEntry(REDUCE, 226);
   _actionMap[281][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[281][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[281][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[281][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[281][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[281][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[281][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[281][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[281][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[281][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[281][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[281][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[281][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[281][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[281][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[281][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[281][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[281][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[281][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[281][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[281][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[281][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[281][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[281][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[281][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[281][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[281][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[281][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[281][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[281][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[281][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[281][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[281][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[281][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[281][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[281][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[281][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[281][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[281][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[281][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[281][BLOBREF] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser194()
{
   _actionMap[281][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[281][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[281][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[281][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[281][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[281][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[281][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[281][LB] = ActionEntry(SHIFT, 177);
   _actionMap[281][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[281][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[281][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[281][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[281][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[281][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[281][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[281][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[281][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[281][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[281][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[281][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[281][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[281][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[281][ObjSpec] = 122;
   _jumpMap[281][Constant] = 121;
   _jumpMap[281][SignedFloat] = 120;
   _jumpMap[281][SignedInt] = 119;
   _jumpMap[281][Attribute] = 118;
   _jumpMap[281][Function] = 117;
   _jumpMap[281][CasePrepare] = 116;
   _jumpMap[281][CaseClause] = 115;
   _jumpMap[281][Factor] = 114;
   _jumpMap[281][Term] = 458;
   _actionMap[282][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[282][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[282][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[282][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[282][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[282][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[282][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[282][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[282][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[282][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[282][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[282][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[282][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[282][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[282][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[282][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[282][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[282][NEWDATE] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser195()
{
   _actionMap[282][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[282][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[282][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[282][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[282][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[282][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[282][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[282][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[282][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[282][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[282][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[282][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[282][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[282][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[282][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[282][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[282][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[282][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[282][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[282][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[282][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[282][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[282][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[282][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[282][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[282][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[282][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[282][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[282][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[282][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[282][LB] = ActionEntry(SHIFT, 177);
   _actionMap[282][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[282][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[282][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[282][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[282][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[282][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[282][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[282][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[282][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[282][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[282][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[282][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[282][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[282][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[282][ObjSpec] = 122;
   _jumpMap[282][Constant] = 121;
   _jumpMap[282][SignedFloat] = 120;
   _jumpMap[282][SignedInt] = 119;
   _jumpMap[282][Attribute] = 118;
}
void Cego::loadParser196()
{
   _jumpMap[282][Function] = 117;
   _jumpMap[282][CasePrepare] = 116;
   _jumpMap[282][CaseClause] = 115;
   _jumpMap[282][Factor] = 114;
   _jumpMap[282][Term] = 459;
   _actionMap[283][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[283][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[283][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[283][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[283][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[283][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[283][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[283][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[283][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[283][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[283][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[283][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[283][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[283][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[283][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[283][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[283][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[283][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[283][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[283][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[283][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[283][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[283][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[283][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[283][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[283][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[283][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[283][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[283][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[283][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[283][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[283][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[283][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[283][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[283][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[283][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[283][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[283][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[283][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[283][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[283][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[283][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[283][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[283][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[283][NEXTCOUNT] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser197()
{
   _actionMap[283][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[283][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[283][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[283][LB] = ActionEntry(SHIFT, 177);
   _actionMap[283][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[283][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[283][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[283][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[283][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[283][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[283][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[283][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[283][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[283][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[283][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[283][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[283][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[283][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[283][ObjSpec] = 122;
   _jumpMap[283][Constant] = 121;
   _jumpMap[283][SignedFloat] = 120;
   _jumpMap[283][SignedInt] = 119;
   _jumpMap[283][Attribute] = 118;
   _jumpMap[283][Function] = 117;
   _jumpMap[283][CasePrepare] = 116;
   _jumpMap[283][CaseClause] = 115;
   _jumpMap[283][Factor] = 114;
   _jumpMap[283][Term] = 460;
   _actionMap[284][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[284][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[284][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[284][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[284][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[284][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[284][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[284][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[284][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[284][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[284][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[284][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[284][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[284][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[284][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[284][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[284][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[284][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[284][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[284][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[284][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[284][RIGHT] = ActionEntry(SHIFT, 163);
}
void Cego::loadParser198()
{
   _actionMap[284][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[284][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[284][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[284][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[284][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[284][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[284][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[284][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[284][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[284][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[284][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[284][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[284][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[284][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[284][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[284][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[284][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[284][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[284][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[284][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[284][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[284][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[284][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[284][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[284][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[284][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[284][LB] = ActionEntry(SHIFT, 177);
   _actionMap[284][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[284][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[284][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[284][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[284][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[284][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[284][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[284][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[284][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[284][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[284][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[284][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[284][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[284][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[284][ObjSpec] = 122;
   _jumpMap[284][Constant] = 121;
   _jumpMap[284][SignedFloat] = 120;
   _jumpMap[284][SignedInt] = 119;
   _jumpMap[284][Attribute] = 118;
   _jumpMap[284][Function] = 117;
   _jumpMap[284][CasePrepare] = 116;
   _jumpMap[284][CaseClause] = 115;
   _jumpMap[284][Factor] = 461;
}
void Cego::loadParser199()
{
   _actionMap[285][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[285][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[285][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[285][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[285][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[285][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[285][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[285][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[285][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[285][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[285][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[285][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[285][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[285][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[285][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[285][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[285][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[285][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[285][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[285][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[285][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[285][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[285][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[285][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[285][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[285][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[285][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[285][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[285][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[285][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[285][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[285][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[285][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[285][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[285][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[285][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[285][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[285][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[285][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[285][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[285][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[285][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[285][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[285][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[285][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[285][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[285][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[285][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[285][LB] = ActionEntry(SHIFT, 177);
   _actionMap[285][STRINGVAL] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser200()
{
   _actionMap[285][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[285][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[285][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[285][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[285][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[285][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[285][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[285][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[285][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[285][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[285][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[285][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[285][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[285][ObjSpec] = 122;
   _jumpMap[285][Constant] = 121;
   _jumpMap[285][SignedFloat] = 120;
   _jumpMap[285][SignedInt] = 119;
   _jumpMap[285][Attribute] = 118;
   _jumpMap[285][Function] = 117;
   _jumpMap[285][CasePrepare] = 116;
   _jumpMap[285][CaseClause] = 115;
   _jumpMap[285][Factor] = 462;
   _actionMap[286][ELSE] = ActionEntry(SHIFT, 464);
   _actionMap[286][WHEN] = ActionEntry(SHIFT, 288);
   _jumpMap[286][CaseCondition] = 463;
   _actionMap[287][WHEN] = ActionEntry(REDUCE, 196);
   _actionMap[287][ELSE] = ActionEntry(REDUCE, 196);
   _actionMap[288][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[288][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[288][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[288][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[288][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[288][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[288][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[288][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[288][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[288][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[288][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[288][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[288][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[288][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[288][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[288][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[288][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[288][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[288][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[288][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[288][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[288][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[288][TRUNC] = ActionEntry(SHIFT, 175);
}
void Cego::loadParser201()
{
   _actionMap[288][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[288][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[288][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[288][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[288][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[288][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[288][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[288][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[288][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[288][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[288][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[288][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[288][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[288][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[288][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[288][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[288][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[288][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[288][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[288][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[288][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[288][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[288][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[288][LB] = ActionEntry(SHIFT, 277);
   _actionMap[288][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[288][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[288][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[288][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[288][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[288][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[288][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[288][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[288][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[288][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[288][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[288][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[288][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[288][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[288][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[288][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[288][EXISTS] = ActionEntry(SHIFT, 275);
   _actionMap[288][NOT] = ActionEntry(SHIFT, 276);
   _jumpMap[288][ObjSpec] = 122;
   _jumpMap[288][Constant] = 121;
   _jumpMap[288][SignedFloat] = 120;
   _jumpMap[288][SignedInt] = 119;
   _jumpMap[288][Attribute] = 118;
   _jumpMap[288][QueryPredicate] = 274;
   _jumpMap[288][QueryCondition] = 465;
   _jumpMap[288][Function] = 117;
}
void Cego::loadParser202()
{
   _jumpMap[288][CasePrepare] = 116;
   _jumpMap[288][CaseClause] = 115;
   _jumpMap[288][Factor] = 114;
   _jumpMap[288][Term] = 113;
   _jumpMap[288][Expr] = 272;
   _actionMap[289][RB] = ActionEntry(SHIFT, 468);
   _actionMap[289][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[289][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[289][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[289][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[289][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[289][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[289][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[289][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[289][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[289][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[289][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[289][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[289][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[289][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[289][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[289][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[289][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[289][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[289][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[289][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[289][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[289][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[289][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[289][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[289][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[289][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[289][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[289][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[289][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[289][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[289][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[289][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[289][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[289][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[289][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[289][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[289][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[289][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[289][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[289][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[289][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[289][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[289][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[289][IDENTIFIER] = ActionEntry(SHIFT, 181);
}
void Cego::loadParser203()
{
   _actionMap[289][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[289][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[289][LB] = ActionEntry(SHIFT, 177);
   _actionMap[289][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[289][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[289][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[289][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[289][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[289][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[289][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[289][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[289][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[289][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[289][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[289][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[289][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[289][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[289][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[289][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[289][ObjSpec] = 122;
   _jumpMap[289][Constant] = 121;
   _jumpMap[289][SignedFloat] = 120;
   _jumpMap[289][SignedInt] = 119;
   _jumpMap[289][Attribute] = 118;
   _jumpMap[289][ExpressionList] = 467;
   _jumpMap[289][Function] = 117;
   _jumpMap[289][CasePrepare] = 116;
   _jumpMap[289][CaseClause] = 115;
   _jumpMap[289][Factor] = 114;
   _jumpMap[289][Term] = 113;
   _jumpMap[289][Expr] = 466;
   _actionMap[290][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[290][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[290][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[290][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[290][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[290][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[290][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[290][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[290][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[290][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[290][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[290][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[290][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[290][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[290][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[290][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[290][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[290][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[290][GETPOS] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser204()
{
   _actionMap[290][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[290][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[290][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[290][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[290][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[290][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[290][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[290][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[290][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[290][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[290][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[290][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[290][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[290][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[290][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[290][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[290][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[290][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[290][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[290][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[290][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[290][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[290][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[290][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[290][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[290][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[290][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[290][LB] = ActionEntry(SHIFT, 177);
   _actionMap[290][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[290][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[290][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[290][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[290][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[290][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[290][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[290][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[290][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[290][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[290][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[290][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[290][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[290][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[290][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[290][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[290][ObjSpec] = 122;
   _jumpMap[290][Constant] = 121;
   _jumpMap[290][SignedFloat] = 120;
   _jumpMap[290][SignedInt] = 119;
   _jumpMap[290][Attribute] = 118;
   _jumpMap[290][ExpressionList] = 469;
}
void Cego::loadParser205()
{
   _jumpMap[290][Function] = 117;
   _jumpMap[290][CasePrepare] = 116;
   _jumpMap[290][CaseClause] = 115;
   _jumpMap[290][Factor] = 114;
   _jumpMap[290][Term] = 113;
   _jumpMap[290][Expr] = 466;
   _actionMap[291][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[291][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[291][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[291][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[291][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[291][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[291][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[291][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[291][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[291][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[291][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[291][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[291][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[291][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[291][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[291][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[291][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[291][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[291][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[291][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[291][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[291][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[291][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[291][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[291][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[291][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[291][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[291][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[291][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[291][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[291][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[291][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[291][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[291][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[291][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[291][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[291][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[291][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[291][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[291][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[291][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[291][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[291][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[291][IDENTIFIER] = ActionEntry(SHIFT, 181);
}
void Cego::loadParser206()
{
   _actionMap[291][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[291][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[291][LB] = ActionEntry(SHIFT, 177);
   _actionMap[291][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[291][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[291][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[291][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[291][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[291][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[291][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[291][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[291][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[291][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[291][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[291][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[291][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[291][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[291][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[291][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[291][ObjSpec] = 122;
   _jumpMap[291][Constant] = 121;
   _jumpMap[291][SignedFloat] = 120;
   _jumpMap[291][SignedInt] = 119;
   _jumpMap[291][Attribute] = 118;
   _jumpMap[291][Function] = 117;
   _jumpMap[291][CasePrepare] = 116;
   _jumpMap[291][CaseClause] = 115;
   _jumpMap[291][Factor] = 114;
   _jumpMap[291][Term] = 113;
   _jumpMap[291][Expr] = 470;
   _actionMap[292][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[292][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[292][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[292][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[292][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[292][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[292][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[292][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[292][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[292][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[292][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[292][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[292][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[292][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[292][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[292][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[292][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[292][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[292][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[292][SUBSTR] = ActionEntry(SHIFT, 168);
}
void Cego::loadParser207()
{
   _actionMap[292][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[292][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[292][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[292][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[292][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[292][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[292][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[292][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[292][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[292][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[292][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[292][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[292][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[292][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[292][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[292][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[292][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[292][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[292][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[292][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[292][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[292][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[292][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[292][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[292][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[292][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[292][LB] = ActionEntry(SHIFT, 177);
   _actionMap[292][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[292][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[292][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[292][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[292][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[292][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[292][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[292][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[292][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[292][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[292][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[292][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[292][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[292][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[292][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[292][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[292][ObjSpec] = 122;
   _jumpMap[292][Constant] = 121;
   _jumpMap[292][SignedFloat] = 120;
   _jumpMap[292][SignedInt] = 119;
   _jumpMap[292][Attribute] = 118;
   _jumpMap[292][ExpressionList] = 471;
   _jumpMap[292][Function] = 117;
}
void Cego::loadParser208()
{
   _jumpMap[292][CasePrepare] = 116;
   _jumpMap[292][CaseClause] = 115;
   _jumpMap[292][Factor] = 114;
   _jumpMap[292][Term] = 113;
   _jumpMap[292][Expr] = 466;
   _actionMap[293][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[293][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[293][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[293][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[293][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[293][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[293][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[293][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[293][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[293][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[293][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[293][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[293][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[293][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[293][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[293][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[293][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[293][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[293][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[293][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[293][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[293][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[293][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[293][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[293][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[293][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[293][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[293][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[293][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[293][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[293][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[293][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[293][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[293][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[293][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[293][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[293][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[293][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[293][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[293][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[293][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[293][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[293][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[293][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[293][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
}
void Cego::loadParser209()
{
   _actionMap[293][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[293][LB] = ActionEntry(SHIFT, 177);
   _actionMap[293][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[293][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[293][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[293][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[293][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[293][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[293][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[293][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[293][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[293][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[293][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[293][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[293][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[293][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[293][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[293][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[293][ObjSpec] = 122;
   _jumpMap[293][Constant] = 121;
   _jumpMap[293][SignedFloat] = 120;
   _jumpMap[293][SignedInt] = 119;
   _jumpMap[293][Attribute] = 118;
   _jumpMap[293][ExpressionList] = 472;
   _jumpMap[293][Function] = 117;
   _jumpMap[293][CasePrepare] = 116;
   _jumpMap[293][CaseClause] = 115;
   _jumpMap[293][Factor] = 114;
   _jumpMap[293][Term] = 113;
   _jumpMap[293][Expr] = 466;
   _actionMap[294][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[294][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[294][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[294][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[294][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[294][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[294][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[294][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[294][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[294][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[294][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[294][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[294][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[294][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[294][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[294][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[294][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[294][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[294][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[294][SUBSTR] = ActionEntry(SHIFT, 168);
}
void Cego::loadParser210()
{
   _actionMap[294][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[294][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[294][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[294][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[294][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[294][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[294][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[294][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[294][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[294][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[294][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[294][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[294][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[294][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[294][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[294][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[294][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[294][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[294][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[294][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[294][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[294][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[294][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[294][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[294][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[294][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[294][LB] = ActionEntry(SHIFT, 177);
   _actionMap[294][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[294][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[294][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[294][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[294][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[294][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[294][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[294][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[294][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[294][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[294][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[294][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[294][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[294][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[294][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[294][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[294][ObjSpec] = 122;
   _jumpMap[294][Constant] = 121;
   _jumpMap[294][SignedFloat] = 120;
   _jumpMap[294][SignedInt] = 119;
   _jumpMap[294][Attribute] = 118;
   _jumpMap[294][ExpressionList] = 473;
   _jumpMap[294][Function] = 117;
}
void Cego::loadParser211()
{
   _jumpMap[294][CasePrepare] = 116;
   _jumpMap[294][CaseClause] = 115;
   _jumpMap[294][Factor] = 114;
   _jumpMap[294][Term] = 113;
   _jumpMap[294][Expr] = 466;
   _actionMap[295][INTVAL] = ActionEntry(SHIFT, 474);
   _actionMap[296][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[296][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[296][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[296][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[296][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[296][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[296][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[296][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[296][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[296][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[296][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[296][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[296][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[296][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[296][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[296][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[296][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[296][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[296][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[296][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[296][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[296][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[296][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[296][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[296][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[296][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[296][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[296][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[296][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[296][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[296][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[296][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[296][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[296][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[296][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[296][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[296][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[296][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[296][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[296][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[296][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[296][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[296][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[296][IDENTIFIER] = ActionEntry(SHIFT, 181);
}
void Cego::loadParser212()
{
   _actionMap[296][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[296][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[296][LB] = ActionEntry(SHIFT, 177);
   _actionMap[296][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[296][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[296][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[296][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[296][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[296][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[296][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[296][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[296][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[296][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[296][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[296][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[296][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[296][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[296][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[296][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[296][ObjSpec] = 122;
   _jumpMap[296][Constant] = 121;
   _jumpMap[296][SignedFloat] = 120;
   _jumpMap[296][SignedInt] = 119;
   _jumpMap[296][Attribute] = 118;
   _jumpMap[296][ExpressionList] = 475;
   _jumpMap[296][Function] = 117;
   _jumpMap[296][CasePrepare] = 116;
   _jumpMap[296][CaseClause] = 115;
   _jumpMap[296][Factor] = 114;
   _jumpMap[296][Term] = 113;
   _jumpMap[296][Expr] = 466;
   _actionMap[297][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[297][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[297][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[297][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[297][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[297][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[297][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[297][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[297][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[297][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[297][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[297][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[297][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[297][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[297][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[297][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[297][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[297][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[297][GETPOS] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser213()
{
   _actionMap[297][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[297][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[297][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[297][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[297][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[297][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[297][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[297][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[297][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[297][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[297][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[297][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[297][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[297][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[297][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[297][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[297][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[297][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[297][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[297][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[297][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[297][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[297][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[297][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[297][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[297][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[297][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[297][LB] = ActionEntry(SHIFT, 177);
   _actionMap[297][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[297][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[297][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[297][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[297][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[297][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[297][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[297][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[297][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[297][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[297][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[297][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[297][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[297][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[297][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[297][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[297][ObjSpec] = 122;
   _jumpMap[297][Constant] = 121;
   _jumpMap[297][SignedFloat] = 120;
   _jumpMap[297][SignedInt] = 119;
   _jumpMap[297][Attribute] = 118;
   _jumpMap[297][ExpressionList] = 476;
}
void Cego::loadParser214()
{
   _jumpMap[297][Function] = 117;
   _jumpMap[297][CasePrepare] = 116;
   _jumpMap[297][CaseClause] = 115;
   _jumpMap[297][Factor] = 114;
   _jumpMap[297][Term] = 113;
   _jumpMap[297][Expr] = 466;
   _actionMap[298][INTVAL] = ActionEntry(SHIFT, 477);
   _actionMap[299][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[299][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[299][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[299][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[299][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[299][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[299][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[299][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[299][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[299][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[299][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[299][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[299][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[299][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[299][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[299][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[299][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[299][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[299][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[299][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[299][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[299][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[299][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[299][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[299][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[299][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[299][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[299][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[299][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[299][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[299][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[299][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[299][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[299][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[299][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[299][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[299][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[299][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[299][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[299][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[299][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[299][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[299][GETCOUNT] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser215()
{
   _actionMap[299][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[299][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[299][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[299][LB] = ActionEntry(SHIFT, 177);
   _actionMap[299][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[299][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[299][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[299][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[299][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[299][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[299][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[299][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[299][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[299][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[299][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[299][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[299][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[299][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[299][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[299][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[299][ObjSpec] = 122;
   _jumpMap[299][Constant] = 121;
   _jumpMap[299][SignedFloat] = 120;
   _jumpMap[299][SignedInt] = 119;
   _jumpMap[299][Attribute] = 118;
   _jumpMap[299][ExpressionList] = 478;
   _jumpMap[299][Function] = 117;
   _jumpMap[299][CasePrepare] = 116;
   _jumpMap[299][CaseClause] = 115;
   _jumpMap[299][Factor] = 114;
   _jumpMap[299][Term] = 113;
   _jumpMap[299][Expr] = 466;
   _actionMap[300][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[300][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[300][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[300][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[300][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[300][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[300][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[300][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[300][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[300][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[300][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[300][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[300][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[300][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[300][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[300][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[300][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[300][RIGHT] = ActionEntry(SHIFT, 163);
}
void Cego::loadParser216()
{
   _actionMap[300][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[300][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[300][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[300][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[300][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[300][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[300][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[300][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[300][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[300][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[300][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[300][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[300][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[300][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[300][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[300][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[300][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[300][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[300][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[300][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[300][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[300][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[300][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[300][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[300][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[300][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[300][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[300][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[300][LB] = ActionEntry(SHIFT, 177);
   _actionMap[300][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[300][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[300][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[300][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[300][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[300][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[300][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[300][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[300][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[300][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[300][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[300][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[300][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[300][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[300][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[300][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[300][ObjSpec] = 122;
   _jumpMap[300][Constant] = 121;
   _jumpMap[300][SignedFloat] = 120;
   _jumpMap[300][SignedInt] = 119;
   _jumpMap[300][Attribute] = 118;
}
void Cego::loadParser217()
{
   _jumpMap[300][ExpressionList] = 479;
   _jumpMap[300][Function] = 117;
   _jumpMap[300][CasePrepare] = 116;
   _jumpMap[300][CaseClause] = 115;
   _jumpMap[300][Factor] = 114;
   _jumpMap[300][Term] = 113;
   _jumpMap[300][Expr] = 466;
   _actionMap[301][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[301][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[301][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[301][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[301][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[301][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[301][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[301][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[301][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[301][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[301][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[301][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[301][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[301][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[301][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[301][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[301][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[301][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[301][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[301][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[301][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[301][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[301][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[301][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[301][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[301][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[301][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[301][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[301][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[301][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[301][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[301][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[301][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[301][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[301][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[301][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[301][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[301][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[301][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[301][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[301][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[301][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[301][GETCOUNT] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser218()
{
   _actionMap[301][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[301][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[301][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[301][LB] = ActionEntry(SHIFT, 177);
   _actionMap[301][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[301][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[301][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[301][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[301][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[301][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[301][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[301][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[301][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[301][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[301][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[301][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[301][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[301][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[301][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[301][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[301][ObjSpec] = 122;
   _jumpMap[301][Constant] = 121;
   _jumpMap[301][SignedFloat] = 120;
   _jumpMap[301][SignedInt] = 119;
   _jumpMap[301][Attribute] = 118;
   _jumpMap[301][ExpressionList] = 480;
   _jumpMap[301][Function] = 117;
   _jumpMap[301][CasePrepare] = 116;
   _jumpMap[301][CaseClause] = 115;
   _jumpMap[301][Factor] = 114;
   _jumpMap[301][Term] = 113;
   _jumpMap[301][Expr] = 466;
   _actionMap[302][STAR] = ActionEntry(SHIFT, 482);
   _actionMap[302][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[302][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[302][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[302][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[302][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[302][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[302][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[302][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[302][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[302][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[302][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[302][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[302][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[302][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[302][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[302][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[302][LEFT] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser219()
{
   _actionMap[302][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[302][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[302][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[302][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[302][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[302][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[302][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[302][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[302][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[302][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[302][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[302][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[302][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[302][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[302][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[302][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[302][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[302][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[302][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[302][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[302][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[302][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[302][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[302][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[302][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[302][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[302][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[302][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[302][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[302][LB] = ActionEntry(SHIFT, 177);
   _actionMap[302][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[302][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[302][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[302][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[302][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[302][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[302][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[302][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[302][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[302][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[302][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[302][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[302][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[302][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[302][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[302][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[302][ObjSpec] = 122;
   _jumpMap[302][Constant] = 121;
   _jumpMap[302][SignedFloat] = 120;
   _jumpMap[302][SignedInt] = 119;
}
void Cego::loadParser220()
{
   _jumpMap[302][Attribute] = 118;
   _jumpMap[302][Function] = 117;
   _jumpMap[302][CasePrepare] = 116;
   _jumpMap[302][CaseClause] = 115;
   _jumpMap[302][Factor] = 114;
   _jumpMap[302][Term] = 113;
   _jumpMap[302][Expr] = 481;
   _actionMap[303][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[303][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[303][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[303][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[303][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[303][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[303][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[303][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[303][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[303][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[303][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[303][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[303][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[303][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[303][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[303][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[303][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[303][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[303][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[303][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[303][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[303][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[303][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[303][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[303][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[303][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[303][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[303][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[303][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[303][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[303][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[303][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[303][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[303][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[303][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[303][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[303][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[303][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[303][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[303][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[303][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[303][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[303][GETCOUNT] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser221()
{
   _actionMap[303][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[303][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[303][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[303][LB] = ActionEntry(SHIFT, 177);
   _actionMap[303][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[303][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[303][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[303][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[303][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[303][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[303][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[303][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[303][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[303][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[303][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[303][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[303][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[303][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[303][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[303][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[303][ObjSpec] = 122;
   _jumpMap[303][Constant] = 121;
   _jumpMap[303][SignedFloat] = 120;
   _jumpMap[303][SignedInt] = 119;
   _jumpMap[303][Attribute] = 118;
   _jumpMap[303][ExpressionList] = 483;
   _jumpMap[303][Function] = 117;
   _jumpMap[303][CasePrepare] = 116;
   _jumpMap[303][CaseClause] = 115;
   _jumpMap[303][Factor] = 114;
   _jumpMap[303][Term] = 113;
   _jumpMap[303][Expr] = 466;
   _actionMap[304][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[304][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[304][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[304][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[304][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[304][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[304][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[304][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[304][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[304][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[304][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[304][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[304][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[304][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[304][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[304][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[304][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[304][RIGHT] = ActionEntry(SHIFT, 163);
}
void Cego::loadParser222()
{
   _actionMap[304][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[304][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[304][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[304][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[304][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[304][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[304][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[304][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[304][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[304][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[304][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[304][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[304][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[304][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[304][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[304][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[304][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[304][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[304][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[304][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[304][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[304][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[304][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[304][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[304][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[304][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[304][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[304][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[304][LB] = ActionEntry(SHIFT, 177);
   _actionMap[304][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[304][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[304][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[304][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[304][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[304][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[304][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[304][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[304][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[304][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[304][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[304][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[304][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[304][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[304][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[304][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[304][ObjSpec] = 122;
   _jumpMap[304][Constant] = 121;
   _jumpMap[304][SignedFloat] = 120;
   _jumpMap[304][SignedInt] = 119;
   _jumpMap[304][Attribute] = 118;
}
void Cego::loadParser223()
{
   _jumpMap[304][ExpressionList] = 484;
   _jumpMap[304][Function] = 117;
   _jumpMap[304][CasePrepare] = 116;
   _jumpMap[304][CaseClause] = 115;
   _jumpMap[304][Factor] = 114;
   _jumpMap[304][Term] = 113;
   _jumpMap[304][Expr] = 466;
   _actionMap[305][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[305][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[305][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[305][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[305][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[305][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[305][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[305][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[305][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[305][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[305][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[305][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[305][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[305][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[305][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[305][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[305][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[305][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[305][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[305][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[305][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[305][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[305][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[305][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[305][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[305][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[305][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[305][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[305][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[305][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[305][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[305][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[305][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[305][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[305][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[305][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[305][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[305][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[305][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[305][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[305][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[305][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[305][GETCOUNT] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser224()
{
   _actionMap[305][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[305][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[305][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[305][LB] = ActionEntry(SHIFT, 177);
   _actionMap[305][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[305][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[305][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[305][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[305][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[305][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[305][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[305][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[305][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[305][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[305][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[305][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[305][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[305][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[305][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[305][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[305][ObjSpec] = 122;
   _jumpMap[305][Constant] = 121;
   _jumpMap[305][SignedFloat] = 120;
   _jumpMap[305][SignedInt] = 119;
   _jumpMap[305][Attribute] = 118;
   _jumpMap[305][ExpressionList] = 485;
   _jumpMap[305][Function] = 117;
   _jumpMap[305][CasePrepare] = 116;
   _jumpMap[305][CaseClause] = 115;
   _jumpMap[305][Factor] = 114;
   _jumpMap[305][Term] = 113;
   _jumpMap[305][Expr] = 466;
   _actionMap[306][INTO] = ActionEntry(SHIFT, 486);
   _actionMap[307][IDENTIFIER] = ActionEntry(SHIFT, 487);
   _actionMap[308][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[308][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[308][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[308][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[308][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[308][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[308][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[308][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[308][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[308][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[308][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[308][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[308][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[308][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[308][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[308][UPPER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser225()
{
   _actionMap[308][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[308][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[308][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[308][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[308][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[308][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[308][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[308][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[308][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[308][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[308][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[308][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[308][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[308][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[308][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[308][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[308][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[308][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[308][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[308][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[308][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[308][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[308][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[308][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[308][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[308][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[308][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[308][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[308][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[308][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[308][LB] = ActionEntry(SHIFT, 177);
   _actionMap[308][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[308][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[308][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[308][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[308][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[308][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[308][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[308][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[308][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[308][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[308][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[308][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[308][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[308][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[308][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[308][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[308][ObjSpec] = 122;
   _jumpMap[308][Constant] = 121;
   _jumpMap[308][SignedFloat] = 120;
}
void Cego::loadParser226()
{
   _jumpMap[308][SignedInt] = 119;
   _jumpMap[308][Attribute] = 118;
   _jumpMap[308][ExpressionList] = 488;
   _jumpMap[308][Function] = 117;
   _jumpMap[308][CasePrepare] = 116;
   _jumpMap[308][CaseClause] = 115;
   _jumpMap[308][Factor] = 114;
   _jumpMap[308][Term] = 113;
   _jumpMap[308][Expr] = 466;
   _actionMap[309][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[309][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[309][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[309][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[309][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[309][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[309][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[309][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[309][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[309][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[309][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[309][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[309][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[309][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[309][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[309][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[309][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[309][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[309][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[309][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[309][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[309][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[309][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[309][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[309][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[309][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[309][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[309][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[309][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[309][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[309][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[309][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[309][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[309][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[309][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[309][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[309][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[309][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[309][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[309][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[309][NEXTCOUNT] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser227()
{
   _actionMap[309][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[309][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[309][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[309][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[309][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[309][LB] = ActionEntry(SHIFT, 177);
   _actionMap[309][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[309][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[309][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[309][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[309][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[309][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[309][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[309][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[309][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[309][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[309][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[309][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[309][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[309][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[309][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[309][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[309][ObjSpec] = 122;
   _jumpMap[309][Constant] = 121;
   _jumpMap[309][SignedFloat] = 120;
   _jumpMap[309][SignedInt] = 119;
   _jumpMap[309][Attribute] = 118;
   _jumpMap[309][ExpressionList] = 489;
   _jumpMap[309][Function] = 117;
   _jumpMap[309][CasePrepare] = 116;
   _jumpMap[309][CaseClause] = 115;
   _jumpMap[309][Factor] = 114;
   _jumpMap[309][Term] = 113;
   _jumpMap[309][Expr] = 466;
   _actionMap[310][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[310][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[310][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[310][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[310][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[310][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[310][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[310][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[310][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[310][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[310][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[310][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[310][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[310][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[310][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[310][UPPER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser228()
{
   _actionMap[310][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[310][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[310][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[310][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[310][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[310][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[310][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[310][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[310][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[310][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[310][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[310][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[310][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[310][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[310][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[310][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[310][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[310][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[310][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[310][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[310][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[310][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[310][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[310][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[310][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[310][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[310][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[310][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[310][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[310][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[310][LB] = ActionEntry(SHIFT, 177);
   _actionMap[310][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[310][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[310][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[310][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[310][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[310][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[310][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[310][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[310][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[310][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[310][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[310][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[310][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[310][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[310][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[310][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[310][ObjSpec] = 122;
   _jumpMap[310][Constant] = 121;
   _jumpMap[310][SignedFloat] = 120;
}
void Cego::loadParser229()
{
   _jumpMap[310][SignedInt] = 119;
   _jumpMap[310][Attribute] = 118;
   _jumpMap[310][ExpressionList] = 490;
   _jumpMap[310][Function] = 117;
   _jumpMap[310][CasePrepare] = 116;
   _jumpMap[310][CaseClause] = 115;
   _jumpMap[310][Factor] = 114;
   _jumpMap[310][Term] = 113;
   _jumpMap[310][Expr] = 466;
   _actionMap[311][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[311][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[311][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[311][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[311][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[311][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[311][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[311][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[311][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[311][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[311][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[311][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[311][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[311][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[311][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[311][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[311][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[311][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[311][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[311][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[311][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[311][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[311][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[311][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[311][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[311][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[311][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[311][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[311][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[311][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[311][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[311][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[311][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[311][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[311][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[311][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[311][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[311][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[311][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[311][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[311][NEXTCOUNT] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser230()
{
   _actionMap[311][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[311][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[311][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[311][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[311][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[311][LB] = ActionEntry(SHIFT, 177);
   _actionMap[311][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[311][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[311][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[311][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[311][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[311][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[311][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[311][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[311][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[311][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[311][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[311][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[311][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[311][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[311][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[311][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[311][ObjSpec] = 122;
   _jumpMap[311][Constant] = 121;
   _jumpMap[311][SignedFloat] = 120;
   _jumpMap[311][SignedInt] = 119;
   _jumpMap[311][Attribute] = 118;
   _jumpMap[311][ExpressionList] = 491;
   _jumpMap[311][Function] = 117;
   _jumpMap[311][CasePrepare] = 116;
   _jumpMap[311][CaseClause] = 115;
   _jumpMap[311][Factor] = 114;
   _jumpMap[311][Term] = 113;
   _jumpMap[311][Expr] = 466;
   _actionMap[312][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[312][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[312][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[312][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[312][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[312][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[312][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[312][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[312][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[312][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[312][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[312][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[312][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[312][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[312][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[312][UPPER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser231()
{
   _actionMap[312][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[312][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[312][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[312][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[312][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[312][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[312][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[312][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[312][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[312][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[312][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[312][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[312][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[312][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[312][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[312][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[312][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[312][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[312][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[312][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[312][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[312][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[312][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[312][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[312][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[312][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[312][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[312][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[312][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[312][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[312][LB] = ActionEntry(SHIFT, 177);
   _actionMap[312][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[312][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[312][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[312][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[312][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[312][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[312][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[312][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[312][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[312][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[312][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[312][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[312][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[312][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[312][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[312][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[312][ObjSpec] = 122;
   _jumpMap[312][Constant] = 121;
   _jumpMap[312][SignedFloat] = 120;
}
void Cego::loadParser232()
{
   _jumpMap[312][SignedInt] = 119;
   _jumpMap[312][Attribute] = 118;
   _jumpMap[312][ExpressionList] = 492;
   _jumpMap[312][Function] = 117;
   _jumpMap[312][CasePrepare] = 116;
   _jumpMap[312][CaseClause] = 115;
   _jumpMap[312][Factor] = 114;
   _jumpMap[312][Term] = 113;
   _jumpMap[312][Expr] = 466;
   _actionMap[313][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[313][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[313][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[313][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[313][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[313][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[313][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[313][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[313][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[313][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[313][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[313][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[313][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[313][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[313][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[313][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[313][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[313][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[313][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[313][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[313][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[313][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[313][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[313][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[313][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[313][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[313][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[313][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[313][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[313][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[313][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[313][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[313][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[313][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[313][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[313][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[313][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[313][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[313][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[313][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[313][NEXTCOUNT] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser233()
{
   _actionMap[313][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[313][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[313][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[313][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[313][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[313][LB] = ActionEntry(SHIFT, 177);
   _actionMap[313][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[313][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[313][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[313][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[313][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[313][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[313][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[313][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[313][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[313][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[313][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[313][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[313][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[313][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[313][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[313][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[313][ObjSpec] = 122;
   _jumpMap[313][Constant] = 121;
   _jumpMap[313][SignedFloat] = 120;
   _jumpMap[313][SignedInt] = 119;
   _jumpMap[313][Attribute] = 118;
   _jumpMap[313][ExpressionList] = 493;
   _jumpMap[313][Function] = 117;
   _jumpMap[313][CasePrepare] = 116;
   _jumpMap[313][CaseClause] = 115;
   _jumpMap[313][Factor] = 114;
   _jumpMap[313][Term] = 113;
   _jumpMap[313][Expr] = 466;
   _actionMap[314][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[314][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[314][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[314][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[314][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[314][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[314][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[314][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[314][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[314][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[314][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[314][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[314][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[314][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[314][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[314][UPPER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser234()
{
   _actionMap[314][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[314][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[314][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[314][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[314][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[314][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[314][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[314][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[314][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[314][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[314][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[314][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[314][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[314][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[314][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[314][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[314][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[314][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[314][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[314][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[314][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[314][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[314][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[314][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[314][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[314][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[314][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[314][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[314][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[314][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[314][LB] = ActionEntry(SHIFT, 177);
   _actionMap[314][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[314][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[314][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[314][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[314][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[314][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[314][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[314][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[314][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[314][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[314][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[314][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[314][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[314][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[314][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[314][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[314][ObjSpec] = 122;
   _jumpMap[314][Constant] = 121;
   _jumpMap[314][SignedFloat] = 120;
}
void Cego::loadParser235()
{
   _jumpMap[314][SignedInt] = 119;
   _jumpMap[314][Attribute] = 118;
   _jumpMap[314][ExpressionList] = 494;
   _jumpMap[314][Function] = 117;
   _jumpMap[314][CasePrepare] = 116;
   _jumpMap[314][CaseClause] = 115;
   _jumpMap[314][Factor] = 114;
   _jumpMap[314][Term] = 113;
   _jumpMap[314][Expr] = 466;
   _actionMap[315][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[315][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[315][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[315][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[315][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[315][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[315][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[315][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[315][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[315][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[315][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[315][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[315][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[315][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[315][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[315][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[315][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[315][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[315][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[315][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[315][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[315][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[315][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[315][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[315][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[315][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[315][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[315][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[315][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[315][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[315][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[315][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[315][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[315][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[315][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[315][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[315][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[315][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[315][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[315][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[315][NEXTCOUNT] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser236()
{
   _actionMap[315][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[315][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[315][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[315][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[315][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[315][LB] = ActionEntry(SHIFT, 177);
   _actionMap[315][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[315][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[315][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[315][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[315][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[315][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[315][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[315][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[315][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[315][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[315][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[315][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[315][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[315][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[315][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[315][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[315][ObjSpec] = 122;
   _jumpMap[315][Constant] = 121;
   _jumpMap[315][SignedFloat] = 120;
   _jumpMap[315][SignedInt] = 119;
   _jumpMap[315][Attribute] = 118;
   _jumpMap[315][ExpressionList] = 495;
   _jumpMap[315][Function] = 117;
   _jumpMap[315][CasePrepare] = 116;
   _jumpMap[315][CaseClause] = 115;
   _jumpMap[315][Factor] = 114;
   _jumpMap[315][Term] = 113;
   _jumpMap[315][Expr] = 466;
   _actionMap[316][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[316][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[316][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[316][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[316][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[316][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[316][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[316][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[316][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[316][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[316][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[316][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[316][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[316][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[316][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[316][UPPER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser237()
{
   _actionMap[316][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[316][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[316][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[316][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[316][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[316][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[316][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[316][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[316][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[316][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[316][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[316][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[316][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[316][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[316][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[316][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[316][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[316][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[316][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[316][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[316][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[316][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[316][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[316][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[316][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[316][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[316][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[316][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[316][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[316][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[316][LB] = ActionEntry(SHIFT, 177);
   _actionMap[316][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[316][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[316][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[316][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[316][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[316][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[316][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[316][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[316][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[316][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[316][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[316][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[316][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[316][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[316][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[316][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[316][ObjSpec] = 122;
   _jumpMap[316][Constant] = 121;
   _jumpMap[316][SignedFloat] = 120;
}
void Cego::loadParser238()
{
   _jumpMap[316][SignedInt] = 119;
   _jumpMap[316][Attribute] = 118;
   _jumpMap[316][ExpressionList] = 496;
   _jumpMap[316][Function] = 117;
   _jumpMap[316][CasePrepare] = 116;
   _jumpMap[316][CaseClause] = 115;
   _jumpMap[316][Factor] = 114;
   _jumpMap[316][Term] = 113;
   _jumpMap[316][Expr] = 466;
   _actionMap[317][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[317][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[317][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[317][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[317][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[317][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[317][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[317][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[317][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[317][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[317][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[317][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[317][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[317][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[317][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[317][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[317][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[317][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[317][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[317][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[317][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[317][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[317][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[317][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[317][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[317][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[317][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[317][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[317][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[317][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[317][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[317][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[317][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[317][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[317][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[317][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[317][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[317][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[317][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[317][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[317][NEXTCOUNT] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser239()
{
   _actionMap[317][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[317][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[317][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[317][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[317][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[317][LB] = ActionEntry(SHIFT, 177);
   _actionMap[317][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[317][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[317][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[317][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[317][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[317][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[317][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[317][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[317][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[317][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[317][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[317][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[317][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[317][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[317][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[317][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[317][ObjSpec] = 122;
   _jumpMap[317][Constant] = 121;
   _jumpMap[317][SignedFloat] = 120;
   _jumpMap[317][SignedInt] = 119;
   _jumpMap[317][Attribute] = 118;
   _jumpMap[317][ExpressionList] = 497;
   _jumpMap[317][Function] = 117;
   _jumpMap[317][CasePrepare] = 116;
   _jumpMap[317][CaseClause] = 115;
   _jumpMap[317][Factor] = 114;
   _jumpMap[317][Term] = 113;
   _jumpMap[317][Expr] = 466;
   _actionMap[318][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[318][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[318][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[318][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[318][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[318][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[318][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[318][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[318][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[318][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[318][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[318][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[318][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[318][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[318][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[318][UPPER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser240()
{
   _actionMap[318][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[318][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[318][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[318][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[318][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[318][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[318][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[318][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[318][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[318][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[318][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[318][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[318][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[318][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[318][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[318][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[318][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[318][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[318][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[318][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[318][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[318][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[318][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[318][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[318][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[318][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[318][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[318][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[318][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[318][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[318][LB] = ActionEntry(SHIFT, 177);
   _actionMap[318][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[318][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[318][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[318][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[318][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[318][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[318][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[318][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[318][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[318][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[318][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[318][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[318][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[318][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[318][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[318][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[318][ObjSpec] = 122;
   _jumpMap[318][Constant] = 121;
   _jumpMap[318][SignedFloat] = 120;
}
void Cego::loadParser241()
{
   _jumpMap[318][SignedInt] = 119;
   _jumpMap[318][Attribute] = 118;
   _jumpMap[318][Function] = 117;
   _jumpMap[318][CasePrepare] = 116;
   _jumpMap[318][CaseClause] = 115;
   _jumpMap[318][Factor] = 114;
   _jumpMap[318][Term] = 113;
   _jumpMap[318][Expr] = 498;
   _actionMap[319][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[319][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[319][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[319][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[319][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[319][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[319][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[319][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[319][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[319][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[319][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[319][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[319][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[319][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[319][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[319][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[319][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[319][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[319][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[319][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[319][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[319][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[319][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[319][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[319][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[319][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[319][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[319][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[319][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[319][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[319][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[319][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[319][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[319][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[319][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[319][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[319][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[319][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[319][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[319][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[319][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[319][SETCOUNT] = ActionEntry(SHIFT, 167);
}
void Cego::loadParser242()
{
   _actionMap[319][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[319][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[319][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[319][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[319][LB] = ActionEntry(SHIFT, 177);
   _actionMap[319][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[319][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[319][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[319][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[319][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[319][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[319][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[319][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[319][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[319][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[319][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[319][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[319][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[319][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[319][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[319][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[319][ObjSpec] = 122;
   _jumpMap[319][Constant] = 121;
   _jumpMap[319][SignedFloat] = 120;
   _jumpMap[319][SignedInt] = 119;
   _jumpMap[319][Attribute] = 118;
   _jumpMap[319][Function] = 117;
   _jumpMap[319][CasePrepare] = 116;
   _jumpMap[319][CaseClause] = 115;
   _jumpMap[319][Factor] = 114;
   _jumpMap[319][Term] = 113;
   _jumpMap[319][Expr] = 499;
   _actionMap[320][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[320][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[320][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[320][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[320][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[320][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[320][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[320][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[320][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[320][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[320][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[320][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[320][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[320][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[320][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[320][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[320][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[320][RIGHT] = ActionEntry(SHIFT, 163);
}
void Cego::loadParser243()
{
   _actionMap[320][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[320][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[320][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[320][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[320][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[320][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[320][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[320][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[320][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[320][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[320][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[320][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[320][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[320][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[320][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[320][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[320][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[320][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[320][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[320][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[320][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[320][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[320][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[320][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[320][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[320][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[320][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[320][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[320][LB] = ActionEntry(SHIFT, 177);
   _actionMap[320][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[320][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[320][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[320][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[320][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[320][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[320][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[320][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[320][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[320][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[320][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[320][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[320][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[320][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[320][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[320][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[320][ObjSpec] = 122;
   _jumpMap[320][Constant] = 121;
   _jumpMap[320][SignedFloat] = 120;
   _jumpMap[320][SignedInt] = 119;
   _jumpMap[320][Attribute] = 118;
}
void Cego::loadParser244()
{
   _jumpMap[320][ExpressionList] = 500;
   _jumpMap[320][Function] = 117;
   _jumpMap[320][CasePrepare] = 116;
   _jumpMap[320][CaseClause] = 115;
   _jumpMap[320][Factor] = 114;
   _jumpMap[320][Term] = 113;
   _jumpMap[320][Expr] = 466;
   _actionMap[321][IDENTIFIER] = ActionEntry(SHIFT, 501);
   _actionMap[322][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[322][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[322][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[322][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[322][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[322][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[322][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[322][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[322][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[322][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[322][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[322][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[322][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[322][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[322][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[322][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[322][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[322][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[322][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[322][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[322][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[322][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[322][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[322][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[322][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[322][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[322][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[322][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[322][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[322][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[322][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[322][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[322][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[322][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[322][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[322][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[322][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[322][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[322][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[322][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[322][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[322][SETCOUNT] = ActionEntry(SHIFT, 167);
}
void Cego::loadParser245()
{
   _actionMap[322][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[322][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[322][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[322][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[322][LB] = ActionEntry(SHIFT, 177);
   _actionMap[322][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[322][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[322][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[322][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[322][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[322][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[322][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[322][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[322][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[322][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[322][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[322][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[322][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[322][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[322][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[322][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[322][ObjSpec] = 122;
   _jumpMap[322][Constant] = 121;
   _jumpMap[322][SignedFloat] = 120;
   _jumpMap[322][SignedInt] = 119;
   _jumpMap[322][Attribute] = 118;
   _jumpMap[322][ExpressionList] = 502;
   _jumpMap[322][Function] = 117;
   _jumpMap[322][CasePrepare] = 116;
   _jumpMap[322][CaseClause] = 115;
   _jumpMap[322][Factor] = 114;
   _jumpMap[322][Term] = 113;
   _jumpMap[322][Expr] = 466;
   _actionMap[323][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[323][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[323][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[323][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[323][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[323][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[323][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[323][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[323][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[323][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[323][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[323][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[323][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[323][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[323][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[323][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[323][LEFT] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser246()
{
   _actionMap[323][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[323][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[323][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[323][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[323][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[323][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[323][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[323][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[323][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[323][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[323][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[323][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[323][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[323][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[323][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[323][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[323][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[323][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[323][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[323][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[323][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[323][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[323][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[323][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[323][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[323][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[323][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[323][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[323][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[323][LB] = ActionEntry(SHIFT, 177);
   _actionMap[323][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[323][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[323][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[323][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[323][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[323][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[323][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[323][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[323][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[323][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[323][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[323][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[323][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[323][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[323][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[323][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[323][ObjSpec] = 122;
   _jumpMap[323][Constant] = 121;
   _jumpMap[323][SignedFloat] = 120;
   _jumpMap[323][SignedInt] = 119;
}
void Cego::loadParser247()
{
   _jumpMap[323][Attribute] = 118;
   _jumpMap[323][ExpressionList] = 503;
   _jumpMap[323][Function] = 117;
   _jumpMap[323][CasePrepare] = 116;
   _jumpMap[323][CaseClause] = 115;
   _jumpMap[323][Factor] = 114;
   _jumpMap[323][Term] = 113;
   _jumpMap[323][Expr] = 466;
   _actionMap[324][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[324][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[324][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[324][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[324][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[324][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[324][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[324][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[324][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[324][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[324][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[324][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[324][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[324][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[324][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[324][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[324][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[324][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[324][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[324][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[324][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[324][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[324][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[324][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[324][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[324][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[324][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[324][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[324][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[324][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[324][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[324][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[324][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[324][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[324][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[324][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[324][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[324][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[324][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[324][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[324][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[324][SETCOUNT] = ActionEntry(SHIFT, 167);
}
void Cego::loadParser248()
{
   _actionMap[324][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[324][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[324][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[324][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[324][LB] = ActionEntry(SHIFT, 177);
   _actionMap[324][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[324][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[324][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[324][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[324][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[324][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[324][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[324][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[324][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[324][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[324][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[324][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[324][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[324][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[324][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[324][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[324][ObjSpec] = 122;
   _jumpMap[324][Constant] = 121;
   _jumpMap[324][SignedFloat] = 120;
   _jumpMap[324][SignedInt] = 119;
   _jumpMap[324][Attribute] = 118;
   _jumpMap[324][ExpressionList] = 504;
   _jumpMap[324][Function] = 117;
   _jumpMap[324][CasePrepare] = 116;
   _jumpMap[324][CaseClause] = 115;
   _jumpMap[324][Factor] = 114;
   _jumpMap[324][Term] = 113;
   _jumpMap[324][Expr] = 466;
   _actionMap[325][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[325][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[325][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[325][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[325][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[325][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[325][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[325][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[325][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[325][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[325][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[325][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[325][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[325][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[325][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[325][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[325][LEFT] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser249()
{
   _actionMap[325][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[325][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[325][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[325][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[325][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[325][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[325][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[325][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[325][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[325][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[325][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[325][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[325][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[325][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[325][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[325][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[325][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[325][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[325][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[325][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[325][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[325][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[325][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[325][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[325][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[325][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[325][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[325][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[325][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[325][LB] = ActionEntry(SHIFT, 177);
   _actionMap[325][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[325][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[325][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[325][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[325][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[325][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[325][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[325][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[325][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[325][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[325][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[325][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[325][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[325][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[325][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[325][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[325][ObjSpec] = 122;
   _jumpMap[325][Constant] = 121;
   _jumpMap[325][SignedFloat] = 120;
   _jumpMap[325][SignedInt] = 119;
}
void Cego::loadParser250()
{
   _jumpMap[325][Attribute] = 118;
   _jumpMap[325][ExpressionList] = 505;
   _jumpMap[325][Function] = 117;
   _jumpMap[325][CasePrepare] = 116;
   _jumpMap[325][CaseClause] = 115;
   _jumpMap[325][Factor] = 114;
   _jumpMap[325][Term] = 113;
   _jumpMap[325][Expr] = 466;
   _actionMap[326][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[326][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[326][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[326][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[326][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[326][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[326][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[326][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[326][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[326][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[326][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[326][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[326][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[326][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[326][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[326][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[326][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[326][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[326][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[326][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[326][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[326][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[326][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[326][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[326][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[326][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[326][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[326][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[326][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[326][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[326][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[326][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[326][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[326][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[326][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[326][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[326][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[326][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[326][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[326][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[326][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[326][SETCOUNT] = ActionEntry(SHIFT, 167);
}
void Cego::loadParser251()
{
   _actionMap[326][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[326][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[326][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[326][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[326][LB] = ActionEntry(SHIFT, 177);
   _actionMap[326][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[326][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[326][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[326][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[326][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[326][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[326][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[326][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[326][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[326][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[326][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[326][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[326][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[326][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[326][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[326][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[326][ObjSpec] = 122;
   _jumpMap[326][Constant] = 121;
   _jumpMap[326][SignedFloat] = 120;
   _jumpMap[326][SignedInt] = 119;
   _jumpMap[326][Attribute] = 118;
   _jumpMap[326][ExpressionList] = 506;
   _jumpMap[326][Function] = 117;
   _jumpMap[326][CasePrepare] = 116;
   _jumpMap[326][CaseClause] = 115;
   _jumpMap[326][Factor] = 114;
   _jumpMap[326][Term] = 113;
   _jumpMap[326][Expr] = 466;
   _actionMap[327][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[327][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[327][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[327][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[327][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[327][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[327][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[327][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[327][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[327][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[327][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[327][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[327][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[327][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[327][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[327][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[327][LEFT] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser252()
{
   _actionMap[327][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[327][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[327][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[327][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[327][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[327][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[327][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[327][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[327][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[327][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[327][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[327][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[327][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[327][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[327][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[327][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[327][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[327][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[327][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[327][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[327][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[327][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[327][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[327][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[327][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[327][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[327][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[327][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[327][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[327][LB] = ActionEntry(SHIFT, 177);
   _actionMap[327][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[327][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[327][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[327][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[327][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[327][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[327][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[327][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[327][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[327][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[327][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[327][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[327][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[327][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[327][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[327][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[327][ObjSpec] = 122;
   _jumpMap[327][Constant] = 121;
   _jumpMap[327][SignedFloat] = 120;
   _jumpMap[327][SignedInt] = 119;
}
void Cego::loadParser253()
{
   _jumpMap[327][Attribute] = 118;
   _jumpMap[327][ExpressionList] = 507;
   _jumpMap[327][Function] = 117;
   _jumpMap[327][CasePrepare] = 116;
   _jumpMap[327][CaseClause] = 115;
   _jumpMap[327][Factor] = 114;
   _jumpMap[327][Term] = 113;
   _jumpMap[327][Expr] = 466;
   _actionMap[328][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[328][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[328][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[328][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[328][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[328][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[328][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[328][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[328][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[328][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[328][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[328][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[328][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[328][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[328][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[328][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[328][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[328][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[328][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[328][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[328][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[328][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[328][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[328][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[328][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[328][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[328][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[328][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[328][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[328][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[328][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[328][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[328][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[328][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[328][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[328][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[328][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[328][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[328][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[328][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[328][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[328][SETCOUNT] = ActionEntry(SHIFT, 167);
}
void Cego::loadParser254()
{
   _actionMap[328][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[328][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[328][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[328][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[328][LB] = ActionEntry(SHIFT, 177);
   _actionMap[328][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[328][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[328][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[328][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[328][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[328][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[328][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[328][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[328][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[328][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[328][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[328][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[328][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[328][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[328][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[328][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[328][ObjSpec] = 122;
   _jumpMap[328][Constant] = 121;
   _jumpMap[328][SignedFloat] = 120;
   _jumpMap[328][SignedInt] = 119;
   _jumpMap[328][Attribute] = 118;
   _jumpMap[328][ExpressionList] = 508;
   _jumpMap[328][Function] = 117;
   _jumpMap[328][CasePrepare] = 116;
   _jumpMap[328][CaseClause] = 115;
   _jumpMap[328][Factor] = 114;
   _jumpMap[328][Term] = 113;
   _jumpMap[328][Expr] = 466;
   _actionMap[329][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[329][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[329][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[329][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[329][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[329][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[329][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[329][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[329][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[329][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[329][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[329][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[329][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[329][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[329][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[329][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[329][LEFT] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser255()
{
   _actionMap[329][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[329][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[329][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[329][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[329][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[329][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[329][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[329][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[329][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[329][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[329][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[329][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[329][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[329][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[329][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[329][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[329][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[329][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[329][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[329][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[329][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[329][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[329][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[329][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[329][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[329][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[329][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[329][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[329][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[329][LB] = ActionEntry(SHIFT, 177);
   _actionMap[329][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[329][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[329][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[329][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[329][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[329][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[329][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[329][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[329][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[329][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[329][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[329][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[329][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[329][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[329][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[329][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[329][ObjSpec] = 122;
   _jumpMap[329][Constant] = 121;
   _jumpMap[329][SignedFloat] = 120;
   _jumpMap[329][SignedInt] = 119;
}
void Cego::loadParser256()
{
   _jumpMap[329][Attribute] = 118;
   _jumpMap[329][ExpressionList] = 509;
   _jumpMap[329][Function] = 117;
   _jumpMap[329][CasePrepare] = 116;
   _jumpMap[329][CaseClause] = 115;
   _jumpMap[329][Factor] = 114;
   _jumpMap[329][Term] = 113;
   _jumpMap[329][Expr] = 466;
   _actionMap[330][IDENTIFIER] = ActionEntry(SHIFT, 510);
   _actionMap[331][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[331][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[331][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[331][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[331][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[331][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[331][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[331][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[331][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[331][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[331][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[331][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[331][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[331][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[331][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[331][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[331][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[331][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[331][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[331][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[331][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[331][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[331][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[331][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[331][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[331][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[331][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[331][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[331][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[331][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[331][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[331][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[331][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[331][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[331][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[331][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[331][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[331][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[331][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[331][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[331][NEXTCOUNT] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser257()
{
   _actionMap[331][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[331][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[331][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[331][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[331][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[331][LB] = ActionEntry(SHIFT, 177);
   _actionMap[331][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[331][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[331][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[331][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[331][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[331][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[331][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[331][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[331][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[331][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[331][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[331][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[331][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[331][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[331][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[331][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[331][ObjSpec] = 122;
   _jumpMap[331][Constant] = 121;
   _jumpMap[331][SignedFloat] = 120;
   _jumpMap[331][SignedInt] = 119;
   _jumpMap[331][Attribute] = 118;
   _jumpMap[331][ExpressionList] = 511;
   _jumpMap[331][Function] = 117;
   _jumpMap[331][CasePrepare] = 116;
   _jumpMap[331][CaseClause] = 115;
   _jumpMap[331][Factor] = 114;
   _jumpMap[331][Term] = 113;
   _jumpMap[331][Expr] = 466;
   _actionMap[332][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[332][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[332][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[332][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[332][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[332][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[332][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[332][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[332][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[332][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[332][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[332][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[332][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[332][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[332][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[332][UPPER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser258()
{
   _actionMap[332][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[332][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[332][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[332][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[332][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[332][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[332][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[332][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[332][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[332][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[332][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[332][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[332][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[332][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[332][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[332][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[332][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[332][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[332][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[332][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[332][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[332][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[332][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[332][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[332][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[332][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[332][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[332][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[332][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[332][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[332][LB] = ActionEntry(SHIFT, 177);
   _actionMap[332][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[332][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[332][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[332][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[332][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[332][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[332][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[332][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[332][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[332][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[332][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[332][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[332][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[332][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[332][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[332][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[332][ObjSpec] = 122;
   _jumpMap[332][Constant] = 121;
   _jumpMap[332][SignedFloat] = 120;
}
void Cego::loadParser259()
{
   _jumpMap[332][SignedInt] = 119;
   _jumpMap[332][Attribute] = 118;
   _jumpMap[332][Function] = 117;
   _jumpMap[332][CasePrepare] = 116;
   _jumpMap[332][CaseClause] = 115;
   _jumpMap[332][Factor] = 114;
   _jumpMap[332][Term] = 113;
   _jumpMap[332][Expr] = 512;
   _actionMap[333][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[333][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[333][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[333][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[333][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[333][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[333][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[333][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[333][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[333][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[333][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[333][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[333][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[333][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[333][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[333][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[333][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[333][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[333][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[333][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[333][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[333][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[333][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[333][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[333][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[333][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[333][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[333][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[333][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[333][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[333][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[333][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[333][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[333][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[333][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[333][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[333][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[333][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[333][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[333][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[333][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[333][SETCOUNT] = ActionEntry(SHIFT, 167);
}
void Cego::loadParser260()
{
   _actionMap[333][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[333][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[333][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[333][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[333][LB] = ActionEntry(SHIFT, 177);
   _actionMap[333][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[333][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[333][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[333][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[333][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[333][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[333][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[333][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[333][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[333][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[333][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[333][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[333][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[333][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[333][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[333][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[333][ObjSpec] = 122;
   _jumpMap[333][Constant] = 121;
   _jumpMap[333][SignedFloat] = 120;
   _jumpMap[333][SignedInt] = 119;
   _jumpMap[333][Attribute] = 118;
   _jumpMap[333][ExpressionList] = 513;
   _jumpMap[333][Function] = 117;
   _jumpMap[333][CasePrepare] = 116;
   _jumpMap[333][CaseClause] = 115;
   _jumpMap[333][Factor] = 114;
   _jumpMap[333][Term] = 113;
   _jumpMap[333][Expr] = 466;
   _actionMap[334][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[334][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[334][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[334][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[334][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[334][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[334][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[334][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[334][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[334][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[334][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[334][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[334][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[334][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[334][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[334][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[334][LEFT] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser261()
{
   _actionMap[334][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[334][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[334][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[334][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[334][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[334][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[334][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[334][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[334][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[334][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[334][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[334][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[334][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[334][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[334][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[334][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[334][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[334][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[334][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[334][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[334][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[334][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[334][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[334][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[334][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[334][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[334][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[334][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[334][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[334][LB] = ActionEntry(SHIFT, 177);
   _actionMap[334][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[334][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[334][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[334][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[334][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[334][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[334][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[334][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[334][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[334][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[334][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[334][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[334][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[334][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[334][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[334][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[334][ObjSpec] = 122;
   _jumpMap[334][Constant] = 121;
   _jumpMap[334][SignedFloat] = 120;
   _jumpMap[334][SignedInt] = 119;
}
void Cego::loadParser262()
{
   _jumpMap[334][Attribute] = 118;
   _jumpMap[334][ExpressionList] = 514;
   _jumpMap[334][Function] = 117;
   _jumpMap[334][CasePrepare] = 116;
   _jumpMap[334][CaseClause] = 115;
   _jumpMap[334][Factor] = 114;
   _jumpMap[334][Term] = 113;
   _jumpMap[334][Expr] = 466;
   _actionMap[335][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[335][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[335][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[335][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[335][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[335][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[335][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[335][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[335][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[335][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[335][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[335][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[335][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[335][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[335][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[335][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[335][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[335][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[335][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[335][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[335][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[335][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[335][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[335][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[335][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[335][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[335][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[335][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[335][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[335][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[335][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[335][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[335][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[335][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[335][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[335][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[335][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[335][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[335][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[335][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[335][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[335][SETCOUNT] = ActionEntry(SHIFT, 167);
}
void Cego::loadParser263()
{
   _actionMap[335][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[335][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[335][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[335][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[335][LB] = ActionEntry(SHIFT, 177);
   _actionMap[335][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[335][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[335][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[335][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[335][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[335][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[335][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[335][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[335][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[335][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[335][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[335][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[335][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[335][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[335][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[335][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[335][ObjSpec] = 122;
   _jumpMap[335][Constant] = 121;
   _jumpMap[335][SignedFloat] = 120;
   _jumpMap[335][SignedInt] = 119;
   _jumpMap[335][Attribute] = 118;
   _jumpMap[335][ExpressionList] = 515;
   _jumpMap[335][Function] = 117;
   _jumpMap[335][CasePrepare] = 116;
   _jumpMap[335][CaseClause] = 115;
   _jumpMap[335][Factor] = 114;
   _jumpMap[335][Term] = 113;
   _jumpMap[335][Expr] = 466;
   _actionMap[336][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[336][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[336][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[336][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[336][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[336][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[336][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[336][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[336][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[336][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[336][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[336][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[336][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[336][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[336][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[336][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[336][LEFT] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser264()
{
   _actionMap[336][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[336][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[336][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[336][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[336][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[336][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[336][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[336][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[336][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[336][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[336][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[336][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[336][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[336][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[336][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[336][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[336][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[336][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[336][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[336][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[336][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[336][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[336][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[336][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[336][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[336][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[336][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[336][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[336][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[336][LB] = ActionEntry(SHIFT, 177);
   _actionMap[336][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[336][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[336][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[336][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[336][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[336][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[336][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[336][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[336][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[336][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[336][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[336][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[336][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[336][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[336][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[336][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[336][ObjSpec] = 122;
   _jumpMap[336][Constant] = 121;
   _jumpMap[336][SignedFloat] = 120;
   _jumpMap[336][SignedInt] = 119;
}
void Cego::loadParser265()
{
   _jumpMap[336][Attribute] = 118;
   _jumpMap[336][ExpressionList] = 516;
   _jumpMap[336][Function] = 117;
   _jumpMap[336][CasePrepare] = 116;
   _jumpMap[336][CaseClause] = 115;
   _jumpMap[336][Factor] = 114;
   _jumpMap[336][Term] = 113;
   _jumpMap[336][Expr] = 466;
   _actionMap[337][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[337][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[337][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[337][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[337][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[337][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[337][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[337][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[337][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[337][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[337][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[337][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[337][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[337][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[337][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[337][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[337][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[337][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[337][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[337][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[337][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[337][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[337][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[337][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[337][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[337][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[337][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[337][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[337][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[337][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[337][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[337][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[337][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[337][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[337][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[337][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[337][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[337][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[337][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[337][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[337][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[337][SETCOUNT] = ActionEntry(SHIFT, 167);
}
void Cego::loadParser266()
{
   _actionMap[337][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[337][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[337][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[337][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[337][LB] = ActionEntry(SHIFT, 177);
   _actionMap[337][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[337][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[337][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[337][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[337][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[337][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[337][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[337][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[337][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[337][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[337][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[337][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[337][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[337][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[337][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[337][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[337][ObjSpec] = 122;
   _jumpMap[337][Constant] = 121;
   _jumpMap[337][SignedFloat] = 120;
   _jumpMap[337][SignedInt] = 119;
   _jumpMap[337][Attribute] = 118;
   _jumpMap[337][ExpressionList] = 517;
   _jumpMap[337][Function] = 117;
   _jumpMap[337][CasePrepare] = 116;
   _jumpMap[337][CaseClause] = 115;
   _jumpMap[337][Factor] = 114;
   _jumpMap[337][Term] = 113;
   _jumpMap[337][Expr] = 466;
   _actionMap[338][RB] = ActionEntry(SHIFT, 518);
   _actionMap[338][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[338][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[338][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[339][RB] = ActionEntry(SHIFT, 519);
   _actionMap[340][RB] = ActionEntry(SHIFT, 520);
   _actionMap[341][RB] = ActionEntry(SHIFT, 521);
   _actionMap[342][RB] = ActionEntry(SHIFT, 522);
   _actionMap[343][RB] = ActionEntry(SHIFT, 523);
   _actionMap[344][RB] = ActionEntry(SHIFT, 524);
   _actionMap[345][RB] = ActionEntry(SHIFT, 525);
   _actionMap[346][LEFT] = ActionEntry(REDUCE, 414);
   _actionMap[346][RIGHT] = ActionEntry(REDUCE, 414);
   _actionMap[346][INNER] = ActionEntry(REDUCE, 414);
   _actionMap[346][JOIN] = ActionEntry(REDUCE, 414);
   _actionMap[346][WHERE] = ActionEntry(REDUCE, 414);
   _actionMap[346][GROUP] = ActionEntry(REDUCE, 414);
}
void Cego::loadParser267()
{
   _actionMap[346][ORDER] = ActionEntry(REDUCE, 414);
   _actionMap[346][RETURNTOKEN] = ActionEntry(REDUCE, 414);
   _actionMap[346][WHEN] = ActionEntry(REDUCE, 414);
   _actionMap[346][ELSE] = ActionEntry(REDUCE, 414);
   _actionMap[346][AS] = ActionEntry(REDUCE, 414);
   _actionMap[346][FROM] = ActionEntry(REDUCE, 414);
   _actionMap[346][END_TOKEN] = ActionEntry(REDUCE, 414);
   _actionMap[346][BEGIN] = ActionEntry(REDUCE, 414);
   _actionMap[346][THEN] = ActionEntry(REDUCE, 414);
   _actionMap[346][NULLTOKEN] = ActionEntry(REDUCE, 414);
   _actionMap[346][LIKE] = ActionEntry(REDUCE, 414);
   _actionMap[346][IS] = ActionEntry(REDUCE, 414);
   _actionMap[346][BETWEEN] = ActionEntry(REDUCE, 414);
   _actionMap[346][NOT] = ActionEntry(REDUCE, 414);
   _actionMap[346][INTOK] = ActionEntry(REDUCE, 414);
   _actionMap[346][DESC] = ActionEntry(REDUCE, 414);
   _actionMap[346][ASC] = ActionEntry(REDUCE, 414);
   _actionMap[346][KSEP] = ActionEntry(REDUCE, 414);
   _actionMap[346][ROWLIMIT] = ActionEntry(REDUCE, 414);
   _actionMap[346][UNION] = ActionEntry(REDUCE, 414);
   _actionMap[346][ENDTOKEN] = ActionEntry(REDUCE, 414);
   _actionMap[346][SEMICOLON] = ActionEntry(REDUCE, 414);
   _actionMap[346][EQU] = ActionEntry(REDUCE, 414);
   _actionMap[346][NEGATION] = ActionEntry(REDUCE, 414);
   _actionMap[346][LT] = ActionEntry(REDUCE, 414);
   _actionMap[346][MT] = ActionEntry(REDUCE, 414);
   _actionMap[346][CONCAT] = ActionEntry(REDUCE, 414);
   _actionMap[346][STAR] = ActionEntry(REDUCE, 414);
   _actionMap[346][DIVISION] = ActionEntry(REDUCE, 414);
   _actionMap[346][MINUS] = ActionEntry(REDUCE, 414);
   _actionMap[346][PLUS] = ActionEntry(REDUCE, 414);
   _actionMap[346][OR] = ActionEntry(REDUCE, 414);
   _actionMap[346][AND] = ActionEntry(REDUCE, 414);
   _actionMap[346][RB] = ActionEntry(REDUCE, 414);
   _actionMap[347][LEFT] = ActionEntry(REDUCE, 416);
   _actionMap[347][RIGHT] = ActionEntry(REDUCE, 416);
   _actionMap[347][INNER] = ActionEntry(REDUCE, 416);
   _actionMap[347][JOIN] = ActionEntry(REDUCE, 416);
   _actionMap[347][WHERE] = ActionEntry(REDUCE, 416);
   _actionMap[347][GROUP] = ActionEntry(REDUCE, 416);
   _actionMap[347][ORDER] = ActionEntry(REDUCE, 416);
   _actionMap[347][RETURNTOKEN] = ActionEntry(REDUCE, 416);
   _actionMap[347][WHEN] = ActionEntry(REDUCE, 416);
   _actionMap[347][ELSE] = ActionEntry(REDUCE, 416);
   _actionMap[347][AS] = ActionEntry(REDUCE, 416);
   _actionMap[347][FROM] = ActionEntry(REDUCE, 416);
   _actionMap[347][END_TOKEN] = ActionEntry(REDUCE, 416);
   _actionMap[347][BEGIN] = ActionEntry(REDUCE, 416);
   _actionMap[347][THEN] = ActionEntry(REDUCE, 416);
   _actionMap[347][NULLTOKEN] = ActionEntry(REDUCE, 416);
}
void Cego::loadParser268()
{
   _actionMap[347][LIKE] = ActionEntry(REDUCE, 416);
   _actionMap[347][IS] = ActionEntry(REDUCE, 416);
   _actionMap[347][BETWEEN] = ActionEntry(REDUCE, 416);
   _actionMap[347][NOT] = ActionEntry(REDUCE, 416);
   _actionMap[347][INTOK] = ActionEntry(REDUCE, 416);
   _actionMap[347][DESC] = ActionEntry(REDUCE, 416);
   _actionMap[347][ASC] = ActionEntry(REDUCE, 416);
   _actionMap[347][KSEP] = ActionEntry(REDUCE, 416);
   _actionMap[347][ROWLIMIT] = ActionEntry(REDUCE, 416);
   _actionMap[347][UNION] = ActionEntry(REDUCE, 416);
   _actionMap[347][ENDTOKEN] = ActionEntry(REDUCE, 416);
   _actionMap[347][SEMICOLON] = ActionEntry(REDUCE, 416);
   _actionMap[347][EQU] = ActionEntry(REDUCE, 416);
   _actionMap[347][NEGATION] = ActionEntry(REDUCE, 416);
   _actionMap[347][LT] = ActionEntry(REDUCE, 416);
   _actionMap[347][MT] = ActionEntry(REDUCE, 416);
   _actionMap[347][CONCAT] = ActionEntry(REDUCE, 416);
   _actionMap[347][STAR] = ActionEntry(REDUCE, 416);
   _actionMap[347][DIVISION] = ActionEntry(REDUCE, 416);
   _actionMap[347][MINUS] = ActionEntry(REDUCE, 416);
   _actionMap[347][PLUS] = ActionEntry(REDUCE, 416);
   _actionMap[347][OR] = ActionEntry(REDUCE, 416);
   _actionMap[347][AND] = ActionEntry(REDUCE, 416);
   _actionMap[347][RB] = ActionEntry(REDUCE, 416);
   _actionMap[348][LEFT] = ActionEntry(REDUCE, 412);
   _actionMap[348][RIGHT] = ActionEntry(REDUCE, 412);
   _actionMap[348][INNER] = ActionEntry(REDUCE, 412);
   _actionMap[348][JOIN] = ActionEntry(REDUCE, 412);
   _actionMap[348][WHERE] = ActionEntry(REDUCE, 412);
   _actionMap[348][GROUP] = ActionEntry(REDUCE, 412);
   _actionMap[348][RETURNTOKEN] = ActionEntry(REDUCE, 412);
   _actionMap[348][WHEN] = ActionEntry(REDUCE, 412);
   _actionMap[348][ELSE] = ActionEntry(REDUCE, 412);
   _actionMap[348][FROM] = ActionEntry(REDUCE, 412);
   _actionMap[348][AS] = ActionEntry(REDUCE, 412);
   _actionMap[348][END_TOKEN] = ActionEntry(REDUCE, 412);
   _actionMap[348][BEGIN] = ActionEntry(REDUCE, 412);
   _actionMap[348][THEN] = ActionEntry(REDUCE, 412);
   _actionMap[348][INTOK] = ActionEntry(REDUCE, 412);
   _actionMap[348][NOT] = ActionEntry(REDUCE, 412);
   _actionMap[348][BETWEEN] = ActionEntry(REDUCE, 412);
   _actionMap[348][IS] = ActionEntry(REDUCE, 412);
   _actionMap[348][LIKE] = ActionEntry(REDUCE, 412);
   _actionMap[348][HAVING] = ActionEntry(REDUCE, 412);
   _actionMap[348][ORDER] = ActionEntry(REDUCE, 412);
   _actionMap[348][ENDTOKEN] = ActionEntry(REDUCE, 412);
   _actionMap[348][UNION] = ActionEntry(REDUCE, 412);
   _actionMap[348][ROWLIMIT] = ActionEntry(REDUCE, 412);
   _actionMap[348][KSEP] = ActionEntry(REDUCE, 412);
   _actionMap[348][ASC] = ActionEntry(REDUCE, 412);
}
void Cego::loadParser269()
{
   _actionMap[348][DESC] = ActionEntry(REDUCE, 412);
   _actionMap[348][SEMICOLON] = ActionEntry(REDUCE, 412);
   _actionMap[348][MT] = ActionEntry(REDUCE, 412);
   _actionMap[348][LT] = ActionEntry(REDUCE, 412);
   _actionMap[348][NEGATION] = ActionEntry(REDUCE, 412);
   _actionMap[348][EQU] = ActionEntry(REDUCE, 412);
   _actionMap[348][PLUS] = ActionEntry(REDUCE, 412);
   _actionMap[348][MINUS] = ActionEntry(REDUCE, 412);
   _actionMap[348][DIVISION] = ActionEntry(REDUCE, 412);
   _actionMap[348][STAR] = ActionEntry(REDUCE, 412);
   _actionMap[348][CONCAT] = ActionEntry(REDUCE, 412);
   _actionMap[348][OR] = ActionEntry(REDUCE, 412);
   _actionMap[348][AND] = ActionEntry(REDUCE, 412);
   _actionMap[348][RB] = ActionEntry(REDUCE, 412);
   _actionMap[349][TO] = ActionEntry(SHIFT, 526);
   _actionMap[350][TO] = ActionEntry(SHIFT, 527);
   _actionMap[351][TO] = ActionEntry(SHIFT, 528);
   _actionMap[352][TO] = ActionEntry(SHIFT, 529);
   _actionMap[353][TO] = ActionEntry(SHIFT, 530);
   _actionMap[354][TO] = ActionEntry(SHIFT, 531);
   _actionMap[355][TO] = ActionEntry(SHIFT, 532);
   _actionMap[356][TO] = ActionEntry(SHIFT, 533);
   _actionMap[357][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[358][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[359][SEMICOLON] = ActionEntry(REDUCE, 239);
   _actionMap[359][RB] = ActionEntry(REDUCE, 239);
   _actionMap[360][SEMICOLON] = ActionEntry(REDUCE, 241);
   _actionMap[360][RB] = ActionEntry(REDUCE, 241);
   _actionMap[361][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[361][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[361][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[361][ObjSpec] = 538;
   _jumpMap[361][Table] = 537;
   _jumpMap[361][TableList] = 536;
   _jumpMap[361][JoinSpecList] = 535;
   _jumpMap[361][TableSource] = 534;
   _actionMap[362][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[362][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[362][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[362][FROM] = ActionEntry(REDUCE, 267);
   _actionMap[362][AS] = ActionEntry(SHIFT, 541);
   _actionMap[362][RB] = ActionEntry(REDUCE, 267);
   _actionMap[362][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[362][ENDTOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[362][KSEP] = ActionEntry(REDUCE, 267);
   _jumpMap[362][NoAliasOpt] = 540;
   _jumpMap[362][AliasOpt] = 539;
   _actionMap[363][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[363][FROM] = ActionEntry(REDUCE, 243);
   _actionMap[363][RB] = ActionEntry(REDUCE, 243);
}
void Cego::loadParser270()
{
   _actionMap[363][SEMICOLON] = ActionEntry(REDUCE, 243);
   _actionMap[363][ENDTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[364][FROM] = ActionEntry(REDUCE, 246);
   _actionMap[364][RB] = ActionEntry(REDUCE, 246);
   _actionMap[364][SEMICOLON] = ActionEntry(REDUCE, 246);
   _actionMap[364][ENDTOKEN] = ActionEntry(REDUCE, 246);
   _actionMap[364][KSEP] = ActionEntry(REDUCE, 246);
   _actionMap[365][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[366][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[367][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[368][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[369][TO] = ActionEntry(SHIFT, 543);
   _actionMap[370][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[371][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[372][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[373][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[374][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[374][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[374][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[374][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[374][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[374][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[374][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[374][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[374][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[374][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[374][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[374][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[374][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[374][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[374][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[374][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[374][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[374][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[374][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[374][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[374][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[374][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[374][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[374][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[374][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[374][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[374][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[374][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[374][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[374][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[374][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[374][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[374][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[374][BITOR] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser271()
{
   _actionMap[374][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[374][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[374][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[374][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[374][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[374][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[374][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[374][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[374][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[374][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[374][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[374][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[374][LB] = ActionEntry(SHIFT, 177);
   _actionMap[374][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[374][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[374][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[374][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[374][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[374][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[374][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[374][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[374][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[374][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[374][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[374][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[374][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[374][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[374][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[374][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[374][ObjSpec] = 122;
   _jumpMap[374][Constant] = 121;
   _jumpMap[374][SignedFloat] = 120;
   _jumpMap[374][SignedInt] = 119;
   _jumpMap[374][Attribute] = 118;
   _jumpMap[374][Function] = 117;
   _jumpMap[374][CasePrepare] = 116;
   _jumpMap[374][CaseClause] = 115;
   _jumpMap[374][Factor] = 114;
   _jumpMap[374][Term] = 113;
   _jumpMap[374][Expr] = 544;
   _actionMap[375][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[376][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[377][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[378][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[379][SEMICOLON] = ActionEntry(REDUCE, 76);
   _actionMap[380][SET] = ActionEntry(SHIFT, 381);
   _actionMap[381][IDENTIFIER] = ActionEntry(SHIFT, 547);
   _jumpMap[381][Assignment] = 546;
   _jumpMap[381][UpdateList] = 545;
   _actionMap[382][SET] = ActionEntry(REDUCE, 308);
}
void Cego::loadParser272()
{
   _actionMap[382][WHERE] = ActionEntry(REDUCE, 308);
   _actionMap[382][GROUP] = ActionEntry(REDUCE, 308);
   _actionMap[382][ORDER] = ActionEntry(REDUCE, 308);
   _actionMap[382][ROWLIMIT] = ActionEntry(REDUCE, 308);
   _actionMap[382][UNION] = ActionEntry(REDUCE, 308);
   _actionMap[382][ENDTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[382][RB] = ActionEntry(REDUCE, 308);
   _actionMap[382][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[382][RETURNTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[383][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[383][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[383][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[383][ObjSpec] = 548;
   _actionMap[46][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[46][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[46][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[46][ObjSpec] = 220;
   _actionMap[47][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[47][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[47][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[47][ObjSpec] = 221;
   _actionMap[48][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[48][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[48][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[48][ObjSpec] = 222;
   _actionMap[49][FOR] = ActionEntry(REDUCE, 220);
   _actionMap[49][SEMICOLON] = ActionEntry(REDUCE, 220);
   _actionMap[49][QUALIFIEDOBJ] = ActionEntry(REDUCE, 220);
   _actionMap[49][QUALIFIEDTS] = ActionEntry(REDUCE, 220);
   _actionMap[49][ON] = ActionEntry(REDUCE, 220);
   _actionMap[49][IDENTIFIER] = ActionEntry(REDUCE, 220);
   _actionMap[50][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[50][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[50][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[50][ObjSpec] = 223;
   _actionMap[51][IDENTIFIER] = ActionEntry(SHIFT, 225);
   _jumpMap[51][CounterId] = 224;
   _actionMap[52][KEY] = ActionEntry(SHIFT, 226);
   _actionMap[53][FOR] = ActionEntry(REDUCE, 221);
   _actionMap[53][SEMICOLON] = ActionEntry(REDUCE, 221);
   _actionMap[53][QUALIFIEDOBJ] = ActionEntry(REDUCE, 221);
   _actionMap[53][QUALIFIEDTS] = ActionEntry(REDUCE, 221);
   _actionMap[53][ON] = ActionEntry(REDUCE, 221);
   _actionMap[53][IDENTIFIER] = ActionEntry(REDUCE, 221);
   _actionMap[54][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[54][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[54][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[54][ObjSpec] = 227;
   _actionMap[55][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[55][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
}
void Cego::loadParser273()
{
   _actionMap[55][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[55][ObjSpec] = 228;
   _actionMap[56][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[56][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[56][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[56][ObjSpec] = 229;
   _actionMap[57][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[57][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[57][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[57][ObjSpec] = 230;
   _actionMap[58][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[59][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[59][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[59][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[59][ObjSpec] = 231;
   _actionMap[60][IDENTIFIED] = ActionEntry(SHIFT, 232);
   _actionMap[61][LB] = ActionEntry(SHIFT, 233);
   _actionMap[62][BEGIN] = ActionEntry(REDUCE, 432);
   _actionMap[62][TO] = ActionEntry(REDUCE, 432);
   _actionMap[62][VALUES] = ActionEntry(REDUCE, 432);
   _actionMap[62][SELECT] = ActionEntry(REDUCE, 432);
   _actionMap[62][SET] = ActionEntry(REDUCE, 432);
   _actionMap[62][AS] = ActionEntry(REDUCE, 432);
   _actionMap[62][BEFORE] = ActionEntry(REDUCE, 432);
   _actionMap[62][AFTER] = ActionEntry(REDUCE, 432);
   _actionMap[62][DROP] = ActionEntry(REDUCE, 432);
   _actionMap[62][MODIFY] = ActionEntry(REDUCE, 432);
   _actionMap[62][RENAME] = ActionEntry(REDUCE, 432);
   _actionMap[62][ADD] = ActionEntry(REDUCE, 432);
   _actionMap[62][KSEP] = ActionEntry(REDUCE, 432);
   _actionMap[62][LEFT] = ActionEntry(REDUCE, 432);
   _actionMap[62][RIGHT] = ActionEntry(REDUCE, 432);
   _actionMap[62][INNER] = ActionEntry(REDUCE, 432);
   _actionMap[62][JOIN] = ActionEntry(REDUCE, 432);
   _actionMap[62][RETURNTOKEN] = ActionEntry(REDUCE, 432);
   _actionMap[62][SEMICOLON] = ActionEntry(REDUCE, 432);
   _actionMap[62][RB] = ActionEntry(REDUCE, 432);
   _actionMap[62][ENDTOKEN] = ActionEntry(REDUCE, 432);
   _actionMap[62][UNION] = ActionEntry(REDUCE, 432);
   _actionMap[62][ROWLIMIT] = ActionEntry(REDUCE, 432);
   _actionMap[62][ORDER] = ActionEntry(REDUCE, 432);
   _actionMap[62][GROUP] = ActionEntry(REDUCE, 432);
   _actionMap[62][WHERE] = ActionEntry(REDUCE, 432);
   _actionMap[62][LB] = ActionEntry(REDUCE, 432);
   _actionMap[62][ON] = ActionEntry(REDUCE, 432);
   _actionMap[62][IDENTIFIER] = ActionEntry(REDUCE, 432);
   _actionMap[63][BEGIN] = ActionEntry(REDUCE, 433);
   _actionMap[63][TO] = ActionEntry(REDUCE, 433);
   _actionMap[63][VALUES] = ActionEntry(REDUCE, 433);
   _actionMap[63][SELECT] = ActionEntry(REDUCE, 433);
}
void Cego::loadParser274()
{
   _actionMap[63][SET] = ActionEntry(REDUCE, 433);
   _actionMap[63][AS] = ActionEntry(REDUCE, 433);
   _actionMap[63][BEFORE] = ActionEntry(REDUCE, 433);
   _actionMap[63][AFTER] = ActionEntry(REDUCE, 433);
   _actionMap[63][DROP] = ActionEntry(REDUCE, 433);
   _actionMap[63][MODIFY] = ActionEntry(REDUCE, 433);
   _actionMap[63][RENAME] = ActionEntry(REDUCE, 433);
   _actionMap[63][ADD] = ActionEntry(REDUCE, 433);
   _actionMap[63][KSEP] = ActionEntry(REDUCE, 433);
   _actionMap[63][LEFT] = ActionEntry(REDUCE, 433);
   _actionMap[63][RIGHT] = ActionEntry(REDUCE, 433);
   _actionMap[63][INNER] = ActionEntry(REDUCE, 433);
   _actionMap[63][JOIN] = ActionEntry(REDUCE, 433);
   _actionMap[63][RETURNTOKEN] = ActionEntry(REDUCE, 433);
   _actionMap[63][SEMICOLON] = ActionEntry(REDUCE, 433);
   _actionMap[63][RB] = ActionEntry(REDUCE, 433);
   _actionMap[63][ENDTOKEN] = ActionEntry(REDUCE, 433);
   _actionMap[63][UNION] = ActionEntry(REDUCE, 433);
   _actionMap[63][ROWLIMIT] = ActionEntry(REDUCE, 433);
   _actionMap[63][ORDER] = ActionEntry(REDUCE, 433);
   _actionMap[63][GROUP] = ActionEntry(REDUCE, 433);
   _actionMap[63][WHERE] = ActionEntry(REDUCE, 433);
   _actionMap[63][LB] = ActionEntry(REDUCE, 433);
   _actionMap[63][ON] = ActionEntry(REDUCE, 433);
   _actionMap[63][IDENTIFIER] = ActionEntry(REDUCE, 433);
   _actionMap[64][BEGIN] = ActionEntry(REDUCE, 434);
   _actionMap[64][TO] = ActionEntry(REDUCE, 434);
   _actionMap[64][VALUES] = ActionEntry(REDUCE, 434);
   _actionMap[64][SELECT] = ActionEntry(REDUCE, 434);
   _actionMap[64][SET] = ActionEntry(REDUCE, 434);
   _actionMap[64][AS] = ActionEntry(REDUCE, 434);
   _actionMap[64][BEFORE] = ActionEntry(REDUCE, 434);
   _actionMap[64][AFTER] = ActionEntry(REDUCE, 434);
   _actionMap[64][DROP] = ActionEntry(REDUCE, 434);
   _actionMap[64][MODIFY] = ActionEntry(REDUCE, 434);
   _actionMap[64][RENAME] = ActionEntry(REDUCE, 434);
   _actionMap[64][ADD] = ActionEntry(REDUCE, 434);
   _actionMap[64][KSEP] = ActionEntry(REDUCE, 434);
   _actionMap[64][LEFT] = ActionEntry(REDUCE, 434);
   _actionMap[64][RIGHT] = ActionEntry(REDUCE, 434);
   _actionMap[64][INNER] = ActionEntry(REDUCE, 434);
   _actionMap[64][JOIN] = ActionEntry(REDUCE, 434);
   _actionMap[64][RETURNTOKEN] = ActionEntry(REDUCE, 434);
   _actionMap[64][SEMICOLON] = ActionEntry(REDUCE, 434);
   _actionMap[64][RB] = ActionEntry(REDUCE, 434);
   _actionMap[64][ENDTOKEN] = ActionEntry(REDUCE, 434);
   _actionMap[64][UNION] = ActionEntry(REDUCE, 434);
   _actionMap[64][ROWLIMIT] = ActionEntry(REDUCE, 434);
   _actionMap[64][ORDER] = ActionEntry(REDUCE, 434);
   _actionMap[64][GROUP] = ActionEntry(REDUCE, 434);
}
void Cego::loadParser275()
{
   _actionMap[64][WHERE] = ActionEntry(REDUCE, 434);
   _actionMap[64][ON] = ActionEntry(REDUCE, 434);
   _actionMap[64][IDENTIFIER] = ActionEntry(REDUCE, 434);
   _actionMap[64][LB] = ActionEntry(REDUCE, 434);
   _actionMap[65][IDENTIFIER] = ActionEntry(SHIFT, 234);
   _actionMap[66][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[67][BEGIN] = ActionEntry(SHIFT, 235);
   _actionMap[68][BEGIN] = ActionEntry(SHIFT, 236);
   _actionMap[69][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[70][BTREE] = ActionEntry(SHIFT, 49);
   _actionMap[70][INDEX] = ActionEntry(SHIFT, 53);
   _actionMap[70][AVLTREE] = ActionEntry(SHIFT, 239);
   _jumpMap[70][BtreeType] = 238;
   _jumpMap[70][IndexType] = 237;
   _actionMap[71][IDENTIFIER] = ActionEntry(SHIFT, 240);
   _actionMap[72][IDENTIFIER] = ActionEntry(SHIFT, 225);
   _jumpMap[72][CounterId] = 241;
   _actionMap[73][BTREE] = ActionEntry(SHIFT, 49);
   _actionMap[73][INDEX] = ActionEntry(SHIFT, 53);
   _actionMap[73][AVLTREE] = ActionEntry(SHIFT, 239);
   _jumpMap[73][BtreeType] = 238;
   _jumpMap[73][IndexType] = 242;
   _actionMap[74][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[74][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[74][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[74][ObjSpec] = 243;
   _actionMap[75][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[75][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[75][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[75][ObjSpec] = 244;
   _actionMap[76][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[76][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[76][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[76][ObjSpec] = 245;
   _actionMap[77][AVLTREE] = ActionEntry(REDUCE, 216);
   _actionMap[77][BTREE] = ActionEntry(REDUCE, 216);
   _actionMap[77][INDEX] = ActionEntry(REDUCE, 216);
   _actionMap[78][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[78][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[78][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[78][ObjSpec] = 246;
   _actionMap[79][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[79][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[79][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[79][ObjSpec] = 247;
   _actionMap[80][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[80][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[80][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[80][ObjSpec] = 248;
   _actionMap[81][IDENTIFIER] = ActionEntry(SHIFT, 62);
}
void Cego::loadParser276()
{
   _actionMap[81][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[81][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[81][ObjSpec] = 249;
   _actionMap[82][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[82][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[82][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[82][ObjSpec] = 250;
   _actionMap[83][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[83][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[83][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[83][ObjSpec] = 251;
   _actionMap[84][KEY] = ActionEntry(SHIFT, 252);
   _actionMap[85][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[85][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[85][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[85][ObjSpec] = 253;
   _actionMap[86][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[86][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[86][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[86][ObjSpec] = 254;
   _actionMap[87][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[87][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[87][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[87][ObjSpec] = 255;
   _actionMap[88][EXISTS] = ActionEntry(SHIFT, 256);
   _actionMap[89][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[89][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[89][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[89][ObjSpec] = 257;
   _actionMap[90][IDENTIFIER] = ActionEntry(SHIFT, 258);
   _actionMap[90][SEMICOLON] = ActionEntry(REDUCE, 97);
   _actionMap[91][IDENTIFIER] = ActionEntry(REDUCE, 99);
   _actionMap[91][SEMICOLON] = ActionEntry(REDUCE, 99);
   _actionMap[92][FOR] = ActionEntry(SHIFT, 260);
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[92][TableSetOpt] = 259;
   _actionMap[93][FOR] = ActionEntry(SHIFT, 260);
   _actionMap[93][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[93][TableSetOpt] = 261;
   _actionMap[94][FOR] = ActionEntry(SHIFT, 260);
   _actionMap[94][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[94][TableSetOpt] = 262;
   _actionMap[95][FOR] = ActionEntry(SHIFT, 260);
   _actionMap[95][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[95][TableSetOpt] = 263;
   _actionMap[96][FOR] = ActionEntry(SHIFT, 260);
   _actionMap[96][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[96][TableSetOpt] = 264;
   _actionMap[97][FOR] = ActionEntry(SHIFT, 260);
   _actionMap[97][SEMICOLON] = ActionEntry(REDUCE, 16);
}
void Cego::loadParser277()
{
   _jumpMap[97][TableSetOpt] = 265;
   _actionMap[98][FOR] = ActionEntry(SHIFT, 260);
   _actionMap[98][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[98][TableSetOpt] = 266;
   _actionMap[99][FOR] = ActionEntry(SHIFT, 260);
   _actionMap[99][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[99][TableSetOpt] = 267;
   _actionMap[100][FOR] = ActionEntry(SHIFT, 260);
   _actionMap[100][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[100][TableSetOpt] = 268;
   _actionMap[101][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[102][FOR] = ActionEntry(SHIFT, 260);
   _actionMap[102][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[102][TableSetOpt] = 269;
   _actionMap[103][FOR] = ActionEntry(SHIFT, 260);
   _actionMap[103][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[103][TableSetOpt] = 270;
   _actionMap[104][FOR] = ActionEntry(SHIFT, 260);
   _actionMap[104][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[104][TableSetOpt] = 271;
   _actionMap[105][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[106][SEMICOLON] = ActionEntry(REDUCE, 61);
   _actionMap[107][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[107][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[107][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[107][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[107][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[107][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[107][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[107][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[107][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[107][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[107][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[107][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[107][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[107][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[107][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[107][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[107][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[107][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[107][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[107][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[107][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[107][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[107][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[107][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[107][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[107][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[107][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[107][MOD] = ActionEntry(SHIFT, 156);
}
void Cego::loadParser278()
{
   _actionMap[107][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[107][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[107][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[107][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[107][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[107][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[107][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[107][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[107][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[107][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[107][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[107][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[107][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[107][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[107][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[107][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[107][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[107][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[107][LB] = ActionEntry(SHIFT, 277);
   _actionMap[107][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[107][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[107][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[107][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[107][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[107][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[107][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[107][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[107][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[107][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[107][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[107][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[107][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[107][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[107][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[107][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[107][EXISTS] = ActionEntry(SHIFT, 275);
   _actionMap[107][NOT] = ActionEntry(SHIFT, 276);
   _jumpMap[107][ObjSpec] = 122;
   _jumpMap[107][Constant] = 121;
   _jumpMap[107][SignedFloat] = 120;
   _jumpMap[107][SignedInt] = 119;
   _jumpMap[107][Attribute] = 118;
   _jumpMap[107][QueryPredicate] = 274;
   _jumpMap[107][QueryCondition] = 273;
   _jumpMap[107][Function] = 117;
   _jumpMap[107][CasePrepare] = 116;
   _jumpMap[107][CaseClause] = 115;
   _jumpMap[107][Factor] = 114;
   _jumpMap[107][Term] = 113;
   _jumpMap[107][Expr] = 272;
}
void Cego::loadParser279()
{
   _actionMap[108][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[108][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[108][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[108][ObjSpec] = 278;
   _actionMap[109][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[109][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[109][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[109][ObjSpec] = 279;
   _actionMap[110][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[110][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[110][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[110][ObjSpec] = 280;
   _actionMap[111][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[112][PLUS] = ActionEntry(SHIFT, 283);
   _actionMap[112][MINUS] = ActionEntry(SHIFT, 282);
   _actionMap[112][CONCAT] = ActionEntry(SHIFT, 281);
   _actionMap[112][SEMICOLON] = ActionEntry(REDUCE, 91);
   _actionMap[113][STAR] = ActionEntry(SHIFT, 284);
   _actionMap[113][DIVISION] = ActionEntry(SHIFT, 285);
   _actionMap[113][LEFT] = ActionEntry(REDUCE, 175);
   _actionMap[113][RIGHT] = ActionEntry(REDUCE, 175);
   _actionMap[113][INNER] = ActionEntry(REDUCE, 175);
   _actionMap[113][JOIN] = ActionEntry(REDUCE, 175);
   _actionMap[113][WHERE] = ActionEntry(REDUCE, 175);
   _actionMap[113][GROUP] = ActionEntry(REDUCE, 175);
   _actionMap[113][ORDER] = ActionEntry(REDUCE, 175);
   _actionMap[113][RETURNTOKEN] = ActionEntry(REDUCE, 175);
   _actionMap[113][WHEN] = ActionEntry(REDUCE, 175);
   _actionMap[113][ELSE] = ActionEntry(REDUCE, 175);
   _actionMap[113][BEGIN] = ActionEntry(REDUCE, 175);
   _actionMap[113][THEN] = ActionEntry(REDUCE, 175);
   _actionMap[113][OR] = ActionEntry(REDUCE, 175);
   _actionMap[113][AS] = ActionEntry(REDUCE, 175);
   _actionMap[113][FROM] = ActionEntry(REDUCE, 175);
   _actionMap[113][END_TOKEN] = ActionEntry(REDUCE, 175);
   _actionMap[113][AND] = ActionEntry(REDUCE, 175);
   _actionMap[113][LIKE] = ActionEntry(REDUCE, 175);
   _actionMap[113][IS] = ActionEntry(REDUCE, 175);
   _actionMap[113][BETWEEN] = ActionEntry(REDUCE, 175);
   _actionMap[113][NOT] = ActionEntry(REDUCE, 175);
   _actionMap[113][INTOK] = ActionEntry(REDUCE, 175);
   _actionMap[113][DESC] = ActionEntry(REDUCE, 175);
   _actionMap[113][ASC] = ActionEntry(REDUCE, 175);
   _actionMap[113][KSEP] = ActionEntry(REDUCE, 175);
   _actionMap[113][ROWLIMIT] = ActionEntry(REDUCE, 175);
   _actionMap[113][UNION] = ActionEntry(REDUCE, 175);
   _actionMap[113][ENDTOKEN] = ActionEntry(REDUCE, 175);
   _actionMap[113][RB] = ActionEntry(REDUCE, 175);
   _actionMap[113][SEMICOLON] = ActionEntry(REDUCE, 175);
   _actionMap[113][EQU] = ActionEntry(REDUCE, 175);
}
void Cego::loadParser280()
{
   _actionMap[113][NEGATION] = ActionEntry(REDUCE, 175);
   _actionMap[113][LT] = ActionEntry(REDUCE, 175);
   _actionMap[113][MT] = ActionEntry(REDUCE, 175);
   _actionMap[113][CONCAT] = ActionEntry(REDUCE, 175);
   _actionMap[113][MINUS] = ActionEntry(REDUCE, 175);
   _actionMap[113][PLUS] = ActionEntry(REDUCE, 175);
   _actionMap[114][LEFT] = ActionEntry(REDUCE, 179);
   _actionMap[114][RIGHT] = ActionEntry(REDUCE, 179);
   _actionMap[114][INNER] = ActionEntry(REDUCE, 179);
   _actionMap[114][JOIN] = ActionEntry(REDUCE, 179);
   _actionMap[114][WHERE] = ActionEntry(REDUCE, 179);
   _actionMap[114][GROUP] = ActionEntry(REDUCE, 179);
   _actionMap[114][ORDER] = ActionEntry(REDUCE, 179);
   _actionMap[114][RETURNTOKEN] = ActionEntry(REDUCE, 179);
   _actionMap[114][WHEN] = ActionEntry(REDUCE, 179);
   _actionMap[114][ELSE] = ActionEntry(REDUCE, 179);
   _actionMap[114][BEGIN] = ActionEntry(REDUCE, 179);
   _actionMap[114][THEN] = ActionEntry(REDUCE, 179);
   _actionMap[114][OR] = ActionEntry(REDUCE, 179);
   _actionMap[114][FROM] = ActionEntry(REDUCE, 179);
   _actionMap[114][AS] = ActionEntry(REDUCE, 179);
   _actionMap[114][END_TOKEN] = ActionEntry(REDUCE, 179);
   _actionMap[114][AND] = ActionEntry(REDUCE, 179);
   _actionMap[114][INTOK] = ActionEntry(REDUCE, 179);
   _actionMap[114][NOT] = ActionEntry(REDUCE, 179);
   _actionMap[114][BETWEEN] = ActionEntry(REDUCE, 179);
   _actionMap[114][IS] = ActionEntry(REDUCE, 179);
   _actionMap[114][LIKE] = ActionEntry(REDUCE, 179);
   _actionMap[114][RB] = ActionEntry(REDUCE, 179);
   _actionMap[114][ENDTOKEN] = ActionEntry(REDUCE, 179);
   _actionMap[114][UNION] = ActionEntry(REDUCE, 179);
   _actionMap[114][ROWLIMIT] = ActionEntry(REDUCE, 179);
   _actionMap[114][KSEP] = ActionEntry(REDUCE, 179);
   _actionMap[114][ASC] = ActionEntry(REDUCE, 179);
   _actionMap[114][DESC] = ActionEntry(REDUCE, 179);
   _actionMap[114][SEMICOLON] = ActionEntry(REDUCE, 179);
   _actionMap[114][MT] = ActionEntry(REDUCE, 179);
   _actionMap[114][LT] = ActionEntry(REDUCE, 179);
   _actionMap[114][NEGATION] = ActionEntry(REDUCE, 179);
   _actionMap[114][EQU] = ActionEntry(REDUCE, 179);
   _actionMap[114][PLUS] = ActionEntry(REDUCE, 179);
   _actionMap[114][MINUS] = ActionEntry(REDUCE, 179);
   _actionMap[114][DIVISION] = ActionEntry(REDUCE, 179);
   _actionMap[114][STAR] = ActionEntry(REDUCE, 179);
   _actionMap[114][CONCAT] = ActionEntry(REDUCE, 179);
   _actionMap[115][LEFT] = ActionEntry(REDUCE, 187);
   _actionMap[115][RIGHT] = ActionEntry(REDUCE, 187);
   _actionMap[115][INNER] = ActionEntry(REDUCE, 187);
   _actionMap[115][JOIN] = ActionEntry(REDUCE, 187);
   _actionMap[115][WHERE] = ActionEntry(REDUCE, 187);
}
void Cego::loadParser281()
{
   _actionMap[115][GROUP] = ActionEntry(REDUCE, 187);
   _actionMap[115][ORDER] = ActionEntry(REDUCE, 187);
   _actionMap[115][RETURNTOKEN] = ActionEntry(REDUCE, 187);
   _actionMap[115][WHEN] = ActionEntry(REDUCE, 187);
   _actionMap[115][ELSE] = ActionEntry(REDUCE, 187);
   _actionMap[115][BEGIN] = ActionEntry(REDUCE, 187);
   _actionMap[115][THEN] = ActionEntry(REDUCE, 187);
   _actionMap[115][OR] = ActionEntry(REDUCE, 187);
   _actionMap[115][AS] = ActionEntry(REDUCE, 187);
   _actionMap[115][FROM] = ActionEntry(REDUCE, 187);
   _actionMap[115][END_TOKEN] = ActionEntry(REDUCE, 187);
   _actionMap[115][AND] = ActionEntry(REDUCE, 187);
   _actionMap[115][LIKE] = ActionEntry(REDUCE, 187);
   _actionMap[115][IS] = ActionEntry(REDUCE, 187);
   _actionMap[115][BETWEEN] = ActionEntry(REDUCE, 187);
   _actionMap[115][NOT] = ActionEntry(REDUCE, 187);
   _actionMap[115][INTOK] = ActionEntry(REDUCE, 187);
   _actionMap[115][DESC] = ActionEntry(REDUCE, 187);
   _actionMap[115][ASC] = ActionEntry(REDUCE, 187);
   _actionMap[115][KSEP] = ActionEntry(REDUCE, 187);
   _actionMap[115][ROWLIMIT] = ActionEntry(REDUCE, 187);
   _actionMap[115][UNION] = ActionEntry(REDUCE, 187);
   _actionMap[115][ENDTOKEN] = ActionEntry(REDUCE, 187);
   _actionMap[115][RB] = ActionEntry(REDUCE, 187);
   _actionMap[115][SEMICOLON] = ActionEntry(REDUCE, 187);
   _actionMap[115][EQU] = ActionEntry(REDUCE, 187);
   _actionMap[115][NEGATION] = ActionEntry(REDUCE, 187);
   _actionMap[115][LT] = ActionEntry(REDUCE, 187);
   _actionMap[115][MT] = ActionEntry(REDUCE, 187);
   _actionMap[115][CONCAT] = ActionEntry(REDUCE, 187);
   _actionMap[115][STAR] = ActionEntry(REDUCE, 187);
   _actionMap[115][DIVISION] = ActionEntry(REDUCE, 187);
   _actionMap[115][MINUS] = ActionEntry(REDUCE, 187);
   _actionMap[115][PLUS] = ActionEntry(REDUCE, 187);
   _actionMap[116][WHEN] = ActionEntry(SHIFT, 288);
   _jumpMap[116][CaseCondition] = 287;
   _jumpMap[116][CaseConditionList] = 286;
   _actionMap[117][LEFT] = ActionEntry(REDUCE, 184);
   _actionMap[117][RIGHT] = ActionEntry(REDUCE, 184);
   _actionMap[117][INNER] = ActionEntry(REDUCE, 184);
   _actionMap[117][JOIN] = ActionEntry(REDUCE, 184);
   _actionMap[117][WHERE] = ActionEntry(REDUCE, 184);
   _actionMap[117][GROUP] = ActionEntry(REDUCE, 184);
   _actionMap[117][ORDER] = ActionEntry(REDUCE, 184);
   _actionMap[117][RETURNTOKEN] = ActionEntry(REDUCE, 184);
   _actionMap[117][WHEN] = ActionEntry(REDUCE, 184);
   _actionMap[117][ELSE] = ActionEntry(REDUCE, 184);
   _actionMap[117][BEGIN] = ActionEntry(REDUCE, 184);
   _actionMap[117][THEN] = ActionEntry(REDUCE, 184);
   _actionMap[117][OR] = ActionEntry(REDUCE, 184);
}
void Cego::loadParser282()
{
   _actionMap[117][AS] = ActionEntry(REDUCE, 184);
   _actionMap[117][FROM] = ActionEntry(REDUCE, 184);
   _actionMap[117][END_TOKEN] = ActionEntry(REDUCE, 184);
   _actionMap[117][AND] = ActionEntry(REDUCE, 184);
   _actionMap[117][LIKE] = ActionEntry(REDUCE, 184);
   _actionMap[117][IS] = ActionEntry(REDUCE, 184);
   _actionMap[117][BETWEEN] = ActionEntry(REDUCE, 184);
   _actionMap[117][NOT] = ActionEntry(REDUCE, 184);
   _actionMap[117][INTOK] = ActionEntry(REDUCE, 184);
   _actionMap[117][DESC] = ActionEntry(REDUCE, 184);
   _actionMap[117][ASC] = ActionEntry(REDUCE, 184);
   _actionMap[117][KSEP] = ActionEntry(REDUCE, 184);
   _actionMap[117][ROWLIMIT] = ActionEntry(REDUCE, 184);
   _actionMap[117][UNION] = ActionEntry(REDUCE, 184);
   _actionMap[117][ENDTOKEN] = ActionEntry(REDUCE, 184);
   _actionMap[117][RB] = ActionEntry(REDUCE, 184);
   _actionMap[117][SEMICOLON] = ActionEntry(REDUCE, 184);
   _actionMap[117][EQU] = ActionEntry(REDUCE, 184);
   _actionMap[117][NEGATION] = ActionEntry(REDUCE, 184);
   _actionMap[117][LT] = ActionEntry(REDUCE, 184);
   _actionMap[117][MT] = ActionEntry(REDUCE, 184);
   _actionMap[117][CONCAT] = ActionEntry(REDUCE, 184);
   _actionMap[117][STAR] = ActionEntry(REDUCE, 184);
   _actionMap[117][DIVISION] = ActionEntry(REDUCE, 184);
   _actionMap[117][MINUS] = ActionEntry(REDUCE, 184);
   _actionMap[117][PLUS] = ActionEntry(REDUCE, 184);
   _actionMap[118][WHEN] = ActionEntry(REDUCE, 183);
   _actionMap[118][ELSE] = ActionEntry(REDUCE, 183);
   _actionMap[118][LEFT] = ActionEntry(REDUCE, 183);
   _actionMap[118][RIGHT] = ActionEntry(REDUCE, 183);
   _actionMap[118][INNER] = ActionEntry(REDUCE, 183);
   _actionMap[118][JOIN] = ActionEntry(REDUCE, 183);
   _actionMap[118][RETURNTOKEN] = ActionEntry(REDUCE, 183);
   _actionMap[118][ORDER] = ActionEntry(REDUCE, 183);
   _actionMap[118][GROUP] = ActionEntry(REDUCE, 183);
   _actionMap[118][WHERE] = ActionEntry(REDUCE, 183);
   _actionMap[118][AS] = ActionEntry(REDUCE, 183);
   _actionMap[118][FROM] = ActionEntry(REDUCE, 183);
   _actionMap[118][END_TOKEN] = ActionEntry(REDUCE, 183);
   _actionMap[118][BEGIN] = ActionEntry(REDUCE, 183);
   _actionMap[118][THEN] = ActionEntry(REDUCE, 183);
   _actionMap[118][LIKE] = ActionEntry(REDUCE, 183);
   _actionMap[118][IS] = ActionEntry(REDUCE, 183);
   _actionMap[118][BETWEEN] = ActionEntry(REDUCE, 183);
   _actionMap[118][NOT] = ActionEntry(REDUCE, 183);
   _actionMap[118][INTOK] = ActionEntry(REDUCE, 183);
   _actionMap[118][DESC] = ActionEntry(REDUCE, 183);
   _actionMap[118][ASC] = ActionEntry(REDUCE, 183);
   _actionMap[118][KSEP] = ActionEntry(REDUCE, 183);
   _actionMap[118][ROWLIMIT] = ActionEntry(REDUCE, 183);
}
void Cego::loadParser283()
{
   _actionMap[118][UNION] = ActionEntry(REDUCE, 183);
   _actionMap[118][ENDTOKEN] = ActionEntry(REDUCE, 183);
   _actionMap[118][SEMICOLON] = ActionEntry(REDUCE, 183);
   _actionMap[118][EQU] = ActionEntry(REDUCE, 183);
   _actionMap[118][NEGATION] = ActionEntry(REDUCE, 183);
   _actionMap[118][LT] = ActionEntry(REDUCE, 183);
   _actionMap[118][MT] = ActionEntry(REDUCE, 183);
   _actionMap[118][CONCAT] = ActionEntry(REDUCE, 183);
   _actionMap[118][STAR] = ActionEntry(REDUCE, 183);
   _actionMap[118][DIVISION] = ActionEntry(REDUCE, 183);
   _actionMap[118][MINUS] = ActionEntry(REDUCE, 183);
   _actionMap[118][PLUS] = ActionEntry(REDUCE, 183);
   _actionMap[118][OR] = ActionEntry(REDUCE, 183);
   _actionMap[118][AND] = ActionEntry(REDUCE, 183);
   _actionMap[118][RB] = ActionEntry(REDUCE, 183);
   _actionMap[119][WHEN] = ActionEntry(REDUCE, 417);
   _actionMap[119][ELSE] = ActionEntry(REDUCE, 417);
   _actionMap[119][LEFT] = ActionEntry(REDUCE, 417);
   _actionMap[119][RIGHT] = ActionEntry(REDUCE, 417);
   _actionMap[119][INNER] = ActionEntry(REDUCE, 417);
   _actionMap[119][JOIN] = ActionEntry(REDUCE, 417);
   _actionMap[119][RETURNTOKEN] = ActionEntry(REDUCE, 417);
   _actionMap[119][ORDER] = ActionEntry(REDUCE, 417);
   _actionMap[119][GROUP] = ActionEntry(REDUCE, 417);
   _actionMap[119][WHERE] = ActionEntry(REDUCE, 417);
   _actionMap[119][NULLTOKEN] = ActionEntry(REDUCE, 417);
   _actionMap[119][FROM] = ActionEntry(REDUCE, 417);
   _actionMap[119][AS] = ActionEntry(REDUCE, 417);
   _actionMap[119][END_TOKEN] = ActionEntry(REDUCE, 417);
   _actionMap[119][BEGIN] = ActionEntry(REDUCE, 417);
   _actionMap[119][THEN] = ActionEntry(REDUCE, 417);
   _actionMap[119][INTOK] = ActionEntry(REDUCE, 417);
   _actionMap[119][NOT] = ActionEntry(REDUCE, 417);
   _actionMap[119][BETWEEN] = ActionEntry(REDUCE, 417);
   _actionMap[119][IS] = ActionEntry(REDUCE, 417);
   _actionMap[119][LIKE] = ActionEntry(REDUCE, 417);
   _actionMap[119][ENDTOKEN] = ActionEntry(REDUCE, 417);
   _actionMap[119][UNION] = ActionEntry(REDUCE, 417);
   _actionMap[119][ROWLIMIT] = ActionEntry(REDUCE, 417);
   _actionMap[119][KSEP] = ActionEntry(REDUCE, 417);
   _actionMap[119][ASC] = ActionEntry(REDUCE, 417);
   _actionMap[119][DESC] = ActionEntry(REDUCE, 417);
   _actionMap[119][SEMICOLON] = ActionEntry(REDUCE, 417);
   _actionMap[119][MT] = ActionEntry(REDUCE, 417);
   _actionMap[119][LT] = ActionEntry(REDUCE, 417);
   _actionMap[119][NEGATION] = ActionEntry(REDUCE, 417);
   _actionMap[119][EQU] = ActionEntry(REDUCE, 417);
   _actionMap[119][PLUS] = ActionEntry(REDUCE, 417);
   _actionMap[119][MINUS] = ActionEntry(REDUCE, 417);
   _actionMap[119][DIVISION] = ActionEntry(REDUCE, 417);
}
void Cego::loadParser284()
{
   _actionMap[119][STAR] = ActionEntry(REDUCE, 417);
   _actionMap[119][CONCAT] = ActionEntry(REDUCE, 417);
   _actionMap[119][OR] = ActionEntry(REDUCE, 417);
   _actionMap[119][AND] = ActionEntry(REDUCE, 417);
   _actionMap[119][RB] = ActionEntry(REDUCE, 417);
   _actionMap[120][WHEN] = ActionEntry(REDUCE, 423);
   _actionMap[120][ELSE] = ActionEntry(REDUCE, 423);
   _actionMap[120][LEFT] = ActionEntry(REDUCE, 423);
   _actionMap[120][RIGHT] = ActionEntry(REDUCE, 423);
   _actionMap[120][INNER] = ActionEntry(REDUCE, 423);
   _actionMap[120][JOIN] = ActionEntry(REDUCE, 423);
   _actionMap[120][RETURNTOKEN] = ActionEntry(REDUCE, 423);
   _actionMap[120][ORDER] = ActionEntry(REDUCE, 423);
   _actionMap[120][GROUP] = ActionEntry(REDUCE, 423);
   _actionMap[120][WHERE] = ActionEntry(REDUCE, 423);
   _actionMap[120][NULLTOKEN] = ActionEntry(REDUCE, 423);
   _actionMap[120][FROM] = ActionEntry(REDUCE, 423);
   _actionMap[120][AS] = ActionEntry(REDUCE, 423);
   _actionMap[120][END_TOKEN] = ActionEntry(REDUCE, 423);
   _actionMap[120][BEGIN] = ActionEntry(REDUCE, 423);
   _actionMap[120][THEN] = ActionEntry(REDUCE, 423);
   _actionMap[120][INTOK] = ActionEntry(REDUCE, 423);
   _actionMap[120][NOT] = ActionEntry(REDUCE, 423);
   _actionMap[120][BETWEEN] = ActionEntry(REDUCE, 423);
   _actionMap[120][IS] = ActionEntry(REDUCE, 423);
   _actionMap[120][LIKE] = ActionEntry(REDUCE, 423);
   _actionMap[120][ENDTOKEN] = ActionEntry(REDUCE, 423);
   _actionMap[120][UNION] = ActionEntry(REDUCE, 423);
   _actionMap[120][ROWLIMIT] = ActionEntry(REDUCE, 423);
   _actionMap[120][KSEP] = ActionEntry(REDUCE, 423);
   _actionMap[120][ASC] = ActionEntry(REDUCE, 423);
   _actionMap[120][DESC] = ActionEntry(REDUCE, 423);
   _actionMap[120][SEMICOLON] = ActionEntry(REDUCE, 423);
   _actionMap[120][MT] = ActionEntry(REDUCE, 423);
   _actionMap[120][LT] = ActionEntry(REDUCE, 423);
   _actionMap[120][NEGATION] = ActionEntry(REDUCE, 423);
   _actionMap[120][EQU] = ActionEntry(REDUCE, 423);
   _actionMap[120][PLUS] = ActionEntry(REDUCE, 423);
   _actionMap[120][MINUS] = ActionEntry(REDUCE, 423);
   _actionMap[120][DIVISION] = ActionEntry(REDUCE, 423);
   _actionMap[120][STAR] = ActionEntry(REDUCE, 423);
   _actionMap[120][CONCAT] = ActionEntry(REDUCE, 423);
   _actionMap[120][OR] = ActionEntry(REDUCE, 423);
   _actionMap[120][AND] = ActionEntry(REDUCE, 423);
   _actionMap[120][RB] = ActionEntry(REDUCE, 423);
   _actionMap[121][WHEN] = ActionEntry(REDUCE, 181);
   _actionMap[121][ELSE] = ActionEntry(REDUCE, 181);
   _actionMap[121][LEFT] = ActionEntry(REDUCE, 181);
   _actionMap[121][RIGHT] = ActionEntry(REDUCE, 181);
   _actionMap[121][INNER] = ActionEntry(REDUCE, 181);
}
void Cego::loadParser285()
{
   _actionMap[121][JOIN] = ActionEntry(REDUCE, 181);
   _actionMap[121][RETURNTOKEN] = ActionEntry(REDUCE, 181);
   _actionMap[121][ORDER] = ActionEntry(REDUCE, 181);
   _actionMap[121][GROUP] = ActionEntry(REDUCE, 181);
   _actionMap[121][WHERE] = ActionEntry(REDUCE, 181);
   _actionMap[121][AS] = ActionEntry(REDUCE, 181);
   _actionMap[121][FROM] = ActionEntry(REDUCE, 181);
   _actionMap[121][END_TOKEN] = ActionEntry(REDUCE, 181);
   _actionMap[121][BEGIN] = ActionEntry(REDUCE, 181);
   _actionMap[121][THEN] = ActionEntry(REDUCE, 181);
   _actionMap[121][LIKE] = ActionEntry(REDUCE, 181);
   _actionMap[121][IS] = ActionEntry(REDUCE, 181);
   _actionMap[121][BETWEEN] = ActionEntry(REDUCE, 181);
   _actionMap[121][NOT] = ActionEntry(REDUCE, 181);
   _actionMap[121][INTOK] = ActionEntry(REDUCE, 181);
   _actionMap[121][DESC] = ActionEntry(REDUCE, 181);
   _actionMap[121][ASC] = ActionEntry(REDUCE, 181);
   _actionMap[121][KSEP] = ActionEntry(REDUCE, 181);
   _actionMap[121][ROWLIMIT] = ActionEntry(REDUCE, 181);
   _actionMap[121][UNION] = ActionEntry(REDUCE, 181);
   _actionMap[121][ENDTOKEN] = ActionEntry(REDUCE, 181);
   _actionMap[121][SEMICOLON] = ActionEntry(REDUCE, 181);
   _actionMap[121][EQU] = ActionEntry(REDUCE, 181);
   _actionMap[121][NEGATION] = ActionEntry(REDUCE, 181);
   _actionMap[121][LT] = ActionEntry(REDUCE, 181);
   _actionMap[121][MT] = ActionEntry(REDUCE, 181);
   _actionMap[121][CONCAT] = ActionEntry(REDUCE, 181);
   _actionMap[121][STAR] = ActionEntry(REDUCE, 181);
   _actionMap[121][DIVISION] = ActionEntry(REDUCE, 181);
   _actionMap[121][MINUS] = ActionEntry(REDUCE, 181);
   _actionMap[121][PLUS] = ActionEntry(REDUCE, 181);
   _actionMap[121][OR] = ActionEntry(REDUCE, 181);
   _actionMap[121][AND] = ActionEntry(REDUCE, 181);
   _actionMap[121][RB] = ActionEntry(REDUCE, 181);
   _actionMap[122][LB] = ActionEntry(SHIFT, 289);
   _actionMap[123][WHEN] = ActionEntry(REDUCE, 422);
   _actionMap[123][ELSE] = ActionEntry(REDUCE, 422);
   _actionMap[123][LEFT] = ActionEntry(REDUCE, 422);
   _actionMap[123][RIGHT] = ActionEntry(REDUCE, 422);
   _actionMap[123][INNER] = ActionEntry(REDUCE, 422);
   _actionMap[123][JOIN] = ActionEntry(REDUCE, 422);
   _actionMap[123][RETURNTOKEN] = ActionEntry(REDUCE, 422);
   _actionMap[123][ORDER] = ActionEntry(REDUCE, 422);
   _actionMap[123][GROUP] = ActionEntry(REDUCE, 422);
   _actionMap[123][WHERE] = ActionEntry(REDUCE, 422);
   _actionMap[123][NULLTOKEN] = ActionEntry(REDUCE, 422);
   _actionMap[123][FROM] = ActionEntry(REDUCE, 422);
   _actionMap[123][AS] = ActionEntry(REDUCE, 422);
   _actionMap[123][END_TOKEN] = ActionEntry(REDUCE, 422);
   _actionMap[123][BEGIN] = ActionEntry(REDUCE, 422);
}
void Cego::loadParser286()
{
   _actionMap[123][THEN] = ActionEntry(REDUCE, 422);
   _actionMap[123][INTOK] = ActionEntry(REDUCE, 422);
   _actionMap[123][NOT] = ActionEntry(REDUCE, 422);
   _actionMap[123][BETWEEN] = ActionEntry(REDUCE, 422);
   _actionMap[123][IS] = ActionEntry(REDUCE, 422);
   _actionMap[123][LIKE] = ActionEntry(REDUCE, 422);
   _actionMap[123][ENDTOKEN] = ActionEntry(REDUCE, 422);
   _actionMap[123][UNION] = ActionEntry(REDUCE, 422);
   _actionMap[123][ROWLIMIT] = ActionEntry(REDUCE, 422);
   _actionMap[123][KSEP] = ActionEntry(REDUCE, 422);
   _actionMap[123][ASC] = ActionEntry(REDUCE, 422);
   _actionMap[123][DESC] = ActionEntry(REDUCE, 422);
   _actionMap[123][SEMICOLON] = ActionEntry(REDUCE, 422);
   _actionMap[123][MT] = ActionEntry(REDUCE, 422);
   _actionMap[123][LT] = ActionEntry(REDUCE, 422);
   _actionMap[123][NEGATION] = ActionEntry(REDUCE, 422);
   _actionMap[123][EQU] = ActionEntry(REDUCE, 422);
   _actionMap[123][PLUS] = ActionEntry(REDUCE, 422);
   _actionMap[123][MINUS] = ActionEntry(REDUCE, 422);
   _actionMap[123][DIVISION] = ActionEntry(REDUCE, 422);
   _actionMap[123][STAR] = ActionEntry(REDUCE, 422);
   _actionMap[123][CONCAT] = ActionEntry(REDUCE, 422);
   _actionMap[123][OR] = ActionEntry(REDUCE, 422);
   _actionMap[123][AND] = ActionEntry(REDUCE, 422);
   _actionMap[123][RB] = ActionEntry(REDUCE, 422);
   _actionMap[124][LB] = ActionEntry(SHIFT, 290);
   _actionMap[125][LB] = ActionEntry(SHIFT, 291);
   _actionMap[126][LB] = ActionEntry(SHIFT, 292);
   _actionMap[127][LB] = ActionEntry(SHIFT, 293);
   _actionMap[128][LB] = ActionEntry(SHIFT, 294);
   _actionMap[129][LAB] = ActionEntry(SHIFT, 295);
   _actionMap[130][LB] = ActionEntry(SHIFT, 296);
   _actionMap[131][LB] = ActionEntry(SHIFT, 297);
   _actionMap[132][WHEN] = ActionEntry(REDUCE, 198);
   _actionMap[133][LAB] = ActionEntry(SHIFT, 298);
   _actionMap[134][LB] = ActionEntry(SHIFT, 299);
   _actionMap[135][LB] = ActionEntry(SHIFT, 300);
   _actionMap[136][LB] = ActionEntry(SHIFT, 301);
   _actionMap[137][LB] = ActionEntry(SHIFT, 302);
   _actionMap[138][LB] = ActionEntry(SHIFT, 303);
   _actionMap[139][LB] = ActionEntry(SHIFT, 304);
   _actionMap[140][LB] = ActionEntry(SHIFT, 305);
   _actionMap[141][WHEN] = ActionEntry(REDUCE, 429);
   _actionMap[141][ELSE] = ActionEntry(REDUCE, 429);
   _actionMap[141][LEFT] = ActionEntry(REDUCE, 429);
   _actionMap[141][RIGHT] = ActionEntry(REDUCE, 429);
   _actionMap[141][INNER] = ActionEntry(REDUCE, 429);
   _actionMap[141][JOIN] = ActionEntry(REDUCE, 429);
   _actionMap[141][RETURNTOKEN] = ActionEntry(REDUCE, 429);
   _actionMap[141][ORDER] = ActionEntry(REDUCE, 429);
}
void Cego::loadParser287()
{
   _actionMap[141][GROUP] = ActionEntry(REDUCE, 429);
   _actionMap[141][WHERE] = ActionEntry(REDUCE, 429);
   _actionMap[141][FROM] = ActionEntry(REDUCE, 429);
   _actionMap[141][AS] = ActionEntry(REDUCE, 429);
   _actionMap[141][END_TOKEN] = ActionEntry(REDUCE, 429);
   _actionMap[141][BEGIN] = ActionEntry(REDUCE, 429);
   _actionMap[141][THEN] = ActionEntry(REDUCE, 429);
   _actionMap[141][NULLTOKEN] = ActionEntry(REDUCE, 429);
   _actionMap[141][INTOK] = ActionEntry(REDUCE, 429);
   _actionMap[141][NOT] = ActionEntry(REDUCE, 429);
   _actionMap[141][BETWEEN] = ActionEntry(REDUCE, 429);
   _actionMap[141][IS] = ActionEntry(REDUCE, 429);
   _actionMap[141][LIKE] = ActionEntry(REDUCE, 429);
   _actionMap[141][ENDTOKEN] = ActionEntry(REDUCE, 429);
   _actionMap[141][UNION] = ActionEntry(REDUCE, 429);
   _actionMap[141][ROWLIMIT] = ActionEntry(REDUCE, 429);
   _actionMap[141][KSEP] = ActionEntry(REDUCE, 429);
   _actionMap[141][ASC] = ActionEntry(REDUCE, 429);
   _actionMap[141][DESC] = ActionEntry(REDUCE, 429);
   _actionMap[141][SEMICOLON] = ActionEntry(REDUCE, 429);
   _actionMap[141][MT] = ActionEntry(REDUCE, 429);
   _actionMap[141][LT] = ActionEntry(REDUCE, 429);
   _actionMap[141][NEGATION] = ActionEntry(REDUCE, 429);
   _actionMap[141][EQU] = ActionEntry(REDUCE, 429);
   _actionMap[141][PLUS] = ActionEntry(REDUCE, 429);
   _actionMap[141][MINUS] = ActionEntry(REDUCE, 429);
   _actionMap[141][DIVISION] = ActionEntry(REDUCE, 429);
   _actionMap[141][STAR] = ActionEntry(REDUCE, 429);
   _actionMap[141][CONCAT] = ActionEntry(REDUCE, 429);
   _actionMap[141][OR] = ActionEntry(REDUCE, 429);
   _actionMap[141][AND] = ActionEntry(REDUCE, 429);
   _actionMap[141][RB] = ActionEntry(REDUCE, 429);
   _actionMap[142][IDENTIFIER] = ActionEntry(SHIFT, 306);
   _actionMap[143][LB] = ActionEntry(SHIFT, 307);
   _actionMap[144][LB] = ActionEntry(SHIFT, 308);
   _actionMap[145][LB] = ActionEntry(SHIFT, 309);
   _actionMap[146][LB] = ActionEntry(SHIFT, 310);
   _actionMap[147][LB] = ActionEntry(SHIFT, 311);
   _actionMap[148][LB] = ActionEntry(SHIFT, 312);
   _actionMap[149][LB] = ActionEntry(SHIFT, 313);
   _actionMap[150][LB] = ActionEntry(SHIFT, 314);
   _actionMap[151][LB] = ActionEntry(SHIFT, 315);
   _actionMap[152][LB] = ActionEntry(SHIFT, 316);
   _actionMap[153][LB] = ActionEntry(SHIFT, 317);
   _actionMap[154][LB] = ActionEntry(SHIFT, 318);
   _actionMap[155][LB] = ActionEntry(SHIFT, 319);
   _actionMap[156][LB] = ActionEntry(SHIFT, 320);
   _actionMap[157][LB] = ActionEntry(SHIFT, 321);
   _actionMap[158][WHEN] = ActionEntry(REDUCE, 427);
   _actionMap[158][ELSE] = ActionEntry(REDUCE, 427);
}
void Cego::loadParser288()
{
   _actionMap[158][LEFT] = ActionEntry(REDUCE, 427);
   _actionMap[158][RIGHT] = ActionEntry(REDUCE, 427);
   _actionMap[158][INNER] = ActionEntry(REDUCE, 427);
   _actionMap[158][JOIN] = ActionEntry(REDUCE, 427);
   _actionMap[158][RETURNTOKEN] = ActionEntry(REDUCE, 427);
   _actionMap[158][ORDER] = ActionEntry(REDUCE, 427);
   _actionMap[158][GROUP] = ActionEntry(REDUCE, 427);
   _actionMap[158][WHERE] = ActionEntry(REDUCE, 427);
   _actionMap[158][FROM] = ActionEntry(REDUCE, 427);
   _actionMap[158][AS] = ActionEntry(REDUCE, 427);
   _actionMap[158][END_TOKEN] = ActionEntry(REDUCE, 427);
   _actionMap[158][BEGIN] = ActionEntry(REDUCE, 427);
   _actionMap[158][THEN] = ActionEntry(REDUCE, 427);
   _actionMap[158][NULLTOKEN] = ActionEntry(REDUCE, 427);
   _actionMap[158][INTOK] = ActionEntry(REDUCE, 427);
   _actionMap[158][NOT] = ActionEntry(REDUCE, 427);
   _actionMap[158][BETWEEN] = ActionEntry(REDUCE, 427);
   _actionMap[158][IS] = ActionEntry(REDUCE, 427);
   _actionMap[158][LIKE] = ActionEntry(REDUCE, 427);
   _actionMap[158][ENDTOKEN] = ActionEntry(REDUCE, 427);
   _actionMap[158][UNION] = ActionEntry(REDUCE, 427);
   _actionMap[158][ROWLIMIT] = ActionEntry(REDUCE, 427);
   _actionMap[158][KSEP] = ActionEntry(REDUCE, 427);
   _actionMap[158][ASC] = ActionEntry(REDUCE, 427);
   _actionMap[158][DESC] = ActionEntry(REDUCE, 427);
   _actionMap[158][SEMICOLON] = ActionEntry(REDUCE, 427);
   _actionMap[158][MT] = ActionEntry(REDUCE, 427);
   _actionMap[158][LT] = ActionEntry(REDUCE, 427);
   _actionMap[158][NEGATION] = ActionEntry(REDUCE, 427);
   _actionMap[158][EQU] = ActionEntry(REDUCE, 427);
   _actionMap[158][PLUS] = ActionEntry(REDUCE, 427);
   _actionMap[158][MINUS] = ActionEntry(REDUCE, 427);
   _actionMap[158][DIVISION] = ActionEntry(REDUCE, 427);
   _actionMap[158][STAR] = ActionEntry(REDUCE, 427);
   _actionMap[158][CONCAT] = ActionEntry(REDUCE, 427);
   _actionMap[158][OR] = ActionEntry(REDUCE, 427);
   _actionMap[158][AND] = ActionEntry(REDUCE, 427);
   _actionMap[158][RB] = ActionEntry(REDUCE, 427);
   _actionMap[159][LB] = ActionEntry(SHIFT, 322);
   _actionMap[160][LB] = ActionEntry(SHIFT, 323);
   _actionMap[161][LB] = ActionEntry(SHIFT, 324);
   _actionMap[162][LB] = ActionEntry(SHIFT, 325);
   _actionMap[163][LB] = ActionEntry(SHIFT, 326);
   _actionMap[164][LB] = ActionEntry(SHIFT, 327);
   _actionMap[165][LB] = ActionEntry(SHIFT, 328);
   _actionMap[166][LB] = ActionEntry(SHIFT, 329);
   _actionMap[167][LB] = ActionEntry(SHIFT, 330);
   _actionMap[168][LB] = ActionEntry(SHIFT, 331);
   _actionMap[169][LB] = ActionEntry(SHIFT, 332);
   _actionMap[170][WHEN] = ActionEntry(REDUCE, 426);
}
void Cego::loadParser289()
{
   _actionMap[170][ELSE] = ActionEntry(REDUCE, 426);
   _actionMap[170][LEFT] = ActionEntry(REDUCE, 426);
   _actionMap[170][RIGHT] = ActionEntry(REDUCE, 426);
   _actionMap[170][INNER] = ActionEntry(REDUCE, 426);
   _actionMap[170][JOIN] = ActionEntry(REDUCE, 426);
   _actionMap[170][RETURNTOKEN] = ActionEntry(REDUCE, 426);
   _actionMap[170][ORDER] = ActionEntry(REDUCE, 426);
   _actionMap[170][GROUP] = ActionEntry(REDUCE, 426);
   _actionMap[170][WHERE] = ActionEntry(REDUCE, 426);
   _actionMap[170][FROM] = ActionEntry(REDUCE, 426);
   _actionMap[170][AS] = ActionEntry(REDUCE, 426);
   _actionMap[170][END_TOKEN] = ActionEntry(REDUCE, 426);
   _actionMap[170][BEGIN] = ActionEntry(REDUCE, 426);
   _actionMap[170][THEN] = ActionEntry(REDUCE, 426);
   _actionMap[170][NULLTOKEN] = ActionEntry(REDUCE, 426);
   _actionMap[170][INTOK] = ActionEntry(REDUCE, 426);
   _actionMap[170][NOT] = ActionEntry(REDUCE, 426);
   _actionMap[170][BETWEEN] = ActionEntry(REDUCE, 426);
   _actionMap[170][IS] = ActionEntry(REDUCE, 426);
   _actionMap[170][LIKE] = ActionEntry(REDUCE, 426);
   _actionMap[170][ENDTOKEN] = ActionEntry(REDUCE, 426);
   _actionMap[170][UNION] = ActionEntry(REDUCE, 426);
   _actionMap[170][ROWLIMIT] = ActionEntry(REDUCE, 426);
   _actionMap[170][KSEP] = ActionEntry(REDUCE, 426);
   _actionMap[170][ASC] = ActionEntry(REDUCE, 426);
   _actionMap[170][DESC] = ActionEntry(REDUCE, 426);
   _actionMap[170][SEMICOLON] = ActionEntry(REDUCE, 426);
   _actionMap[170][MT] = ActionEntry(REDUCE, 426);
   _actionMap[170][LT] = ActionEntry(REDUCE, 426);
   _actionMap[170][NEGATION] = ActionEntry(REDUCE, 426);
   _actionMap[170][EQU] = ActionEntry(REDUCE, 426);
   _actionMap[170][PLUS] = ActionEntry(REDUCE, 426);
   _actionMap[170][MINUS] = ActionEntry(REDUCE, 426);
   _actionMap[170][DIVISION] = ActionEntry(REDUCE, 426);
   _actionMap[170][STAR] = ActionEntry(REDUCE, 426);
   _actionMap[170][CONCAT] = ActionEntry(REDUCE, 426);
   _actionMap[170][OR] = ActionEntry(REDUCE, 426);
   _actionMap[170][AND] = ActionEntry(REDUCE, 426);
   _actionMap[170][RB] = ActionEntry(REDUCE, 426);
   _actionMap[171][LB] = ActionEntry(SHIFT, 333);
   _actionMap[172][LB] = ActionEntry(SHIFT, 334);
   _actionMap[173][LB] = ActionEntry(SHIFT, 335);
   _actionMap[174][LEFT] = ActionEntry(REDUCE, 428);
   _actionMap[174][RIGHT] = ActionEntry(REDUCE, 428);
   _actionMap[174][INNER] = ActionEntry(REDUCE, 428);
   _actionMap[174][JOIN] = ActionEntry(REDUCE, 428);
   _actionMap[174][RETURNTOKEN] = ActionEntry(REDUCE, 428);
   _actionMap[174][ORDER] = ActionEntry(REDUCE, 428);
   _actionMap[174][GROUP] = ActionEntry(REDUCE, 428);
   _actionMap[174][WHERE] = ActionEntry(REDUCE, 428);
}
void Cego::loadParser290()
{
   _actionMap[174][WHEN] = ActionEntry(REDUCE, 428);
   _actionMap[174][ELSE] = ActionEntry(REDUCE, 428);
   _actionMap[174][FROM] = ActionEntry(REDUCE, 428);
   _actionMap[174][AS] = ActionEntry(REDUCE, 428);
   _actionMap[174][END_TOKEN] = ActionEntry(REDUCE, 428);
   _actionMap[174][BEGIN] = ActionEntry(REDUCE, 428);
   _actionMap[174][THEN] = ActionEntry(REDUCE, 428);
   _actionMap[174][NULLTOKEN] = ActionEntry(REDUCE, 428);
   _actionMap[174][INTOK] = ActionEntry(REDUCE, 428);
   _actionMap[174][NOT] = ActionEntry(REDUCE, 428);
   _actionMap[174][BETWEEN] = ActionEntry(REDUCE, 428);
   _actionMap[174][IS] = ActionEntry(REDUCE, 428);
   _actionMap[174][LIKE] = ActionEntry(REDUCE, 428);
   _actionMap[174][ENDTOKEN] = ActionEntry(REDUCE, 428);
   _actionMap[174][UNION] = ActionEntry(REDUCE, 428);
   _actionMap[174][ROWLIMIT] = ActionEntry(REDUCE, 428);
   _actionMap[174][KSEP] = ActionEntry(REDUCE, 428);
   _actionMap[174][ASC] = ActionEntry(REDUCE, 428);
   _actionMap[174][DESC] = ActionEntry(REDUCE, 428);
   _actionMap[174][SEMICOLON] = ActionEntry(REDUCE, 428);
   _actionMap[174][MT] = ActionEntry(REDUCE, 428);
   _actionMap[174][LT] = ActionEntry(REDUCE, 428);
   _actionMap[174][NEGATION] = ActionEntry(REDUCE, 428);
   _actionMap[174][EQU] = ActionEntry(REDUCE, 428);
   _actionMap[174][PLUS] = ActionEntry(REDUCE, 428);
   _actionMap[174][MINUS] = ActionEntry(REDUCE, 428);
   _actionMap[174][DIVISION] = ActionEntry(REDUCE, 428);
   _actionMap[174][STAR] = ActionEntry(REDUCE, 428);
   _actionMap[174][CONCAT] = ActionEntry(REDUCE, 428);
   _actionMap[174][OR] = ActionEntry(REDUCE, 428);
   _actionMap[174][AND] = ActionEntry(REDUCE, 428);
   _actionMap[174][RB] = ActionEntry(REDUCE, 428);
   _actionMap[175][LB] = ActionEntry(SHIFT, 336);
   _actionMap[176][LB] = ActionEntry(SHIFT, 337);
   _actionMap[177][LONG] = ActionEntry(SHIFT, 343);
   _actionMap[177][BIGINT] = ActionEntry(SHIFT, 340);
   _actionMap[177][SMALLINT] = ActionEntry(SHIFT, 344);
   _actionMap[177][TINYINT] = ActionEntry(SHIFT, 345);
   _actionMap[177][DOUBLE] = ActionEntry(SHIFT, 342);
   _actionMap[177][DECIMAL] = ActionEntry(SHIFT, 341);
   _actionMap[177][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[177][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[177][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[177][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[177][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[177][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[177][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[177][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[177][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[177][SCANDATE] = ActionEntry(SHIFT, 166);
}
void Cego::loadParser291()
{
   _actionMap[177][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[177][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[177][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[177][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[177][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[177][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[177][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[177][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[177][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[177][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[177][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[177][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[177][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[177][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[177][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[177][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[177][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[177][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[177][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[177][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[177][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[177][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[177][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[177][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[177][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[177][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[177][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[177][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[177][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[177][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[177][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[177][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[177][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[177][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[177][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[177][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[177][LB] = ActionEntry(SHIFT, 177);
   _actionMap[177][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[177][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[177][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[177][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[177][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[177][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[177][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[177][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[177][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[177][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[177][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[177][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[177][SUM] = ActionEntry(SHIFT, 169);
}
void Cego::loadParser292()
{
   _actionMap[177][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[177][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[177][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[177][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[177][ObjSpec] = 122;
   _jumpMap[177][Constant] = 121;
   _jumpMap[177][SignedFloat] = 120;
   _jumpMap[177][SignedInt] = 119;
   _jumpMap[177][Attribute] = 118;
   _jumpMap[177][Function] = 117;
   _jumpMap[177][SelectStatement] = 339;
   _jumpMap[177][CasePrepare] = 116;
   _jumpMap[177][CaseClause] = 115;
   _jumpMap[177][Factor] = 114;
   _jumpMap[177][Term] = 113;
   _jumpMap[177][Expr] = 338;
   _actionMap[178][FLOATVAL] = ActionEntry(SHIFT, 347);
   _actionMap[178][INTVAL] = ActionEntry(SHIFT, 346);
   _actionMap[179][LEFT] = ActionEntry(REDUCE, 413);
   _actionMap[179][RIGHT] = ActionEntry(REDUCE, 413);
   _actionMap[179][INNER] = ActionEntry(REDUCE, 413);
   _actionMap[179][JOIN] = ActionEntry(REDUCE, 413);
   _actionMap[179][WHERE] = ActionEntry(REDUCE, 413);
   _actionMap[179][GROUP] = ActionEntry(REDUCE, 413);
   _actionMap[179][ORDER] = ActionEntry(REDUCE, 413);
   _actionMap[179][RETURNTOKEN] = ActionEntry(REDUCE, 413);
   _actionMap[179][WHEN] = ActionEntry(REDUCE, 413);
   _actionMap[179][ELSE] = ActionEntry(REDUCE, 413);
   _actionMap[179][AS] = ActionEntry(REDUCE, 413);
   _actionMap[179][FROM] = ActionEntry(REDUCE, 413);
   _actionMap[179][END_TOKEN] = ActionEntry(REDUCE, 413);
   _actionMap[179][BEGIN] = ActionEntry(REDUCE, 413);
   _actionMap[179][THEN] = ActionEntry(REDUCE, 413);
   _actionMap[179][NULLTOKEN] = ActionEntry(REDUCE, 413);
   _actionMap[179][LIKE] = ActionEntry(REDUCE, 413);
   _actionMap[179][IS] = ActionEntry(REDUCE, 413);
   _actionMap[179][BETWEEN] = ActionEntry(REDUCE, 413);
   _actionMap[179][NOT] = ActionEntry(REDUCE, 413);
   _actionMap[179][INTOK] = ActionEntry(REDUCE, 413);
   _actionMap[179][DESC] = ActionEntry(REDUCE, 413);
   _actionMap[179][ASC] = ActionEntry(REDUCE, 413);
   _actionMap[179][KSEP] = ActionEntry(REDUCE, 413);
   _actionMap[179][ROWLIMIT] = ActionEntry(REDUCE, 413);
   _actionMap[179][UNION] = ActionEntry(REDUCE, 413);
   _actionMap[179][ENDTOKEN] = ActionEntry(REDUCE, 413);
   _actionMap[179][SEMICOLON] = ActionEntry(REDUCE, 413);
   _actionMap[179][EQU] = ActionEntry(REDUCE, 413);
   _actionMap[179][NEGATION] = ActionEntry(REDUCE, 413);
   _actionMap[179][LT] = ActionEntry(REDUCE, 413);
   _actionMap[179][MT] = ActionEntry(REDUCE, 413);
}
void Cego::loadParser293()
{
   _actionMap[179][CONCAT] = ActionEntry(REDUCE, 413);
   _actionMap[179][STAR] = ActionEntry(REDUCE, 413);
   _actionMap[179][DIVISION] = ActionEntry(REDUCE, 413);
   _actionMap[179][MINUS] = ActionEntry(REDUCE, 413);
   _actionMap[179][PLUS] = ActionEntry(REDUCE, 413);
   _actionMap[179][OR] = ActionEntry(REDUCE, 413);
   _actionMap[179][AND] = ActionEntry(REDUCE, 413);
   _actionMap[179][RB] = ActionEntry(REDUCE, 413);
   _actionMap[180][LEFT] = ActionEntry(REDUCE, 415);
   _actionMap[180][RIGHT] = ActionEntry(REDUCE, 415);
   _actionMap[180][INNER] = ActionEntry(REDUCE, 415);
   _actionMap[180][JOIN] = ActionEntry(REDUCE, 415);
   _actionMap[180][WHERE] = ActionEntry(REDUCE, 415);
   _actionMap[180][GROUP] = ActionEntry(REDUCE, 415);
   _actionMap[180][ORDER] = ActionEntry(REDUCE, 415);
   _actionMap[180][RETURNTOKEN] = ActionEntry(REDUCE, 415);
   _actionMap[180][WHEN] = ActionEntry(REDUCE, 415);
   _actionMap[180][ELSE] = ActionEntry(REDUCE, 415);
   _actionMap[180][AS] = ActionEntry(REDUCE, 415);
   _actionMap[180][FROM] = ActionEntry(REDUCE, 415);
   _actionMap[180][END_TOKEN] = ActionEntry(REDUCE, 415);
   _actionMap[180][BEGIN] = ActionEntry(REDUCE, 415);
   _actionMap[180][THEN] = ActionEntry(REDUCE, 415);
   _actionMap[180][NULLTOKEN] = ActionEntry(REDUCE, 415);
   _actionMap[180][LIKE] = ActionEntry(REDUCE, 415);
   _actionMap[180][IS] = ActionEntry(REDUCE, 415);
   _actionMap[180][BETWEEN] = ActionEntry(REDUCE, 415);
   _actionMap[180][NOT] = ActionEntry(REDUCE, 415);
   _actionMap[180][INTOK] = ActionEntry(REDUCE, 415);
   _actionMap[180][DESC] = ActionEntry(REDUCE, 415);
   _actionMap[180][ASC] = ActionEntry(REDUCE, 415);
   _actionMap[180][KSEP] = ActionEntry(REDUCE, 415);
   _actionMap[180][ROWLIMIT] = ActionEntry(REDUCE, 415);
   _actionMap[180][UNION] = ActionEntry(REDUCE, 415);
   _actionMap[180][ENDTOKEN] = ActionEntry(REDUCE, 415);
   _actionMap[180][SEMICOLON] = ActionEntry(REDUCE, 415);
   _actionMap[180][EQU] = ActionEntry(REDUCE, 415);
   _actionMap[180][NEGATION] = ActionEntry(REDUCE, 415);
   _actionMap[180][LT] = ActionEntry(REDUCE, 415);
   _actionMap[180][MT] = ActionEntry(REDUCE, 415);
   _actionMap[180][CONCAT] = ActionEntry(REDUCE, 415);
   _actionMap[180][STAR] = ActionEntry(REDUCE, 415);
   _actionMap[180][DIVISION] = ActionEntry(REDUCE, 415);
   _actionMap[180][MINUS] = ActionEntry(REDUCE, 415);
   _actionMap[180][PLUS] = ActionEntry(REDUCE, 415);
   _actionMap[180][OR] = ActionEntry(REDUCE, 415);
   _actionMap[180][AND] = ActionEntry(REDUCE, 415);
   _actionMap[180][RB] = ActionEntry(REDUCE, 415);
   _actionMap[181][LEFT] = ActionEntry(REDUCE, 410);
   _actionMap[181][RIGHT] = ActionEntry(REDUCE, 410);
}
void Cego::loadParser294()
{
   _actionMap[181][INNER] = ActionEntry(REDUCE, 410);
   _actionMap[181][JOIN] = ActionEntry(REDUCE, 410);
   _actionMap[181][WHERE] = ActionEntry(REDUCE, 410);
   _actionMap[181][GROUP] = ActionEntry(REDUCE, 410);
   _actionMap[181][ORDER] = ActionEntry(REDUCE, 410);
   _actionMap[181][RETURNTOKEN] = ActionEntry(REDUCE, 410);
   _actionMap[181][WHEN] = ActionEntry(REDUCE, 410);
   _actionMap[181][ELSE] = ActionEntry(REDUCE, 410);
   _actionMap[181][FROM] = ActionEntry(REDUCE, 410);
   _actionMap[181][AS] = ActionEntry(REDUCE, 410);
   _actionMap[181][END_TOKEN] = ActionEntry(REDUCE, 410);
   _actionMap[181][BEGIN] = ActionEntry(REDUCE, 410);
   _actionMap[181][THEN] = ActionEntry(REDUCE, 410);
   _actionMap[181][INTOK] = ActionEntry(REDUCE, 410);
   _actionMap[181][NOT] = ActionEntry(REDUCE, 410);
   _actionMap[181][BETWEEN] = ActionEntry(REDUCE, 410);
   _actionMap[181][IS] = ActionEntry(REDUCE, 410);
   _actionMap[181][LIKE] = ActionEntry(REDUCE, 410);
   _actionMap[181][ENDTOKEN] = ActionEntry(REDUCE, 410);
   _actionMap[181][UNION] = ActionEntry(REDUCE, 410);
   _actionMap[181][ROWLIMIT] = ActionEntry(REDUCE, 410);
   _actionMap[181][KSEP] = ActionEntry(REDUCE, 410);
   _actionMap[181][ASC] = ActionEntry(REDUCE, 410);
   _actionMap[181][DESC] = ActionEntry(REDUCE, 410);
   _actionMap[181][SEMICOLON] = ActionEntry(REDUCE, 410);
   _actionMap[181][MT] = ActionEntry(REDUCE, 410);
   _actionMap[181][LT] = ActionEntry(REDUCE, 410);
   _actionMap[181][NEGATION] = ActionEntry(REDUCE, 410);
   _actionMap[181][EQU] = ActionEntry(REDUCE, 410);
   _actionMap[181][PLUS] = ActionEntry(REDUCE, 410);
   _actionMap[181][MINUS] = ActionEntry(REDUCE, 410);
   _actionMap[181][LB] = ActionEntry(REDUCE, 432);
   _actionMap[181][DIVISION] = ActionEntry(REDUCE, 410);
   _actionMap[181][STAR] = ActionEntry(REDUCE, 410);
   _actionMap[181][CONCAT] = ActionEntry(REDUCE, 410);
   _actionMap[181][OR] = ActionEntry(REDUCE, 410);
   _actionMap[181][AND] = ActionEntry(REDUCE, 410);
   _actionMap[181][RB] = ActionEntry(REDUCE, 410);
   _actionMap[182][LEFT] = ActionEntry(REDUCE, 180);
   _actionMap[182][RIGHT] = ActionEntry(REDUCE, 180);
   _actionMap[182][INNER] = ActionEntry(REDUCE, 180);
   _actionMap[182][JOIN] = ActionEntry(REDUCE, 180);
   _actionMap[182][WHERE] = ActionEntry(REDUCE, 180);
   _actionMap[182][GROUP] = ActionEntry(REDUCE, 180);
   _actionMap[182][ORDER] = ActionEntry(REDUCE, 180);
   _actionMap[182][RETURNTOKEN] = ActionEntry(REDUCE, 180);
   _actionMap[182][WHEN] = ActionEntry(REDUCE, 180);
   _actionMap[182][ELSE] = ActionEntry(REDUCE, 180);
   _actionMap[182][AS] = ActionEntry(REDUCE, 180);
   _actionMap[182][FROM] = ActionEntry(REDUCE, 180);
}
void Cego::loadParser295()
{
   _actionMap[182][END_TOKEN] = ActionEntry(REDUCE, 180);
   _actionMap[182][BEGIN] = ActionEntry(REDUCE, 180);
   _actionMap[182][THEN] = ActionEntry(REDUCE, 180);
   _actionMap[182][LIKE] = ActionEntry(REDUCE, 180);
   _actionMap[182][IS] = ActionEntry(REDUCE, 180);
   _actionMap[182][BETWEEN] = ActionEntry(REDUCE, 180);
   _actionMap[182][NOT] = ActionEntry(REDUCE, 180);
   _actionMap[182][INTOK] = ActionEntry(REDUCE, 180);
   _actionMap[182][DESC] = ActionEntry(REDUCE, 180);
   _actionMap[182][ASC] = ActionEntry(REDUCE, 180);
   _actionMap[182][KSEP] = ActionEntry(REDUCE, 180);
   _actionMap[182][ROWLIMIT] = ActionEntry(REDUCE, 180);
   _actionMap[182][UNION] = ActionEntry(REDUCE, 180);
   _actionMap[182][ENDTOKEN] = ActionEntry(REDUCE, 180);
   _actionMap[182][SEMICOLON] = ActionEntry(REDUCE, 180);
   _actionMap[182][EQU] = ActionEntry(REDUCE, 180);
   _actionMap[182][NEGATION] = ActionEntry(REDUCE, 180);
   _actionMap[182][LT] = ActionEntry(REDUCE, 180);
   _actionMap[182][MT] = ActionEntry(REDUCE, 180);
   _actionMap[182][CONCAT] = ActionEntry(REDUCE, 180);
   _actionMap[182][STAR] = ActionEntry(REDUCE, 180);
   _actionMap[182][DIVISION] = ActionEntry(REDUCE, 180);
   _actionMap[182][MINUS] = ActionEntry(REDUCE, 180);
   _actionMap[182][PLUS] = ActionEntry(REDUCE, 180);
   _actionMap[182][OR] = ActionEntry(REDUCE, 180);
   _actionMap[182][AND] = ActionEntry(REDUCE, 180);
   _actionMap[182][RB] = ActionEntry(REDUCE, 180);
   _actionMap[183][LEFT] = ActionEntry(REDUCE, 411);
   _actionMap[183][RIGHT] = ActionEntry(REDUCE, 411);
   _actionMap[183][INNER] = ActionEntry(REDUCE, 411);
   _actionMap[183][JOIN] = ActionEntry(REDUCE, 411);
   _actionMap[183][WHERE] = ActionEntry(REDUCE, 411);
   _actionMap[183][GROUP] = ActionEntry(REDUCE, 411);
   _actionMap[183][ORDER] = ActionEntry(REDUCE, 411);
   _actionMap[183][RETURNTOKEN] = ActionEntry(REDUCE, 411);
   _actionMap[183][WHEN] = ActionEntry(REDUCE, 411);
   _actionMap[183][ELSE] = ActionEntry(REDUCE, 411);
   _actionMap[183][FROM] = ActionEntry(REDUCE, 411);
   _actionMap[183][AS] = ActionEntry(REDUCE, 411);
   _actionMap[183][END_TOKEN] = ActionEntry(REDUCE, 411);
   _actionMap[183][BEGIN] = ActionEntry(REDUCE, 411);
   _actionMap[183][THEN] = ActionEntry(REDUCE, 411);
   _actionMap[183][INTOK] = ActionEntry(REDUCE, 411);
   _actionMap[183][NOT] = ActionEntry(REDUCE, 411);
   _actionMap[183][BETWEEN] = ActionEntry(REDUCE, 411);
   _actionMap[183][IS] = ActionEntry(REDUCE, 411);
   _actionMap[183][LIKE] = ActionEntry(REDUCE, 411);
   _actionMap[183][ENDTOKEN] = ActionEntry(REDUCE, 411);
   _actionMap[183][UNION] = ActionEntry(REDUCE, 411);
   _actionMap[183][ROWLIMIT] = ActionEntry(REDUCE, 411);
}
void Cego::loadParser296()
{
   _actionMap[183][KSEP] = ActionEntry(REDUCE, 411);
   _actionMap[183][ASC] = ActionEntry(REDUCE, 411);
   _actionMap[183][DESC] = ActionEntry(REDUCE, 411);
   _actionMap[183][SEMICOLON] = ActionEntry(REDUCE, 411);
   _actionMap[183][MT] = ActionEntry(REDUCE, 411);
   _actionMap[183][LT] = ActionEntry(REDUCE, 411);
   _actionMap[183][NEGATION] = ActionEntry(REDUCE, 411);
   _actionMap[183][EQU] = ActionEntry(REDUCE, 411);
   _actionMap[183][PLUS] = ActionEntry(REDUCE, 411);
   _actionMap[183][MINUS] = ActionEntry(REDUCE, 411);
   _actionMap[183][LB] = ActionEntry(REDUCE, 433);
   _actionMap[183][DIVISION] = ActionEntry(REDUCE, 411);
   _actionMap[183][STAR] = ActionEntry(REDUCE, 411);
   _actionMap[183][CONCAT] = ActionEntry(REDUCE, 411);
   _actionMap[183][OR] = ActionEntry(REDUCE, 411);
   _actionMap[183][AND] = ActionEntry(REDUCE, 411);
   _actionMap[183][RB] = ActionEntry(REDUCE, 411);
   _actionMap[184][STAR] = ActionEntry(SHIFT, 348);
   _actionMap[185][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[185][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[185][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[185][ObjSpec] = 349;
   _actionMap[186][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[186][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[186][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[186][ObjSpec] = 350;
   _actionMap[187][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[187][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[187][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[187][ObjSpec] = 351;
   _actionMap[188][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[188][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[188][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[188][ObjSpec] = 352;
   _actionMap[189][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[189][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[189][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[189][ObjSpec] = 353;
   _actionMap[190][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[190][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[190][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[190][ObjSpec] = 354;
   _actionMap[191][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[191][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[191][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[191][ObjSpec] = 355;
   _actionMap[192][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[192][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[192][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[192][ObjSpec] = 356;
}
void Cego::loadParser297()
{
   _actionMap[193][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[193][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[193][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[193][ObjSpec] = 357;
   _actionMap[194][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[194][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[194][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[194][ObjSpec] = 358;
   _actionMap[195][SEMICOLON] = ActionEntry(REDUCE, 242);
   _actionMap[195][FROM] = ActionEntry(SHIFT, 361);
   _actionMap[195][RB] = ActionEntry(REDUCE, 242);
   _jumpMap[195][NoFromOption] = 360;
   _jumpMap[195][FromOption] = 359;
   _actionMap[196][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[196][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[196][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[196][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[196][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[196][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[196][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[196][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[196][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[196][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[196][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[196][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[196][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[196][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[196][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[196][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[196][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[196][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[196][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[196][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[196][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[196][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[196][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[196][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[196][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[196][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[196][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[196][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[196][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[196][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[196][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[196][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[196][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[196][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[196][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[196][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[196][BLOBREF] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser298()
{
   _actionMap[196][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[196][CLOBREF] = ActionEntry(SHIFT, 135);
   _actionMap[196][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[196][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[196][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[196][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[196][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[196][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[196][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[196][LB] = ActionEntry(SHIFT, 177);
   _actionMap[196][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[196][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[196][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[196][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[196][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[196][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[196][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[196][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[196][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[196][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[196][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[196][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[196][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[196][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[196][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[196][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[196][ObjSpec] = 122;
   _jumpMap[196][Constant] = 121;
   _jumpMap[196][SignedFloat] = 120;
   _jumpMap[196][SignedInt] = 119;
   _jumpMap[196][Attribute] = 118;
   _jumpMap[196][Function] = 117;
   _jumpMap[196][SelectItem] = 364;
   _jumpMap[196][SelectionList] = 363;
   _jumpMap[196][CasePrepare] = 116;
   _jumpMap[196][CaseClause] = 115;
   _jumpMap[196][Factor] = 114;
   _jumpMap[196][Term] = 113;
   _jumpMap[196][Expr] = 362;
   _actionMap[197][VARREF] = ActionEntry(REDUCE, 291);
   _actionMap[197][FETCH] = ActionEntry(REDUCE, 291);
   _actionMap[197][LB] = ActionEntry(REDUCE, 291);
   _actionMap[197][COUNT] = ActionEntry(REDUCE, 291);
   _actionMap[197][SUM] = ActionEntry(REDUCE, 291);
   _actionMap[197][AVG] = ActionEntry(REDUCE, 291);
   _actionMap[197][MIN] = ActionEntry(REDUCE, 291);
   _actionMap[197][MAX] = ActionEntry(REDUCE, 291);
   _actionMap[197][CASE] = ActionEntry(REDUCE, 291);
   _actionMap[197][INT2ASC] = ActionEntry(REDUCE, 291);
   _actionMap[197][ASC2INT] = ActionEntry(REDUCE, 291);
}
void Cego::loadParser299()
{
   _actionMap[197][TRIM] = ActionEntry(REDUCE, 291);
   _actionMap[197][RTRIM] = ActionEntry(REDUCE, 291);
   _actionMap[197][LTRIM] = ActionEntry(REDUCE, 291);
   _actionMap[197][ROUND] = ActionEntry(REDUCE, 291);
   _actionMap[197][SCANDATE] = ActionEntry(REDUCE, 291);
   _actionMap[197][DATE2STR] = ActionEntry(REDUCE, 291);
   _actionMap[197][DATE2LONG] = ActionEntry(REDUCE, 291);
   _actionMap[197][LONG2DATE] = ActionEntry(REDUCE, 291);
   _actionMap[197][NEWDATE] = ActionEntry(REDUCE, 291);
   _actionMap[197][LOWER] = ActionEntry(REDUCE, 291);
   _actionMap[197][UPPER] = ActionEntry(REDUCE, 291);
   _actionMap[197][LEFT] = ActionEntry(REDUCE, 291);
   _actionMap[197][RIGHT] = ActionEntry(REDUCE, 291);
   _actionMap[197][GETPOS] = ActionEntry(REDUCE, 291);
   _actionMap[197][SUBSTR] = ActionEntry(REDUCE, 291);
   _actionMap[197][REPLACE] = ActionEntry(REDUCE, 291);
   _actionMap[197][LENGTH] = ActionEntry(REDUCE, 291);
   _actionMap[197][TRUNC] = ActionEntry(REDUCE, 291);
   _actionMap[197][STR2INT] = ActionEntry(REDUCE, 291);
   _actionMap[197][STR2LONG] = ActionEntry(REDUCE, 291);
   _actionMap[197][RANDSTR] = ActionEntry(REDUCE, 291);
   _actionMap[197][RANDINT] = ActionEntry(REDUCE, 291);
   _actionMap[197][MOD] = ActionEntry(REDUCE, 291);
   _actionMap[197][DIV] = ActionEntry(REDUCE, 291);
   _actionMap[197][LMOD] = ActionEntry(REDUCE, 291);
   _actionMap[197][LDIV] = ActionEntry(REDUCE, 291);
   _actionMap[197][POWER] = ActionEntry(REDUCE, 291);
   _actionMap[197][BITAND] = ActionEntry(REDUCE, 291);
   _actionMap[197][BITOR] = ActionEntry(REDUCE, 291);
   _actionMap[197][BITXOR] = ActionEntry(REDUCE, 291);
   _actionMap[197][BLOBSIZE] = ActionEntry(REDUCE, 291);
   _actionMap[197][BLOBREF] = ActionEntry(REDUCE, 291);
   _actionMap[197][CLOBSIZE] = ActionEntry(REDUCE, 291);
   _actionMap[197][CLOBREF] = ActionEntry(REDUCE, 291);
   _actionMap[197][CLOB2STR] = ActionEntry(REDUCE, 291);
   _actionMap[197][NEXTCOUNT] = ActionEntry(REDUCE, 291);
   _actionMap[197][SETCOUNT] = ActionEntry(REDUCE, 291);
   _actionMap[197][GETCOUNT] = ActionEntry(REDUCE, 291);
   _actionMap[197][IDENTIFIER] = ActionEntry(REDUCE, 291);
   _actionMap[197][QUALIFIEDOBJ] = ActionEntry(REDUCE, 291);
   _actionMap[197][QUALIFIEDTS] = ActionEntry(REDUCE, 291);
   _actionMap[197][QUALIFIEDPRE] = ActionEntry(REDUCE, 291);
   _actionMap[197][STRINGVAL] = ActionEntry(REDUCE, 291);
   _actionMap[197][SYSDATE] = ActionEntry(REDUCE, 291);
   _actionMap[197][NULLTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[197][TRUEVAL] = ActionEntry(REDUCE, 291);
   _actionMap[197][FALSEVAL] = ActionEntry(REDUCE, 291);
   _actionMap[197][BLOB] = ActionEntry(REDUCE, 291);
   _actionMap[197][CLOB] = ActionEntry(REDUCE, 291);
   _actionMap[197][FLOATVAL] = ActionEntry(REDUCE, 291);
}
void Cego::loadParser300()
{
   _actionMap[197][MINUS] = ActionEntry(REDUCE, 291);
   _actionMap[197][INTVAL] = ActionEntry(REDUCE, 291);
   _actionMap[198][VARREF] = ActionEntry(REDUCE, 290);
   _actionMap[198][FETCH] = ActionEntry(REDUCE, 290);
   _actionMap[198][LB] = ActionEntry(REDUCE, 290);
   _actionMap[198][COUNT] = ActionEntry(REDUCE, 290);
   _actionMap[198][SUM] = ActionEntry(REDUCE, 290);
   _actionMap[198][AVG] = ActionEntry(REDUCE, 290);
   _actionMap[198][MIN] = ActionEntry(REDUCE, 290);
   _actionMap[198][MAX] = ActionEntry(REDUCE, 290);
   _actionMap[198][CASE] = ActionEntry(REDUCE, 290);
   _actionMap[198][INT2ASC] = ActionEntry(REDUCE, 290);
   _actionMap[198][ASC2INT] = ActionEntry(REDUCE, 290);
   _actionMap[198][TRIM] = ActionEntry(REDUCE, 290);
   _actionMap[198][RTRIM] = ActionEntry(REDUCE, 290);
   _actionMap[198][LTRIM] = ActionEntry(REDUCE, 290);
   _actionMap[198][ROUND] = ActionEntry(REDUCE, 290);
   _actionMap[198][SCANDATE] = ActionEntry(REDUCE, 290);
   _actionMap[198][DATE2STR] = ActionEntry(REDUCE, 290);
   _actionMap[198][DATE2LONG] = ActionEntry(REDUCE, 290);
   _actionMap[198][LONG2DATE] = ActionEntry(REDUCE, 290);
   _actionMap[198][NEWDATE] = ActionEntry(REDUCE, 290);
   _actionMap[198][LOWER] = ActionEntry(REDUCE, 290);
   _actionMap[198][UPPER] = ActionEntry(REDUCE, 290);
   _actionMap[198][LEFT] = ActionEntry(REDUCE, 290);
   _actionMap[198][RIGHT] = ActionEntry(REDUCE, 290);
   _actionMap[198][GETPOS] = ActionEntry(REDUCE, 290);
   _actionMap[198][SUBSTR] = ActionEntry(REDUCE, 290);
   _actionMap[198][REPLACE] = ActionEntry(REDUCE, 290);
   _actionMap[198][LENGTH] = ActionEntry(REDUCE, 290);
   _actionMap[198][TRUNC] = ActionEntry(REDUCE, 290);
   _actionMap[198][STR2INT] = ActionEntry(REDUCE, 290);
   _actionMap[198][STR2LONG] = ActionEntry(REDUCE, 290);
   _actionMap[198][RANDSTR] = ActionEntry(REDUCE, 290);
   _actionMap[198][RANDINT] = ActionEntry(REDUCE, 290);
   _actionMap[198][MOD] = ActionEntry(REDUCE, 290);
   _actionMap[198][DIV] = ActionEntry(REDUCE, 290);
   _actionMap[198][LMOD] = ActionEntry(REDUCE, 290);
   _actionMap[198][LDIV] = ActionEntry(REDUCE, 290);
   _actionMap[198][POWER] = ActionEntry(REDUCE, 290);
   _actionMap[198][BITAND] = ActionEntry(REDUCE, 290);
   _actionMap[198][BITOR] = ActionEntry(REDUCE, 290);
   _actionMap[198][BITXOR] = ActionEntry(REDUCE, 290);
   _actionMap[198][BLOBSIZE] = ActionEntry(REDUCE, 290);
   _actionMap[198][BLOBREF] = ActionEntry(REDUCE, 290);
   _actionMap[198][CLOBSIZE] = ActionEntry(REDUCE, 290);
   _actionMap[198][CLOBREF] = ActionEntry(REDUCE, 290);
   _actionMap[198][CLOB2STR] = ActionEntry(REDUCE, 290);
   _actionMap[198][NEXTCOUNT] = ActionEntry(REDUCE, 290);
   _actionMap[198][SETCOUNT] = ActionEntry(REDUCE, 290);
}
void Cego::loadParser301()
{
   _actionMap[198][GETCOUNT] = ActionEntry(REDUCE, 290);
   _actionMap[198][IDENTIFIER] = ActionEntry(REDUCE, 290);
   _actionMap[198][QUALIFIEDOBJ] = ActionEntry(REDUCE, 290);
   _actionMap[198][QUALIFIEDTS] = ActionEntry(REDUCE, 290);
   _actionMap[198][QUALIFIEDPRE] = ActionEntry(REDUCE, 290);
   _actionMap[198][STRINGVAL] = ActionEntry(REDUCE, 290);
   _actionMap[198][SYSDATE] = ActionEntry(REDUCE, 290);
   _actionMap[198][NULLTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[198][TRUEVAL] = ActionEntry(REDUCE, 290);
   _actionMap[198][FALSEVAL] = ActionEntry(REDUCE, 290);
   _actionMap[198][BLOB] = ActionEntry(REDUCE, 290);
   _actionMap[198][CLOB] = ActionEntry(REDUCE, 290);
   _actionMap[198][FLOATVAL] = ActionEntry(REDUCE, 290);
   _actionMap[198][MINUS] = ActionEntry(REDUCE, 290);
   _actionMap[198][INTVAL] = ActionEntry(REDUCE, 290);
   _actionMap[199][FROM] = ActionEntry(REDUCE, 244);
   _actionMap[199][RB] = ActionEntry(REDUCE, 244);
   _actionMap[199][SEMICOLON] = ActionEntry(REDUCE, 244);
   _actionMap[199][ENDTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[200][OFF] = ActionEntry(SHIFT, 365);
   _actionMap[200][ON] = ActionEntry(SHIFT, 366);
   _actionMap[201][OFF] = ActionEntry(SHIFT, 367);
   _actionMap[201][ON] = ActionEntry(SHIFT, 368);
   _actionMap[202][IDENTIFIER] = ActionEntry(SHIFT, 225);
   _jumpMap[202][CounterId] = 369;
   _actionMap[203][OFF] = ActionEntry(SHIFT, 370);
   _actionMap[203][ON] = ActionEntry(SHIFT, 371);
   _actionMap[204][IDENTIFIER] = ActionEntry(SHIFT, 372);
   _actionMap[205][IDENTIFIER] = ActionEntry(SHIFT, 373);
   _actionMap[206][EQU] = ActionEntry(SHIFT, 374);
   _actionMap[207][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[207][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[207][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[207][ObjSpec] = 375;
   _actionMap[208][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[209][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[209][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[209][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[209][ObjSpec] = 376;
   _actionMap[210][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[211][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[211][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[211][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[211][ObjSpec] = 377;
   _actionMap[212][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[212][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[212][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[212][ObjSpec] = 378;
   _actionMap[213][SEMICOLON] = ActionEntry(REDUCE, 222);
   _actionMap[214][SEMICOLON] = ActionEntry(REDUCE, 17);
}
void Cego::loadParser302()
{
   _actionMap[215][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[216][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[217][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[217][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[217][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[217][ObjSpec] = 379;
   _actionMap[218][IDENTIFIER] = ActionEntry(SHIFT, 382);
   _actionMap[218][SET] = ActionEntry(REDUCE, 309);
   _jumpMap[218][UpdDelAlias] = 380;
   _actionMap[219][CALL] = ActionEntry(SHIFT, 383);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 55);
   _actionMap[1][AVLTREE] = ActionEntry(SHIFT, 48);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 57);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 54);
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 52);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 50);
   _actionMap[1][TRIGGER] = ActionEntry(SHIFT, 56);
   _actionMap[1][ALIAS] = ActionEntry(SHIFT, 47);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 51);
   _actionMap[1][BTREE] = ActionEntry(SHIFT, 49);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 53);
   _jumpMap[1][BtreeType] = 46;
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 58);
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[12][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[13][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[14][TABLE] = ActionEntry(SHIFT, 59);
   _actionMap[15][IDENTIFIER] = ActionEntry(SHIFT, 60);
   _actionMap[16][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[16][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[16][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[16][ObjSpec] = 61;
   _actionMap[17][AVLTREE] = ActionEntry(SHIFT, 65);
   _actionMap[18][SEMICOLON] = ActionEntry(REDUCE, 223);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 78);
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 75);
   _actionMap[19][PRIMARY] = ActionEntry(SHIFT, 73);
   _actionMap[19][ALIAS] = ActionEntry(SHIFT, 71);
   _actionMap[19][COUNTER] = ActionEntry(SHIFT, 72);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 74);
   _actionMap[19][UNIQUE] = ActionEntry(SHIFT, 77);
   _actionMap[19][AVLTREE] = ActionEntry(REDUCE, 217);
}
void Cego::loadParser303()
{
   _actionMap[19][BTREE] = ActionEntry(REDUCE, 217);
   _actionMap[19][INDEX] = ActionEntry(REDUCE, 217);
   _actionMap[19][TRIGGER] = ActionEntry(SHIFT, 76);
   _jumpMap[19][IndexOption] = 70;
   _jumpMap[19][ProcDef] = 69;
   _jumpMap[19][ProcHead] = 68;
   _jumpMap[19][TriggerHead] = 67;
   _jumpMap[19][TriggerDef] = 66;
   _actionMap[20][FROM] = ActionEntry(SHIFT, 79);
   _actionMap[21][TABLE] = ActionEntry(SHIFT, 86);
   _actionMap[21][AVLTREE] = ActionEntry(SHIFT, 82);
   _actionMap[21][VIEW] = ActionEntry(SHIFT, 87);
   _actionMap[21][FOREIGN] = ActionEntry(SHIFT, 84);
   _actionMap[21][CHECK] = ActionEntry(SHIFT, 83);
   _actionMap[21][ALIAS] = ActionEntry(SHIFT, 81);
   _actionMap[21][PROCEDURE] = ActionEntry(SHIFT, 85);
   _actionMap[21][BTREE] = ActionEntry(SHIFT, 49);
   _actionMap[21][INDEX] = ActionEntry(SHIFT, 53);
   _jumpMap[21][BtreeType] = 80;
   _actionMap[22][COUNTER] = ActionEntry(REDUCE, 86);
   _actionMap[22][IF] = ActionEntry(SHIFT, 88);
   _actionMap[22][ALIAS] = ActionEntry(REDUCE, 86);
   _actionMap[22][BTREE] = ActionEntry(REDUCE, 86);
   _actionMap[22][INDEX] = ActionEntry(REDUCE, 86);
   _actionMap[22][TRIGGER] = ActionEntry(REDUCE, 86);
   _actionMap[22][CHECK] = ActionEntry(REDUCE, 86);
   _actionMap[22][FOREIGN] = ActionEntry(REDUCE, 86);
   _actionMap[22][PROCEDURE] = ActionEntry(REDUCE, 86);
   _actionMap[22][VIEW] = ActionEntry(REDUCE, 86);
   _actionMap[22][AVLTREE] = ActionEntry(REDUCE, 86);
   _actionMap[22][TABLE] = ActionEntry(REDUCE, 86);
   _actionMap[23][INTO] = ActionEntry(SHIFT, 89);
   _actionMap[24][IDENTIFIER] = ActionEntry(SHIFT, 91);
   _jumpMap[24][JdbcArgList] = 90;
   _actionMap[25][TABLESET] = ActionEntry(SHIFT, 101);
   _actionMap[25][TABLE] = ActionEntry(SHIFT, 100);
   _actionMap[25][PROCEDURE] = ActionEntry(SHIFT, 98);
   _actionMap[25][VIEW] = ActionEntry(SHIFT, 104);
   _actionMap[25][AVLTREE] = ActionEntry(SHIFT, 94);
   _actionMap[25][KEY] = ActionEntry(SHIFT, 97);
   _actionMap[25][COUNTER] = ActionEntry(SHIFT, 96);
   _actionMap[25][SYSOBJ] = ActionEntry(SHIFT, 99);
   _actionMap[25][TMPOBJ] = ActionEntry(SHIFT, 102);
   _actionMap[25][CHECK] = ActionEntry(SHIFT, 95);
   _actionMap[25][TRIGGER] = ActionEntry(SHIFT, 103);
   _actionMap[25][ALIAS] = ActionEntry(SHIFT, 93);
   _actionMap[25][BTREE] = ActionEntry(SHIFT, 49);
   _actionMap[25][INDEX] = ActionEntry(SHIFT, 53);
   _jumpMap[25][BtreeType] = 92;
   _actionMap[26][VIEW] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser304()
{
   _actionMap[26][CONDITION] = ActionEntry(SHIFT, 107);
   _actionMap[26][PROCEDURE] = ActionEntry(SHIFT, 74);
   _actionMap[26][TRIGGER] = ActionEntry(SHIFT, 76);
   _jumpMap[26][ProcDef] = 106;
   _jumpMap[26][ProcHead] = 68;
   _jumpMap[26][TriggerHead] = 67;
   _jumpMap[26][TriggerDef] = 105;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 109);
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 110);
   _actionMap[29][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[29][SelectStatement] = 111;
   _actionMap[30][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[30][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[30][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[30][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[30][ASC2INT] = ActionEntry(SHIFT, 124);
   _actionMap[30][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[30][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[30][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[30][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[30][SCANDATE] = ActionEntry(SHIFT, 166);
   _actionMap[30][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[30][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[30][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[30][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[30][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[30][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[30][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[30][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[30][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[30][SUBSTR] = ActionEntry(SHIFT, 168);
   _actionMap[30][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[30][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[30][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[30][STR2INT] = ActionEntry(SHIFT, 171);
   _actionMap[30][STR2LONG] = ActionEntry(SHIFT, 172);
   _actionMap[30][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[30][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[30][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[30][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[30][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[30][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[30][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[30][BITAND] = ActionEntry(SHIFT, 126);
   _actionMap[30][BITOR] = ActionEntry(SHIFT, 127);
   _actionMap[30][BITXOR] = ActionEntry(SHIFT, 128);
   _actionMap[30][BLOBSIZE] = ActionEntry(SHIFT, 130);
   _actionMap[30][BLOBREF] = ActionEntry(SHIFT, 131);
   _actionMap[30][CLOBSIZE] = ActionEntry(SHIFT, 134);
   _actionMap[30][CLOBREF] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser305()
{
   _actionMap[30][CLOB2STR] = ActionEntry(SHIFT, 136);
   _actionMap[30][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[30][SETCOUNT] = ActionEntry(SHIFT, 167);
   _actionMap[30][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[30][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[30][LB] = ActionEntry(SHIFT, 177);
   _actionMap[30][STRINGVAL] = ActionEntry(SHIFT, 123);
   _actionMap[30][SYSDATE] = ActionEntry(SHIFT, 170);
   _actionMap[30][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[30][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[30][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[30][BLOB] = ActionEntry(SHIFT, 129);
   _actionMap[30][CLOB] = ActionEntry(SHIFT, 133);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[30][CASE] = ActionEntry(SHIFT, 132);
   _actionMap[30][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[30][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[30][COUNT] = ActionEntry(SHIFT, 137);
   _actionMap[30][SUM] = ActionEntry(SHIFT, 169);
   _actionMap[30][AVG] = ActionEntry(SHIFT, 125);
   _actionMap[30][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[30][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[30][ObjSpec] = 122;
   _jumpMap[30][Constant] = 121;
   _jumpMap[30][SignedFloat] = 120;
   _jumpMap[30][SignedInt] = 119;
   _jumpMap[30][Attribute] = 118;
   _jumpMap[30][Function] = 117;
   _jumpMap[30][CasePrepare] = 116;
   _jumpMap[30][CaseClause] = 115;
   _jumpMap[30][Factor] = 114;
   _jumpMap[30][Term] = 113;
   _jumpMap[30][Expr] = 112;
   _actionMap[31][TABLE] = ActionEntry(SHIFT, 190);
   _actionMap[31][AVLTREE] = ActionEntry(SHIFT, 186);
   _actionMap[31][KEY] = ActionEntry(SHIFT, 188);
   _actionMap[31][PROCEDURE] = ActionEntry(SHIFT, 189);
   _actionMap[31][VIEW] = ActionEntry(SHIFT, 192);
   _actionMap[31][CHECK] = ActionEntry(SHIFT, 187);
   _actionMap[31][TRIGGER] = ActionEntry(SHIFT, 191);
   _actionMap[31][BTREE] = ActionEntry(SHIFT, 49);
   _actionMap[31][INDEX] = ActionEntry(SHIFT, 53);
   _jumpMap[31][BtreeType] = 185;
   _actionMap[32][TABLE] = ActionEntry(SHIFT, 194);
   _actionMap[32][AVLTREE] = ActionEntry(SHIFT, 193);
   _actionMap[33][SEMICOLON] = ActionEntry(REDUCE, 224);
   _actionMap[34][INTVAL] = ActionEntry(REDUCE, 292);
   _actionMap[34][MINUS] = ActionEntry(REDUCE, 292);
}
void Cego::loadParser306()
{
   _actionMap[34][FLOATVAL] = ActionEntry(REDUCE, 292);
   _actionMap[34][CLOB] = ActionEntry(REDUCE, 292);
   _actionMap[34][BLOB] = ActionEntry(REDUCE, 292);
   _actionMap[34][FALSEVAL] = ActionEntry(REDUCE, 292);
   _actionMap[34][TRUEVAL] = ActionEntry(REDUCE, 292);
   _actionMap[34][NULLTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[34][SYSDATE] = ActionEntry(REDUCE, 292);
   _actionMap[34][STRINGVAL] = ActionEntry(REDUCE, 292);
   _actionMap[34][QUALIFIEDPRE] = ActionEntry(REDUCE, 292);
   _actionMap[34][QUALIFIEDTS] = ActionEntry(REDUCE, 292);
   _actionMap[34][QUALIFIEDOBJ] = ActionEntry(REDUCE, 292);
   _actionMap[34][IDENTIFIER] = ActionEntry(REDUCE, 292);
   _actionMap[34][GETCOUNT] = ActionEntry(REDUCE, 292);
   _actionMap[34][SETCOUNT] = ActionEntry(REDUCE, 292);
   _actionMap[34][NEXTCOUNT] = ActionEntry(REDUCE, 292);
   _actionMap[34][CLOB2STR] = ActionEntry(REDUCE, 292);
   _actionMap[34][CLOBREF] = ActionEntry(REDUCE, 292);
   _actionMap[34][CLOBSIZE] = ActionEntry(REDUCE, 292);
   _actionMap[34][BLOBREF] = ActionEntry(REDUCE, 292);
   _actionMap[34][BLOBSIZE] = ActionEntry(REDUCE, 292);
   _actionMap[34][BITXOR] = ActionEntry(REDUCE, 292);
   _actionMap[34][BITOR] = ActionEntry(REDUCE, 292);
   _actionMap[34][BITAND] = ActionEntry(REDUCE, 292);
   _actionMap[34][POWER] = ActionEntry(REDUCE, 292);
   _actionMap[34][LDIV] = ActionEntry(REDUCE, 292);
   _actionMap[34][LMOD] = ActionEntry(REDUCE, 292);
   _actionMap[34][DIV] = ActionEntry(REDUCE, 292);
   _actionMap[34][MOD] = ActionEntry(REDUCE, 292);
   _actionMap[34][RANDINT] = ActionEntry(REDUCE, 292);
   _actionMap[34][RANDSTR] = ActionEntry(REDUCE, 292);
   _actionMap[34][STR2LONG] = ActionEntry(REDUCE, 292);
   _actionMap[34][STR2INT] = ActionEntry(REDUCE, 292);
   _actionMap[34][TRUNC] = ActionEntry(REDUCE, 292);
   _actionMap[34][LENGTH] = ActionEntry(REDUCE, 292);
   _actionMap[34][REPLACE] = ActionEntry(REDUCE, 292);
   _actionMap[34][SUBSTR] = ActionEntry(REDUCE, 292);
   _actionMap[34][GETPOS] = ActionEntry(REDUCE, 292);
   _actionMap[34][RIGHT] = ActionEntry(REDUCE, 292);
   _actionMap[34][LEFT] = ActionEntry(REDUCE, 292);
   _actionMap[34][UPPER] = ActionEntry(REDUCE, 292);
   _actionMap[34][LOWER] = ActionEntry(REDUCE, 292);
   _actionMap[34][NEWDATE] = ActionEntry(REDUCE, 292);
   _actionMap[34][LONG2DATE] = ActionEntry(REDUCE, 292);
   _actionMap[34][DATE2LONG] = ActionEntry(REDUCE, 292);
   _actionMap[34][DATE2STR] = ActionEntry(REDUCE, 292);
   _actionMap[34][SCANDATE] = ActionEntry(REDUCE, 292);
   _actionMap[34][ROUND] = ActionEntry(REDUCE, 292);
   _actionMap[34][LTRIM] = ActionEntry(REDUCE, 292);
   _actionMap[34][RTRIM] = ActionEntry(REDUCE, 292);
   _actionMap[34][TRIM] = ActionEntry(REDUCE, 292);
}
void Cego::loadParser307()
{
   _actionMap[34][ASC2INT] = ActionEntry(REDUCE, 292);
   _actionMap[34][INT2ASC] = ActionEntry(REDUCE, 292);
   _actionMap[34][CASE] = ActionEntry(REDUCE, 292);
   _actionMap[34][MAX] = ActionEntry(REDUCE, 292);
   _actionMap[34][MIN] = ActionEntry(REDUCE, 292);
   _actionMap[34][AVG] = ActionEntry(REDUCE, 292);
   _actionMap[34][SUM] = ActionEntry(REDUCE, 292);
   _actionMap[34][COUNT] = ActionEntry(REDUCE, 292);
   _actionMap[34][LB] = ActionEntry(REDUCE, 292);
   _actionMap[34][FETCH] = ActionEntry(REDUCE, 292);
   _actionMap[34][VARREF] = ActionEntry(REDUCE, 292);
   _actionMap[34][DISTINCT] = ActionEntry(SHIFT, 198);
   _actionMap[34][STAR] = ActionEntry(SHIFT, 199);
   _jumpMap[34][NoDistinctOpt] = 197;
   _jumpMap[34][DistinctOpt] = 196;
   _jumpMap[34][Selection] = 195;
   _actionMap[35][TABLESET] = ActionEntry(SHIFT, 205);
   _actionMap[35][GRACE] = ActionEntry(SHIFT, 203);
   _actionMap[35][APPEND] = ActionEntry(SHIFT, 200);
   _actionMap[35][AUTOCOMMIT] = ActionEntry(SHIFT, 201);
   _actionMap[35][ISOLATION] = ActionEntry(SHIFT, 204);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 206);
   _actionMap[35][COUNTER] = ActionEntry(SHIFT, 202);
   _actionMap[36][POOL] = ActionEntry(SHIFT, 208);
   _actionMap[36][SYSTEMSPACE] = ActionEntry(SHIFT, 210);
   _actionMap[36][PROCEDURE] = ActionEntry(SHIFT, 209);
   _actionMap[36][VIEW] = ActionEntry(SHIFT, 212);
   _actionMap[36][CHECK] = ActionEntry(SHIFT, 207);
   _actionMap[36][TRIGGER] = ActionEntry(SHIFT, 211);
   _actionMap[37][TRANSACTION] = ActionEntry(SHIFT, 213);
   _actionMap[38][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[39][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[39][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[39][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[39][ObjSpec] = 214;
   _actionMap[40][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[40][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[40][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[40][ObjSpec] = 215;
   _actionMap[41][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[41][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[41][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[41][ObjSpec] = 216;
   _actionMap[42][TABLE] = ActionEntry(SHIFT, 217);
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[43][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[43][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[43][ObjSpec] = 218;
   _actionMap[44][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[45][EQU] = ActionEntry(SHIFT, 219);
}
void Cego::loadParser308()
{
   _actionMap[0][DROP] = ActionEntry(SHIFT, 22);
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 31);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 14);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 34);
   _actionMap[0][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[0][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 38);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 25);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 39);
   _actionMap[0][TABLESIZE] = ActionEntry(SHIFT, 40);
   _actionMap[0][TUPLEINFO] = ActionEntry(SHIFT, 41);
   _actionMap[0][UPTIME] = ActionEntry(SHIFT, 44);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 36);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 21);
   _actionMap[0][SET] = ActionEntry(SHIFT, 35);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 15);
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 32);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 29);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 19);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 26);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 16);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 45);
   _actionMap[0][TRUNCATE] = ActionEntry(SHIFT, 42);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 30);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 17);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 24);
   _jumpMap[0][RenameStatement] = 13;
   _jumpMap[0][AlterStatement] = 12;
   _jumpMap[0][DeleteStatement] = 11;
   _jumpMap[0][UpdateStatement] = 10;
   _jumpMap[0][SelectStatement] = 9;
   _jumpMap[0][InsertStatement] = 8;
   _jumpMap[0][UnlockStatement] = 7;
   _jumpMap[0][LockStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
   _jumpMap[0][StartStatement] = 3;
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser309()
{
   _prodInfo.Insert(ProdEntry(434, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(433, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(432, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(431, Constant, 4));
   _prodInfo.Insert(ProdEntry(430, Constant, 4));
   _prodInfo.Insert(ProdEntry(429, Constant, 1));
   _prodInfo.Insert(ProdEntry(428, Constant, 1));
   _prodInfo.Insert(ProdEntry(427, Constant, 1));
   _prodInfo.Insert(ProdEntry(426, Constant, 1));
   _prodInfo.Insert(ProdEntry(425, Constant, 4));
   _prodInfo.Insert(ProdEntry(424, Constant, 4));
   _prodInfo.Insert(ProdEntry(423, Constant, 1));
   _prodInfo.Insert(ProdEntry(422, Constant, 1));
   _prodInfo.Insert(ProdEntry(421, Constant, 4));
   _prodInfo.Insert(ProdEntry(420, Constant, 4));
   _prodInfo.Insert(ProdEntry(419, Constant, 4));
   _prodInfo.Insert(ProdEntry(418, Constant, 4));
   _prodInfo.Insert(ProdEntry(417, Constant, 1));
   _prodInfo.Insert(ProdEntry(416, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(415, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(414, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(413, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(412, Attribute, 2));
   _prodInfo.Insert(ProdEntry(411, Attribute, 1));
   _prodInfo.Insert(ProdEntry(410, Attribute, 1));
   _prodInfo.Insert(ProdEntry(409, Comparison, 2));
   _prodInfo.Insert(ProdEntry(408, Comparison, 2));
   _prodInfo.Insert(ProdEntry(407, Comparison, 1));
   _prodInfo.Insert(ProdEntry(406, Comparison, 1));
   _prodInfo.Insert(ProdEntry(405, Comparison, 2));
   _prodInfo.Insert(ProdEntry(404, Comparison, 1));
   _prodInfo.Insert(ProdEntry(403, DecimalDim, 3));
   _prodInfo.Insert(ProdEntry(402, DecimalDim, 1));
   _prodInfo.Insert(ProdEntry(401, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(400, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(399, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(398, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(397, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(396, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(395, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(394, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(393, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(392, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(391, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(390, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(389, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(388, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(387, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(386, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(385, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(384, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(383, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(382, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(381, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(380, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(379, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(378, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(377, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(376, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(375, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(374, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(373, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(372, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(371, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(370, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(369, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(368, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(367, Function, 3));
   _prodInfo.Insert(ProdEntry(366, Function, 4));
   _prodInfo.Insert(ProdEntry(365, Function, 4));
   _prodInfo.Insert(ProdEntry(364, Function, 6));
   _prodInfo.Insert(ProdEntry(363, Function, 4));
   _prodInfo.Insert(ProdEntry(362, Function, 4));
   _prodInfo.Insert(ProdEntry(361, Function, 4));
   _prodInfo.Insert(ProdEntry(360, Function, 4));
   _prodInfo.Insert(ProdEntry(359, Function, 4));
   _prodInfo.Insert(ProdEntry(358, Function, 4));
   _prodInfo.Insert(ProdEntry(357, Function, 4));
   _prodInfo.Insert(ProdEntry(356, Function, 4));
   _prodInfo.Insert(ProdEntry(355, Function, 4));
   _prodInfo.Insert(ProdEntry(354, Function, 4));
   _prodInfo.Insert(ProdEntry(353, Function, 4));
   _prodInfo.Insert(ProdEntry(352, Function, 4));
   _prodInfo.Insert(ProdEntry(351, Function, 4));
   _prodInfo.Insert(ProdEntry(350, Function, 4));
   _prodInfo.Insert(ProdEntry(349, Function, 4));
   _prodInfo.Insert(ProdEntry(348, Function, 4));
   _prodInfo.Insert(ProdEntry(347, Function, 4));
   _prodInfo.Insert(ProdEntry(346, Function, 4));
   _prodInfo.Insert(ProdEntry(345, Function, 4));
   _prodInfo.Insert(ProdEntry(344, Function, 4));
   _prodInfo.Insert(ProdEntry(343, Function, 4));
   _prodInfo.Insert(ProdEntry(342, Function, 4));
   _prodInfo.Insert(ProdEntry(341, Function, 4));
   _prodInfo.Insert(ProdEntry(340, Function, 4));
   _prodInfo.Insert(ProdEntry(339, Function, 4));
   _prodInfo.Insert(ProdEntry(338, Function, 4));
   _prodInfo.Insert(ProdEntry(337, Function, 4));
   _prodInfo.Insert(ProdEntry(336, Function, 4));
   _prodInfo.Insert(ProdEntry(335, Function, 4));
   _prodInfo.Insert(ProdEntry(334, Function, 4));
   _prodInfo.Insert(ProdEntry(333, Function, 4));
   _prodInfo.Insert(ProdEntry(332, Function, 4));
   _prodInfo.Insert(ProdEntry(331, Function, 4));
   _prodInfo.Insert(ProdEntry(330, Function, 4));
   _prodInfo.Insert(ProdEntry(329, Function, 4));
   _prodInfo.Insert(ProdEntry(328, Function, 4));
   _prodInfo.Insert(ProdEntry(327, Function, 4));
   _prodInfo.Insert(ProdEntry(326, Function, 4));
   _prodInfo.Insert(ProdEntry(325, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(324, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(323, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(322, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(321, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(320, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(319, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(318, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(317, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(316, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(315, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(314, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(313, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(312, AlterList, 1));
   _prodInfo.Insert(ProdEntry(311, AlterList, 3));
   _prodInfo.Insert(ProdEntry(310, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(309, UpdDelAlias, 0));
   _prodInfo.Insert(ProdEntry(308, UpdDelAlias, 1));
   _prodInfo.Insert(ProdEntry(307, DeleteStatement, 5));
   _prodInfo.Insert(ProdEntry(306, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(305, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(304, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(303, NoUpdateReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(302, UpdReturnOpt, 1));
   _prodInfo.Insert(ProdEntry(301, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(300, UpdReturnOpt, 4));
   _prodInfo.Insert(ProdEntry(299, Assignment, 3));
   _prodInfo.Insert(ProdEntry(298, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(297, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(296, UpdateStatement, 7));
   _prodInfo.Insert(ProdEntry(295, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(294, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(293, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(292, NoDistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(291, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(290, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(289, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(288, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(287, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(286, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(285, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(284, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(283, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(282, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(281, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(280, HavingDesc, 3));
   _prodInfo.Insert(ProdEntry(279, HavingDesc, 3));
   _prodInfo.Insert(ProdEntry(278, HavingCondition, 1));
   _prodInfo.Insert(ProdEntry(277, HavingCondition, 3));
   _prodInfo.Insert(ProdEntry(276, HavingCondition, 3));
   _prodInfo.Insert(ProdEntry(275, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(274, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(273, HavingClause, 2));
   _prodInfo.Insert(ProdEntry(272, GroupList, 1));
   _prodInfo.Insert(ProdEntry(271, GroupList, 3));
   _prodInfo.Insert(ProdEntry(270, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(269, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(268, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(267, NoAliasOpt, 0));
   _prodInfo.Insert(ProdEntry(266, AliasOpt, 1));
   _prodInfo.Insert(ProdEntry(265, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(264, JoinTable, 1));
   _prodInfo.Insert(ProdEntry(263, Table, 2));
   _prodInfo.Insert(ProdEntry(262, Table, 1));
   _prodInfo.Insert(ProdEntry(261, TableList, 1));
   _prodInfo.Insert(ProdEntry(260, TableList, 3));
   _prodInfo.Insert(ProdEntry(259, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(258, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(257, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(256, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(255, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(254, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(253, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(252, JoinSpec, 2));
   _prodInfo.Insert(ProdEntry(251, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(250, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(249, TableSource, 1));
   _prodInfo.Insert(ProdEntry(248, TableSource, 1));
   _prodInfo.Insert(ProdEntry(247, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(246, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(245, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(244, Selection, 1));
   _prodInfo.Insert(ProdEntry(243, Selection, 2));
   _prodInfo.Insert(ProdEntry(242, NoFromOption, 0));
   _prodInfo.Insert(ProdEntry(241, FromOption, 1));
   _prodInfo.Insert(ProdEntry(240, FromOption, 7));
   _prodInfo.Insert(ProdEntry(239, SelectStatement, 3));
   _prodInfo.Insert(ProdEntry(238, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(237, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(236, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(235, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(234, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(233, InsertValueSpecList, 1));
   _prodInfo.Insert(ProdEntry(232, InsertValueSpecList, 3));
   _prodInfo.Insert(ProdEntry(231, InsertPrepare, 1));
   _prodInfo.Insert(ProdEntry(230, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(229, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(228, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(227, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(226, UnlockStatement, 3));
   _prodInfo.Insert(ProdEntry(225, LockStatement, 3));
   _prodInfo.Insert(ProdEntry(224, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(223, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(222, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(221, BtreeType, 1));
   _prodInfo.Insert(ProdEntry(220, BtreeType, 1));
   _prodInfo.Insert(ProdEntry(219, IndexType, 1));
   _prodInfo.Insert(ProdEntry(218, IndexType, 1));
   _prodInfo.Insert(ProdEntry(217, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(216, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(215, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(214, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(213, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(212, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(211, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(210, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(209, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(208, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(207, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(206, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(205, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(204, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(203, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(202, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(201, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(200, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(199, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(198, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(197, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(196, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(195, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(194, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(193, Factor, 4));
   _prodInfo.Insert(ProdEntry(192, Factor, 4));
   _prodInfo.Insert(ProdEntry(191, Factor, 4));
   _prodInfo.Insert(ProdEntry(190, Factor, 4));
   _prodInfo.Insert(ProdEntry(189, Factor, 4));
   _prodInfo.Insert(ProdEntry(188, Factor, 4));
   _prodInfo.Insert(ProdEntry(187, Factor, 1));
   _prodInfo.Insert(ProdEntry(186, Factor, 3));
   _prodInfo.Insert(ProdEntry(185, Factor, 3));
   _prodInfo.Insert(ProdEntry(184, Factor, 1));
   _prodInfo.Insert(ProdEntry(183, Factor, 1));
   _prodInfo.Insert(ProdEntry(182, Factor, 6));
   _prodInfo.Insert(ProdEntry(181, Factor, 1));
   _prodInfo.Insert(ProdEntry(180, Factor, 1));
   _prodInfo.Insert(ProdEntry(179, Term, 1));
   _prodInfo.Insert(ProdEntry(178, Term, 3));
   _prodInfo.Insert(ProdEntry(177, Term, 3));
   _prodInfo.Insert(ProdEntry(176, Expr, 3));
   _prodInfo.Insert(ProdEntry(175, Expr, 1));
   _prodInfo.Insert(ProdEntry(174, Expr, 3));
   _prodInfo.Insert(ProdEntry(173, Expr, 3));
   _prodInfo.Insert(ProdEntry(172, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(171, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(170, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(169, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(168, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(167, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(166, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(165, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(164, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(163, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(162, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(161, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(160, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(159, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(158, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(157, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(156, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(155, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(154, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(153, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(152, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(151, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(150, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(149, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(148, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(147, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(146, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(145, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(144, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(143, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(142, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(141, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(140, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(139, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(138, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(137, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(136, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(135, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(134, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(133, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(132, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(131, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(130, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(129, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(128, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(127, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(126, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(125, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(124, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(123, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(122, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(121, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(120, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(119, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(118, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(117, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(116, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(115, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(114, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(113, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(112, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(111, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(110, TriggerOp, 1));
   _prodInfo.Insert(ProdEntry(109, TriggerOp, 1));
   _prodInfo.Insert(ProdEntry(108, TriggerOp, 1));
   _prodInfo.Insert(ProdEntry(107, TriggerCondition, 1));
   _prodInfo.Insert(ProdEntry(106, TriggerCondition, 3));
   _prodInfo.Insert(ProdEntry(105, TriggerEvent, 1));
   _prodInfo.Insert(ProdEntry(104, TriggerEvent, 1));
   _prodInfo.Insert(ProdEntry(103, TriggerHead, 6));
   _prodInfo.Insert(ProdEntry(102, TriggerDef, 4));
   _prodInfo.Insert(ProdEntry(101, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(100, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(99, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(98, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(97, Statement, 2));
   _prodInfo.Insert(ProdEntry(96, CounterId, 1));
   _prodInfo.Insert(ProdEntry(95, Statement, 5));
   _prodInfo.Insert(ProdEntry(94, Statement, 3));
   _prodInfo.Insert(ProdEntry(93, Statement, 3));
   _prodInfo.Insert(ProdEntry(92, Statement, 3));
   _prodInfo.Insert(ProdEntry(91, Statement, 2));
   _prodInfo.Insert(ProdEntry(90, Statement, 4));
   _prodInfo.Insert(ProdEntry(89, Statement, 8));
   _prodInfo.Insert(ProdEntry(88, Statement, 15));
   _prodInfo.Insert(ProdEntry(87, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(86, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(85, Statement, 3));
   _prodInfo.Insert(ProdEntry(84, Statement, 3));
   _prodInfo.Insert(ProdEntry(83, Statement, 3));
   _prodInfo.Insert(ProdEntry(82, Statement, 3));
   _prodInfo.Insert(ProdEntry(81, Statement, 4));
   _prodInfo.Insert(ProdEntry(80, Statement, 3));
   _prodInfo.Insert(ProdEntry(79, Statement, 3));
   _prodInfo.Insert(ProdEntry(78, Statement, 3));
   _prodInfo.Insert(ProdEntry(77, Statement, 3));
   _prodInfo.Insert(ProdEntry(76, Statement, 3));
   _prodInfo.Insert(ProdEntry(75, Statement, 2));
   _prodInfo.Insert(ProdEntry(74, Statement, 2));
   _prodInfo.Insert(ProdEntry(73, Statement, 3));
   _prodInfo.Insert(ProdEntry(72, AliasAttr, 3));
   _prodInfo.Insert(ProdEntry(71, AliasAttrList, 1));
   _prodInfo.Insert(ProdEntry(70, AliasAttrList, 3));
   _prodInfo.Insert(ProdEntry(69, Statement, 8));
   _prodInfo.Insert(ProdEntry(68, CachedOpt, 0));
   _prodInfo.Insert(ProdEntry(67, CachedOpt, 1));
   _prodInfo.Insert(ProdEntry(66, Statement, 10));
   _prodInfo.Insert(ProdEntry(65, Statement, 9));
   _prodInfo.Insert(ProdEntry(64, Statement, 6));
   _prodInfo.Insert(ProdEntry(63, Statement, 7));
   _prodInfo.Insert(ProdEntry(62, Statement, 5));
   _prodInfo.Insert(ProdEntry(61, Statement, 2));
   _prodInfo.Insert(ProdEntry(60, Statement, 2));
   _prodInfo.Insert(ProdEntry(59, Statement, 5));
   _prodInfo.Insert(ProdEntry(58, Statement, 5));
   _prodInfo.Insert(ProdEntry(57, Statement, 1));
   _prodInfo.Insert(ProdEntry(56, Statement, 1));
   _prodInfo.Insert(ProdEntry(55, Statement, 1));
   _prodInfo.Insert(ProdEntry(54, Statement, 1));
   _prodInfo.Insert(ProdEntry(53, Statement, 1));
   _prodInfo.Insert(ProdEntry(52, Statement, 2));
   _prodInfo.Insert(ProdEntry(51, Statement, 1));
   _prodInfo.Insert(ProdEntry(50, Statement, 3));
   _prodInfo.Insert(ProdEntry(49, Statement, 3));
   _prodInfo.Insert(ProdEntry(48, Statement, 3));
   _prodInfo.Insert(ProdEntry(47, Statement, 3));
   _prodInfo.Insert(ProdEntry(46, Statement, 3));
   _prodInfo.Insert(ProdEntry(45, Statement, 3));
   _prodInfo.Insert(ProdEntry(44, Statement, 3));
   _prodInfo.Insert(ProdEntry(43, Statement, 3));
   _prodInfo.Insert(ProdEntry(42, Statement, 3));
   _prodInfo.Insert(ProdEntry(41, Statement, 1));
   _prodInfo.Insert(ProdEntry(40, Statement, 1));
   _prodInfo.Insert(ProdEntry(39, Statement, 1));
   _prodInfo.Insert(ProdEntry(38, Statement, 1));
   _prodInfo.Insert(ProdEntry(37, Statement, 1));
   _prodInfo.Insert(ProdEntry(36, Statement, 7));
   _prodInfo.Insert(ProdEntry(35, Statement, 3));
   _prodInfo.Insert(ProdEntry(34, Statement, 3));
   _prodInfo.Insert(ProdEntry(33, Statement, 3));
   _prodInfo.Insert(ProdEntry(32, Statement, 3));
   _prodInfo.Insert(ProdEntry(31, Statement, 3));
   _prodInfo.Insert(ProdEntry(30, Statement, 3));
   _prodInfo.Insert(ProdEntry(29, Statement, 3));
   _prodInfo.Insert(ProdEntry(28, Statement, 3));
   _prodInfo.Insert(ProdEntry(27, Statement, 4));
   _prodInfo.Insert(ProdEntry(26, Statement, 3));
   _prodInfo.Insert(ProdEntry(25, Statement, 3));
   _prodInfo.Insert(ProdEntry(24, Statement, 3));
   _prodInfo.Insert(ProdEntry(23, Statement, 3));
   _prodInfo.Insert(ProdEntry(22, Statement, 2));
   _prodInfo.Insert(ProdEntry(21, Statement, 2));
   _prodInfo.Insert(ProdEntry(20, Statement, 1));
   _prodInfo.Insert(ProdEntry(19, Statement, 2));
   _prodInfo.Insert(ProdEntry(18, Statement, 2));
   _prodInfo.Insert(ProdEntry(17, Statement, 2));
   _prodInfo.Insert(ProdEntry(16, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(15, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(14, Statement, 3));
   _prodInfo.Insert(ProdEntry(13, Statement, 3));
   _prodInfo.Insert(ProdEntry(12, Statement, 3));
   _prodInfo.Insert(ProdEntry(11, Statement, 3));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 970; i++)
   {
      int j;
      for ( j = 0; j < 202; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 133; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   loadParser234();
   loadParser235();
   loadParser236();
   loadParser237();
   loadParser238();
   loadParser239();
   loadParser240();
   loadParser241();
   loadParser242();
   loadParser243();
   loadParser244();
   loadParser245();
   loadParser246();
   loadParser247();
   loadParser248();
   loadParser249();
   loadParser250();
   loadParser251();
   loadParser252();
   loadParser253();
   loadParser254();
   loadParser255();
   loadParser256();
   loadParser257();
   loadParser258();
   loadParser259();
   loadParser260();
   loadParser261();
   loadParser262();
   loadParser263();
   loadParser264();
   loadParser265();
   loadParser266();
   loadParser267();
   loadParser268();
   loadParser269();
   loadParser270();
   loadParser271();
   loadParser272();
   loadParser273();
   loadParser274();
   loadParser275();
   loadParser276();
   loadParser277();
   loadParser278();
   loadParser279();
   loadParser280();
   loadParser281();
   loadParser282();
   loadParser283();
   loadParser284();
   loadParser285();
   loadParser286();
   loadParser287();
   loadParser288();
   loadParser289();
   loadParser290();
   loadParser291();
   loadParser292();
   loadParser293();
   loadParser294();
   loadParser295();
   loadParser296();
   loadParser297();
   loadParser298();
   loadParser299();
   loadParser300();
   loadParser301();
   loadParser302();
   loadParser303();
   loadParser304();
   loadParser305();
   loadParser306();
   loadParser307();
   loadParser308();
   loadParser309();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 434:
                     setObject3();
                     break;
                  case 433:
                     setObject2();
                     break;
                  case 432:
                     setObject1();
                     break;
                  case 431:
                     miscClobRef();
                     break;
                  case 430:
                     miscBlobRef();
                     break;
                  case 429:
                     miscFalseValue();
                     break;
                  case 428:
                     miscTrueValue();
                     break;
                  case 427:
                     miscNull();
                     break;
                  case 426:
                     miscSysDate();
                     break;
                  case 425:
                     miscDecimalValue();
                     break;
                  case 424:
                     miscDoubleValue();
                     break;
                  case 423:
                     miscFloatValue();
                     break;
                  case 422:
                     miscStringValue();
                     break;
                  case 421:
                     miscTinyIntValue();
                     break;
                  case 420:
                     miscSmallIntValue();
                     break;
                  case 419:
                     miscBigIntValue();
                     break;
                  case 418:
                     miscLongValue();
                     break;
                  case 417:
                     miscIntValue();
                     break;
                  case 416:
                     miscNegatedFloatString();
                     break;
                  case 415:
                     miscFloatString();
                     break;
                  case 414:
                     miscNegatedIntString();
                     break;
                  case 413:
                     miscIntString();
                     break;
                  case 412:
                     miscAttribute3();
                     break;
                  case 411:
                     miscAttribute2();
                     break;
                  case 410:
                     miscAttribute1();
                     break;
                  case 409:
                     miscMoreEqualComp();
                     break;
                  case 408:
                     miscLessEqualComp();
                     break;
                  case 407:
                     miscMoreComp();
                     break;
                  case 406:
                     miscLessComp();
                     break;
                  case 405:
                     miscNotEqualComp();
                     break;
                  case 404:
                     miscEqualComp();
                     break;
                  case 403:
                     miscDecimalDim2();
                     break;
                  case 402:
                     miscDecimalDim1();
                     break;
                  case 401:
                     miscClobType();
                     break;
                  case 400:
                     miscBlobType();
                     break;
                  case 399:
                     miscDecimalType();
                     break;
                  case 398:
                     miscTinyIntType();
                     break;
                  case 397:
                     miscSmallIntType();
                     break;
                  case 396:
                     miscDoubleType();
                     break;
                  case 395:
                     miscFloatType();
                     break;
                  case 394:
                     miscBigIntType();
                     break;
                  case 393:
                     miscBoolType();
                     break;
                  case 392:
                     miscDateTimeType();
                     break;
                  case 391:
                     miscStringType();
                     break;
                  case 390:
                     miscLongType();
                     break;
                  case 389:
                     miscIntType();
                     break;
                  case 388:
                     wcPredicateNotPredicate();
                     break;
                  case 387:
                     wcPredicateCondition();
                     break;
                  case 386:
                     wcPredicateNotLikeComp();
                     break;
                  case 385:
                     wcPredicateLikeComp();
                     break;
                  case 384:
                     wcPredicateNotNullComp();
                     break;
                  case 383:
                     wcPredicateNullComp();
                     break;
                  case 382:
                     wcPredicateBetween();
                     break;
                  case 381:
                     wcPredicateExprComp();
                     break;
                  case 380:
                     wcPredicateQueryNotIn();
                     break;
                  case 379:
                     wcPredicateQueryIn();
                     break;
                  case 378:
                     wcPredicateNotIn();
                     break;
                  case 377:
                     wcPredicateIn();
                     break;
                  case 376:
                     wcPredicateQueryExists();
                     break;
                  case 375:
                     wcConditionPredicate();
                     break;
                  case 374:
                     wcConditionOr();
                     break;
                  case 373:
                     wcConditionAnd();
                     break;
                  case 371:
                     wcEmptyClause();
                     break;
                  case 370:
                     wcWhereClause();
                     break;
                  case 369:
                     storeExprList2();
                     break;
                  case 368:
                     storeExprList1();
                     break;
                  case 367:
                     functionUserDef2();
                     break;
                  case 366:
                     functionUserDef1();
                     break;
                  case 365:
                     functionGetCount();
                     break;
                  case 364:
                     functionSetCount();
                     break;
                  case 363:
                     functionNextCount();
                     break;
                  case 362:
                     functionNative();
                     break;
                  case 361:
                     functionNative();
                     break;
                  case 360:
                     functionNative();
                     break;
                  case 359:
                     functionNative();
                     break;
                  case 358:
                     functionNative();
                     break;
                  case 357:
                     functionNative();
                     break;
                  case 356:
                     functionNative();
                     break;
                  case 355:
                     functionNative();
                     break;
                  case 354:
                     functionNative();
                     break;
                  case 353:
                     functionNative();
                     break;
                  case 352:
                     functionNative();
                     break;
                  case 351:
                     functionNative();
                     break;
                  case 350:
                     functionNative();
                     break;
                  case 349:
                     functionNative();
                     break;
                  case 348:
                     functionNative();
                     break;
                  case 347:
                     functionNative();
                     break;
                  case 346:
                     functionNative();
                     break;
                  case 345:
                     functionNative();
                     break;
                  case 344:
                     functionNative();
                     break;
                  case 343:
                     functionNative();
                     break;
                  case 342:
                     functionNative();
                     break;
                  case 341:
                     functionNative();
                     break;
                  case 340:
                     functionNative();
                     break;
                  case 339:
                     functionNative();
                     break;
                  case 338:
                     functionNative();
                     break;
                  case 337:
                     functionNative();
                     break;
                  case 336:
                     functionNative();
                     break;
                  case 335:
                     functionNative();
                     break;
                  case 334:
                     functionNative();
                     break;
                  case 333:
                     functionNative();
                     break;
                  case 332:
                     functionNative();
                     break;
                  case 331:
                     functionNative();
                     break;
                  case 330:
                     functionNative();
                     break;
                  case 329:
                     functionNative();
                     break;
                  case 328:
                     functionNative();
                     break;
                  case 327:
                     functionNative();
                     break;
                  case 326:
                     functionNative();
                     break;
                  case 325:
                     renameTrigger();
                     break;
                  case 324:
                     renameCheck();
                     break;
                  case 323:
                     renameView();
                     break;
                  case 322:
                     renameProcedure();
                     break;
                  case 321:
                     renameKey();
                     break;
                  case 320:
                     renameBTree();
                     break;
                  case 319:
                     renameIndex();
                     break;
                  case 318:
                     renameTable();
                     break;
                  case 317:
                     alterRenameCol();
                     break;
                  case 316:
                     alterModDefault();
                     break;
                  case 315:
                     alterModCol();
                     break;
                  case 314:
                     alterAddCol();
                     break;
                  case 313:
                     alterDropCol();
                     break;
                  case 310:
                     alterStore();
                     break;
                  case 308:
                     setUpdDelAlias();
                     break;
                  case 307:
                     deleteStore();
                     break;
                  case 306:
                     returnVarAssignment();
                     break;
                  case 302:
                     returnOnFirstFalse();
                     break;
                  case 301:
                     returnOnFirstFalse();
                     break;
                  case 300:
                     returnOnFirstTrue();
                     break;
                  case 299:
                     updateAssignment();
                     break;
                  case 296:
                     updateStore();
                     break;
                  case 294:
                     selectLimitOpt2();
                     break;
                  case 293:
                     selectLimitOpt1();
                     break;
                  case 291:
                     selectNoDistinctOpt();
                     break;
                  case 290:
                     selectDistinctOpt();
                     break;
                  case 287:
                     selectOrderingDesc();
                     break;
                  case 286:
                     selectOrderingAsc();
                     break;
                  case 285:
                     selectOrderingList2();
                     break;
                  case 284:
                     selectOrderingList1();
                     break;
                  case 282:
                     selectEmptyOrderingClause();
                     break;
                  case 281:
                     selectOrderingClause();
                     break;
                  case 280:
                     selectHavingDesc2();
                     break;
                  case 279:
                     selectHavingDesc1();
                     break;
                  case 278:
                     selectHavingCondition3();
                     break;
                  case 277:
                     selectHavingCondition2();
                     break;
                  case 276:
                     selectHavingCondition1();
                     break;
                  case 274:
                     selectEmptyHavingClause();
                     break;
                  case 273:
                     selectHavingClause();
                     break;
                  case 272:
                     selectGroupList2();
                     break;
                  case 271:
                     selectGroupList1();
                     break;
                  case 269:
                     selectEmptyGroupClause();
                     break;
                  case 268:
                     selectGroupClause();
                     break;
                  case 266:
                     noAliasOpt();
                     break;
                  case 265:
                     aliasOpt();
                     break;
                  case 264:
                     selectStackJoinTable();
                     break;
                  case 263:
                     selectTable2();
                     break;
                  case 262:
                     selectTable1();
                     break;
                  case 257:
                     selectRightOuterJoinStore2();
                     break;
                  case 256:
                     selectRightOuterJoinStore1();
                     break;
                  case 255:
                     selectLeftOuterJoinStore2();
                     break;
                  case 254:
                     selectLeftOuterJoinStore1();
                     break;
                  case 253:
                     selectInnerJoinStore2();
                     break;
                  case 252:
                     selectInnerJoinStore1();
                     break;
                  case 249:
                     selectJoinSpecStore();
                     break;
                  case 248:
                     selectTableListStore();
                     break;
                  case 247:
                     selectItem();
                     break;
                  case 246:
                     selectionList2();
                     break;
                  case 245:
                     selectionList1();
                     break;
                  case 244:
                     selectSelectionStore2();
                     break;
                  case 243:
                     selectSelectionStore1();
                     break;
                  case 241:
                     noFromOption();
                     break;
                  case 239:
                     selectStore();
                     break;
                  case 238:
                     insertExprValue();
                     break;
                  case 237:
                     insertExprValue();
                     break;
                  case 236:
                     insertArg();
                     break;
                  case 235:
                     insertArg();
                     break;
                  case 234:
                     insertValueSpecStore();
                     break;
                  case 231:
                     insertPrepare();
                     break;
                  case 228:
                     insertBySelectStore();
                     break;
                  case 227:
                     insertStore();
                     break;
                  case 226:
                     unlockStore();
                     break;
                  case 225:
                     lockStore();
                     break;
                  case 224:
                     rollbackStore();
                     break;
                  case 223:
                     commitStore();
                     break;
                  case 222:
                     startStore();
                     break;
                  case 219:
                     setBTreeIndex();
                     break;
                  case 218:
                     setAVLIndex();
                     break;
                  case 216:
                     setUniqueIndex();
                     break;
                  case 215:
                     createSimpleAttr();
                     break;
                  case 214:
                     createSimpleAttrList();
                     break;
                  case 211:
                     defaultNullOpt();
                     break;
                  case 210:
                     defaultOpt();
                     break;
                  case 208:
                     setNullOpt();
                     break;
                  case 207:
                     setNotNullOpt();
                     break;
                  case 206:
                     setNullOpt();
                     break;
                  case 205:
                     setColumnDesc();
                     break;
                  case 204:
                     setOrdinaryColumn();
                     break;
                  case 203:
                     setPrimaryColumn();
                     break;
                  case 200:
                     procStoreFetchArg2();
                     break;
                  case 199:
                     procStoreFetchArg1();
                     break;
                  case 198:
                     casePrepare();
                     break;
                  case 197:
                     caseCondition();
                     break;
                  case 196:
                     caseConditionList2();
                     break;
                  case 195:
                     caseConditionList1();
                     break;
                  case 194:
                     caseClause();
                     break;
                  case 193:
                     procFactor14();
                     break;
                  case 192:
                     procFactor13();
                     break;
                  case 191:
                     procFactor12();
                     break;
                  case 190:
                     procFactor11();
                     break;
                  case 189:
                     procFactor10();
                     break;
                  case 188:
                     procFactor9();
                     break;
                  case 187:
                     procFactor8();
                     break;
                  case 186:
                     procFactor7();
                     break;
                  case 185:
                     procFactor6();
                     break;
                  case 184:
                     procFactor5();
                     break;
                  case 183:
                     procFactor4();
                     break;
                  case 182:
                     procFactor3();
                     break;
                  case 181:
                     procFactor2();
                     break;
                  case 180:
                     procFactor1();
                     break;
                  case 179:
                     procTerm3();
                     break;
                  case 178:
                     procTerm2();
                     break;
                  case 177:
                     procTerm1();
                     break;
                  case 176:
                     procExpr4();
                     break;
                  case 175:
                     procExpr3();
                     break;
                  case 174:
                     procExpr2();
                     break;
                  case 173:
                     procExpr1();
                     break;
                  case 172:
                     procPredicate4();
                     break;
                  case 171:
                     procPredicate3();
                     break;
                  case 170:
                     procPredicate2();
                     break;
                  case 169:
                     procPredicate1();
                     break;
                  case 168:
                     procCondition3();
                     break;
                  case 167:
                     procCondition2();
                     break;
                  case 166:
                     procCondition1();
                     break;
                  case 165:
                     procWhileCondition();
                     break;
                  case 164:
                     procWhileStatement();
                     break;
                  case 163:
                     procElsIfCondition();
                     break;
                  case 162:
                     procIfCondition();
                     break;
                  case 161:
                     procElsePart();
                     break;
                  case 159:
                     procStoreElseBlock();
                     break;
                  case 158:
                     procStoreIfBlock();
                     break;
                  case 155:
                     procStoreIfBlock();
                     break;
                  case 154:
                     procIfStatement();
                     break;
                  case 153:
                     procExceptionCondition();
                     break;
                  case 152:
                     procExprValue();
                     break;
                  case 151:
                     procExprValue();
                     break;
                  case 149:
                     procValueSpec();
                     break;
                  case 148:
                     procExceptionStatement();
                     break;
                  case 145:
                     procBlockStart();
                     break;
                  case 144:
                     procBlockStatement();
                     break;
                  case 143:
                     procReturnStatement2();
                     break;
                  case 142:
                     procReturnStatement1();
                     break;
                  case 141:
                     procQueryStatement();
                     break;
                  case 140:
                     procQueryStatement();
                     break;
                  case 139:
                     procQueryStatement();
                     break;
                  case 138:
                     procQueryStatement();
                     break;
                  case 137:
                     procQueryStatement();
                     break;
                  case 136:
                     procQueryStatement();
                     break;
                  case 135:
                     procQueryStatement();
                     break;
                  case 134:
                     procQueryStatement();
                     break;
                  case 133:
                     procThrowStatement();
                     break;
                  case 131:
                     procInitialAssignment2();
                     break;
                  case 130:
                     procInitialAssignment1();
                     break;
                  case 129:
                     procNoopStatement();
                     break;
                  case 128:
                     procAssign2NullStatement();
                     break;
                  case 127:
                     procAssignStatement();
                     break;
                  case 126:
                     procCursorCloseStatement();
                     break;
                  case 125:
                     procCursorCreateStatement();
                     break;
                  case 124:
                     procVarStatement();
                     break;
                  case 123:
                     procStoreBlock();
                     break;
                  case 120:
                     procArg2();
                     break;
                  case 119:
                     procArg1();
                     break;
                  case 113:
                     procReturnOpt();
                     break;
                  case 112:
                     procStore();
                     break;
                  case 111:
                     procHead();
                     break;
                  case 110:
                     addDeleteTrigger();
                     break;
                  case 109:
                     addUpdateTrigger();
                     break;
                  case 108:
                     addInsertTrigger();
                     break;
                  case 105:
                     setTriggerAfter();
                     break;
                  case 104:
                     setTriggerBefore();
                     break;
                  case 103:
                     triggerHead();
                     break;
                  case 102:
                     triggerStore();
                     break;
                  case 100:
                     unionAllStore();
                     break;
                  case 99:
                     jdbcArg2();
                     break;
                  case 98:
                     jdbcArg1();
                     break;
                  case 97:
                     setJDBCInfoMethod();
                     break;
                  case 96:
                     setCounterId();
                     break;
                  case 95:
                     setSetCounterMethod();
                     break;
                  case 94:
                     setDropCounterMethod();
                     break;
                  case 93:
                     setCreateCounterMethod();
                     break;
                  case 92:
                     setIndexCheckMethod();
                     break;
                  case 91:
                     setPrintMethod();
                     break;
                  case 90:
                     setAssignStatementMethod();
                     break;
                  case 89:
                     setCheckCreateMethod();
                     break;
                  case 88:
                     setForeignKeyCreateMethod();
                     break;
                  case 87:
                     dropOpt2();
                     break;
                  case 86:
                     dropOpt1();
                     break;
                  case 85:
                     setAliasDropMethod();
                     break;
                  case 84:
                     setBTreeDropMethod();
                     break;
                  case 83:
                     setTriggerDropMethod();
                     break;
                  case 82:
                     setCheckDropMethod();
                     break;
                  case 81:
                     setFKeyDropMethod();
                     break;
                  case 80:
                     setProcDropMethod();
                     break;
                  case 79:
                     setViewDropMethod();
                     break;
                  case 78:
                     setIndexDropMethod();
                     break;
                  case 77:
                     setTableDropMethod();
                     break;
                  case 76:
                     setTableTruncateMethod();
                     break;
                  case 75:
                     setTriggerLoadMethod();
                     break;
                  case 74:
                     setTriggerCreateMethod();
                     break;
                  case 73:
                     setQueryCondLoadMethod();
                     break;
                  case 72:
                     setAliasAttr();
                     break;
                  case 69:
                     setAliasCreateMethod();
                     break;
                  case 67:
                     setCachedOption();
                     break;
                  case 66:
                     setIndexCreateMethod();
                     break;
                  case 65:
                     setPrimaryIndexCreateMethod();
                     break;
                  case 64:
                     setUserTableCreateMethod();
                     break;
                  case 63:
                     setFuncCallMethod();
                     break;
                  case 62:
                     setProcCallMethod();
                     break;
                  case 61:
                     setProcLoadMethod();
                     break;
                  case 60:
                     setProcCreateMethod();
                     break;
                  case 59:
                     setViewLoadMethod();
                     break;
                  case 58:
                     setViewCreateMethod();
                     break;
                  case 57:
                     setQueryMethod();
                     break;
                  case 56:
                     setQueryMethod();
                     break;
                  case 55:
                     setQueryMethod();
                     break;
                  case 54:
                     setQueryMethod();
                     break;
                  case 53:
                     setQueryMethod();
                     break;
                  case 52:
                     setSelectPlanMethod();
                     break;
                  case 51:
                     setSelectMethod();
                     break;
                  case 50:
                     setIndexReorganizeMethod();
                     break;
                  case 49:
                     setTableReorganizeMethod();
                     break;
                  case 48:
                     setSetIsolationMethod();
                     break;
                  case 47:
                     setDisableAutoCommitMethod();
                     break;
                  case 46:
                     setEnableAutoCommitMethod();
                     break;
                  case 45:
                     setDisableAppendModeMethod();
                     break;
                  case 44:
                     setEnableAppendModeMethod();
                     break;
                  case 43:
                     setDisableGraceModeMethod();
                     break;
                  case 42:
                     setEnableGraceModeMethod();
                     break;
                  case 41:
                     setQueryMethod();
                     break;
                  case 40:
                     setQueryMethod();
                     break;
                  case 39:
                     setQueryMethod();
                     break;
                  case 38:
                     setQueryMethod();
                     break;
                  case 37:
                     setQueryMethod();
                     break;
                  case 36:
                     setAuthUserMethod();
                     break;
                  case 35:
                     setSetTableSetMethod();
                     break;
                  case 34:
                     setTriggerShowMethod();
                     break;
                  case 33:
                     setCheckShowMethod();
                     break;
                  case 32:
                     setViewShowMethod();
                     break;
                  case 31:
                     setProcShowMethod();
                     break;
                  case 30:
                     setProcDescMethod();
                     break;
                  case 29:
                     setAliasDescMethod();
                     break;
                  case 28:
                     setCheckDescMethod();
                     break;
                  case 27:
                     setKeyDescMethod();
                     break;
                  case 26:
                     setViewDescMethod();
                     break;
                  case 25:
                     setBTreeDescMethod();
                     break;
                  case 24:
                     setIndexDescMethod();
                     break;
                  case 23:
                     setTableDescMethod();
                     break;
                  case 22:
                     setShowSystemSpaceMethod();
                     break;
                  case 21:
                     setShowPoolMethod();
                     break;
                  case 20:
                     setShowUptimeMethod();
                     break;
                  case 19:
                     setTupleInfoMethod();
                     break;
                  case 18:
                     setTableSizeMethod();
                     break;
                  case 17:
                     setTableInfoMethod();
                     break;
                  case 15:
                     setTableSetOpt();
                     break;
                  case 14:
                     setListAliasMethod();
                     break;
                  case 13:
                     setListTriggerMethod();
                     break;
                  case 12:
                     setListCheckMethod();
                     break;
                  case 11:
                     setListTmpObjMethod();
                     break;
                  case 10:
                     setListSysObjMethod();
                     break;
                  case 9:
                     setListCounterMethod();
                     break;
                  case 8:
                     setListKeyMethod();
                     break;
                  case 7:
                     setListBTreeMethod();
                     break;
                  case 6:
                     setListIndexMethod();
                     break;
                  case 5:
                     setListViewMethod();
                     break;
                  case 4:
                     setListProcMethod();
                     break;
                  case 3:
                     setListTableMethod();
                     break;
                  case 2:
                     setListTableSetMethod();
                     break;
                  case 1:
                     setSyncMethod();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            case NULLACTION:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '!') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         if ( i >= MAXTOKENVAL )
         {
            throw Exception(EXLOC, Chain("Token length exceeded"));
         }
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
